/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file Annotation_xml.hpp
/// User-defined methods of the data storage class.
///
/// This file was originally generated by application DATATOOL
/// using the following specifications:
/// 'efetch.xsd'.
///
/// New methods or data members can be added to it if needed.
/// See also: Annotation_xml_.hpp


#ifndef eutils__OBJTOOLS_EUTILS_EFETCH_ANNOTATION_XML_HPP
#define eutils__OBJTOOLS_EUTILS_EFETCH_ANNOTATION_XML_HPP


// generated includes
#include <objtools/eutils/efetch/Annotation_xml_.hpp>

// generated classes

BEGIN_eutils_SCOPE // namespace eutils::

/////////////////////////////////////////////////////////////////////////////
class CAnnotation_xml : public CAnnotation_xml_Base
{
    typedef CAnnotation_xml_Base Tparent;
public:
    // constructor
    CAnnotation_xml(void);
    CAnnotation_xml(const std::string& value);
    // destructor
    ~CAnnotation_xml(void);

    // typedef std::string TAnnotation_xml;

    /// Conversion operator to 'TAnnotation_xml' type.
    operator const TAnnotation_xml&(void) const;
    /// Assignment operator.
    CAnnotation_xml& operator=(const TAnnotation_xml& value);

private:
    // Prohibit copy constructor and assignment operator
    CAnnotation_xml(const CAnnotation_xml& value);
    CAnnotation_xml& operator=(const CAnnotation_xml& value);

};

/////////////////// CAnnotation_xml inline methods

// constructor
inline
CAnnotation_xml::CAnnotation_xml(void)
{
}

inline
CAnnotation_xml::CAnnotation_xml(const std::string& value)
{
    SetAnnotation_xml(value);
}

inline
CAnnotation_xml::operator const CAnnotation_xml::TAnnotation_xml&(void) const
{
    return GetAnnotation_xml();
}

inline
CAnnotation_xml& CAnnotation_xml::operator=(const TAnnotation_xml& value)
{
    SetAnnotation_xml(value);
    return *this;
}


/////////////////// end of CAnnotation_xml inline methods


END_eutils_SCOPE // namespace eutils::


#endif // eutils__OBJTOOLS_EUTILS_EFETCH_ANNOTATION_XML_HPP
/* Original file checksum: lines: 109, chars: 3114, CRC32: addd01dc */
