/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file Article.hpp
/// User-defined methods of the data storage class.
///
/// This file was originally generated by application DATATOOL
/// using the following specifications:
/// 'efetch.xsd'.
///
/// New methods or data members can be added to it if needed.
/// See also: Article_.hpp


#ifndef eutils__OBJTOOLS_EUTILS_EFETCH_ARTICLE_HPP
#define eutils__OBJTOOLS_EUTILS_EFETCH_ARTICLE_HPP


// generated includes
#include <objtools/eutils/efetch/Article_.hpp>

// generated classes

BEGIN_eutils_SCOPE // namespace eutils::

/////////////////////////////////////////////////////////////////////////////
class CArticle : public CArticle_Base
{
    typedef CArticle_Base Tparent;
public:
    // constructor
    CArticle(void);
    // destructor
    ~CArticle(void);

private:
    // Prohibit copy constructor and assignment operator
    CArticle(const CArticle& value);
    CArticle& operator=(const CArticle& value);

};

/////////////////// CArticle inline methods

// constructor
inline
CArticle::CArticle(void)
{
}


/////////////////// end of CArticle inline methods


END_eutils_SCOPE // namespace eutils::


#endif // eutils__OBJTOOLS_EUTILS_EFETCH_ARTICLE_HPP
/* Original file checksum: lines: 82, chars: 2363, CRC32: c826d5ca */
