/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file GeneralNote.hpp
/// User-defined methods of the data storage class.
///
/// This file was originally generated by application DATATOOL
/// using the following specifications:
/// 'efetch.xsd'.
///
/// New methods or data members can be added to it if needed.
/// See also: GeneralNote_.hpp


#ifndef eutils__OBJTOOLS_EUTILS_EFETCH_GENERALNOTE_HPP
#define eutils__OBJTOOLS_EUTILS_EFETCH_GENERALNOTE_HPP


// generated includes
#include <objtools/eutils/efetch/GeneralNote_.hpp>

// generated classes

BEGIN_eutils_SCOPE // namespace eutils::

/////////////////////////////////////////////////////////////////////////////
class CGeneralNote : public CGeneralNote_Base
{
    typedef CGeneralNote_Base Tparent;
public:
    // constructor
    CGeneralNote(void);
    CGeneralNote(const std::string& value);
    // destructor
    ~CGeneralNote(void);

    // typedef std::string TGeneralNote;

    /// Conversion operator to 'TGeneralNote' type.
    operator const TGeneralNote&(void) const;
    /// Assignment operator.
    CGeneralNote& operator=(const TGeneralNote& value);

private:
    // Prohibit copy constructor and assignment operator
    CGeneralNote(const CGeneralNote& value);
    CGeneralNote& operator=(const CGeneralNote& value);

};

/////////////////// CGeneralNote inline methods

// constructor
inline
CGeneralNote::CGeneralNote(void)
{
}

inline
CGeneralNote::CGeneralNote(const std::string& value)
{
    SetGeneralNote(value);
}

inline
CGeneralNote::operator const CGeneralNote::TGeneralNote&(void) const
{
    return GetGeneralNote();
}

inline
CGeneralNote& CGeneralNote::operator=(const TGeneralNote& value)
{
    SetGeneralNote(value);
    return *this;
}


/////////////////// end of CGeneralNote inline methods


END_eutils_SCOPE // namespace eutils::


#endif // eutils__OBJTOOLS_EUTILS_EFETCH_GENERALNOTE_HPP
/* Original file checksum: lines: 109, chars: 3006, CRC32: 11945826 */
