/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file SpaceFlightMission.hpp
/// User-defined methods of the data storage class.
///
/// This file was originally generated by application DATATOOL
/// using the following specifications:
/// 'efetch.xsd'.
///
/// New methods or data members can be added to it if needed.
/// See also: SpaceFlightMission_.hpp


#ifndef eutils__OBJTOOLS_EUTILS_EFETCH_SPACEFLIGHTMISSION_HPP
#define eutils__OBJTOOLS_EUTILS_EFETCH_SPACEFLIGHTMISSION_HPP


// generated includes
#include <objtools/eutils/efetch/SpaceFlightMission_.hpp>

// generated classes

BEGIN_eutils_SCOPE // namespace eutils::

/////////////////////////////////////////////////////////////////////////////
class CSpaceFlightMission : public CSpaceFlightMission_Base
{
    typedef CSpaceFlightMission_Base Tparent;
public:
    // constructor
    CSpaceFlightMission(void);
    // destructor
    ~CSpaceFlightMission(void);

    // typedef std::string Tdata;

    /// Constructor from the primitive type.
    CSpaceFlightMission(const Tdata& value);
    /// Assignment operator
    CSpaceFlightMission& operator=(const Tdata& value);

private:
    // Prohibit copy constructor and assignment operator
    CSpaceFlightMission(const CSpaceFlightMission& value);
    CSpaceFlightMission& operator=(const CSpaceFlightMission& value);

};

/////////////////// CSpaceFlightMission inline methods

// constructor
inline
CSpaceFlightMission::CSpaceFlightMission(void)
{
}

// data copy constructors
inline
CSpaceFlightMission::CSpaceFlightMission(const Tdata& value)
{
    Set(value);
}

// data assignment operators
inline
CSpaceFlightMission& CSpaceFlightMission::operator=(const Tdata& value)
{
    Set(value);
    return *this;
}


/////////////////// end of CSpaceFlightMission inline methods


END_eutils_SCOPE // namespace eutils::


#endif // eutils__OBJTOOLS_EUTILS_EFETCH_SPACEFLIGHTMISSION_HPP
/* Original file checksum: lines: 104, chars: 3022, CRC32: 3bc13126 */
