/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'biotree.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/biotree/BioTreeContainer.hpp>
#include <objects/biotree/FeatureDictSet.hpp>
#include <objects/biotree/NodeSet.hpp>
#include <objects/general/User_object.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CBioTreeContainer_Base::ResetTreetype(void)
{
    m_Treetype.erase();
    m_set_State[0] &= ~0x3;
}

void CBioTreeContainer_Base::ResetFdict(void)
{
    if ( !m_Fdict ) {
        m_Fdict.Reset(new TFdict());
        return;
    }
    (*m_Fdict).Reset();
}

void CBioTreeContainer_Base::SetFdict(CBioTreeContainer_Base::TFdict& value)
{
    m_Fdict.Reset(&value);
}

void CBioTreeContainer_Base::ResetNodes(void)
{
    if ( !m_Nodes ) {
        m_Nodes.Reset(new TNodes());
        return;
    }
    (*m_Nodes).Reset();
}

void CBioTreeContainer_Base::SetNodes(CBioTreeContainer_Base::TNodes& value)
{
    m_Nodes.Reset(&value);
}

void CBioTreeContainer_Base::ResetLabel(void)
{
    m_Label.erase();
    m_set_State[0] &= ~0xc0;
}

void CBioTreeContainer_Base::ResetUser(void)
{
    m_User.Reset();
}

void CBioTreeContainer_Base::SetUser(CBioTreeContainer_Base::TUser& value)
{
    m_User.Reset(&value);
}

CBioTreeContainer_Base::TUser& CBioTreeContainer_Base::SetUser(void)
{
    if ( !m_User )
        m_User.Reset(new TUser());
    return (*m_User);
}

void CBioTreeContainer_Base::Reset(void)
{
    ResetTreetype();
    ResetFdict();
    ResetNodes();
    ResetLabel();
    ResetUser();
}

BEGIN_NAMED_BASE_CLASS_INFO("BioTreeContainer", CBioTreeContainer)
{
    SET_CLASS_MODULE("NCBI-BioTree");
    ADD_NAMED_STD_MEMBER("treetype", m_Treetype)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("fdict", m_Fdict, CFeatureDictSet);
    ADD_NAMED_REF_MEMBER("nodes", m_Nodes, CNodeSet);
    ADD_NAMED_STD_MEMBER("label", m_Label)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("user", m_User, CUser_object)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CBioTreeContainer_Base::CBioTreeContainer_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetFdict();
        ResetNodes();
    }
}

// destructor
CBioTreeContainer_Base::~CBioTreeContainer_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

