/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'blastdb.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/blastdb/Blast_db_metadata.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CBlast_db_metadata_Base::ResetDbname(void)
{
    m_Dbname.erase();
    m_set_State[0] &= ~0xc;
}

void CBlast_db_metadata_Base::ResetDbtype(void)
{
    m_Dbtype.erase();
    m_set_State[0] &= ~0x30;
}

void CBlast_db_metadata_Base::ResetDescription(void)
{
    m_Description.erase();
    m_set_State[0] &= ~0x300;
}

void CBlast_db_metadata_Base::ResetLast_updated(void)
{
    m_Last_updated.erase();
    m_set_State[0] &= ~0xc000;
}

void CBlast_db_metadata_Base::ResetFiles(void)
{
    m_Files.clear();
    m_set_State[0] &= ~0xc000000;
}

void CBlast_db_metadata_Base::ResetCompressed_files(void)
{
    m_Compressed_files.clear();
    m_set_State[0] &= ~0x30000000;
}

void CBlast_db_metadata_Base::Reset(void)
{
    ResetVersion();
    ResetDbname();
    ResetDbtype();
    ResetDb_version();
    ResetDescription();
    ResetNumber_of_letters();
    ResetNumber_of_sequences();
    ResetLast_updated();
    ResetNumber_of_volumes();
    ResetNumber_of_taxids();
    ResetBytes_total();
    ResetBytes_to_cache();
    ResetBytes_total_compressed();
    ResetFiles();
    ResetCompressed_files();
}

BEGIN_NAMED_BASE_CLASS_INFO("Blast-db-metadata", CBlast_db_metadata)
{
    SET_CLASS_MODULE("NCBI-BlastDL");
    ADD_NAMED_STD_MEMBER("version", m_Version)->SetDefault(new TVersion("1.2"))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("dbname", m_Dbname)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("dbtype", m_Dbtype)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("db-version", m_Db_version)->SetDefault(new TDb_version(5))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("description", m_Description)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("number-of-letters", m_Number_of_letters)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("number-of-sequences", m_Number_of_sequences)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("last-updated", m_Last_updated)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("number-of-volumes", m_Number_of_volumes)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("number-of-taxids", m_Number_of_taxids)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("bytes-total", m_Bytes_total)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("bytes-to-cache", m_Bytes_to_cache)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("bytes-total-compressed", m_Bytes_total_compressed)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("files", m_Files, STL_vector, (STD, (string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("compressed-files", m_Compressed_files, STL_vector, (STD, (string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CBlast_db_metadata_Base::CBlast_db_metadata_Base(void)
    : m_Version("1.2"), m_Db_version(5), m_Number_of_letters(0), m_Number_of_sequences(0), m_Number_of_volumes(0), m_Number_of_taxids(0), m_Bytes_total(0), m_Bytes_to_cache(0), m_Bytes_total_compressed(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CBlast_db_metadata_Base::~CBlast_db_metadata_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

