/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'cdd.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/cdd/Align_annot.hpp>
#include <objects/cdd/Feature_evidence.hpp>
#include <objects/seqloc/Seq_loc.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CAlign_annot_Base::ResetLocation(void)
{
    if ( !m_Location ) {
        m_Location.Reset(new TLocation());
        return;
    }
    (*m_Location).Reset();
}

void CAlign_annot_Base::SetLocation(CAlign_annot_Base::TLocation& value)
{
    m_Location.Reset(&value);
}

void CAlign_annot_Base::ResetDescription(void)
{
    m_Description.erase();
    m_set_State[0] &= ~0xc;
}

void CAlign_annot_Base::ResetEvidence(void)
{
    m_Evidence.clear();
    m_set_State[0] &= ~0x30;
}

void CAlign_annot_Base::ResetAliases(void)
{
    m_Aliases.clear();
    m_set_State[0] &= ~0x300;
}

void CAlign_annot_Base::ResetMotif(void)
{
    m_Motif.erase();
    m_set_State[0] &= ~0xc00;
}

void CAlign_annot_Base::Reset(void)
{
    ResetLocation();
    ResetDescription();
    ResetEvidence();
    ResetType();
    ResetAliases();
    ResetMotif();
    ResetMotifuse();
}

BEGIN_NAMED_BASE_CLASS_INFO("Align-annot", CAlign_annot)
{
    SET_CLASS_MODULE("NCBI-Cdd");
    ADD_NAMED_REF_MEMBER("location", m_Location, CSeq_loc);
    ADD_NAMED_STD_MEMBER("description", m_Description)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("evidence", m_Evidence, STL_list, (STL_CRef, (CLASS, (CFeature_evidence))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("type", m_Type)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("aliases", m_Aliases, STL_list, (STD, (string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("motif", m_Motif)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("motifuse", m_Motifuse)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CAlign_annot_Base::CAlign_annot_Base(void)
    : m_Type(0), m_Motifuse(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetLocation();
    }
}

// destructor
CAlign_annot_Base::~CAlign_annot_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

