/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'cdd.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/cdd/Cdd_id.hpp>
#include <objects/cdd/Global_id.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CCdd_id_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CCdd_id_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Gid:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CCdd_id_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Uid:
        m_Uid = 0;
        break;
    case e_Gid:
        (m_object = new(pool) ncbi::objects::CGlobal_id())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CCdd_id_Base::sm_SelectionNames[] = {
    "not set",
    "uid",
    "gid"
};

NCBI_NS_STD::string CCdd_id_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CCdd_id_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CCdd_id_Base::TGid& CCdd_id_Base::GetGid(void) const
{
    CheckSelected(e_Gid);
    return *static_cast<const TGid*>(m_object);
}

CCdd_id_Base::TGid& CCdd_id_Base::SetGid(void)
{
    Select(e_Gid, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TGid*>(m_object);
}

void CCdd_id_Base::SetGid(CCdd_id_Base::TGid& value)
{
    TGid* ptr = &value;
    if ( m_choice != e_Gid || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Gid;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Cdd-id", CCdd_id)
{
    SET_CHOICE_MODULE("NCBI-Cdd");
    ADD_NAMED_STD_CHOICE_VARIANT("uid", m_Uid);
    ADD_NAMED_REF_CHOICE_VARIANT("gid", m_object, CGlobal_id);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CCdd_id_Base::CCdd_id_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CCdd_id_Base::~CCdd_id_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

