/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'cdd.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/cdd/Cdd_org_ref.hpp>
#include <objects/seqfeat/Org_ref.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CCdd_org_ref_Base::ResetReference(void)
{
    if ( !m_Reference ) {
        m_Reference.Reset(new TReference());
        return;
    }
    (*m_Reference).Reset();
}

void CCdd_org_ref_Base::SetReference(CCdd_org_ref_Base::TReference& value)
{
    m_Reference.Reset(&value);
}

void CCdd_org_ref_Base::ResetRank(void)
{
    m_Rank.erase();
    m_set_State[0] &= ~0xc0;
}

void CCdd_org_ref_Base::Reset(void)
{
    ResetReference();
    ResetActive();
    ResetParent_tax_id();
    ResetRank();
}

BEGIN_NAMED_BASE_CLASS_INFO("Cdd-org-ref", CCdd_org_ref)
{
    SET_CLASS_MODULE("NCBI-Cdd");
    ADD_NAMED_REF_MEMBER("reference", m_Reference, COrg_ref);
    ADD_NAMED_STD_MEMBER("active", m_Active)->SetDefault(new TActive(true))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("parent-tax-id", m_Parent_tax_id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("rank", m_Rank)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CCdd_org_ref_Base::CCdd_org_ref_Base(void)
    : m_Active(true), m_Parent_tax_id(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetReference();
    }
}

// destructor
CCdd_org_ref_Base::~CCdd_org_ref_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

