/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'cdd.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/cdd/Sequence_tree.hpp>
#include <objects/cdd/Algorithm_type.hpp>
#include <objects/cdd/SeqTree_node.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CSequence_tree_Base::ResetCdAccession(void)
{
    m_CdAccession.erase();
    m_set_State[0] &= ~0x3;
}

void CSequence_tree_Base::ResetAlgorithm(void)
{
    if ( !m_Algorithm ) {
        m_Algorithm.Reset(new TAlgorithm());
        return;
    }
    (*m_Algorithm).Reset();
}

void CSequence_tree_Base::SetAlgorithm(CSequence_tree_Base::TAlgorithm& value)
{
    m_Algorithm.Reset(&value);
}

void CSequence_tree_Base::ResetRoot(void)
{
    if ( !m_Root ) {
        m_Root.Reset(new TRoot());
        return;
    }
    (*m_Root).Reset();
}

void CSequence_tree_Base::SetRoot(CSequence_tree_Base::TRoot& value)
{
    m_Root.Reset(&value);
}

void CSequence_tree_Base::Reset(void)
{
    ResetCdAccession();
    ResetAlgorithm();
    ResetIsAnnotated();
    ResetRoot();
}

BEGIN_NAMED_BASE_CLASS_INFO("Sequence-tree", CSequence_tree)
{
    SET_CLASS_MODULE("NCBI-Cdd");
    ADD_NAMED_STD_MEMBER("cdAccession", m_CdAccession)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("algorithm", m_Algorithm, CAlgorithm_type);
    ADD_NAMED_STD_MEMBER("isAnnotated", m_IsAnnotated)->SetDefault(new TIsAnnotated(false))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("root", m_Root, CSeqTree_node);
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CSequence_tree_Base::CSequence_tree_Base(void)
    : m_IsAnnotated(false)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAlgorithm();
        ResetRoot();
    }
}

// destructor
CSequence_tree_Base::~CSequence_tree_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

