/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'cdd.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/cdd/Update_comment.hpp>
#include <objects/pub/Pub.hpp>
#include <objects/seqloc/Seq_loc.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CUpdate_comment_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CUpdate_comment_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Comment:
        m_string.Destruct();
        break;
    case e_Addthis:
    case e_Replaces:
    case e_Reject_loc:
    case e_Reference:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CUpdate_comment_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Addthis:
        (m_object = new(pool) ncbi::objects::CSeq_loc())->AddReference();
        break;
    case e_Replaces:
        (m_object = new(pool) ncbi::objects::CSeq_loc())->AddReference();
        break;
    case e_Reject_loc:
        (m_object = new(pool) ncbi::objects::CSeq_loc())->AddReference();
        break;
    case e_Reference:
        (m_object = new(pool) ncbi::objects::CPub())->AddReference();
        break;
    case e_Comment:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CUpdate_comment_Base::sm_SelectionNames[] = {
    "not set",
    "comment",
    "addthis",
    "replaces",
    "reject-loc",
    "reference"
};

NCBI_NS_STD::string CUpdate_comment_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CUpdate_comment_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CUpdate_comment_Base::SetComment(const CUpdate_comment_Base::TComment& value)
{
    Select(e_Comment, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

const CUpdate_comment_Base::TAddthis& CUpdate_comment_Base::GetAddthis(void) const
{
    CheckSelected(e_Addthis);
    return *static_cast<const TAddthis*>(m_object);
}

CUpdate_comment_Base::TAddthis& CUpdate_comment_Base::SetAddthis(void)
{
    Select(e_Addthis, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TAddthis*>(m_object);
}

void CUpdate_comment_Base::SetAddthis(CUpdate_comment_Base::TAddthis& value)
{
    TAddthis* ptr = &value;
    if ( m_choice != e_Addthis || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Addthis;
    }
}

const CUpdate_comment_Base::TReplaces& CUpdate_comment_Base::GetReplaces(void) const
{
    CheckSelected(e_Replaces);
    return *static_cast<const TReplaces*>(m_object);
}

CUpdate_comment_Base::TReplaces& CUpdate_comment_Base::SetReplaces(void)
{
    Select(e_Replaces, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TReplaces*>(m_object);
}

void CUpdate_comment_Base::SetReplaces(CUpdate_comment_Base::TReplaces& value)
{
    TReplaces* ptr = &value;
    if ( m_choice != e_Replaces || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Replaces;
    }
}

const CUpdate_comment_Base::TReject_loc& CUpdate_comment_Base::GetReject_loc(void) const
{
    CheckSelected(e_Reject_loc);
    return *static_cast<const TReject_loc*>(m_object);
}

CUpdate_comment_Base::TReject_loc& CUpdate_comment_Base::SetReject_loc(void)
{
    Select(e_Reject_loc, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TReject_loc*>(m_object);
}

void CUpdate_comment_Base::SetReject_loc(CUpdate_comment_Base::TReject_loc& value)
{
    TReject_loc* ptr = &value;
    if ( m_choice != e_Reject_loc || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Reject_loc;
    }
}

const CUpdate_comment_Base::TReference& CUpdate_comment_Base::GetReference(void) const
{
    CheckSelected(e_Reference);
    return *static_cast<const TReference*>(m_object);
}

CUpdate_comment_Base::TReference& CUpdate_comment_Base::SetReference(void)
{
    Select(e_Reference, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TReference*>(m_object);
}

void CUpdate_comment_Base::SetReference(CUpdate_comment_Base::TReference& value)
{
    TReference* ptr = &value;
    if ( m_choice != e_Reference || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Reference;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Update-comment", CUpdate_comment)
{
    SET_CHOICE_MODULE("NCBI-Cdd");
    ADD_NAMED_BUF_CHOICE_VARIANT("comment", m_string, STD, (string));
    ADD_NAMED_REF_CHOICE_VARIANT("addthis", m_object, CSeq_loc);
    ADD_NAMED_REF_CHOICE_VARIANT("replaces", m_object, CSeq_loc);
    ADD_NAMED_REF_CHOICE_VARIANT("reject-loc", m_object, CSeq_loc);
    ADD_NAMED_REF_CHOICE_VARIANT("reference", m_object, CPub);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CUpdate_comment_Base::CUpdate_comment_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CUpdate_comment_Base::~CUpdate_comment_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

