/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'cn3d.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/cn3d/Cn3d_style_settings.hpp>
#include <objects/cn3d/Cn3d_backbone_label_style.hpp>
#include <objects/cn3d/Cn3d_backbone_style.hpp>
#include <objects/cn3d/Cn3d_color.hpp>
#include <objects/cn3d/Cn3d_general_style.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CCn3d_style_settings_Base::ResetName(void)
{
    m_Name.erase();
    m_set_State[0] &= ~0x3;
}

void CCn3d_style_settings_Base::ResetProtein_backbone(void)
{
    if ( !m_Protein_backbone ) {
        m_Protein_backbone.Reset(new TProtein_backbone());
        return;
    }
    (*m_Protein_backbone).Reset();
}

void CCn3d_style_settings_Base::SetProtein_backbone(CCn3d_style_settings_Base::TProtein_backbone& value)
{
    m_Protein_backbone.Reset(&value);
}

void CCn3d_style_settings_Base::ResetNucleotide_backbone(void)
{
    if ( !m_Nucleotide_backbone ) {
        m_Nucleotide_backbone.Reset(new TNucleotide_backbone());
        return;
    }
    (*m_Nucleotide_backbone).Reset();
}

void CCn3d_style_settings_Base::SetNucleotide_backbone(CCn3d_style_settings_Base::TNucleotide_backbone& value)
{
    m_Nucleotide_backbone.Reset(&value);
}

void CCn3d_style_settings_Base::ResetProtein_sidechains(void)
{
    if ( !m_Protein_sidechains ) {
        m_Protein_sidechains.Reset(new TProtein_sidechains());
        return;
    }
    (*m_Protein_sidechains).Reset();
}

void CCn3d_style_settings_Base::SetProtein_sidechains(CCn3d_style_settings_Base::TProtein_sidechains& value)
{
    m_Protein_sidechains.Reset(&value);
}

void CCn3d_style_settings_Base::ResetNucleotide_sidechains(void)
{
    if ( !m_Nucleotide_sidechains ) {
        m_Nucleotide_sidechains.Reset(new TNucleotide_sidechains());
        return;
    }
    (*m_Nucleotide_sidechains).Reset();
}

void CCn3d_style_settings_Base::SetNucleotide_sidechains(CCn3d_style_settings_Base::TNucleotide_sidechains& value)
{
    m_Nucleotide_sidechains.Reset(&value);
}

void CCn3d_style_settings_Base::ResetHeterogens(void)
{
    if ( !m_Heterogens ) {
        m_Heterogens.Reset(new THeterogens());
        return;
    }
    (*m_Heterogens).Reset();
}

void CCn3d_style_settings_Base::SetHeterogens(CCn3d_style_settings_Base::THeterogens& value)
{
    m_Heterogens.Reset(&value);
}

void CCn3d_style_settings_Base::ResetSolvents(void)
{
    if ( !m_Solvents ) {
        m_Solvents.Reset(new TSolvents());
        return;
    }
    (*m_Solvents).Reset();
}

void CCn3d_style_settings_Base::SetSolvents(CCn3d_style_settings_Base::TSolvents& value)
{
    m_Solvents.Reset(&value);
}

void CCn3d_style_settings_Base::ResetConnections(void)
{
    if ( !m_Connections ) {
        m_Connections.Reset(new TConnections());
        return;
    }
    (*m_Connections).Reset();
}

void CCn3d_style_settings_Base::SetConnections(CCn3d_style_settings_Base::TConnections& value)
{
    m_Connections.Reset(&value);
}

void CCn3d_style_settings_Base::ResetHelix_objects(void)
{
    if ( !m_Helix_objects ) {
        m_Helix_objects.Reset(new THelix_objects());
        return;
    }
    (*m_Helix_objects).Reset();
}

void CCn3d_style_settings_Base::SetHelix_objects(CCn3d_style_settings_Base::THelix_objects& value)
{
    m_Helix_objects.Reset(&value);
}

void CCn3d_style_settings_Base::ResetStrand_objects(void)
{
    if ( !m_Strand_objects ) {
        m_Strand_objects.Reset(new TStrand_objects());
        return;
    }
    (*m_Strand_objects).Reset();
}

void CCn3d_style_settings_Base::SetStrand_objects(CCn3d_style_settings_Base::TStrand_objects& value)
{
    m_Strand_objects.Reset(&value);
}

void CCn3d_style_settings_Base::ResetVirtual_disulfide_color(void)
{
    if ( !m_Virtual_disulfide_color ) {
        m_Virtual_disulfide_color.Reset(new TVirtual_disulfide_color());
        return;
    }
    (*m_Virtual_disulfide_color).Reset();
}

void CCn3d_style_settings_Base::SetVirtual_disulfide_color(CCn3d_style_settings_Base::TVirtual_disulfide_color& value)
{
    m_Virtual_disulfide_color.Reset(&value);
}

void CCn3d_style_settings_Base::ResetBackground_color(void)
{
    if ( !m_Background_color ) {
        m_Background_color.Reset(new TBackground_color());
        return;
    }
    (*m_Background_color).Reset();
}

void CCn3d_style_settings_Base::SetBackground_color(CCn3d_style_settings_Base::TBackground_color& value)
{
    m_Background_color.Reset(&value);
}

void CCn3d_style_settings_Base::ResetProtein_labels(void)
{
    m_Protein_labels.Reset();
}

void CCn3d_style_settings_Base::SetProtein_labels(CCn3d_style_settings_Base::TProtein_labels& value)
{
    m_Protein_labels.Reset(&value);
}

CCn3d_style_settings_Base::TProtein_labels& CCn3d_style_settings_Base::SetProtein_labels(void)
{
    if ( !m_Protein_labels )
        m_Protein_labels.Reset(new TProtein_labels());
    return (*m_Protein_labels);
}

void CCn3d_style_settings_Base::ResetNucleotide_labels(void)
{
    m_Nucleotide_labels.Reset();
}

void CCn3d_style_settings_Base::SetNucleotide_labels(CCn3d_style_settings_Base::TNucleotide_labels& value)
{
    m_Nucleotide_labels.Reset(&value);
}

CCn3d_style_settings_Base::TNucleotide_labels& CCn3d_style_settings_Base::SetNucleotide_labels(void)
{
    if ( !m_Nucleotide_labels )
        m_Nucleotide_labels.Reset(new TNucleotide_labels());
    return (*m_Nucleotide_labels);
}

void CCn3d_style_settings_Base::Reset(void)
{
    ResetName();
    ResetProtein_backbone();
    ResetNucleotide_backbone();
    ResetProtein_sidechains();
    ResetNucleotide_sidechains();
    ResetHeterogens();
    ResetSolvents();
    ResetConnections();
    ResetHelix_objects();
    ResetStrand_objects();
    ResetVirtual_disulfides_on();
    ResetVirtual_disulfide_color();
    ResetHydrogens_on();
    ResetBackground_color();
    ResetScale_factor();
    ResetSpace_fill_proportion();
    ResetBall_radius();
    ResetStick_radius();
    ResetTube_radius();
    ResetTube_worm_radius();
    ResetHelix_radius();
    ResetStrand_width();
    ResetStrand_thickness();
    ResetProtein_labels();
    ResetNucleotide_labels();
    ResetIon_labels();
}

BEGIN_NAMED_BASE_CLASS_INFO("Cn3d-style-settings", CCn3d_style_settings)
{
    SET_CLASS_MODULE("NCBI-Cn3d");
    ADD_NAMED_STD_MEMBER("name", m_Name)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("protein-backbone", m_Protein_backbone, CCn3d_backbone_style);
    ADD_NAMED_REF_MEMBER("nucleotide-backbone", m_Nucleotide_backbone, CCn3d_backbone_style);
    ADD_NAMED_REF_MEMBER("protein-sidechains", m_Protein_sidechains, CCn3d_general_style);
    ADD_NAMED_REF_MEMBER("nucleotide-sidechains", m_Nucleotide_sidechains, CCn3d_general_style);
    ADD_NAMED_REF_MEMBER("heterogens", m_Heterogens, CCn3d_general_style);
    ADD_NAMED_REF_MEMBER("solvents", m_Solvents, CCn3d_general_style);
    ADD_NAMED_REF_MEMBER("connections", m_Connections, CCn3d_general_style);
    ADD_NAMED_REF_MEMBER("helix-objects", m_Helix_objects, CCn3d_general_style);
    ADD_NAMED_REF_MEMBER("strand-objects", m_Strand_objects, CCn3d_general_style);
    ADD_NAMED_STD_MEMBER("virtual-disulfides-on", m_Virtual_disulfides_on)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("virtual-disulfide-color", m_Virtual_disulfide_color, CCn3d_color);
    ADD_NAMED_STD_MEMBER("hydrogens-on", m_Hydrogens_on)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("background-color", m_Background_color, CCn3d_color);
    ADD_NAMED_STD_MEMBER("scale-factor", m_Scale_factor)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("space-fill-proportion", m_Space_fill_proportion)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("ball-radius", m_Ball_radius)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("stick-radius", m_Stick_radius)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("tube-radius", m_Tube_radius)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("tube-worm-radius", m_Tube_worm_radius)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("helix-radius", m_Helix_radius)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("strand-width", m_Strand_width)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("strand-thickness", m_Strand_thickness)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("protein-labels", m_Protein_labels, CCn3d_backbone_label_style)->SetOptional();
    ADD_NAMED_REF_MEMBER("nucleotide-labels", m_Nucleotide_labels, CCn3d_backbone_label_style)->SetOptional();
    ADD_NAMED_STD_MEMBER("ion-labels", m_Ion_labels)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CCn3d_style_settings_Base::CCn3d_style_settings_Base(void)
    : m_Virtual_disulfides_on(0), m_Hydrogens_on(0), m_Scale_factor(0), m_Space_fill_proportion(0), m_Ball_radius(0), m_Stick_radius(0), m_Tube_radius(0), m_Tube_worm_radius(0), m_Helix_radius(0), m_Strand_width(0), m_Strand_thickness(0), m_Ion_labels(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetProtein_backbone();
        ResetNucleotide_backbone();
        ResetProtein_sidechains();
        ResetNucleotide_sidechains();
        ResetHeterogens();
        ResetSolvents();
        ResetConnections();
        ResetHelix_objects();
        ResetStrand_objects();
        ResetVirtual_disulfide_color();
        ResetBackground_color();
    }
}

// destructor
CCn3d_style_settings_Base::~CCn3d_style_settings_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

