/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'cn3d.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/cn3d/Cn3d_view_settings.hpp>
#include <objects/cn3d/Cn3d_GL_matrix.hpp>
#include <objects/cn3d/Cn3d_vector.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CCn3d_view_settings_Base::ResetMatrix(void)
{
    if ( !m_Matrix ) {
        m_Matrix.Reset(new TMatrix());
        return;
    }
    (*m_Matrix).Reset();
}

void CCn3d_view_settings_Base::SetMatrix(CCn3d_view_settings_Base::TMatrix& value)
{
    m_Matrix.Reset(&value);
}

void CCn3d_view_settings_Base::ResetRotation_center(void)
{
    if ( !m_Rotation_center ) {
        m_Rotation_center.Reset(new TRotation_center());
        return;
    }
    (*m_Rotation_center).Reset();
}

void CCn3d_view_settings_Base::SetRotation_center(CCn3d_view_settings_Base::TRotation_center& value)
{
    m_Rotation_center.Reset(&value);
}

void CCn3d_view_settings_Base::Reset(void)
{
    ResetCamera_distance();
    ResetCamera_angle_rad();
    ResetCamera_look_at_X();
    ResetCamera_look_at_Y();
    ResetCamera_clip_near();
    ResetCamera_clip_far();
    ResetMatrix();
    ResetRotation_center();
}

BEGIN_NAMED_BASE_CLASS_INFO("Cn3d-view-settings", CCn3d_view_settings)
{
    SET_CLASS_MODULE("NCBI-Cn3d");
    ADD_NAMED_STD_MEMBER("camera-distance", m_Camera_distance)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("camera-angle-rad", m_Camera_angle_rad)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("camera-look-at-X", m_Camera_look_at_X)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("camera-look-at-Y", m_Camera_look_at_Y)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("camera-clip-near", m_Camera_clip_near)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("camera-clip-far", m_Camera_clip_far)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("matrix", m_Matrix, CCn3d_GL_matrix);
    ADD_NAMED_REF_MEMBER("rotation-center", m_Rotation_center, CCn3d_vector);
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CCn3d_view_settings_Base::CCn3d_view_settings_Base(void)
    : m_Camera_distance(0), m_Camera_angle_rad(0), m_Camera_look_at_X(0), m_Camera_look_at_Y(0), m_Camera_clip_near(0), m_Camera_clip_far(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetMatrix();
        ResetRotation_center();
    }
}

// destructor
CCn3d_view_settings_Base::~CCn3d_view_settings_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

