/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'docsum.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/docsum/RsStruct.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CRsStruct_Base::C_Attlist::ResetProtAcc(void)
{
    m_ProtAcc.erase();
    m_set_State[0] &= ~0x3;
}

void CRsStruct_Base::C_Attlist::ResetProtResidue(void)
{
    m_ProtResidue.erase();
    m_set_State[0] &= ~0xc0;
}

void CRsStruct_Base::C_Attlist::ResetRsResidue(void)
{
    m_RsResidue.erase();
    m_set_State[0] &= ~0x300;
}

void CRsStruct_Base::C_Attlist::ResetStructResidue(void)
{
    m_StructResidue.erase();
    m_set_State[0] &= ~0xc000;
}

void CRsStruct_Base::C_Attlist::Reset(void)
{
    ResetProtAcc();
    ResetProtGi();
    ResetProtLoc();
    ResetProtResidue();
    ResetRsResidue();
    ResetStructGi();
    ResetStructLoc();
    ResetStructResidue();
}

BEGIN_NAMED_CLASS_INFO("", CRsStruct_Base::C_Attlist)
{
    SET_INTERNAL_NAME("RsStruct", "attlist");
    SET_CLASS_MODULE("Docsum-3-4");
    ADD_NAMED_STD_MEMBER("protAcc", m_ProtAcc)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("protGi", m_ProtGi)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("protLoc", m_ProtLoc)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("protResidue", m_ProtResidue)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("rsResidue", m_RsResidue)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("structGi", m_StructGi)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("structLoc", m_StructLoc)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("structResidue", m_StructResidue)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CRsStruct_Base::C_Attlist::C_Attlist(void)
    : m_ProtGi(0), m_ProtLoc(0), m_StructGi(0), m_StructLoc(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CRsStruct_Base::C_Attlist::~C_Attlist(void)
{
}


void CRsStruct_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CRsStruct_Base::SetAttlist(CRsStruct_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CRsStruct_Base::Reset(void)
{
    ResetAttlist();
    ResetRsStruct();
}

BEGIN_NAMED_BASE_CLASS_INFO("RsStruct", CRsStruct)
{
    SET_CLASS_MODULE("Docsum-3-4");
    ADD_NAMED_REF_MEMBER("attlist", m_Attlist, C_Attlist);
    ADD_NAMED_NULL_MEMBER("rsStruct", null, ())->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CRsStruct_Base::CRsStruct_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CRsStruct_Base::~CRsStruct_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

