/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'entrezgene.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/entrezgene/Gene_track.hpp>
#include <objects/general/Date.hpp>
#include <objects/general/Dbtag.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CGene_track_Base::, EStatus, true)
{
    SET_ENUM_INTERNAL_NAME("Gene-track", "status");
    SET_ENUM_MODULE("NCBI-Entrezgene");
    ADD_ENUM_VALUE("live", eStatus_live);
    ADD_ENUM_VALUE("secondary", eStatus_secondary);
    ADD_ENUM_VALUE("discontinued", eStatus_discontinued);
}
END_ENUM_INFO

void CGene_track_Base::ResetCurrent_id(void)
{
    m_Current_id.clear();
    m_set_State[0] &= ~0x30;
}

void CGene_track_Base::ResetCreate_date(void)
{
    if ( !m_Create_date ) {
        m_Create_date.Reset(new TCreate_date());
        return;
    }
    (*m_Create_date).Reset();
}

void CGene_track_Base::SetCreate_date(CGene_track_Base::TCreate_date& value)
{
    m_Create_date.Reset(&value);
}

void CGene_track_Base::ResetUpdate_date(void)
{
    if ( !m_Update_date ) {
        m_Update_date.Reset(new TUpdate_date());
        return;
    }
    (*m_Update_date).Reset();
}

void CGene_track_Base::SetUpdate_date(CGene_track_Base::TUpdate_date& value)
{
    m_Update_date.Reset(&value);
}

void CGene_track_Base::ResetDiscontinue_date(void)
{
    m_Discontinue_date.Reset();
}

void CGene_track_Base::SetDiscontinue_date(CGene_track_Base::TDiscontinue_date& value)
{
    m_Discontinue_date.Reset(&value);
}

CGene_track_Base::TDiscontinue_date& CGene_track_Base::SetDiscontinue_date(void)
{
    if ( !m_Discontinue_date )
        m_Discontinue_date.Reset(new TDiscontinue_date());
    return (*m_Discontinue_date);
}

void CGene_track_Base::Reset(void)
{
    ResetGeneid();
    ResetStatus();
    ResetCurrent_id();
    ResetCreate_date();
    ResetUpdate_date();
    ResetDiscontinue_date();
}

BEGIN_NAMED_BASE_CLASS_INFO("Gene-track", CGene_track)
{
    SET_CLASS_MODULE("NCBI-Entrezgene");
    ADD_NAMED_STD_MEMBER("geneid", m_Geneid)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_ENUM_MEMBER("status", m_Status, EStatus)->SetDefault(new TStatus(eStatus_live))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("current-id", m_Current_id, STL_list, (STL_CRef, (CLASS, (CDbtag))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("create-date", m_Create_date, CDate);
    ADD_NAMED_REF_MEMBER("update-date", m_Update_date, CDate);
    ADD_NAMED_REF_MEMBER("discontinue-date", m_Discontinue_date, CDate)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CGene_track_Base::CGene_track_Base(void)
    : m_Geneid(0), m_Status(eStatus_live)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetCreate_date();
        ResetUpdate_date();
    }
}

// destructor
CGene_track_Base::~CGene_track_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

