/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'entrezgene.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/entrezgene/Other_source.hpp>
#include <objects/general/Dbtag.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void COther_source_Base::ResetSrc(void)
{
    m_Src.Reset();
}

void COther_source_Base::SetSrc(COther_source_Base::TSrc& value)
{
    m_Src.Reset(&value);
}

COther_source_Base::TSrc& COther_source_Base::SetSrc(void)
{
    if ( !m_Src )
        m_Src.Reset(new TSrc());
    return (*m_Src);
}

void COther_source_Base::ResetPre_text(void)
{
    m_Pre_text.erase();
    m_set_State[0] &= ~0xc;
}

void COther_source_Base::ResetAnchor(void)
{
    m_Anchor.erase();
    m_set_State[0] &= ~0x30;
}

void COther_source_Base::ResetUrl(void)
{
    m_Url.erase();
    m_set_State[0] &= ~0xc0;
}

void COther_source_Base::ResetPost_text(void)
{
    m_Post_text.erase();
    m_set_State[0] &= ~0x300;
}

void COther_source_Base::Reset(void)
{
    ResetSrc();
    ResetPre_text();
    ResetAnchor();
    ResetUrl();
    ResetPost_text();
}

BEGIN_NAMED_BASE_CLASS_INFO("Other-source", COther_source)
{
    SET_CLASS_MODULE("NCBI-Entrezgene");
    ADD_NAMED_REF_MEMBER("src", m_Src, CDbtag)->SetOptional();
    ADD_NAMED_STD_MEMBER("pre-text", m_Pre_text)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("anchor", m_Anchor)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("url", m_Url)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("post-text", m_Post_text)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
COther_source_Base::COther_source_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
COther_source_Base::~COther_source_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

