/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'homologene.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/homologene/HG_Domain.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CHG_Domain_Base::ResetCdd_id(void)
{
    m_Cdd_id.erase();
    m_set_State[0] &= ~0xc0;
}

void CHG_Domain_Base::ResetCdd_name(void)
{
    m_Cdd_name.erase();
    m_set_State[0] &= ~0x300;
}

void CHG_Domain_Base::Reset(void)
{
    ResetBegin();
    ResetEnd();
    ResetPssm_id();
    ResetCdd_id();
    ResetCdd_name();
}

BEGIN_NAMED_BASE_CLASS_INFO("HG-Domain", CHG_Domain)
{
    SET_CLASS_MODULE("HomoloGene");
    ADD_NAMED_STD_MEMBER("begin", m_Begin)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("end", m_End)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("pssm-id", m_Pssm_id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("cdd-id", m_Cdd_id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("cdd-name", m_Cdd_name)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CHG_Domain_Base::CHG_Domain_Base(void)
    : m_Begin(0), m_End(0), m_Pssm_id(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CHG_Domain_Base::~CHG_Domain_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

