/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'homologene.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/homologene/HG_Node.hpp>
#include <objects/homologene/HG_Node_id.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CHG_Node_Base::, EType, false)
{
    SET_ENUM_INTERNAL_NAME("HG-Node", "type");
    SET_ENUM_MODULE("HomoloGene");
    ADD_ENUM_VALUE("family", eType_family);
    ADD_ENUM_VALUE("ortholog", eType_ortholog);
    ADD_ENUM_VALUE("paralog", eType_paralog);
    ADD_ENUM_VALUE("leaf", eType_leaf);
}
END_ENUM_INFO

void CHG_Node_Base::ResetId(void)
{
    if ( !m_Id ) {
        m_Id.Reset(new TId());
        return;
    }
    (*m_Id).Reset();
}

void CHG_Node_Base::SetId(CHG_Node_Base::TId& value)
{
    m_Id.Reset(&value);
}

void CHG_Node_Base::ResetCaption(void)
{
    m_Caption.erase();
    m_set_State[0] &= ~0x30;
}

void CHG_Node_Base::ResetChildren(void)
{
    m_Children.clear();
    m_set_State[0] &= ~0x300;
}

void CHG_Node_Base::Reset(void)
{
    ResetType();
    ResetId();
    ResetCaption();
    ResetCurrent_node();
    ResetChildren();
    ResetBranch_len();
}

BEGIN_NAMED_BASE_CLASS_INFO("HG-Node", CHG_Node)
{
    SET_CLASS_MODULE("HomoloGene");
    ADD_NAMED_ENUM_MEMBER("type", m_Type, EType)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("id", m_Id, CHG_Node_id);
    ADD_NAMED_STD_MEMBER("caption", m_Caption)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("current-node", m_Current_node)->SetDefault(new TCurrent_node(false))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("children", m_Children, STL_list_set, (STL_CRef, (CLASS, (CHG_Node))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("branch-len", m_Branch_len)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CHG_Node_Base::CHG_Node_Base(void)
    : m_Type((EType)(0)), m_Current_node(false), m_Branch_len(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetId();
    }
}

// destructor
CHG_Node_Base::~CHG_Node_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

