/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'macro.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/macro/Action_choice.hpp>
#include <objects/macro/AECRParse_action.hpp>
#include <objects/macro/Apply_action.hpp>
#include <objects/macro/Convert_action.hpp>
#include <objects/macro/Copy_action.hpp>
#include <objects/macro/Edit_action.hpp>
#include <objects/macro/Remove_action.hpp>
#include <objects/macro/Remove_outside_action.hpp>
#include <objects/macro/Swap_action.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CAction_choice_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CAction_choice_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Apply:
    case e_Edit:
    case e_Convert:
    case e_Copy:
    case e_Swap:
    case e_Remove:
    case e_Parse:
    case e_Remove_outside:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CAction_choice_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Apply:
        (m_object = new(pool) ncbi::objects::CApply_action())->AddReference();
        break;
    case e_Edit:
        (m_object = new(pool) ncbi::objects::CEdit_action())->AddReference();
        break;
    case e_Convert:
        (m_object = new(pool) ncbi::objects::CConvert_action())->AddReference();
        break;
    case e_Copy:
        (m_object = new(pool) ncbi::objects::CCopy_action())->AddReference();
        break;
    case e_Swap:
        (m_object = new(pool) ncbi::objects::CSwap_action())->AddReference();
        break;
    case e_Remove:
        (m_object = new(pool) ncbi::objects::CRemove_action())->AddReference();
        break;
    case e_Parse:
        (m_object = new(pool) ncbi::objects::CAECRParse_action())->AddReference();
        break;
    case e_Remove_outside:
        (m_object = new(pool) ncbi::objects::CRemove_outside_action())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CAction_choice_Base::sm_SelectionNames[] = {
    "not set",
    "apply",
    "edit",
    "convert",
    "copy",
    "swap",
    "remove",
    "parse",
    "remove-outside"
};

NCBI_NS_STD::string CAction_choice_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CAction_choice_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CAction_choice_Base::TApply& CAction_choice_Base::GetApply(void) const
{
    CheckSelected(e_Apply);
    return *static_cast<const TApply*>(m_object);
}

CAction_choice_Base::TApply& CAction_choice_Base::SetApply(void)
{
    Select(e_Apply, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TApply*>(m_object);
}

void CAction_choice_Base::SetApply(CAction_choice_Base::TApply& value)
{
    TApply* ptr = &value;
    if ( m_choice != e_Apply || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Apply;
    }
}

const CAction_choice_Base::TEdit& CAction_choice_Base::GetEdit(void) const
{
    CheckSelected(e_Edit);
    return *static_cast<const TEdit*>(m_object);
}

CAction_choice_Base::TEdit& CAction_choice_Base::SetEdit(void)
{
    Select(e_Edit, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TEdit*>(m_object);
}

void CAction_choice_Base::SetEdit(CAction_choice_Base::TEdit& value)
{
    TEdit* ptr = &value;
    if ( m_choice != e_Edit || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Edit;
    }
}

const CAction_choice_Base::TConvert& CAction_choice_Base::GetConvert(void) const
{
    CheckSelected(e_Convert);
    return *static_cast<const TConvert*>(m_object);
}

CAction_choice_Base::TConvert& CAction_choice_Base::SetConvert(void)
{
    Select(e_Convert, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TConvert*>(m_object);
}

void CAction_choice_Base::SetConvert(CAction_choice_Base::TConvert& value)
{
    TConvert* ptr = &value;
    if ( m_choice != e_Convert || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Convert;
    }
}

const CAction_choice_Base::TCopy& CAction_choice_Base::GetCopy(void) const
{
    CheckSelected(e_Copy);
    return *static_cast<const TCopy*>(m_object);
}

CAction_choice_Base::TCopy& CAction_choice_Base::SetCopy(void)
{
    Select(e_Copy, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TCopy*>(m_object);
}

void CAction_choice_Base::SetCopy(CAction_choice_Base::TCopy& value)
{
    TCopy* ptr = &value;
    if ( m_choice != e_Copy || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Copy;
    }
}

const CAction_choice_Base::TSwap& CAction_choice_Base::GetSwap(void) const
{
    CheckSelected(e_Swap);
    return *static_cast<const TSwap*>(m_object);
}

CAction_choice_Base::TSwap& CAction_choice_Base::SetSwap(void)
{
    Select(e_Swap, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TSwap*>(m_object);
}

void CAction_choice_Base::SetSwap(CAction_choice_Base::TSwap& value)
{
    TSwap* ptr = &value;
    if ( m_choice != e_Swap || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Swap;
    }
}

const CAction_choice_Base::TRemove& CAction_choice_Base::GetRemove(void) const
{
    CheckSelected(e_Remove);
    return *static_cast<const TRemove*>(m_object);
}

CAction_choice_Base::TRemove& CAction_choice_Base::SetRemove(void)
{
    Select(e_Remove, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TRemove*>(m_object);
}

void CAction_choice_Base::SetRemove(CAction_choice_Base::TRemove& value)
{
    TRemove* ptr = &value;
    if ( m_choice != e_Remove || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Remove;
    }
}

const CAction_choice_Base::TParse& CAction_choice_Base::GetParse(void) const
{
    CheckSelected(e_Parse);
    return *static_cast<const TParse*>(m_object);
}

CAction_choice_Base::TParse& CAction_choice_Base::SetParse(void)
{
    Select(e_Parse, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TParse*>(m_object);
}

void CAction_choice_Base::SetParse(CAction_choice_Base::TParse& value)
{
    TParse* ptr = &value;
    if ( m_choice != e_Parse || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Parse;
    }
}

const CAction_choice_Base::TRemove_outside& CAction_choice_Base::GetRemove_outside(void) const
{
    CheckSelected(e_Remove_outside);
    return *static_cast<const TRemove_outside*>(m_object);
}

CAction_choice_Base::TRemove_outside& CAction_choice_Base::SetRemove_outside(void)
{
    Select(e_Remove_outside, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TRemove_outside*>(m_object);
}

void CAction_choice_Base::SetRemove_outside(CAction_choice_Base::TRemove_outside& value)
{
    TRemove_outside* ptr = &value;
    if ( m_choice != e_Remove_outside || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Remove_outside;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Action-choice", CAction_choice)
{
    SET_CHOICE_MODULE("NCBI-Macro");
    ADD_NAMED_REF_CHOICE_VARIANT("apply", m_object, CApply_action);
    ADD_NAMED_REF_CHOICE_VARIANT("edit", m_object, CEdit_action);
    ADD_NAMED_REF_CHOICE_VARIANT("convert", m_object, CConvert_action);
    ADD_NAMED_REF_CHOICE_VARIANT("copy", m_object, CCopy_action);
    ADD_NAMED_REF_CHOICE_VARIANT("swap", m_object, CSwap_action);
    ADD_NAMED_REF_CHOICE_VARIANT("remove", m_object, CRemove_action);
    ADD_NAMED_REF_CHOICE_VARIANT("parse", m_object, CAECRParse_action);
    ADD_NAMED_REF_CHOICE_VARIANT("remove-outside", m_object, CRemove_outside_action);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CAction_choice_Base::CAction_choice_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CAction_choice_Base::~CAction_choice_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

