/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'macro.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/macro/Apply_table_action.hpp>
#include <objects/macro/Apply_table_extra_data.hpp>
#include <objects/macro/Table_match.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CApply_table_action_Base::ResetFilename(void)
{
    m_Filename.erase();
    m_set_State[0] &= ~0x3;
}

void CApply_table_action_Base::ResetMatch_type(void)
{
    if ( !m_Match_type ) {
        m_Match_type.Reset(new TMatch_type());
        return;
    }
    (*m_Match_type).Reset();
}

void CApply_table_action_Base::SetMatch_type(CApply_table_action_Base::TMatch_type& value)
{
    m_Match_type.Reset(&value);
}

void CApply_table_action_Base::ResetIn_memory_table(void)
{
    m_In_memory_table.Reset();
}

void CApply_table_action_Base::SetIn_memory_table(CApply_table_action_Base::TIn_memory_table& value)
{
    m_In_memory_table.Reset(&value);
}

CApply_table_action_Base::TIn_memory_table& CApply_table_action_Base::SetIn_memory_table(void)
{
    if ( !m_In_memory_table )
        m_In_memory_table.Reset(new TIn_memory_table());
    return (*m_In_memory_table);
}

void CApply_table_action_Base::Reset(void)
{
    ResetFilename();
    ResetMatch_type();
    ResetIn_memory_table();
    ResetAlso_change_mrna();
    ResetSkip_blanks();
}

BEGIN_NAMED_BASE_CLASS_INFO("Apply-table-action", CApply_table_action)
{
    SET_CLASS_MODULE("NCBI-Macro");
    ADD_NAMED_STD_MEMBER("filename", m_Filename)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("match-type", m_Match_type, CTable_match);
    ADD_NAMED_REF_MEMBER("in-memory-table", m_In_memory_table, CApply_table_extra_data)->SetOptional();
    ADD_NAMED_STD_MEMBER("also-change-mrna", m_Also_change_mrna)->SetDefault(new TAlso_change_mrna(false))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("skip-blanks", m_Skip_blanks)->SetDefault(new TSkip_blanks(true))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CApply_table_action_Base::CApply_table_action_Base(void)
    : m_Also_change_mrna(false), m_Skip_blanks(true)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetMatch_type();
    }
}

// destructor
CApply_table_action_Base::~CApply_table_action_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

