/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'macro.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/macro/Feat_qual_choice.hpp>
#include <objects/macro/String_constraint.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CFeat_qual_choice_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CFeat_qual_choice_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Illegal_qual:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CFeat_qual_choice_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Legal_qual:
        m_Legal_qual = (ncbi::objects::EFeat_qual_legal)(0);
        break;
    case e_Illegal_qual:
        (m_object = new(pool) ncbi::objects::CString_constraint())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CFeat_qual_choice_Base::sm_SelectionNames[] = {
    "not set",
    "legal-qual",
    "illegal-qual"
};

NCBI_NS_STD::string CFeat_qual_choice_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CFeat_qual_choice_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CFeat_qual_choice_Base::TIllegal_qual& CFeat_qual_choice_Base::GetIllegal_qual(void) const
{
    CheckSelected(e_Illegal_qual);
    return *static_cast<const TIllegal_qual*>(m_object);
}

CFeat_qual_choice_Base::TIllegal_qual& CFeat_qual_choice_Base::SetIllegal_qual(void)
{
    Select(e_Illegal_qual, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TIllegal_qual*>(m_object);
}

void CFeat_qual_choice_Base::SetIllegal_qual(CFeat_qual_choice_Base::TIllegal_qual& value)
{
    TIllegal_qual* ptr = &value;
    if ( m_choice != e_Illegal_qual || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Illegal_qual;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Feat-qual-choice", CFeat_qual_choice)
{
    SET_CHOICE_MODULE("NCBI-Macro");
    ADD_NAMED_ENUM_CHOICE_VARIANT("legal-qual", m_Legal_qual, EFeat_qual_legal);
    ADD_NAMED_REF_CHOICE_VARIANT("illegal-qual", m_object, CString_constraint);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CFeat_qual_choice_Base::CFeat_qual_choice_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CFeat_qual_choice_Base::~CFeat_qual_choice_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

