/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'macro.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/macro/Fix_caps_action.hpp>
#include <objects/macro/Fix_author_caps.hpp>
#include <objects/macro/Fix_pub_caps_action.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CFix_caps_action_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CFix_caps_action_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Pub:
    case e_Author:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CFix_caps_action_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Pub:
        (m_object = new(pool) ncbi::objects::CFix_pub_caps_action())->AddReference();
        break;
    case e_Src_qual:
        m_Src_qual = (ncbi::objects::ESource_qual)(0);
        break;
    case e_Author:
        (m_object = new(pool) ncbi::objects::CFix_author_caps())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CFix_caps_action_Base::sm_SelectionNames[] = {
    "not set",
    "pub",
    "src-country",
    "mouse-strain",
    "src-qual",
    "author"
};

NCBI_NS_STD::string CFix_caps_action_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CFix_caps_action_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CFix_caps_action_Base::TPub& CFix_caps_action_Base::GetPub(void) const
{
    CheckSelected(e_Pub);
    return *static_cast<const TPub*>(m_object);
}

CFix_caps_action_Base::TPub& CFix_caps_action_Base::SetPub(void)
{
    Select(e_Pub, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TPub*>(m_object);
}

void CFix_caps_action_Base::SetPub(CFix_caps_action_Base::TPub& value)
{
    TPub* ptr = &value;
    if ( m_choice != e_Pub || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Pub;
    }
}

const CFix_caps_action_Base::TAuthor& CFix_caps_action_Base::GetAuthor(void) const
{
    CheckSelected(e_Author);
    return *static_cast<const TAuthor*>(m_object);
}

CFix_caps_action_Base::TAuthor& CFix_caps_action_Base::SetAuthor(void)
{
    Select(e_Author, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TAuthor*>(m_object);
}

void CFix_caps_action_Base::SetAuthor(CFix_caps_action_Base::TAuthor& value)
{
    TAuthor* ptr = &value;
    if ( m_choice != e_Author || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Author;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Fix-caps-action", CFix_caps_action)
{
    SET_CHOICE_MODULE("NCBI-Macro");
    ADD_NAMED_REF_CHOICE_VARIANT("pub", m_object, CFix_pub_caps_action);
    ADD_NAMED_NULL_CHOICE_VARIANT("src-country", null, ());
    ADD_NAMED_NULL_CHOICE_VARIANT("mouse-strain", null, ());
    ADD_NAMED_ENUM_CHOICE_VARIANT("src-qual", m_Src_qual, ESource_qual);
    ADD_NAMED_REF_CHOICE_VARIANT("author", m_object, CFix_author_caps);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CFix_caps_action_Base::CFix_caps_action_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CFix_caps_action_Base::~CFix_caps_action_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

