/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'macro.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/macro/Macro_feature_type.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

BEGIN_NAMED_ENUM_INFO("Macro-feature-type", EMacro_feature_type, false)
{
    SET_ENUM_MODULE("NCBI-Macro");
    ADD_ENUM_VALUE("any", eMacro_feature_type_any);
    ADD_ENUM_VALUE("gene", eMacro_feature_type_gene);
    ADD_ENUM_VALUE("org", eMacro_feature_type_org);
    ADD_ENUM_VALUE("cds", eMacro_feature_type_cds);
    ADD_ENUM_VALUE("prot", eMacro_feature_type_prot);
    ADD_ENUM_VALUE("preRNA", eMacro_feature_type_preRNA);
    ADD_ENUM_VALUE("mRNA", eMacro_feature_type_mRNA);
    ADD_ENUM_VALUE("tRNA", eMacro_feature_type_tRNA);
    ADD_ENUM_VALUE("rRNA", eMacro_feature_type_rRNA);
    ADD_ENUM_VALUE("snRNA", eMacro_feature_type_snRNA);
    ADD_ENUM_VALUE("scRNA", eMacro_feature_type_scRNA);
    ADD_ENUM_VALUE("otherRNA", eMacro_feature_type_otherRNA);
    ADD_ENUM_VALUE("pub", eMacro_feature_type_pub);
    ADD_ENUM_VALUE("seq", eMacro_feature_type_seq);
    ADD_ENUM_VALUE("imp", eMacro_feature_type_imp);
    ADD_ENUM_VALUE("allele", eMacro_feature_type_allele);
    ADD_ENUM_VALUE("attenuator", eMacro_feature_type_attenuator);
    ADD_ENUM_VALUE("c-region", eMacro_feature_type_c_region);
    ADD_ENUM_VALUE("caat-signal", eMacro_feature_type_caat_signal);
    ADD_ENUM_VALUE("imp-CDS", eMacro_feature_type_imp_CDS);
    ADD_ENUM_VALUE("conflict", eMacro_feature_type_conflict);
    ADD_ENUM_VALUE("d-loop", eMacro_feature_type_d_loop);
    ADD_ENUM_VALUE("d-segment", eMacro_feature_type_d_segment);
    ADD_ENUM_VALUE("enhancer", eMacro_feature_type_enhancer);
    ADD_ENUM_VALUE("exon", eMacro_feature_type_exon);
    ADD_ENUM_VALUE("gC-signal", eMacro_feature_type_gC_signal);
    ADD_ENUM_VALUE("iDNA", eMacro_feature_type_iDNA);
    ADD_ENUM_VALUE("intron", eMacro_feature_type_intron);
    ADD_ENUM_VALUE("j-segment", eMacro_feature_type_j_segment);
    ADD_ENUM_VALUE("ltr", eMacro_feature_type_ltr);
    ADD_ENUM_VALUE("mat-peptide", eMacro_feature_type_mat_peptide);
    ADD_ENUM_VALUE("misc-binding", eMacro_feature_type_misc_binding);
    ADD_ENUM_VALUE("misc-difference", eMacro_feature_type_misc_difference);
    ADD_ENUM_VALUE("misc-feature", eMacro_feature_type_misc_feature);
    ADD_ENUM_VALUE("misc-recomb", eMacro_feature_type_misc_recomb);
    ADD_ENUM_VALUE("misc-RNA", eMacro_feature_type_misc_RNA);
    ADD_ENUM_VALUE("misc-signal", eMacro_feature_type_misc_signal);
    ADD_ENUM_VALUE("misc-structure", eMacro_feature_type_misc_structure);
    ADD_ENUM_VALUE("modified-base", eMacro_feature_type_modified_base);
    ADD_ENUM_VALUE("mutation", eMacro_feature_type_mutation);
    ADD_ENUM_VALUE("n-region", eMacro_feature_type_n_region);
    ADD_ENUM_VALUE("old-sequence", eMacro_feature_type_old_sequence);
    ADD_ENUM_VALUE("polyA-signal", eMacro_feature_type_polyA_signal);
    ADD_ENUM_VALUE("polyA-site", eMacro_feature_type_polyA_site);
    ADD_ENUM_VALUE("precursor-RNA", eMacro_feature_type_precursor_RNA);
    ADD_ENUM_VALUE("prim-transcript", eMacro_feature_type_prim_transcript);
    ADD_ENUM_VALUE("primer-bind", eMacro_feature_type_primer_bind);
    ADD_ENUM_VALUE("promoter", eMacro_feature_type_promoter);
    ADD_ENUM_VALUE("protein-bind", eMacro_feature_type_protein_bind);
    ADD_ENUM_VALUE("rbs", eMacro_feature_type_rbs);
    ADD_ENUM_VALUE("repeat-region", eMacro_feature_type_repeat_region);
    ADD_ENUM_VALUE("rep-origin", eMacro_feature_type_rep_origin);
    ADD_ENUM_VALUE("s-region", eMacro_feature_type_s_region);
    ADD_ENUM_VALUE("sig-peptide", eMacro_feature_type_sig_peptide);
    ADD_ENUM_VALUE("source", eMacro_feature_type_source);
    ADD_ENUM_VALUE("stem-loop", eMacro_feature_type_stem_loop);
    ADD_ENUM_VALUE("sts", eMacro_feature_type_sts);
    ADD_ENUM_VALUE("tata-signal", eMacro_feature_type_tata_signal);
    ADD_ENUM_VALUE("terminator", eMacro_feature_type_terminator);
    ADD_ENUM_VALUE("transit-peptide", eMacro_feature_type_transit_peptide);
    ADD_ENUM_VALUE("unsure", eMacro_feature_type_unsure);
    ADD_ENUM_VALUE("v-region", eMacro_feature_type_v_region);
    ADD_ENUM_VALUE("v-segment", eMacro_feature_type_v_segment);
    ADD_ENUM_VALUE("variation", eMacro_feature_type_variation);
    ADD_ENUM_VALUE("virion", eMacro_feature_type_virion);
    ADD_ENUM_VALUE("n3clip", eMacro_feature_type_n3clip);
    ADD_ENUM_VALUE("n3UTR", eMacro_feature_type_n3UTR);
    ADD_ENUM_VALUE("n5clip", eMacro_feature_type_n5clip);
    ADD_ENUM_VALUE("n5UTR", eMacro_feature_type_n5UTR);
    ADD_ENUM_VALUE("n10-signal", eMacro_feature_type_n10_signal);
    ADD_ENUM_VALUE("n35-signal", eMacro_feature_type_n35_signal);
    ADD_ENUM_VALUE("site-ref", eMacro_feature_type_site_ref);
    ADD_ENUM_VALUE("region", eMacro_feature_type_region);
    ADD_ENUM_VALUE("comment", eMacro_feature_type_comment);
    ADD_ENUM_VALUE("bond", eMacro_feature_type_bond);
    ADD_ENUM_VALUE("site", eMacro_feature_type_site);
    ADD_ENUM_VALUE("rsite", eMacro_feature_type_rsite);
    ADD_ENUM_VALUE("user", eMacro_feature_type_user);
    ADD_ENUM_VALUE("txinit", eMacro_feature_type_txinit);
    ADD_ENUM_VALUE("num", eMacro_feature_type_num);
    ADD_ENUM_VALUE("psec-str", eMacro_feature_type_psec_str);
    ADD_ENUM_VALUE("non-std-residue", eMacro_feature_type_non_std_residue);
    ADD_ENUM_VALUE("het", eMacro_feature_type_het);
    ADD_ENUM_VALUE("biosrc", eMacro_feature_type_biosrc);
    ADD_ENUM_VALUE("preprotein", eMacro_feature_type_preprotein);
    ADD_ENUM_VALUE("mat-peptide-aa", eMacro_feature_type_mat_peptide_aa);
    ADD_ENUM_VALUE("sig-peptide-aa", eMacro_feature_type_sig_peptide_aa);
    ADD_ENUM_VALUE("transit-peptide-aa", eMacro_feature_type_transit_peptide_aa);
    ADD_ENUM_VALUE("snoRNA", eMacro_feature_type_snoRNA);
    ADD_ENUM_VALUE("gap", eMacro_feature_type_gap);
    ADD_ENUM_VALUE("operon", eMacro_feature_type_operon);
    ADD_ENUM_VALUE("oriT", eMacro_feature_type_oriT);
    ADD_ENUM_VALUE("ncRNA", eMacro_feature_type_ncRNA);
    ADD_ENUM_VALUE("tmRNA", eMacro_feature_type_tmRNA);
    ADD_ENUM_VALUE("mobile-element", eMacro_feature_type_mobile_element);
    ADD_ENUM_VALUE("regulatory", eMacro_feature_type_regulatory);
}
END_ENUM_INFO


END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

