/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'macro.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/macro/Molinfo_field.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CMolinfo_field_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CMolinfo_field_Base::ResetSelection(void)
{
    m_choice = e_not_set;
}

void CMolinfo_field_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* )
{
    switch ( index ) {
    case e_Molecule:
        m_Molecule = (ncbi::objects::EMolecule_type)(0);
        break;
    case e_Technique:
        m_Technique = (ncbi::objects::ETechnique_type)(0);
        break;
    case e_Completedness:
        m_Completedness = (ncbi::objects::ECompletedness_type)(0);
        break;
    case e_Mol_class:
        m_Mol_class = (ncbi::objects::EMolecule_class_type)(0);
        break;
    case e_Topology:
        m_Topology = (ncbi::objects::ETopology_type)(0);
        break;
    case e_Strand:
        m_Strand = (ncbi::objects::EStrand_type)(0);
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CMolinfo_field_Base::sm_SelectionNames[] = {
    "not set",
    "molecule",
    "technique",
    "completedness",
    "mol-class",
    "topology",
    "strand"
};

NCBI_NS_STD::string CMolinfo_field_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CMolinfo_field_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Molinfo-field", CMolinfo_field)
{
    SET_CHOICE_MODULE("NCBI-Macro");
    ADD_NAMED_ENUM_CHOICE_VARIANT("molecule", m_Molecule, EMolecule_type);
    ADD_NAMED_ENUM_CHOICE_VARIANT("technique", m_Technique, ETechnique_type);
    ADD_NAMED_ENUM_CHOICE_VARIANT("completedness", m_Completedness, ECompletedness_type);
    ADD_NAMED_ENUM_CHOICE_VARIANT("mol-class", m_Mol_class, EMolecule_class_type);
    ADD_NAMED_ENUM_CHOICE_VARIANT("topology", m_Topology, ETopology_type);
    ADD_NAMED_ENUM_CHOICE_VARIANT("strand", m_Strand, EStrand_type);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CMolinfo_field_Base::CMolinfo_field_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CMolinfo_field_Base::~CMolinfo_field_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

