/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'macro.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/macro/Parse_dest.hpp>
#include <objects/macro/Feature_field_legal.hpp>
#include <objects/macro/Parse_dst_org.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CParse_dest_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CParse_dest_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Dbxref:
        m_string.Destruct();
        break;
    case e_Org:
    case e_Featqual:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CParse_dest_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Org:
        (m_object = new(pool) ncbi::objects::CParse_dst_org())->AddReference();
        break;
    case e_Featqual:
        (m_object = new(pool) ncbi::objects::CFeature_field_legal())->AddReference();
        break;
    case e_Dbxref:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CParse_dest_Base::sm_SelectionNames[] = {
    "not set",
    "defline",
    "org",
    "featqual",
    "comment-descriptor",
    "dbxref"
};

NCBI_NS_STD::string CParse_dest_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CParse_dest_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CParse_dest_Base::TOrg& CParse_dest_Base::GetOrg(void) const
{
    CheckSelected(e_Org);
    return *static_cast<const TOrg*>(m_object);
}

CParse_dest_Base::TOrg& CParse_dest_Base::SetOrg(void)
{
    Select(e_Org, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TOrg*>(m_object);
}

void CParse_dest_Base::SetOrg(CParse_dest_Base::TOrg& value)
{
    TOrg* ptr = &value;
    if ( m_choice != e_Org || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Org;
    }
}

const CParse_dest_Base::TFeatqual& CParse_dest_Base::GetFeatqual(void) const
{
    CheckSelected(e_Featqual);
    return *static_cast<const TFeatqual*>(m_object);
}

CParse_dest_Base::TFeatqual& CParse_dest_Base::SetFeatqual(void)
{
    Select(e_Featqual, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TFeatqual*>(m_object);
}

void CParse_dest_Base::SetFeatqual(CParse_dest_Base::TFeatqual& value)
{
    TFeatqual* ptr = &value;
    if ( m_choice != e_Featqual || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Featqual;
    }
}

void CParse_dest_Base::SetDbxref(const CParse_dest_Base::TDbxref& value)
{
    Select(e_Dbxref, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Parse-dest", CParse_dest)
{
    SET_CHOICE_MODULE("NCBI-Macro");
    ADD_NAMED_NULL_CHOICE_VARIANT("defline", null, ());
    ADD_NAMED_REF_CHOICE_VARIANT("org", m_object, CParse_dst_org);
    ADD_NAMED_REF_CHOICE_VARIANT("featqual", m_object, CFeature_field_legal);
    ADD_NAMED_NULL_CHOICE_VARIANT("comment-descriptor", null, ());
    ADD_NAMED_BUF_CHOICE_VARIANT("dbxref", m_string, STD, (string));
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CParse_dest_Base::CParse_dest_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CParse_dest_Base::~CParse_dest_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

