/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'macro.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/macro/Quantity_constraint.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CQuantity_constraint_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CQuantity_constraint_Base::ResetSelection(void)
{
    m_choice = e_not_set;
}

void CQuantity_constraint_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* )
{
    switch ( index ) {
    case e_Equals:
        m_Equals = 0;
        break;
    case e_Greater_than:
        m_Greater_than = 0;
        break;
    case e_Less_than:
        m_Less_than = 0;
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CQuantity_constraint_Base::sm_SelectionNames[] = {
    "not set",
    "equals",
    "greater-than",
    "less-than"
};

NCBI_NS_STD::string CQuantity_constraint_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CQuantity_constraint_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Quantity-constraint", CQuantity_constraint)
{
    SET_CHOICE_MODULE("NCBI-Macro");
    ADD_NAMED_STD_CHOICE_VARIANT("equals", m_Equals);
    ADD_NAMED_STD_CHOICE_VARIANT("greater-than", m_Greater_than);
    ADD_NAMED_STD_CHOICE_VARIANT("less-than", m_Less_than);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CQuantity_constraint_Base::CQuantity_constraint_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CQuantity_constraint_Base::~CQuantity_constraint_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

