/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'macro.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/macro/Remov_duplic_featur_action.hpp>
#include <objects/macro/Constraint_choice_set.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CRemove_duplicate_feature_action_Base::ResetRd_constraint(void)
{
    m_Rd_constraint.Reset();
}

void CRemove_duplicate_feature_action_Base::SetRd_constraint(CRemove_duplicate_feature_action_Base::TRd_constraint& value)
{
    m_Rd_constraint.Reset(&value);
}

CRemove_duplicate_feature_action_Base::TRd_constraint& CRemove_duplicate_feature_action_Base::SetRd_constraint(void)
{
    if ( !m_Rd_constraint )
        m_Rd_constraint.Reset(new TRd_constraint());
    return (*m_Rd_constraint);
}

void CRemove_duplicate_feature_action_Base::Reset(void)
{
    ResetType();
    ResetIgnore_partials();
    ResetCase_sensitive();
    ResetRemove_proteins();
    ResetRd_constraint();
}

BEGIN_NAMED_BASE_CLASS_INFO("Remove-duplicate-feature-action", CRemove_duplicate_feature_action)
{
    SET_CLASS_MODULE("NCBI-Macro");
    ADD_NAMED_ENUM_MEMBER("type", m_Type, EMacro_feature_type)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("ignore-partials", m_Ignore_partials)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("case-sensitive", m_Case_sensitive)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("remove-proteins", m_Remove_proteins)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("rd-constraint", m_Rd_constraint, CConstraint_choice_set)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CRemove_duplicate_feature_action_Base::CRemove_duplicate_feature_action_Base(void)
    : m_Type((ncbi::objects::EMacro_feature_type)(0)), m_Ignore_partials(0), m_Case_sensitive(0), m_Remove_proteins(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CRemove_duplicate_feature_action_Base::~CRemove_duplicate_feature_action_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

