/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'macro.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/macro/Rna_qual_pair.hpp>
#include <objects/macro/Rna_feat_type.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CRna_qual_pair_Base::ResetType(void)
{
    if ( !m_Type ) {
        m_Type.Reset(new TType());
        return;
    }
    (*m_Type).Reset();
}

void CRna_qual_pair_Base::SetType(CRna_qual_pair_Base::TType& value)
{
    m_Type.Reset(&value);
}

void CRna_qual_pair_Base::Reset(void)
{
    ResetType();
    ResetField_from();
    ResetField_to();
}

BEGIN_NAMED_BASE_CLASS_INFO("Rna-qual-pair", CRna_qual_pair)
{
    SET_CLASS_MODULE("NCBI-Macro");
    ADD_NAMED_REF_MEMBER("type", m_Type, CRna_feat_type);
    ADD_NAMED_ENUM_MEMBER("field-from", m_Field_from, ERna_field)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_ENUM_MEMBER("field-to", m_Field_to, ERna_field)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CRna_qual_pair_Base::CRna_qual_pair_Base(void)
    : m_Field_from((ncbi::objects::ERna_field)(0)), m_Field_to((ncbi::objects::ERna_field)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetType();
    }
}

// destructor
CRna_qual_pair_Base::~CRna_qual_pair_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

