/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'macro.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/macro/Search_func.hpp>
#include <objects/macro/String_constraint.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CSearch_func_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CSearch_func_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Prefix_and_numbers:
    case e_Has_term:
        m_string.Destruct();
        break;
    case e_String_constraint:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CSearch_func_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_String_constraint:
        (m_object = new(pool) ncbi::objects::CString_constraint())->AddReference();
        break;
    case e_N_or_more_brackets_or_parentheses:
        m_N_or_more_brackets_or_parentheses = 0;
        break;
    case e_Too_long:
        m_Too_long = 0;
        break;
    case e_Prefix_and_numbers:
    case e_Has_term:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CSearch_func_Base::sm_SelectionNames[] = {
    "not set",
    "string-constraint",
    "contains-plural",
    "n-or-more-brackets-or-parentheses",
    "three-numbers",
    "underscore",
    "prefix-and-numbers",
    "all-caps",
    "unbalanced-paren",
    "too-long",
    "has-term"
};

NCBI_NS_STD::string CSearch_func_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CSearch_func_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CSearch_func_Base::TString_constraint& CSearch_func_Base::GetString_constraint(void) const
{
    CheckSelected(e_String_constraint);
    return *static_cast<const TString_constraint*>(m_object);
}

CSearch_func_Base::TString_constraint& CSearch_func_Base::SetString_constraint(void)
{
    Select(e_String_constraint, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TString_constraint*>(m_object);
}

void CSearch_func_Base::SetString_constraint(CSearch_func_Base::TString_constraint& value)
{
    TString_constraint* ptr = &value;
    if ( m_choice != e_String_constraint || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_String_constraint;
    }
}

void CSearch_func_Base::SetPrefix_and_numbers(const CSearch_func_Base::TPrefix_and_numbers& value)
{
    Select(e_Prefix_and_numbers, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

void CSearch_func_Base::SetHas_term(const CSearch_func_Base::THas_term& value)
{
    Select(e_Has_term, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Search-func", CSearch_func)
{
    SET_CHOICE_MODULE("NCBI-Macro");
    ADD_NAMED_REF_CHOICE_VARIANT("string-constraint", m_object, CString_constraint);
    ADD_NAMED_NULL_CHOICE_VARIANT("contains-plural", null, ());
    ADD_NAMED_STD_CHOICE_VARIANT("n-or-more-brackets-or-parentheses", m_N_or_more_brackets_or_parentheses);
    ADD_NAMED_NULL_CHOICE_VARIANT("three-numbers", null, ());
    ADD_NAMED_NULL_CHOICE_VARIANT("underscore", null, ());
    ADD_NAMED_BUF_CHOICE_VARIANT("prefix-and-numbers", m_string, STD, (string));
    ADD_NAMED_NULL_CHOICE_VARIANT("all-caps", null, ());
    ADD_NAMED_NULL_CHOICE_VARIANT("unbalanced-paren", null, ());
    ADD_NAMED_STD_CHOICE_VARIANT("too-long", m_Too_long);
    ADD_NAMED_BUF_CHOICE_VARIANT("has-term", m_string, STD, (string));
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CSearch_func_Base::CSearch_func_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CSearch_func_Base::~CSearch_func_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

