/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'macro.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/macro/Source_qual_choice.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CSource_qual_choice_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CSource_qual_choice_Base::ResetSelection(void)
{
    m_choice = e_not_set;
}

void CSource_qual_choice_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* )
{
    switch ( index ) {
    case e_Textqual:
        m_Textqual = (ncbi::objects::ESource_qual)(0);
        break;
    case e_Location:
        m_Location = (ncbi::objects::ESource_location)(0);
        break;
    case e_Origin:
        m_Origin = (ncbi::objects::ESource_origin)(0);
        break;
    case e_Gcode:
        m_Gcode = 0;
        break;
    case e_Mgcode:
        m_Mgcode = 0;
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CSource_qual_choice_Base::sm_SelectionNames[] = {
    "not set",
    "textqual",
    "location",
    "origin",
    "gcode",
    "mgcode"
};

NCBI_NS_STD::string CSource_qual_choice_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CSource_qual_choice_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Source-qual-choice", CSource_qual_choice)
{
    SET_CHOICE_MODULE("NCBI-Macro");
    ADD_NAMED_ENUM_CHOICE_VARIANT("textqual", m_Textqual, ESource_qual);
    ADD_NAMED_ENUM_CHOICE_VARIANT("location", m_Location, ESource_location);
    ADD_NAMED_ENUM_CHOICE_VARIANT("origin", m_Origin, ESource_origin);
    ADD_NAMED_STD_CHOICE_VARIANT("gcode", m_Gcode);
    ADD_NAMED_STD_CHOICE_VARIANT("mgcode", m_Mgcode);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CSource_qual_choice_Base::CSource_qual_choice_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CSource_qual_choice_Base::~CSource_qual_choice_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

