/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'macro.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/macro/Table_match_type.hpp>
#include <objects/macro/Source_qual_choice.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CTable_match_type_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CTable_match_type_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Src_qual:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CTable_match_type_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Src_qual:
        (m_object = new(pool) ncbi::objects::CSource_qual_choice())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CTable_match_type_Base::sm_SelectionNames[] = {
    "not set",
    "feature-id",
    "gene-locus-tag",
    "protein-id",
    "dbxref",
    "nuc-id",
    "src-qual",
    "protein-name",
    "bioproject",
    "any"
};

NCBI_NS_STD::string CTable_match_type_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CTable_match_type_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CTable_match_type_Base::TSrc_qual& CTable_match_type_Base::GetSrc_qual(void) const
{
    CheckSelected(e_Src_qual);
    return *static_cast<const TSrc_qual*>(m_object);
}

CTable_match_type_Base::TSrc_qual& CTable_match_type_Base::SetSrc_qual(void)
{
    Select(e_Src_qual, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TSrc_qual*>(m_object);
}

void CTable_match_type_Base::SetSrc_qual(CTable_match_type_Base::TSrc_qual& value)
{
    TSrc_qual* ptr = &value;
    if ( m_choice != e_Src_qual || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Src_qual;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Table-match-type", CTable_match_type)
{
    SET_CHOICE_MODULE("NCBI-Macro");
    ADD_NAMED_NULL_CHOICE_VARIANT("feature-id", null, ());
    ADD_NAMED_NULL_CHOICE_VARIANT("gene-locus-tag", null, ());
    ADD_NAMED_NULL_CHOICE_VARIANT("protein-id", null, ());
    ADD_NAMED_NULL_CHOICE_VARIANT("dbxref", null, ());
    ADD_NAMED_NULL_CHOICE_VARIANT("nuc-id", null, ());
    ADD_NAMED_REF_CHOICE_VARIANT("src-qual", m_object, CSource_qual_choice);
    ADD_NAMED_NULL_CHOICE_VARIANT("protein-name", null, ());
    ADD_NAMED_NULL_CHOICE_VARIANT("bioproject", null, ());
    ADD_NAMED_NULL_CHOICE_VARIANT("any", null, ());
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CTable_match_type_Base::CTable_match_type_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CTable_match_type_Base::~CTable_match_type_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

