/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'macro.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/macro/Text_transform.hpp>
#include <objects/macro/Field_edit.hpp>
#include <objects/macro/Text_portion.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CText_transform_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CText_transform_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Edit:
    case e_Remove:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CText_transform_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Edit:
        (m_object = new(pool) ncbi::objects::CField_edit())->AddReference();
        break;
    case e_Caps:
        m_Caps = (ncbi::objects::ECap_change)(0);
        break;
    case e_Remove:
        (m_object = new(pool) ncbi::objects::CText_portion())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CText_transform_Base::sm_SelectionNames[] = {
    "not set",
    "edit",
    "caps",
    "remove"
};

NCBI_NS_STD::string CText_transform_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CText_transform_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CText_transform_Base::TEdit& CText_transform_Base::GetEdit(void) const
{
    CheckSelected(e_Edit);
    return *static_cast<const TEdit*>(m_object);
}

CText_transform_Base::TEdit& CText_transform_Base::SetEdit(void)
{
    Select(e_Edit, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TEdit*>(m_object);
}

void CText_transform_Base::SetEdit(CText_transform_Base::TEdit& value)
{
    TEdit* ptr = &value;
    if ( m_choice != e_Edit || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Edit;
    }
}

const CText_transform_Base::TRemove& CText_transform_Base::GetRemove(void) const
{
    CheckSelected(e_Remove);
    return *static_cast<const TRemove*>(m_object);
}

CText_transform_Base::TRemove& CText_transform_Base::SetRemove(void)
{
    Select(e_Remove, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TRemove*>(m_object);
}

void CText_transform_Base::SetRemove(CText_transform_Base::TRemove& value)
{
    TRemove* ptr = &value;
    if ( m_choice != e_Remove || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Remove;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Text-transform", CText_transform)
{
    SET_CHOICE_MODULE("NCBI-Macro");
    ADD_NAMED_REF_CHOICE_VARIANT("edit", m_object, CField_edit);
    ADD_NAMED_ENUM_CHOICE_VARIANT("caps", m_Caps, ECap_change);
    ADD_NAMED_REF_CHOICE_VARIANT("remove", m_object, CText_portion);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CText_transform_Base::CText_transform_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CText_transform_Base::~CText_transform_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

