#include <ncbi_pch.hpp>
#include "AECRParse_action.cpp"
#include "AECR_action.cpp"
#include "Action_choice.cpp"
#include "Add_descriptor_list_action.cpp"
#include "Add_file_action.cpp"
#include "Adjus_featu_for_gaps_actio.cpp"
#include "Apply_action.cpp"
#include "Apply_feature_action.cpp"
#include "Apply_table_action.cpp"
#include "Apply_table_extra_data.cpp"
#include "Author_fix_action.cpp"
#include "Author_fix_type.cpp"
#include "Autod_misc_feat_parse_rule.cpp"
#include "Autodef_action.cpp"
#include "Autodef_list_type.cpp"
#include "Autofix_action.cpp"
#include "Bond_type.cpp"
#include "CDSGen_featur_type_constra.cpp"
#include "CDSGenePr_constraint_field.cpp"
#include "CDSGenePr_pseudo_constrain.cpp"
#include "CDSGenePro_qual_constraint.cpp"
#include "CDSGeneProt_field.cpp"
#include "CDSGeneProt_field_pair.cpp"
#include "Cap_change.cpp"
#include "Completedness_type.cpp"
#include "Constraint_choice.cpp"
#include "Constraint_choice_set.cpp"
#include "Conver_feature_dst_options.cpp"
#include "Conver_feature_src_options.cpp"
#include "Convert_action.cpp"
#include "Convert_feature_action.cpp"
#include "Convert_from_CDS_options.cpp"
#include "Convert_location_type.cpp"
#include "Copy_action.cpp"
#include "Create_TSA_ids_action.cpp"
#include "Create_TSA_ids_src.cpp"
#include "DBLink_field_pair.cpp"
#include "DBLink_field_type.cpp"
#include "Descriptor_type.cpp"
#include "Edit_action.cpp"
#include "Edit_featur_locatio_action.cpp"
#include "Edit_location_strand.cpp"
#include "ExistingTextOption.cpp"
#include "Extend_to_feature.cpp"
#include "Feat_qual_choice.cpp"
#include "Feat_qual_legal.cpp"
#include "Feat_qual_legal_set.cpp"
#include "Feat_qual_legal_val.cpp"
#include "Feat_qual_legal_val_choice.cpp"
#include "Featur_locatio_strand_from.cpp"
#include "Feature_field.cpp"
#include "Feature_field_legal.cpp"
#include "Feature_field_pair.cpp"
#include "Feature_location_strand_to.cpp"
#include "Feature_stranded_constrain.cpp"
#include "Field_constraint.cpp"
#include "Field_edit.cpp"
#include "Field_edit_location.cpp"
#include "Field_pair_type.cpp"
#include "Field_type.cpp"
#include "Fix_author_caps.cpp"
#include "Fix_caps_action.cpp"
#include "Fix_format_action.cpp"
#include "Fix_pub_caps_action.cpp"
#include "Fix_sets_action.cpp"
#include "Fix_type.cpp"
#include "Gene_xref_necessary_type.cpp"
#include "Gene_xref_suppression_type.cpp"
#include "Gene_xref_type.cpp"
#include "Location_choice.cpp"
#include "Location_constraint.cpp"
#include "Location_edit_type.cpp"
#include "Location_interval.cpp"
#include "Location_pos_constraint.cpp"
#include "Location_type_constraint.cpp"
#include "Macro_action_choice.cpp"
#include "Macro_action_list.cpp"
#include "Macro_feature_type.cpp"
#include "Make_gene_xref_action.cpp"
#include "Match_type_constraint.cpp"
#include "Misc_field.cpp"
#include "Molecule_class_type.cpp"
#include "Molecule_type.cpp"
#include "Molinfo_block.cpp"
#include "Molinfo_completedness_pair.cpp"
#include "Molinfo_field.cpp"
#include "Molinfo_field_constraint.cpp"
#include "Molinfo_field_list.cpp"
#include "Molinfo_field_pair.cpp"
#include "Molinfo_mol_class_pair.cpp"
#include "Molinfo_molecule_pair.cpp"
#include "Molinfo_strand_pair.cpp"
#include "Molinfo_technique_pair.cpp"
#include "Molinfo_topology_pair.cpp"
#include "Object_type_constraint.cpp"
#include "Parse_action.cpp"
#include "Parse_dest.cpp"
#include "Parse_dst_org.cpp"
#include "Parse_src.cpp"
#include "Parse_src_general_id.cpp"
#include "Parse_src_org.cpp"
#include "Parse_src_org_choice.cpp"
#include "Partial_3_clear_constraint.cpp"
#include "Partial_3_set_action.cpp"
#include "Partial_3_set_constraint.cpp"
#include "Partial_5_clear_constraint.cpp"
#include "Partial_5_set_action.cpp"
#include "Partial_5_set_constraint.cpp"
#include "Partial_both_clear_constra.cpp"
#include "Partial_both_set_action.cpp"
#include "Partial_both_set_constrain.cpp"
#include "Partial_constraint.cpp"
#include "Pub_field_constraint.cpp"
#include "Pub_field_speci_const_type.cpp"
#include "Pub_field_special_constrai.cpp"
#include "Pub_type.cpp"
#include "Publication_constraint.cpp"
#include "Publication_field.cpp"
#include "Quantity_constraint.cpp"
#include "Region_type.cpp"
#include "Remov_duplic_featur_action.cpp"
#include "Remove_action.cpp"
#include "Remove_descriptor_action.cpp"
#include "Remove_feature_action.cpp"
#include "Remove_outside_action.cpp"
#include "Remove_sequences_action.cpp"
#include "Remove_xrefs_action.cpp"
#include "Replace_func.cpp"
#include "Replace_rule.cpp"
#include "Retranslate_cds_action.cpp"
#include "Rna_feat_type.cpp"
#include "Rna_field.cpp"
#include "Rna_qual.cpp"
#include "Rna_qual_pair.cpp"
#include "Search_func.cpp"
#include "Seqtype_constraint.cpp"
#include "Seque_const_mol_type_const.cpp"
#include "Sequence_constraint.cpp"
#include "Sequence_constraint_rnamol.cpp"
#include "Sequence_list.cpp"
#include "Sequence_list_choice.cpp"
#include "Simple_replace.cpp"
#include "Site_type.cpp"
#include "Sort_fields_action.cpp"
#include "Sort_order.cpp"
#include "Source_constraint.cpp"
#include "Source_location.cpp"
#include "Source_origin.cpp"
#include "Source_qual.cpp"
#include "Source_qual_choice.cpp"
#include "Source_qual_pair.cpp"
#include "Source_qual_text_val.cpp"
#include "Source_qual_val_choice.cpp"
#include "Source_qual_val_set.cpp"
#include "Strand_constraint.cpp"
#include "Strand_type.cpp"
#include "String_constraint.cpp"
#include "String_constraint_set.cpp"
#include "String_location.cpp"
#include "Structu_comment_field_pair.cpp"
#include "Structured_comment_field.cpp"
#include "Suspect_rule.cpp"
#include "Suspect_rule_set.cpp"
#include "Swap_action.cpp"
#include "Table_match.cpp"
#include "Table_match_type.cpp"
#include "Technique_type.cpp"
#include "Text_marker.cpp"
#include "Text_portion.cpp"
#include "Text_transform.cpp"
#include "Text_transform_set.cpp"
#include "Topology_type.cpp"
#include "Translation_constraint.cpp"
#include "Truncate_ends_partial_type.cpp"
#include "Updat_repla_ec_numbe_actio.cpp"
#include "Update_sequences_action.cpp"
#include "Word_substitution.cpp"
#include "Word_substitution_set.cpp"
#include "Xref_type.cpp"
