/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'mim.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/mim/Mim_set.hpp>
#include <objects/mim/Mim_date.hpp>
#include <objects/mim/Mim_entry.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CMim_set_Base::ResetReleaseDate(void)
{
    if ( !m_ReleaseDate ) {
        m_ReleaseDate.Reset(new TReleaseDate());
        return;
    }
    (*m_ReleaseDate).Reset();
}

void CMim_set_Base::SetReleaseDate(CMim_set_Base::TReleaseDate& value)
{
    m_ReleaseDate.Reset(&value);
}

void CMim_set_Base::ResetMimEntries(void)
{
    m_MimEntries.clear();
    m_set_State[0] &= ~0xc;
}

void CMim_set_Base::Reset(void)
{
    ResetReleaseDate();
    ResetMimEntries();
}

BEGIN_NAMED_BASE_CLASS_INFO("Mim-set", CMim_set)
{
    SET_CLASS_MODULE("NCBI-Mim");
    ADD_NAMED_REF_MEMBER("releaseDate", m_ReleaseDate, CMim_date);
    ADD_NAMED_MEMBER("mimEntries", m_MimEntries, STL_list, (STL_CRef, (CLASS, (CMim_entry))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CMim_set_Base::CMim_set_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetReleaseDate();
    }
}

// destructor
CMim_set_Base::~CMim_set_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

