/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'mim.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/mim/Mim_text.hpp>
#include <objects/mim/Mim_link.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CMim_text_Base::ResetLabel(void)
{
    m_Label.erase();
    m_set_State[0] &= ~0x3;
}

void CMim_text_Base::ResetText(void)
{
    m_Text.erase();
    m_set_State[0] &= ~0xc;
}

void CMim_text_Base::ResetNeighbors(void)
{
    m_Neighbors.Reset();
}

void CMim_text_Base::SetNeighbors(CMim_text_Base::TNeighbors& value)
{
    m_Neighbors.Reset(&value);
}

CMim_text_Base::TNeighbors& CMim_text_Base::SetNeighbors(void)
{
    if ( !m_Neighbors )
        m_Neighbors.Reset(new TNeighbors());
    return (*m_Neighbors);
}

void CMim_text_Base::Reset(void)
{
    ResetLabel();
    ResetText();
    ResetNeighbors();
}

BEGIN_NAMED_BASE_CLASS_INFO("Mim-text", CMim_text)
{
    SET_CLASS_MODULE("NCBI-Mim");
    ADD_NAMED_STD_MEMBER("label", m_Label)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("text", m_Text)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("neighbors", m_Neighbors, CMim_link)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CMim_text_Base::CMim_text_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMim_text_Base::~CMim_text_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

