/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'mmdb1.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/mmdb1/Biostruc_history.hpp>
#include <objects/mmdb1/Biostruc_replace.hpp>
#include <objects/mmdb1/Biostruc_source.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CBiostruc_history_Base::ResetReplaces(void)
{
    m_Replaces.Reset();
}

void CBiostruc_history_Base::SetReplaces(CBiostruc_history_Base::TReplaces& value)
{
    m_Replaces.Reset(&value);
}

CBiostruc_history_Base::TReplaces& CBiostruc_history_Base::SetReplaces(void)
{
    if ( !m_Replaces )
        m_Replaces.Reset(new TReplaces());
    return (*m_Replaces);
}

void CBiostruc_history_Base::ResetReplaced_by(void)
{
    m_Replaced_by.Reset();
}

void CBiostruc_history_Base::SetReplaced_by(CBiostruc_history_Base::TReplaced_by& value)
{
    m_Replaced_by.Reset(&value);
}

CBiostruc_history_Base::TReplaced_by& CBiostruc_history_Base::SetReplaced_by(void)
{
    if ( !m_Replaced_by )
        m_Replaced_by.Reset(new TReplaced_by());
    return (*m_Replaced_by);
}

void CBiostruc_history_Base::ResetData_source(void)
{
    m_Data_source.Reset();
}

void CBiostruc_history_Base::SetData_source(CBiostruc_history_Base::TData_source& value)
{
    m_Data_source.Reset(&value);
}

CBiostruc_history_Base::TData_source& CBiostruc_history_Base::SetData_source(void)
{
    if ( !m_Data_source )
        m_Data_source.Reset(new TData_source());
    return (*m_Data_source);
}

void CBiostruc_history_Base::Reset(void)
{
    ResetReplaces();
    ResetReplaced_by();
    ResetData_source();
}

BEGIN_NAMED_BASE_CLASS_INFO("Biostruc-history", CBiostruc_history)
{
    SET_CLASS_MODULE("MMDB");
    ADD_NAMED_REF_MEMBER("replaces", m_Replaces, CBiostruc_replace)->SetOptional();
    ADD_NAMED_REF_MEMBER("replaced-by", m_Replaced_by, CBiostruc_replace)->SetOptional();
    ADD_NAMED_REF_MEMBER("data-source", m_Data_source, CBiostruc_source)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CBiostruc_history_Base::CBiostruc_history_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CBiostruc_history_Base::~CBiostruc_history_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

