/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'mmdb2.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/mmdb2/Atomic_temperature_factors.hpp>
#include <objects/mmdb2/Anisotro_temperatu_factors.hpp>
#include <objects/mmdb2/Isotropi_temperatu_factors.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CAtomic_temperature_factors_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CAtomic_temperature_factors_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Isotropic:
    case e_Anisotropic:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CAtomic_temperature_factors_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Isotropic:
        (m_object = new(pool) ncbi::objects::CIsotropic_temperature_factors())->AddReference();
        break;
    case e_Anisotropic:
        (m_object = new(pool) ncbi::objects::CAnisotropic_temperature_factors())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CAtomic_temperature_factors_Base::sm_SelectionNames[] = {
    "not set",
    "isotropic",
    "anisotropic"
};

NCBI_NS_STD::string CAtomic_temperature_factors_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CAtomic_temperature_factors_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CAtomic_temperature_factors_Base::TIsotropic& CAtomic_temperature_factors_Base::GetIsotropic(void) const
{
    CheckSelected(e_Isotropic);
    return *static_cast<const TIsotropic*>(m_object);
}

CAtomic_temperature_factors_Base::TIsotropic& CAtomic_temperature_factors_Base::SetIsotropic(void)
{
    Select(e_Isotropic, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TIsotropic*>(m_object);
}

void CAtomic_temperature_factors_Base::SetIsotropic(CAtomic_temperature_factors_Base::TIsotropic& value)
{
    TIsotropic* ptr = &value;
    if ( m_choice != e_Isotropic || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Isotropic;
    }
}

const CAtomic_temperature_factors_Base::TAnisotropic& CAtomic_temperature_factors_Base::GetAnisotropic(void) const
{
    CheckSelected(e_Anisotropic);
    return *static_cast<const TAnisotropic*>(m_object);
}

CAtomic_temperature_factors_Base::TAnisotropic& CAtomic_temperature_factors_Base::SetAnisotropic(void)
{
    Select(e_Anisotropic, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TAnisotropic*>(m_object);
}

void CAtomic_temperature_factors_Base::SetAnisotropic(CAtomic_temperature_factors_Base::TAnisotropic& value)
{
    TAnisotropic* ptr = &value;
    if ( m_choice != e_Anisotropic || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Anisotropic;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Atomic-temperature-factors", CAtomic_temperature_factors)
{
    SET_CHOICE_MODULE("MMDB-Structural-model");
    ADD_NAMED_REF_CHOICE_VARIANT("isotropic", m_object, CIsotropic_temperature_factors);
    ADD_NAMED_REF_CHOICE_VARIANT("anisotropic", m_object, CAnisotropic_temperature_factors);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CAtomic_temperature_factors_Base::CAtomic_temperature_factors_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CAtomic_temperature_factors_Base::~CAtomic_temperature_factors_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

