/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'mmdb2.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/mmdb2/Biostruc_model.hpp>
#include <objects/mmdb2/Model_coordinate_set.hpp>
#include <objects/mmdb2/Model_descr.hpp>
#include <objects/mmdb2/Model_space.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CBiostruc_model_Base::ResetDescr(void)
{
    m_Descr.clear();
    m_set_State[0] &= ~0x30;
}

void CBiostruc_model_Base::ResetModel_space(void)
{
    m_Model_space.Reset();
}

void CBiostruc_model_Base::SetModel_space(CBiostruc_model_Base::TModel_space& value)
{
    m_Model_space.Reset(&value);
}

CBiostruc_model_Base::TModel_space& CBiostruc_model_Base::SetModel_space(void)
{
    if ( !m_Model_space )
        m_Model_space.Reset(new TModel_space());
    return (*m_Model_space);
}

void CBiostruc_model_Base::ResetModel_coordinates(void)
{
    m_Model_coordinates.clear();
    m_set_State[0] &= ~0x300;
}

void CBiostruc_model_Base::Reset(void)
{
    ResetId();
    ResetType();
    ResetDescr();
    ResetModel_space();
    ResetModel_coordinates();
}

BEGIN_NAMED_BASE_CLASS_INFO("Biostruc-model", CBiostruc_model)
{
    SET_CLASS_MODULE("MMDB-Structural-model");
    ADD_NAMED_MEMBER("id", m_Id, CLASS, (CModel_id))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_ENUM_MEMBER("type", m_Type, EModel_type)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("descr", m_Descr, STL_list, (STL_CRef, (CLASS, (CModel_descr))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("model-space", m_Model_space, CModel_space)->SetOptional();
    ADD_NAMED_MEMBER("model-coordinates", m_Model_coordinates, STL_list, (STL_CRef, (CLASS, (CModel_coordinate_set))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CBiostruc_model_Base::CBiostruc_model_Base(void)
    : m_Id(CModel_id(0)), m_Type((int)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CBiostruc_model_Base::~CBiostruc_model_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

