/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'mmdb3.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/mmdb3/Atom_pntrs.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CAtom_pntrs_Base::ResetMolecule_ids(void)
{
    m_Molecule_ids.clear();
    m_set_State[0] &= ~0xc;
}

void CAtom_pntrs_Base::ResetResidue_ids(void)
{
    m_Residue_ids.clear();
    m_set_State[0] &= ~0x30;
}

void CAtom_pntrs_Base::ResetAtom_ids(void)
{
    m_Atom_ids.clear();
    m_set_State[0] &= ~0xc0;
}

void CAtom_pntrs_Base::Reset(void)
{
    ResetNumber_of_ptrs();
    ResetMolecule_ids();
    ResetResidue_ids();
    ResetAtom_ids();
}

BEGIN_NAMED_BASE_CLASS_INFO("Atom-pntrs", CAtom_pntrs)
{
    SET_CLASS_MODULE("MMDB-Features");
    ADD_NAMED_STD_MEMBER("number-of-ptrs", m_Number_of_ptrs)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("molecule-ids", m_Molecule_ids, STL_list, (CLASS, (CMolecule_id)))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("residue-ids", m_Residue_ids, STL_list, (CLASS, (CResidue_id)))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("atom-ids", m_Atom_ids, STL_list, (CLASS, (CAtom_id)))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CAtom_pntrs_Base::CAtom_pntrs_Base(void)
    : m_Number_of_ptrs(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CAtom_pntrs_Base::~CAtom_pntrs_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

