/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'mmdb3.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/mmdb3/Move.hpp>
#include <objects/mmdb3/Rot_matrix.hpp>
#include <objects/mmdb3/Trans_matrix.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CMove_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CMove_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Rotate:
    case e_Translate:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CMove_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Rotate:
        (m_object = new(pool) ncbi::objects::CRot_matrix())->AddReference();
        break;
    case e_Translate:
        (m_object = new(pool) ncbi::objects::CTrans_matrix())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CMove_Base::sm_SelectionNames[] = {
    "not set",
    "rotate",
    "translate"
};

NCBI_NS_STD::string CMove_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CMove_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CMove_Base::TRotate& CMove_Base::GetRotate(void) const
{
    CheckSelected(e_Rotate);
    return *static_cast<const TRotate*>(m_object);
}

CMove_Base::TRotate& CMove_Base::SetRotate(void)
{
    Select(e_Rotate, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TRotate*>(m_object);
}

void CMove_Base::SetRotate(CMove_Base::TRotate& value)
{
    TRotate* ptr = &value;
    if ( m_choice != e_Rotate || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Rotate;
    }
}

const CMove_Base::TTranslate& CMove_Base::GetTranslate(void) const
{
    CheckSelected(e_Translate);
    return *static_cast<const TTranslate*>(m_object);
}

CMove_Base::TTranslate& CMove_Base::SetTranslate(void)
{
    Select(e_Translate, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TTranslate*>(m_object);
}

void CMove_Base::SetTranslate(CMove_Base::TTranslate& value)
{
    TTranslate* ptr = &value;
    if ( m_choice != e_Translate || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Translate;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Move", CMove)
{
    SET_CHOICE_MODULE("MMDB-Features");
    ADD_NAMED_REF_CHOICE_VARIANT("rotate", m_object, CRot_matrix);
    ADD_NAMED_REF_CHOICE_VARIANT("translate", m_object, CTrans_matrix);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CMove_Base::CMove_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CMove_Base::~CMove_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

