/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'mmdb3.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/mmdb3/Other_feature.hpp>
#include <objects/mmdb1/Biostruc_id.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void COther_feature_Base::ResetBiostruc_id(void)
{
    if ( !m_Biostruc_id ) {
        m_Biostruc_id.Reset(new TBiostruc_id());
        return;
    }
    (*m_Biostruc_id).Reset();
}

void COther_feature_Base::SetBiostruc_id(COther_feature_Base::TBiostruc_id& value)
{
    m_Biostruc_id.Reset(&value);
}

void COther_feature_Base::Reset(void)
{
    ResetBiostruc_id();
    ResetSet();
    ResetFeature();
}

BEGIN_NAMED_BASE_CLASS_INFO("Other-feature", COther_feature)
{
    SET_CLASS_MODULE("MMDB-Features");
    ADD_NAMED_REF_MEMBER("biostruc-id", m_Biostruc_id, CBiostruc_id);
    ADD_NAMED_MEMBER("set", m_Set, CLASS, (CBiostruc_feature_set_id))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("feature", m_Feature, CLASS, (CBiostruc_feature_id))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
COther_feature_Base::COther_feature_Base(void)
    : m_Set(CBiostruc_feature_set_id(0)), m_Feature(CBiostruc_feature_id(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetBiostruc_id();
    }
}

// destructor
COther_feature_Base::~COther_feature_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

