/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'mmdb3.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/mmdb3/Region_boundary.hpp>
#include <objects/mmdb3/Brick.hpp>
#include <objects/mmdb3/Cone.hpp>
#include <objects/mmdb3/Cylinder.hpp>
#include <objects/mmdb3/Sphere.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CRegion_boundary_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CRegion_boundary_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Sphere:
    case e_Cone:
    case e_Cylinder:
    case e_Brick:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CRegion_boundary_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Sphere:
        (m_object = new(pool) ncbi::objects::CSphere())->AddReference();
        break;
    case e_Cone:
        (m_object = new(pool) ncbi::objects::CCone())->AddReference();
        break;
    case e_Cylinder:
        (m_object = new(pool) ncbi::objects::CCylinder())->AddReference();
        break;
    case e_Brick:
        (m_object = new(pool) ncbi::objects::CBrick())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CRegion_boundary_Base::sm_SelectionNames[] = {
    "not set",
    "sphere",
    "cone",
    "cylinder",
    "brick"
};

NCBI_NS_STD::string CRegion_boundary_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CRegion_boundary_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CRegion_boundary_Base::TSphere& CRegion_boundary_Base::GetSphere(void) const
{
    CheckSelected(e_Sphere);
    return *static_cast<const TSphere*>(m_object);
}

CRegion_boundary_Base::TSphere& CRegion_boundary_Base::SetSphere(void)
{
    Select(e_Sphere, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TSphere*>(m_object);
}

void CRegion_boundary_Base::SetSphere(CRegion_boundary_Base::TSphere& value)
{
    TSphere* ptr = &value;
    if ( m_choice != e_Sphere || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Sphere;
    }
}

const CRegion_boundary_Base::TCone& CRegion_boundary_Base::GetCone(void) const
{
    CheckSelected(e_Cone);
    return *static_cast<const TCone*>(m_object);
}

CRegion_boundary_Base::TCone& CRegion_boundary_Base::SetCone(void)
{
    Select(e_Cone, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TCone*>(m_object);
}

void CRegion_boundary_Base::SetCone(CRegion_boundary_Base::TCone& value)
{
    TCone* ptr = &value;
    if ( m_choice != e_Cone || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Cone;
    }
}

const CRegion_boundary_Base::TCylinder& CRegion_boundary_Base::GetCylinder(void) const
{
    CheckSelected(e_Cylinder);
    return *static_cast<const TCylinder*>(m_object);
}

CRegion_boundary_Base::TCylinder& CRegion_boundary_Base::SetCylinder(void)
{
    Select(e_Cylinder, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TCylinder*>(m_object);
}

void CRegion_boundary_Base::SetCylinder(CRegion_boundary_Base::TCylinder& value)
{
    TCylinder* ptr = &value;
    if ( m_choice != e_Cylinder || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Cylinder;
    }
}

const CRegion_boundary_Base::TBrick& CRegion_boundary_Base::GetBrick(void) const
{
    CheckSelected(e_Brick);
    return *static_cast<const TBrick*>(m_object);
}

CRegion_boundary_Base::TBrick& CRegion_boundary_Base::SetBrick(void)
{
    Select(e_Brick, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TBrick*>(m_object);
}

void CRegion_boundary_Base::SetBrick(CRegion_boundary_Base::TBrick& value)
{
    TBrick* ptr = &value;
    if ( m_choice != e_Brick || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Brick;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Region-boundary", CRegion_boundary)
{
    SET_CHOICE_MODULE("MMDB-Features");
    ADD_NAMED_REF_CHOICE_VARIANT("sphere", m_object, CSphere);
    ADD_NAMED_REF_CHOICE_VARIANT("cone", m_object, CCone);
    ADD_NAMED_REF_CHOICE_VARIANT("cylinder", m_object, CCylinder);
    ADD_NAMED_REF_CHOICE_VARIANT("brick", m_object, CBrick);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CRegion_boundary_Base::CRegion_boundary_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CRegion_boundary_Base::~CRegion_boundary_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

