/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'mmdb3.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/mmdb3/Residue_pntrs.hpp>
#include <objects/mmdb3/Residue_explicit_pntrs.hpp>
#include <objects/mmdb3/Residue_interval_pntr.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CResidue_pntrs_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CResidue_pntrs_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Interval:
        m_Interval.Destruct();
        break;
    case e_Explicit:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CResidue_pntrs_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Explicit:
        (m_object = new(pool) ncbi::objects::CResidue_explicit_pntrs())->AddReference();
        break;
    case e_Interval:
        m_Interval.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CResidue_pntrs_Base::sm_SelectionNames[] = {
    "not set",
    "explicit",
    "interval"
};

NCBI_NS_STD::string CResidue_pntrs_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CResidue_pntrs_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CResidue_pntrs_Base::TExplicit& CResidue_pntrs_Base::GetExplicit(void) const
{
    CheckSelected(e_Explicit);
    return *static_cast<const TExplicit*>(m_object);
}

CResidue_pntrs_Base::TExplicit& CResidue_pntrs_Base::SetExplicit(void)
{
    Select(e_Explicit, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TExplicit*>(m_object);
}

void CResidue_pntrs_Base::SetExplicit(CResidue_pntrs_Base::TExplicit& value)
{
    TExplicit* ptr = &value;
    if ( m_choice != e_Explicit || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Explicit;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Residue-pntrs", CResidue_pntrs)
{
    SET_CHOICE_MODULE("MMDB-Features");
    ADD_NAMED_REF_CHOICE_VARIANT("explicit", m_object, CResidue_explicit_pntrs);
    ADD_NAMED_BUF_CHOICE_VARIANT("interval", m_Interval, STL_list, (STL_CRef, (CLASS, (CResidue_interval_pntr))));
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CResidue_pntrs_Base::CResidue_pntrs_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CResidue_pntrs_Base::~CResidue_pntrs_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

