/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'objprt.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/objprt/PrintFormat.hpp>
#include <objects/objprt/PrintForm.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CPrintFormat_Base::ResetAsn1(void)
{
    m_Asn1.erase();
    m_set_State[0] &= ~0x3;
}

void CPrintFormat_Base::ResetLabel(void)
{
    m_Label.erase();
    m_set_State[0] &= ~0xc;
}

void CPrintFormat_Base::ResetPrefix(void)
{
    m_Prefix.erase();
    m_set_State[0] &= ~0x30;
}

void CPrintFormat_Base::ResetSuffix(void)
{
    m_Suffix.erase();
    m_set_State[0] &= ~0xc0;
}

void CPrintFormat_Base::ResetForm(void)
{
    if ( !m_Form ) {
        m_Form.Reset(new TForm());
        return;
    }
    (*m_Form).Reset();
}

void CPrintFormat_Base::SetForm(CPrintFormat_Base::TForm& value)
{
    m_Form.Reset(&value);
}

void CPrintFormat_Base::Reset(void)
{
    ResetAsn1();
    ResetLabel();
    ResetPrefix();
    ResetSuffix();
    ResetForm();
}

BEGIN_NAMED_BASE_CLASS_INFO("PrintFormat", CPrintFormat)
{
    SET_CLASS_MODULE("NCBI-ObjPrt");
    ADD_NAMED_STD_MEMBER("asn1", m_Asn1)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("label", m_Label)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("prefix", m_Prefix)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("suffix", m_Suffix)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("form", m_Form, CPrintForm);
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CPrintFormat_Base::CPrintFormat_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetForm();
    }
}

// destructor
CPrintFormat_Base::~CPrintFormat_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

