/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'omssa.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/omssa/MSHitSet.hpp>
#include <objects/omssa/MSHits.hpp>
#include <objects/omssa/NameValue.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CMSHitSet_Base::ResetHits(void)
{
    m_Hits.clear();
    m_set_State[0] &= ~0x30;
}

void CMSHitSet_Base::ResetIds(void)
{
    m_Ids.clear();
    m_set_State[0] &= ~0xc0;
}

void CMSHitSet_Base::ResetNamevalue(void)
{
    m_Namevalue.clear();
    m_set_State[0] &= ~0x300;
}

void CMSHitSet_Base::Reset(void)
{
    ResetNumber();
    ResetError();
    ResetHits();
    ResetIds();
    ResetNamevalue();
    ResetSettingid();
    ResetUserannotation();
}

BEGIN_NAMED_BASE_CLASS_INFO("MSHitSet", CMSHitSet)
{
    SET_CLASS_MODULE("OMSSA");
    ADD_NAMED_STD_MEMBER("number", m_Number)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_ENUM_MEMBER("error", m_Error, EMSHitError)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("hits", m_Hits, STL_vector, (STL_CRef, (CLASS, (CMSHits))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("ids", m_Ids, STL_list, (STD, (string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("namevalue", m_Namevalue, STL_list, (STL_CRef, (CLASS, (CNameValue))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("settingid", m_Settingid)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_ENUM_MEMBER("userannotation", m_Userannotation, EMSUserAnnot)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CMSHitSet_Base::CMSHitSet_Base(void)
    : m_Number(0), m_Error((int)(0)), m_Settingid(0), m_Userannotation((int)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMSHitSet_Base::~CMSHitSet_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

