/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'omssa.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/omssa/MSMod.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

BEGIN_NAMED_ENUM_INFO("MSMod", EMSMod, true)
{
    SET_ENUM_MODULE("OMSSA");
    ADD_ENUM_VALUE("methylk", eMSMod_methylk);
    ADD_ENUM_VALUE("oxym", eMSMod_oxym);
    ADD_ENUM_VALUE("carboxymethylc", eMSMod_carboxymethylc);
    ADD_ENUM_VALUE("carbamidomethylc", eMSMod_carbamidomethylc);
    ADD_ENUM_VALUE("deamidationkq", eMSMod_deamidationkq);
    ADD_ENUM_VALUE("propionamidec", eMSMod_propionamidec);
    ADD_ENUM_VALUE("phosphorylations", eMSMod_phosphorylations);
    ADD_ENUM_VALUE("phosphorylationt", eMSMod_phosphorylationt);
    ADD_ENUM_VALUE("phosphorylationy", eMSMod_phosphorylationy);
    ADD_ENUM_VALUE("ntermmcleave", eMSMod_ntermmcleave);
    ADD_ENUM_VALUE("ntermacetyl", eMSMod_ntermacetyl);
    ADD_ENUM_VALUE("ntermmethyl", eMSMod_ntermmethyl);
    ADD_ENUM_VALUE("ntermtrimethyl", eMSMod_ntermtrimethyl);
    ADD_ENUM_VALUE("methythiold", eMSMod_methythiold);
    ADD_ENUM_VALUE("methylq", eMSMod_methylq);
    ADD_ENUM_VALUE("trimethylk", eMSMod_trimethylk);
    ADD_ENUM_VALUE("methyld", eMSMod_methyld);
    ADD_ENUM_VALUE("methyle", eMSMod_methyle);
    ADD_ENUM_VALUE("ctermpepmethyl", eMSMod_ctermpepmethyl);
    ADD_ENUM_VALUE("trideuteromethyld", eMSMod_trideuteromethyld);
    ADD_ENUM_VALUE("trideuteromethyle", eMSMod_trideuteromethyle);
    ADD_ENUM_VALUE("ctermpeptrideuteromethyl", eMSMod_ctermpeptrideuteromethyl);
    ADD_ENUM_VALUE("nformylmet", eMSMod_nformylmet);
    ADD_ENUM_VALUE("twoamino3oxobutanoicacid", eMSMod_twoamino3oxobutanoicacid);
    ADD_ENUM_VALUE("acetylk", eMSMod_acetylk);
    ADD_ENUM_VALUE("ctermamide", eMSMod_ctermamide);
    ADD_ENUM_VALUE("bmethylthiold", eMSMod_bmethylthiold);
    ADD_ENUM_VALUE("carbamidomethylk", eMSMod_carbamidomethylk);
    ADD_ENUM_VALUE("carbamidometylh", eMSMod_carbamidometylh);
    ADD_ENUM_VALUE("carbamidomethyld", eMSMod_carbamidomethyld);
    ADD_ENUM_VALUE("carbamidomethyle", eMSMod_carbamidomethyle);
    ADD_ENUM_VALUE("carbamylk", eMSMod_carbamylk);
    ADD_ENUM_VALUE("ntermcarbamyl", eMSMod_ntermcarbamyl);
    ADD_ENUM_VALUE("citrullinationr", eMSMod_citrullinationr);
    ADD_ENUM_VALUE("cysteicacidc", eMSMod_cysteicacidc);
    ADD_ENUM_VALUE("diiodinationy", eMSMod_diiodinationy);
    ADD_ENUM_VALUE("dimethylk", eMSMod_dimethylk);
    ADD_ENUM_VALUE("dimethylr", eMSMod_dimethylr);
    ADD_ENUM_VALUE("ntermpepdimethyl", eMSMod_ntermpepdimethyl);
    ADD_ENUM_VALUE("dihydroxyf", eMSMod_dihydroxyf);
    ADD_ENUM_VALUE("thioacetylk", eMSMod_thioacetylk);
    ADD_ENUM_VALUE("ntermpeptioacetyl", eMSMod_ntermpeptioacetyl);
    ADD_ENUM_VALUE("farnesylationc", eMSMod_farnesylationc);
    ADD_ENUM_VALUE("formylk", eMSMod_formylk);
    ADD_ENUM_VALUE("ntermpepformyl", eMSMod_ntermpepformyl);
    ADD_ENUM_VALUE("formylkynureninw", eMSMod_formylkynureninw);
    ADD_ENUM_VALUE("phef", eMSMod_phef);
    ADD_ENUM_VALUE("gammacarboxyld", eMSMod_gammacarboxyld);
    ADD_ENUM_VALUE("gammacarboxyle", eMSMod_gammacarboxyle);
    ADD_ENUM_VALUE("geranylgeranylc", eMSMod_geranylgeranylc);
    ADD_ENUM_VALUE("ntermpepglucuronylg", eMSMod_ntermpepglucuronylg);
    ADD_ENUM_VALUE("glutathionec", eMSMod_glutathionec);
    ADD_ENUM_VALUE("glyglyk", eMSMod_glyglyk);
    ADD_ENUM_VALUE("guanidinationk", eMSMod_guanidinationk);
    ADD_ENUM_VALUE("his2asnh", eMSMod_his2asnh);
    ADD_ENUM_VALUE("his2asph", eMSMod_his2asph);
    ADD_ENUM_VALUE("ctermpephsem", eMSMod_ctermpephsem);
    ADD_ENUM_VALUE("ctermpephselactm", eMSMod_ctermpephselactm);
    ADD_ENUM_VALUE("hydroxykynureninw", eMSMod_hydroxykynureninw);
    ADD_ENUM_VALUE("hydroxylationd", eMSMod_hydroxylationd);
    ADD_ENUM_VALUE("hydroxylationk", eMSMod_hydroxylationk);
    ADD_ENUM_VALUE("hydroxylationn", eMSMod_hydroxylationn);
    ADD_ENUM_VALUE("hydroxylationp", eMSMod_hydroxylationp);
    ADD_ENUM_VALUE("hydroxylationf", eMSMod_hydroxylationf);
    ADD_ENUM_VALUE("hydroxylationy", eMSMod_hydroxylationy);
    ADD_ENUM_VALUE("iodinationy", eMSMod_iodinationy);
    ADD_ENUM_VALUE("kynureninw", eMSMod_kynureninw);
    ADD_ENUM_VALUE("lipoylk", eMSMod_lipoylk);
    ADD_ENUM_VALUE("ctermpepmeester", eMSMod_ctermpepmeester);
    ADD_ENUM_VALUE("meesterd", eMSMod_meesterd);
    ADD_ENUM_VALUE("meestere", eMSMod_meestere);
    ADD_ENUM_VALUE("meesters", eMSMod_meesters);
    ADD_ENUM_VALUE("meestery", eMSMod_meestery);
    ADD_ENUM_VALUE("methylc", eMSMod_methylc);
    ADD_ENUM_VALUE("methylh", eMSMod_methylh);
    ADD_ENUM_VALUE("methyln", eMSMod_methyln);
    ADD_ENUM_VALUE("ntermpepmethyl", eMSMod_ntermpepmethyl);
    ADD_ENUM_VALUE("methylr", eMSMod_methylr);
    ADD_ENUM_VALUE("ntermpepmyristoyeylationg", eMSMod_ntermpepmyristoyeylationg);
    ADD_ENUM_VALUE("ntermpepmyristoyl4hg", eMSMod_ntermpepmyristoyl4hg);
    ADD_ENUM_VALUE("ntermpepmyristoylationg", eMSMod_ntermpepmyristoylationg);
    ADD_ENUM_VALUE("myristoylationk", eMSMod_myristoylationk);
    ADD_ENUM_VALUE("ntermformyl", eMSMod_ntermformyl);
    ADD_ENUM_VALUE("nemc", eMSMod_nemc);
    ADD_ENUM_VALUE("nipcam", eMSMod_nipcam);
    ADD_ENUM_VALUE("nitrow", eMSMod_nitrow);
    ADD_ENUM_VALUE("nitroy", eMSMod_nitroy);
    ADD_ENUM_VALUE("ctermpepo18", eMSMod_ctermpepo18);
    ADD_ENUM_VALUE("ctermpepdio18", eMSMod_ctermpepdio18);
    ADD_ENUM_VALUE("oxyh", eMSMod_oxyh);
    ADD_ENUM_VALUE("oxyw", eMSMod_oxyw);
    ADD_ENUM_VALUE("ppantetheines", eMSMod_ppantetheines);
    ADD_ENUM_VALUE("palmitoylationc", eMSMod_palmitoylationc);
    ADD_ENUM_VALUE("palmitoylationk", eMSMod_palmitoylationk);
    ADD_ENUM_VALUE("palmitoylations", eMSMod_palmitoylations);
    ADD_ENUM_VALUE("palmitoylationt", eMSMod_palmitoylationt);
    ADD_ENUM_VALUE("phospholosss", eMSMod_phospholosss);
    ADD_ENUM_VALUE("phospholosst", eMSMod_phospholosst);
    ADD_ENUM_VALUE("phospholossy", eMSMod_phospholossy);
    ADD_ENUM_VALUE("phosphoneutrallossc", eMSMod_phosphoneutrallossc);
    ADD_ENUM_VALUE("phosphoneutrallossd", eMSMod_phosphoneutrallossd);
    ADD_ENUM_VALUE("phosphoneutrallossh", eMSMod_phosphoneutrallossh);
    ADD_ENUM_VALUE("propionylk", eMSMod_propionylk);
    ADD_ENUM_VALUE("ntermpeppropionyl", eMSMod_ntermpeppropionyl);
    ADD_ENUM_VALUE("propionylheavyk", eMSMod_propionylheavyk);
    ADD_ENUM_VALUE("ntermpeppropionylheavy", eMSMod_ntermpeppropionylheavy);
    ADD_ENUM_VALUE("pyridylk", eMSMod_pyridylk);
    ADD_ENUM_VALUE("ntermpeppyridyl", eMSMod_ntermpeppyridyl);
    ADD_ENUM_VALUE("ntermpeppyrocmc", eMSMod_ntermpeppyrocmc);
    ADD_ENUM_VALUE("ntermpeppyroe", eMSMod_ntermpeppyroe);
    ADD_ENUM_VALUE("ntermpeppyroq", eMSMod_ntermpeppyroq);
    ADD_ENUM_VALUE("pyroglutamicp", eMSMod_pyroglutamicp);
    ADD_ENUM_VALUE("spyridylethylc", eMSMod_spyridylethylc);
    ADD_ENUM_VALUE("semetm", eMSMod_semetm);
    ADD_ENUM_VALUE("sulfationy", eMSMod_sulfationy);
    ADD_ENUM_VALUE("suphonem", eMSMod_suphonem);
    ADD_ENUM_VALUE("triiodinationy", eMSMod_triiodinationy);
    ADD_ENUM_VALUE("trimethylationr", eMSMod_trimethylationr);
    ADD_ENUM_VALUE("ntermpeptripalmitatec", eMSMod_ntermpeptripalmitatec);
    ADD_ENUM_VALUE("usermod1", eMSMod_usermod1);
    ADD_ENUM_VALUE("usermod2", eMSMod_usermod2);
    ADD_ENUM_VALUE("usermod3", eMSMod_usermod3);
    ADD_ENUM_VALUE("usermod4", eMSMod_usermod4);
    ADD_ENUM_VALUE("usermod5", eMSMod_usermod5);
    ADD_ENUM_VALUE("usermod6", eMSMod_usermod6);
    ADD_ENUM_VALUE("usermod7", eMSMod_usermod7);
    ADD_ENUM_VALUE("usermod8", eMSMod_usermod8);
    ADD_ENUM_VALUE("usermod9", eMSMod_usermod9);
    ADD_ENUM_VALUE("usermod10", eMSMod_usermod10);
    ADD_ENUM_VALUE("icatlight", eMSMod_icatlight);
    ADD_ENUM_VALUE("icatheavy", eMSMod_icatheavy);
    ADD_ENUM_VALUE("camthiopropanoylk", eMSMod_camthiopropanoylk);
    ADD_ENUM_VALUE("phosphoneutrallosss", eMSMod_phosphoneutrallosss);
    ADD_ENUM_VALUE("phosphoneutrallosst", eMSMod_phosphoneutrallosst);
    ADD_ENUM_VALUE("phosphoetdlosss", eMSMod_phosphoetdlosss);
    ADD_ENUM_VALUE("phosphoetdlosst", eMSMod_phosphoetdlosst);
    ADD_ENUM_VALUE("arg-13c6", eMSMod_arg_13c6);
    ADD_ENUM_VALUE("arg-13c6-15n4", eMSMod_arg_13c6_15n4);
    ADD_ENUM_VALUE("lys-13c6", eMSMod_lys_13c6);
    ADD_ENUM_VALUE("oxy18", eMSMod_oxy18);
    ADD_ENUM_VALUE("beta-elim-s", eMSMod_beta_elim_s);
    ADD_ENUM_VALUE("beta-elim-t", eMSMod_beta_elim_t);
    ADD_ENUM_VALUE("usermod11", eMSMod_usermod11);
    ADD_ENUM_VALUE("usermod12", eMSMod_usermod12);
    ADD_ENUM_VALUE("usermod13", eMSMod_usermod13);
    ADD_ENUM_VALUE("usermod14", eMSMod_usermod14);
    ADD_ENUM_VALUE("usermod15", eMSMod_usermod15);
    ADD_ENUM_VALUE("usermod16", eMSMod_usermod16);
    ADD_ENUM_VALUE("usermod17", eMSMod_usermod17);
    ADD_ENUM_VALUE("usermod18", eMSMod_usermod18);
    ADD_ENUM_VALUE("usermod19", eMSMod_usermod19);
    ADD_ENUM_VALUE("usermod20", eMSMod_usermod20);
    ADD_ENUM_VALUE("usermod21", eMSMod_usermod21);
    ADD_ENUM_VALUE("usermod22", eMSMod_usermod22);
    ADD_ENUM_VALUE("usermod23", eMSMod_usermod23);
    ADD_ENUM_VALUE("usermod24", eMSMod_usermod24);
    ADD_ENUM_VALUE("usermod25", eMSMod_usermod25);
    ADD_ENUM_VALUE("usermod26", eMSMod_usermod26);
    ADD_ENUM_VALUE("usermod27", eMSMod_usermod27);
    ADD_ENUM_VALUE("usermod28", eMSMod_usermod28);
    ADD_ENUM_VALUE("usermod29", eMSMod_usermod29);
    ADD_ENUM_VALUE("usermod30", eMSMod_usermod30);
    ADD_ENUM_VALUE("sulfinicacid", eMSMod_sulfinicacid);
    ADD_ENUM_VALUE("arg2orn", eMSMod_arg2orn);
    ADD_ENUM_VALUE("dehydro", eMSMod_dehydro);
    ADD_ENUM_VALUE("carboxykynurenin", eMSMod_carboxykynurenin);
    ADD_ENUM_VALUE("sumoylation", eMSMod_sumoylation);
    ADD_ENUM_VALUE("iTRAQ114nterm", eMSMod_iTRAQ114nterm);
    ADD_ENUM_VALUE("iTRAQ114K", eMSMod_iTRAQ114K);
    ADD_ENUM_VALUE("iTRAQ114Y", eMSMod_iTRAQ114Y);
    ADD_ENUM_VALUE("iTRAQ115nterm", eMSMod_iTRAQ115nterm);
    ADD_ENUM_VALUE("iTRAQ115K", eMSMod_iTRAQ115K);
    ADD_ENUM_VALUE("iTRAQ115Y", eMSMod_iTRAQ115Y);
    ADD_ENUM_VALUE("iTRAQ116nterm", eMSMod_iTRAQ116nterm);
    ADD_ENUM_VALUE("iTRAQ116K", eMSMod_iTRAQ116K);
    ADD_ENUM_VALUE("iTRAQ116Y", eMSMod_iTRAQ116Y);
    ADD_ENUM_VALUE("iTRAQ117nterm", eMSMod_iTRAQ117nterm);
    ADD_ENUM_VALUE("iTRAQ117K", eMSMod_iTRAQ117K);
    ADD_ENUM_VALUE("iTRAQ117Y", eMSMod_iTRAQ117Y);
    ADD_ENUM_VALUE("mmts", eMSMod_mmts);
    ADD_ENUM_VALUE("lys-2H4", eMSMod_lys_2H4);
    ADD_ENUM_VALUE("lys-13C615N2", eMSMod_lys_13C615N2);
    ADD_ENUM_VALUE("hexNAcN", eMSMod_hexNAcN);
    ADD_ENUM_VALUE("dHexHexNAcN", eMSMod_dHexHexNAcN);
    ADD_ENUM_VALUE("hexNAcS", eMSMod_hexNAcS);
    ADD_ENUM_VALUE("hexNAcT", eMSMod_hexNAcT);
    ADD_ENUM_VALUE("mod186", eMSMod_mod186);
    ADD_ENUM_VALUE("mod187", eMSMod_mod187);
    ADD_ENUM_VALUE("mod188", eMSMod_mod188);
    ADD_ENUM_VALUE("mod189", eMSMod_mod189);
    ADD_ENUM_VALUE("mod190", eMSMod_mod190);
    ADD_ENUM_VALUE("mod191", eMSMod_mod191);
    ADD_ENUM_VALUE("mod192", eMSMod_mod192);
    ADD_ENUM_VALUE("mod193", eMSMod_mod193);
    ADD_ENUM_VALUE("mod194", eMSMod_mod194);
    ADD_ENUM_VALUE("mod195", eMSMod_mod195);
    ADD_ENUM_VALUE("mod196", eMSMod_mod196);
    ADD_ENUM_VALUE("mod197", eMSMod_mod197);
    ADD_ENUM_VALUE("mod198", eMSMod_mod198);
    ADD_ENUM_VALUE("mod199", eMSMod_mod199);
    ADD_ENUM_VALUE("mod200", eMSMod_mod200);
    ADD_ENUM_VALUE("mod201", eMSMod_mod201);
    ADD_ENUM_VALUE("mod202", eMSMod_mod202);
    ADD_ENUM_VALUE("mod203", eMSMod_mod203);
    ADD_ENUM_VALUE("mod204", eMSMod_mod204);
    ADD_ENUM_VALUE("mod205", eMSMod_mod205);
    ADD_ENUM_VALUE("mod206", eMSMod_mod206);
    ADD_ENUM_VALUE("mod207", eMSMod_mod207);
    ADD_ENUM_VALUE("mod208", eMSMod_mod208);
    ADD_ENUM_VALUE("mod209", eMSMod_mod209);
    ADD_ENUM_VALUE("mod210", eMSMod_mod210);
    ADD_ENUM_VALUE("mod211", eMSMod_mod211);
    ADD_ENUM_VALUE("mod212", eMSMod_mod212);
    ADD_ENUM_VALUE("mod213", eMSMod_mod213);
    ADD_ENUM_VALUE("mod214", eMSMod_mod214);
    ADD_ENUM_VALUE("mod215", eMSMod_mod215);
    ADD_ENUM_VALUE("mod216", eMSMod_mod216);
    ADD_ENUM_VALUE("mod217", eMSMod_mod217);
    ADD_ENUM_VALUE("mod218", eMSMod_mod218);
    ADD_ENUM_VALUE("mod219", eMSMod_mod219);
    ADD_ENUM_VALUE("mod220", eMSMod_mod220);
    ADD_ENUM_VALUE("mod221", eMSMod_mod221);
    ADD_ENUM_VALUE("mod222", eMSMod_mod222);
    ADD_ENUM_VALUE("mod223", eMSMod_mod223);
    ADD_ENUM_VALUE("mod224", eMSMod_mod224);
    ADD_ENUM_VALUE("mod225", eMSMod_mod225);
    ADD_ENUM_VALUE("mod226", eMSMod_mod226);
    ADD_ENUM_VALUE("mod227", eMSMod_mod227);
    ADD_ENUM_VALUE("mod228", eMSMod_mod228);
    ADD_ENUM_VALUE("mod229", eMSMod_mod229);
    ADD_ENUM_VALUE("mod230", eMSMod_mod230);
    ADD_ENUM_VALUE("max", eMSMod_max);
    ADD_ENUM_VALUE("unknown", eMSMod_unknown);
    ADD_ENUM_VALUE("none", eMSMod_none);
}
END_ENUM_INFO


END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

