/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'omssa.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/omssa/MSPepHit.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CMSPepHit_Base::ResetAccession(void)
{
    m_Accession.erase();
    m_set_State[0] &= ~0xc0;
}

void CMSPepHit_Base::ResetDefline(void)
{
    m_Defline.erase();
    m_set_State[0] &= ~0x300;
}

void CMSPepHit_Base::ResetPepstart(void)
{
    m_Pepstart.erase();
    m_set_State[0] &= ~0x30000;
}

void CMSPepHit_Base::ResetPepstop(void)
{
    m_Pepstop.erase();
    m_set_State[0] &= ~0xc0000;
}

void CMSPepHit_Base::Reset(void)
{
    ResetStart();
    ResetStop();
    ResetGi();
    ResetAccession();
    ResetDefline();
    ResetProtlength();
    ResetOid();
    ResetReversed();
    ResetPepstart();
    ResetPepstop();
}

BEGIN_NAMED_BASE_CLASS_INFO("MSPepHit", CMSPepHit)
{
    SET_CLASS_MODULE("OMSSA");
    ADD_NAMED_STD_MEMBER("start", m_Start)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("stop", m_Stop)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("gi", m_Gi)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("accession", m_Accession)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("defline", m_Defline)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("protlength", m_Protlength)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("oid", m_Oid)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("reversed", m_Reversed)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("pepstart", m_Pepstart)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("pepstop", m_Pepstop)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CMSPepHit_Base::CMSPepHit_Base(void)
    : m_Start(0), m_Stop(0), m_Gi(0), m_Protlength(0), m_Oid(0), m_Reversed(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMSPepHit_Base::~CMSPepHit_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

