/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'omssa.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/omssa/MSSpectrum.hpp>
#include <objects/omssa/NameValue.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CMSSpectrum_Base::ResetCharge(void)
{
    m_Charge.clear();
    m_set_State[0] &= ~0xc;
}

void CMSSpectrum_Base::ResetMz(void)
{
    m_Mz.clear();
    m_set_State[0] &= ~0xc0;
}

void CMSSpectrum_Base::ResetAbundance(void)
{
    m_Abundance.clear();
    m_set_State[0] &= ~0x300;
}

void CMSSpectrum_Base::ResetIds(void)
{
    m_Ids.clear();
    m_set_State[0] &= ~0x3000;
}

void CMSSpectrum_Base::ResetNamevalue(void)
{
    m_Namevalue.clear();
    m_set_State[0] &= ~0xc000;
}

void CMSSpectrum_Base::Reset(void)
{
    ResetNumber();
    ResetCharge();
    ResetPrecursormz();
    ResetMz();
    ResetAbundance();
    ResetIscale();
    ResetIds();
    ResetNamevalue();
}

BEGIN_NAMED_BASE_CLASS_INFO("MSSpectrum", CMSSpectrum)
{
    SET_CLASS_MODULE("OMSSA");
    ADD_NAMED_STD_MEMBER("number", m_Number)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("charge", m_Charge, STL_list, (STD, (int)))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("precursormz", m_Precursormz)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("mz", m_Mz, STL_vector, (STD, (int)))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("abundance", m_Abundance, STL_vector, (STD, (int)))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("iscale", m_Iscale)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("ids", m_Ids, STL_list, (STD, (string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("namevalue", m_Namevalue, STL_list, (STL_CRef, (CLASS, (CNameValue))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CMSSpectrum_Base::CMSSpectrum_Base(void)
    : m_Number(0), m_Precursormz(0), m_Iscale(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMSSpectrum_Base::~CMSSpectrum_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

