/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'pcassay.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/pcassay/PC_AnnotatedXRef.hpp>
#include <objects/pcsubstance/PC_XRefData.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CPC_AnnotatedXRef_Base::, EType, true)
{
    SET_ENUM_INTERNAL_NAME("PC-AnnotatedXRef", "type");
    SET_ENUM_MODULE("NCBI-PCAssay");
    ADD_ENUM_VALUE("pcit", eType_pcit);
    ADD_ENUM_VALUE("pgene", eType_pgene);
}
END_ENUM_INFO

void CPC_AnnotatedXRef_Base::ResetXref(void)
{
    if ( !m_Xref ) {
        m_Xref.Reset(new TXref());
        return;
    }
    (*m_Xref).Reset();
}

void CPC_AnnotatedXRef_Base::SetXref(CPC_AnnotatedXRef_Base::TXref& value)
{
    m_Xref.Reset(&value);
}

void CPC_AnnotatedXRef_Base::ResetComment(void)
{
    m_Comment.erase();
    m_set_State[0] &= ~0xc;
}

void CPC_AnnotatedXRef_Base::Reset(void)
{
    ResetXref();
    ResetComment();
    ResetType();
}

BEGIN_NAMED_BASE_CLASS_INFO("PC-AnnotatedXRef", CPC_AnnotatedXRef)
{
    SET_CLASS_MODULE("NCBI-PCAssay");
    ADD_NAMED_REF_MEMBER("xref", m_Xref, CPC_XRefData);
    ADD_NAMED_STD_MEMBER("comment", m_Comment)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_ENUM_MEMBER("type", m_Type, EType)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CPC_AnnotatedXRef_Base::CPC_AnnotatedXRef_Base(void)
    : m_Type((EType)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetXref();
    }
}

// destructor
CPC_AnnotatedXRef_Base::~CPC_AnnotatedXRef_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

