/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'pcassay.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/pcassay/PC_AssayData.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CPC_AssayData_Base::C_Value::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CPC_AssayData_Base::C_Value::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Sval:
        m_string.Destruct();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CPC_AssayData_Base::C_Value::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* )
{
    switch ( index ) {
    case e_Ival:
        m_Ival = 0;
        break;
    case e_Fval:
        m_Fval = 0;
        break;
    case e_Bval:
        m_Bval = 0;
        break;
    case e_Sval:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CPC_AssayData_Base::C_Value::sm_SelectionNames[] = {
    "not set",
    "ival",
    "fval",
    "bval",
    "sval"
};

NCBI_NS_STD::string CPC_AssayData_Base::C_Value::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CPC_AssayData_Base::C_Value::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CPC_AssayData_Base::C_Value::SetSval(const CPC_AssayData_Base::C_Value::TSval& value)
{
    Select(e_Sval, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CPC_AssayData_Base::C_Value)
{
    SET_INTERNAL_NAME("PC-AssayData", "value");
    SET_CHOICE_MODULE("NCBI-PCAssay");
    ADD_NAMED_STD_CHOICE_VARIANT("ival", m_Ival);
    ADD_NAMED_STD_CHOICE_VARIANT("fval", m_Fval);
    ADD_NAMED_STD_CHOICE_VARIANT("bval", m_Bval);
    ADD_NAMED_BUF_CHOICE_VARIANT("sval", m_string, STD, (string));
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CPC_AssayData_Base::C_Value::C_Value(void)
    : m_choice(e_not_set)
{
}

// destructor
CPC_AssayData_Base::C_Value::~C_Value(void)
{
    Reset();
}


void CPC_AssayData_Base::ResetValue(void)
{
    if ( !m_Value ) {
        m_Value.Reset(new TValue());
        return;
    }
    (*m_Value).Reset();
}

void CPC_AssayData_Base::SetValue(CPC_AssayData_Base::TValue& value)
{
    m_Value.Reset(&value);
}

void CPC_AssayData_Base::Reset(void)
{
    ResetTid();
    ResetValue();
}

BEGIN_NAMED_BASE_CLASS_INFO("PC-AssayData", CPC_AssayData)
{
    SET_CLASS_MODULE("NCBI-PCAssay");
    ADD_NAMED_STD_MEMBER("tid", m_Tid)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("value", m_Value, C_Value);
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CPC_AssayData_Base::CPC_AssayData_Base(void)
    : m_Tid(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetValue();
    }
}

// destructor
CPC_AssayData_Base::~CPC_AssayData_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

