/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'pcassay.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/pcassay/PC_AssayDescription.hpp>
#include <objects/pcassay/PC_AnnotatedXRef.hpp>
#include <objects/pcassay/PC_AssayDRAttr.hpp>
#include <objects/pcassay/PC_AssayPanel.hpp>
#include <objects/pcassay/PC_AssayTargetInfo.hpp>
#include <objects/pcassay/PC_CategorizedComment.hpp>
#include <objects/pcassay/PC_ResultType.hpp>
#include <objects/pcsubstance/PC_ID.hpp>
#include <objects/pcsubstance/PC_Source.hpp>
#include <objects/pub/Pub.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CPC_AssayDescription_Base::, EActivity_outcome_method, true)
{
    SET_ENUM_INTERNAL_NAME("PC-AssayDescription", "activity-outcome-method");
    SET_ENUM_MODULE("NCBI-PCAssay");
    ADD_ENUM_VALUE("other", eActivity_outcome_method_other);
    ADD_ENUM_VALUE("screening", eActivity_outcome_method_screening);
    ADD_ENUM_VALUE("confirmatory", eActivity_outcome_method_confirmatory);
    ADD_ENUM_VALUE("summary", eActivity_outcome_method_summary);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CPC_AssayDescription_Base::, ESubstance_type, true)
{
    SET_ENUM_INTERNAL_NAME("PC-AssayDescription", "substance-type");
    SET_ENUM_MODULE("NCBI-PCAssay");
    ADD_ENUM_VALUE("small-molecule", eSubstance_type_small_molecule);
    ADD_ENUM_VALUE("nucleotide", eSubstance_type_nucleotide);
    ADD_ENUM_VALUE("other", eSubstance_type_other);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CPC_AssayDescription_Base::, EProject_category, true)
{
    SET_ENUM_INTERNAL_NAME("PC-AssayDescription", "project-category");
    SET_ENUM_MODULE("NCBI-PCAssay");
    ADD_ENUM_VALUE("mlscn", eProject_category_mlscn);
    ADD_ENUM_VALUE("mlpcn", eProject_category_mlpcn);
    ADD_ENUM_VALUE("mlscn-ap", eProject_category_mlscn_ap);
    ADD_ENUM_VALUE("mlpcn-ap", eProject_category_mlpcn_ap);
    ADD_ENUM_VALUE("journal-article", eProject_category_journal_article);
    ADD_ENUM_VALUE("assay-vendor", eProject_category_assay_vendor);
    ADD_ENUM_VALUE("literature-extracted", eProject_category_literature_extracted);
    ADD_ENUM_VALUE("literature-author", eProject_category_literature_author);
    ADD_ENUM_VALUE("literature-publisher", eProject_category_literature_publisher);
    ADD_ENUM_VALUE("rnaigi", eProject_category_rnaigi);
    ADD_ENUM_VALUE("other", eProject_category_other);
}
END_ENUM_INFO

void CPC_AssayDescription_Base::ResetAid(void)
{
    if ( !m_Aid ) {
        m_Aid.Reset(new TAid());
        return;
    }
    (*m_Aid).Reset();
}

void CPC_AssayDescription_Base::SetAid(CPC_AssayDescription_Base::TAid& value)
{
    m_Aid.Reset(&value);
}

void CPC_AssayDescription_Base::ResetAid_source(void)
{
    m_Aid_source.Reset();
}

void CPC_AssayDescription_Base::SetAid_source(CPC_AssayDescription_Base::TAid_source& value)
{
    m_Aid_source.Reset(&value);
}

CPC_AssayDescription_Base::TAid_source& CPC_AssayDescription_Base::SetAid_source(void)
{
    if ( !m_Aid_source )
        m_Aid_source.Reset(new TAid_source());
    return (*m_Aid_source);
}

void CPC_AssayDescription_Base::ResetName(void)
{
    m_Name.erase();
    m_set_State[0] &= ~0x30;
}

void CPC_AssayDescription_Base::ResetDescription(void)
{
    m_Description.clear();
    m_set_State[0] &= ~0xc0;
}

void CPC_AssayDescription_Base::ResetProtocol(void)
{
    m_Protocol.clear();
    m_set_State[0] &= ~0x300;
}

void CPC_AssayDescription_Base::ResetComment(void)
{
    m_Comment.clear();
    m_set_State[0] &= ~0xc00;
}

void CPC_AssayDescription_Base::ResetXref(void)
{
    m_Xref.clear();
    m_set_State[0] &= ~0x3000;
}

void CPC_AssayDescription_Base::ResetResults(void)
{
    m_Results.clear();
    m_set_State[0] &= ~0xc000;
}

void CPC_AssayDescription_Base::ResetPub(void)
{
    m_Pub.clear();
    m_set_State[0] &= ~0x30000;
}

void CPC_AssayDescription_Base::ResetTarget(void)
{
    m_Target.clear();
    m_set_State[0] &= ~0x300000;
}

void CPC_AssayDescription_Base::ResetDr(void)
{
    m_Dr.clear();
    m_set_State[0] &= ~0x3000000;
}

void CPC_AssayDescription_Base::ResetGrant_number(void)
{
    m_Grant_number.clear();
    m_set_State[0] &= ~0x30000000;
}

void CPC_AssayDescription_Base::ResetAssay_group(void)
{
    m_Assay_group.clear();
    m_set_State[1] &= ~0xc;
}

void CPC_AssayDescription_Base::ResetPanel_info(void)
{
    m_Panel_info.Reset();
}

void CPC_AssayDescription_Base::SetPanel_info(CPC_AssayDescription_Base::TPanel_info& value)
{
    m_Panel_info.Reset(&value);
}

CPC_AssayDescription_Base::TPanel_info& CPC_AssayDescription_Base::SetPanel_info(void)
{
    if ( !m_Panel_info )
        m_Panel_info.Reset(new TPanel_info());
    return (*m_Panel_info);
}

void CPC_AssayDescription_Base::ResetCategorized_comment(void)
{
    m_Categorized_comment.clear();
    m_set_State[1] &= ~0x300;
}

void CPC_AssayDescription_Base::Reset(void)
{
    ResetAid();
    ResetAid_source();
    ResetName();
    ResetDescription();
    ResetProtocol();
    ResetComment();
    ResetXref();
    ResetResults();
    ResetPub();
    ResetRevision();
    ResetTarget();
    ResetActivity_outcome_method();
    ResetDr();
    ResetSubstance_type();
    ResetGrant_number();
    ResetProject_category();
    ResetIs_panel();
    ResetAssay_group();
    ResetPanel_info();
    ResetIs_mlp_late_stage();
    ResetCategorized_comment();
}

BEGIN_NAMED_BASE_CLASS_INFO("PC-AssayDescription", CPC_AssayDescription)
{
    SET_CLASS_MODULE("NCBI-PCAssay");
    ADD_NAMED_REF_MEMBER("aid", m_Aid, CPC_ID);
    ADD_NAMED_REF_MEMBER("aid-source", m_Aid_source, CPC_Source)->SetOptional();
    ADD_NAMED_STD_MEMBER("name", m_Name)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("description", m_Description, STL_list, (STD, (string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("protocol", m_Protocol, STL_list, (STD, (string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("comment", m_Comment, STL_list, (STD, (string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("xref", m_Xref, STL_list, (STL_CRef, (CLASS, (CPC_AnnotatedXRef))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("results", m_Results, STL_vector, (STL_CRef, (CLASS, (CPC_ResultType))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("pub", m_Pub, STL_list, (STL_CRef, (CLASS, (CPub))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("revision", m_Revision)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("target", m_Target, STL_list, (STL_CRef, (CLASS, (CPC_AssayTargetInfo))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_ENUM_MEMBER("activity-outcome-method", m_Activity_outcome_method, EActivity_outcome_method)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("dr", m_Dr, STL_list, (STL_CRef, (CLASS, (CPC_AssayDRAttr))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_ENUM_MEMBER("substance-type", m_Substance_type, ESubstance_type)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("grant-number", m_Grant_number, STL_list, (STD, (string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_ENUM_MEMBER("project-category", m_Project_category, EProject_category)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("is-panel", m_Is_panel)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("assay-group", m_Assay_group, STL_list, (STD, (string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("panel-info", m_Panel_info, CPC_AssayPanel)->SetOptional();
    ADD_NAMED_STD_MEMBER("is-mlp-late-stage", m_Is_mlp_late_stage)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("categorized-comment", m_Categorized_comment, STL_list, (STL_CRef, (CLASS, (CPC_CategorizedComment))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CPC_AssayDescription_Base::CPC_AssayDescription_Base(void)
    : m_Revision(0), m_Activity_outcome_method((EActivity_outcome_method)(0)), m_Substance_type((ESubstance_type)(0)), m_Project_category((EProject_category)(0)), m_Is_panel(0), m_Is_mlp_late_stage(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAid();
    }
}

// destructor
CPC_AssayDescription_Base::~CPC_AssayDescription_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

