/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'pcassay.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/pcassay/PC_AssayPanelTestResult.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CPC_AssayPanelTestResult_Base::, EReadout_annot, true)
{
    SET_ENUM_INTERNAL_NAME("PC-AssayPanelTestResult", "readout-annot");
    SET_ENUM_MODULE("NCBI-PCAssay");
    ADD_ENUM_VALUE("regular", eReadout_annot_regular);
    ADD_ENUM_VALUE("outcome", eReadout_annot_outcome);
    ADD_ENUM_VALUE("score", eReadout_annot_score);
    ADD_ENUM_VALUE("ac", eReadout_annot_ac);
}
END_ENUM_INFO

void CPC_AssayPanelTestResult_Base::Reset(void)
{
    ResetMid();
    ResetReadout_annot();
}

BEGIN_NAMED_BASE_CLASS_INFO("PC-AssayPanelTestResult", CPC_AssayPanelTestResult)
{
    SET_CLASS_MODULE("NCBI-PCAssay");
    ADD_NAMED_STD_MEMBER("mid", m_Mid)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_ENUM_MEMBER("readout-annot", m_Readout_annot, EReadout_annot)->SetDefault(new TReadout_annot(eReadout_annot_regular))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CPC_AssayPanelTestResult_Base::CPC_AssayPanelTestResult_Base(void)
    : m_Mid(0), m_Readout_annot(eReadout_annot_regular)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CPC_AssayPanelTestResult_Base::~CPC_AssayPanelTestResult_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

