/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'pcassay2.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/pcassay2/PC_AssayTargetInfo.hpp>
#include <objects/seqfeat/BioSource.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::

BEGIN_pcassay2_SCOPE // namespace ncbi::objects::pcassay2::


// generated classes

void CPC_AssayTargetInfo_Base::C_Mol_id::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CPC_AssayTargetInfo_Base::C_Mol_id::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Protein_accession:
    case e_Nucleotide_accession:
    case e_Other:
        m_string.Destruct();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CPC_AssayTargetInfo_Base::C_Mol_id::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* )
{
    switch ( index ) {
    case e_Gene_id:
        m_Gene_id = 0;
        break;
    case e_Tax_id:
        m_Tax_id = 0;
        break;
    case e_Protein_accession:
    case e_Nucleotide_accession:
    case e_Other:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CPC_AssayTargetInfo_Base::C_Mol_id::sm_SelectionNames[] = {
    "not set",
    "gene-id",
    "protein-accession",
    "nucleotide-accession",
    "other",
    "tax-id"
};

NCBI_NS_STD::string CPC_AssayTargetInfo_Base::C_Mol_id::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CPC_AssayTargetInfo_Base::C_Mol_id::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CPC_AssayTargetInfo_Base::C_Mol_id::SetProtein_accession(const CPC_AssayTargetInfo_Base::C_Mol_id::TProtein_accession& value)
{
    Select(e_Protein_accession, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

void CPC_AssayTargetInfo_Base::C_Mol_id::SetNucleotide_accession(const CPC_AssayTargetInfo_Base::C_Mol_id::TNucleotide_accession& value)
{
    Select(e_Nucleotide_accession, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

void CPC_AssayTargetInfo_Base::C_Mol_id::SetOther(const CPC_AssayTargetInfo_Base::C_Mol_id::TOther& value)
{
    Select(e_Other, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CPC_AssayTargetInfo_Base::C_Mol_id)
{
    SET_INTERNAL_NAME("PC-AssayTargetInfo", "mol-id");
    SET_CHOICE_MODULE("NCBI-PCAssay2");
    ADD_NAMED_STD_CHOICE_VARIANT("gene-id", m_Gene_id);
    ADD_NAMED_BUF_CHOICE_VARIANT("protein-accession", m_string, STD, (string));
    ADD_NAMED_BUF_CHOICE_VARIANT("nucleotide-accession", m_string, STD, (string));
    ADD_NAMED_BUF_CHOICE_VARIANT("other", m_string, STD, (string));
    ADD_NAMED_STD_CHOICE_VARIANT("tax-id", m_Tax_id);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CPC_AssayTargetInfo_Base::C_Mol_id::C_Mol_id(void)
    : m_choice(e_not_set)
{
}

// destructor
CPC_AssayTargetInfo_Base::C_Mol_id::~C_Mol_id(void)
{
    Reset();
}


void CPC_AssayTargetInfo_Base::ResetName(void)
{
    m_Name.erase();
    m_set_State[0] &= ~0x3;
}

void CPC_AssayTargetInfo_Base::ResetMol_id(void)
{
    if ( !m_Mol_id ) {
        m_Mol_id.Reset(new TMol_id());
        return;
    }
    (*m_Mol_id).Reset();
}

void CPC_AssayTargetInfo_Base::SetMol_id(CPC_AssayTargetInfo_Base::TMol_id& value)
{
    m_Mol_id.Reset(&value);
}

void CPC_AssayTargetInfo_Base::ResetOrganism(void)
{
    m_Organism.Reset();
}

void CPC_AssayTargetInfo_Base::SetOrganism(CPC_AssayTargetInfo_Base::TOrganism& value)
{
    m_Organism.Reset(&value);
}

CPC_AssayTargetInfo_Base::TOrganism& CPC_AssayTargetInfo_Base::SetOrganism(void)
{
    if ( !m_Organism )
        m_Organism.Reset(new TOrganism());
    return (*m_Organism);
}

void CPC_AssayTargetInfo_Base::ResetDescr(void)
{
    m_Descr.erase();
    m_set_State[0] &= ~0xc0;
}

void CPC_AssayTargetInfo_Base::ResetComment(void)
{
    m_Comment.clear();
    m_set_State[0] &= ~0x300;
}

void CPC_AssayTargetInfo_Base::Reset(void)
{
    ResetName();
    ResetMol_id();
    ResetOrganism();
    ResetDescr();
    ResetComment();
}

BEGIN_NAMED_BASE_CLASS_INFO("PC-AssayTargetInfo", CPC_AssayTargetInfo)
{
    SET_CLASS_MODULE("NCBI-PCAssay2");
    ADD_NAMED_MEMBER("name", m_Name, CStringUTF8, ())->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("mol-id", m_Mol_id, C_Mol_id);
    ADD_NAMED_REF_MEMBER("organism", m_Organism, objects::CBioSource)->SetOptional();
    ADD_NAMED_MEMBER("descr", m_Descr, CStringUTF8, ())->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("comment", m_Comment, STL_list, (CStringUTF8, ()))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CPC_AssayTargetInfo_Base::CPC_AssayTargetInfo_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetMol_id();
    }
}

// destructor
CPC_AssayTargetInfo_Base::~CPC_AssayTargetInfo_Base(void)
{
}



END_pcassay2_SCOPE // namespace ncbi::objects::pcassay2::

END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

