/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'pcsubstance.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/pcsubstance/PC_DBTracking.hpp>
#include <objects/general/Date.hpp>
#include <objects/general/Object_id.hpp>
#include <objects/pub/Pub.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CPC_DBTracking_Base::ResetName(void)
{
    m_Name.erase();
    m_set_State[0] &= ~0x3;
}

void CPC_DBTracking_Base::ResetSource_id(void)
{
    if ( !m_Source_id ) {
        m_Source_id.Reset(new TSource_id());
        return;
    }
    (*m_Source_id).Reset();
}

void CPC_DBTracking_Base::SetSource_id(CPC_DBTracking_Base::TSource_id& value)
{
    m_Source_id.Reset(&value);
}

void CPC_DBTracking_Base::ResetDate(void)
{
    m_Date.Reset();
}

void CPC_DBTracking_Base::SetDate(CPC_DBTracking_Base::TDate& value)
{
    m_Date.Reset(&value);
}

CPC_DBTracking_Base::TDate& CPC_DBTracking_Base::SetDate(void)
{
    if ( !m_Date )
        m_Date.Reset(new TDate());
    return (*m_Date);
}

void CPC_DBTracking_Base::ResetDescription(void)
{
    m_Description.erase();
    m_set_State[0] &= ~0xc0;
}

void CPC_DBTracking_Base::ResetPub(void)
{
    m_Pub.Reset();
}

void CPC_DBTracking_Base::SetPub(CPC_DBTracking_Base::TPub& value)
{
    m_Pub.Reset(&value);
}

CPC_DBTracking_Base::TPub& CPC_DBTracking_Base::SetPub(void)
{
    if ( !m_Pub )
        m_Pub.Reset(new TPub());
    return (*m_Pub);
}

void CPC_DBTracking_Base::Reset(void)
{
    ResetName();
    ResetSource_id();
    ResetDate();
    ResetDescription();
    ResetPub();
}

BEGIN_NAMED_BASE_CLASS_INFO("PC-DBTracking", CPC_DBTracking)
{
    SET_CLASS_MODULE("NCBI-PCSubstance");
    ADD_NAMED_STD_MEMBER("name", m_Name)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("source-id", m_Source_id, CObject_id);
    ADD_NAMED_REF_MEMBER("date", m_Date, CDate)->SetOptional();
    ADD_NAMED_STD_MEMBER("description", m_Description)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("pub", m_Pub, CPub)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CPC_DBTracking_Base::CPC_DBTracking_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetSource_id();
    }
}

// destructor
CPC_DBTracking_Base::~CPC_DBTracking_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

