/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'pcsubstance.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/pcsubstance/PC_Group.hpp>
#include <objects/pcsubstance/PC_Bracket.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CPC_Group_Base::, EType, true)
{
    SET_ENUM_INTERNAL_NAME("PC-Group", "type");
    SET_ENUM_MODULE("NCBI-PCSubstance");
    ADD_ENUM_VALUE("sup", eType_sup);
    ADD_ENUM_VALUE("mul", eType_mul);
    ADD_ENUM_VALUE("sru", eType_sru);
    ADD_ENUM_VALUE("mon", eType_mon);
    ADD_ENUM_VALUE("mer", eType_mer);
    ADD_ENUM_VALUE("cop", eType_cop);
    ADD_ENUM_VALUE("cro", eType_cro);
    ADD_ENUM_VALUE("mod", eType_mod);
    ADD_ENUM_VALUE("gra", eType_gra);
    ADD_ENUM_VALUE("com", eType_com);
    ADD_ENUM_VALUE("mix", eType_mix);
    ADD_ENUM_VALUE("for", eType_for);
    ADD_ENUM_VALUE("dat", eType_dat);
    ADD_ENUM_VALUE("any", eType_any);
    ADD_ENUM_VALUE("gen", eType_gen);
    ADD_ENUM_VALUE("unknown", eType_unknown);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CPC_Group_Base::, ESubtype, true)
{
    SET_ENUM_INTERNAL_NAME("PC-Group", "subtype");
    SET_ENUM_MODULE("NCBI-PCSubstance");
    ADD_ENUM_VALUE("alt", eSubtype_alt);
    ADD_ENUM_VALUE("ran", eSubtype_ran);
    ADD_ENUM_VALUE("blo", eSubtype_blo);
    ADD_ENUM_VALUE("unknown", eSubtype_unknown);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CPC_Group_Base::, EConnectivity, true)
{
    SET_ENUM_INTERNAL_NAME("PC-Group", "connectivity");
    SET_ENUM_MODULE("NCBI-PCSubstance");
    ADD_ENUM_VALUE("hh", eConnectivity_hh);
    ADD_ENUM_VALUE("ht", eConnectivity_ht);
    ADD_ENUM_VALUE("eu", eConnectivity_eu);
    ADD_ENUM_VALUE("unknown", eConnectivity_unknown);
}
END_ENUM_INFO

void CPC_Group_Base::C_Repeat_count::C_Range::Reset(void)
{
    ResetLower();
    ResetUpper();
}

BEGIN_NAMED_CLASS_INFO("", CPC_Group_Base::C_Repeat_count::C_Range)
{
    SET_INTERNAL_NAME("PC-Group.repeat-count", "range");
    SET_CLASS_MODULE("NCBI-PCSubstance");
    ADD_NAMED_STD_MEMBER("lower", m_Lower)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("upper", m_Upper)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CPC_Group_Base::C_Repeat_count::C_Range::C_Range(void)
    : m_Lower(0), m_Upper(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CPC_Group_Base::C_Repeat_count::C_Range::~C_Range(void)
{
}


void CPC_Group_Base::C_Repeat_count::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CPC_Group_Base::C_Repeat_count::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Range:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CPC_Group_Base::C_Repeat_count::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Exact:
        m_Exact = 0;
        break;
    case e_Range:
        (m_object = new(pool) C_Range())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CPC_Group_Base::C_Repeat_count::sm_SelectionNames[] = {
    "not set",
    "exact",
    "range"
};

NCBI_NS_STD::string CPC_Group_Base::C_Repeat_count::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CPC_Group_Base::C_Repeat_count::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CPC_Group_Base::C_Repeat_count::TRange& CPC_Group_Base::C_Repeat_count::GetRange(void) const
{
    CheckSelected(e_Range);
    return *static_cast<const TRange*>(m_object);
}

CPC_Group_Base::C_Repeat_count::TRange& CPC_Group_Base::C_Repeat_count::SetRange(void)
{
    Select(e_Range, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TRange*>(m_object);
}

void CPC_Group_Base::C_Repeat_count::SetRange(CPC_Group_Base::C_Repeat_count::TRange& value)
{
    TRange* ptr = &value;
    if ( m_choice != e_Range || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Range;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CPC_Group_Base::C_Repeat_count)
{
    SET_INTERNAL_NAME("PC-Group", "repeat-count");
    SET_CHOICE_MODULE("NCBI-PCSubstance");
    ADD_NAMED_STD_CHOICE_VARIANT("exact", m_Exact);
    ADD_NAMED_REF_CHOICE_VARIANT("range", m_object, C_Range);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CPC_Group_Base::C_Repeat_count::C_Repeat_count(void)
    : m_choice(e_not_set)
{
}

// destructor
CPC_Group_Base::C_Repeat_count::~C_Repeat_count(void)
{
    Reset();
}


void CPC_Group_Base::C_Bonds::ResetFrom(void)
{
    m_From.clear();
    m_set_State[0] &= ~0x3;
}

void CPC_Group_Base::C_Bonds::ResetTo(void)
{
    m_To.clear();
    m_set_State[0] &= ~0xc;
}

void CPC_Group_Base::C_Bonds::Reset(void)
{
    ResetFrom();
    ResetTo();
}

BEGIN_NAMED_CLASS_INFO("", CPC_Group_Base::C_Bonds)
{
    SET_INTERNAL_NAME("PC-Group", "bonds");
    SET_CLASS_MODULE("NCBI-PCSubstance");
    ADD_NAMED_MEMBER("from", m_From, STL_vector, (STD, (int)))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("to", m_To, STL_vector, (STD, (int)))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CPC_Group_Base::C_Bonds::C_Bonds(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CPC_Group_Base::C_Bonds::~C_Bonds(void)
{
}


void CPC_Group_Base::C_Brackets::ResetLeft(void)
{
    if ( !m_Left ) {
        m_Left.Reset(new TLeft());
        return;
    }
    (*m_Left).Reset();
}

void CPC_Group_Base::C_Brackets::SetLeft(CPC_Group_Base::C_Brackets::TLeft& value)
{
    m_Left.Reset(&value);
}

void CPC_Group_Base::C_Brackets::ResetRight(void)
{
    if ( !m_Right ) {
        m_Right.Reset(new TRight());
        return;
    }
    (*m_Right).Reset();
}

void CPC_Group_Base::C_Brackets::SetRight(CPC_Group_Base::C_Brackets::TRight& value)
{
    m_Right.Reset(&value);
}

void CPC_Group_Base::C_Brackets::Reset(void)
{
    ResetLeft();
    ResetRight();
}

BEGIN_NAMED_CLASS_INFO("", CPC_Group_Base::C_Brackets)
{
    SET_INTERNAL_NAME("PC-Group", "brackets");
    SET_CLASS_MODULE("NCBI-PCSubstance");
    ADD_NAMED_REF_MEMBER("left", m_Left, CPC_Bracket);
    ADD_NAMED_REF_MEMBER("right", m_Right, CPC_Bracket);
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CPC_Group_Base::C_Brackets::C_Brackets(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetLeft();
        ResetRight();
    }
}

// destructor
CPC_Group_Base::C_Brackets::~C_Brackets(void)
{
}


void CPC_Group_Base::ResetAtoms(void)
{
    m_Atoms.clear();
    m_set_State[0] &= ~0x3;
}

void CPC_Group_Base::ResetSubscript(void)
{
    m_Subscript.erase();
    m_set_State[0] &= ~0xc00;
}

void CPC_Group_Base::ResetRepeat_count(void)
{
    m_Repeat_count.Reset();
}

void CPC_Group_Base::SetRepeat_count(CPC_Group_Base::TRepeat_count& value)
{
    m_Repeat_count.Reset(&value);
}

CPC_Group_Base::TRepeat_count& CPC_Group_Base::SetRepeat_count(void)
{
    if ( !m_Repeat_count )
        m_Repeat_count.Reset(new TRepeat_count());
    return (*m_Repeat_count);
}

void CPC_Group_Base::ResetBonds(void)
{
    m_Bonds.Reset();
}

void CPC_Group_Base::SetBonds(CPC_Group_Base::TBonds& value)
{
    m_Bonds.Reset(&value);
}

CPC_Group_Base::TBonds& CPC_Group_Base::SetBonds(void)
{
    if ( !m_Bonds )
        m_Bonds.Reset(new TBonds());
    return (*m_Bonds);
}

void CPC_Group_Base::ResetBrackets(void)
{
    m_Brackets.Reset();
}

void CPC_Group_Base::SetBrackets(CPC_Group_Base::TBrackets& value)
{
    m_Brackets.Reset(&value);
}

CPC_Group_Base::TBrackets& CPC_Group_Base::SetBrackets(void)
{
    if ( !m_Brackets )
        m_Brackets.Reset(new TBrackets());
    return (*m_Brackets);
}

void CPC_Group_Base::Reset(void)
{
    ResetAtoms();
    ResetType();
    ResetSubtype();
    ResetConnectivity();
    ResetLabel();
    ResetSubscript();
    ResetRepeat_count();
    ResetBonds();
    ResetBrackets();
}

BEGIN_NAMED_BASE_CLASS_INFO("PC-Group", CPC_Group)
{
    SET_CLASS_MODULE("NCBI-PCSubstance");
    ADD_NAMED_MEMBER("atoms", m_Atoms, STL_vector, (STD, (int)))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_ENUM_MEMBER("type", m_Type, EType)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_ENUM_MEMBER("subtype", m_Subtype, ESubtype)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_ENUM_MEMBER("connectivity", m_Connectivity, EConnectivity)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("label", m_Label)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("subscript", m_Subscript)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("repeat-count", m_Repeat_count, C_Repeat_count)->SetOptional();
    ADD_NAMED_REF_MEMBER("bonds", m_Bonds, C_Bonds)->SetOptional();
    ADD_NAMED_REF_MEMBER("brackets", m_Brackets, C_Brackets)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CPC_Group_Base::CPC_Group_Base(void)
    : m_Type((EType)(0)), m_Subtype((ESubtype)(0)), m_Connectivity((EConnectivity)(0)), m_Label(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CPC_Group_Base::~CPC_Group_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

