/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'pcsubstance.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/pcsubstance/PC_InfoData.hpp>
#include <objects/general/Date.hpp>
#include <objects/pcsubstance/PC_Urn.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CPC_InfoData_Base::C_Value::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CPC_InfoData_Base::C_Value::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Bvec:
        m_Bvec.Destruct();
        break;
    case e_Ivec:
        m_Ivec.Destruct();
        break;
    case e_Fvec:
        m_Fvec.Destruct();
        break;
    case e_Slist:
        m_Slist.Destruct();
        break;
    case e_Binary:
        m_Binary.Destruct();
        break;
    case e_Bitlist:
        m_Bitlist.Destruct();
        break;
    case e_Sval:
        m_string.Destruct();
        break;
    case e_Date:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CPC_InfoData_Base::C_Value::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Bval:
        m_Bval = 0;
        break;
    case e_Bvec:
        m_Bvec.Construct();
        break;
    case e_Ival:
        m_Ival = 0;
        break;
    case e_Ivec:
        m_Ivec.Construct();
        break;
    case e_Fval:
        m_Fval = 0;
        break;
    case e_Fvec:
        m_Fvec.Construct();
        break;
    case e_Slist:
        m_Slist.Construct();
        break;
    case e_Date:
        (m_object = new(pool) ncbi::objects::CDate())->AddReference();
        break;
    case e_Binary:
        m_Binary.Construct();
        break;
    case e_Bitlist:
        m_Bitlist.Construct();
        break;
    case e_Sval:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CPC_InfoData_Base::C_Value::sm_SelectionNames[] = {
    "not set",
    "bval",
    "bvec",
    "ival",
    "ivec",
    "fval",
    "fvec",
    "sval",
    "slist",
    "date",
    "binary",
    "bitlist"
};

NCBI_NS_STD::string CPC_InfoData_Base::C_Value::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CPC_InfoData_Base::C_Value::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CPC_InfoData_Base::C_Value::SetSval(const CPC_InfoData_Base::C_Value::TSval& value)
{
    Select(e_Sval, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

const CPC_InfoData_Base::C_Value::TDate& CPC_InfoData_Base::C_Value::GetDate(void) const
{
    CheckSelected(e_Date);
    return *static_cast<const TDate*>(m_object);
}

CPC_InfoData_Base::C_Value::TDate& CPC_InfoData_Base::C_Value::SetDate(void)
{
    Select(e_Date, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TDate*>(m_object);
}

void CPC_InfoData_Base::C_Value::SetDate(CPC_InfoData_Base::C_Value::TDate& value)
{
    TDate* ptr = &value;
    if ( m_choice != e_Date || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Date;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CPC_InfoData_Base::C_Value)
{
    SET_INTERNAL_NAME("PC-InfoData", "value");
    SET_CHOICE_MODULE("NCBI-PCSubstance");
    ADD_NAMED_STD_CHOICE_VARIANT("bval", m_Bval);
    ADD_NAMED_BUF_CHOICE_VARIANT("bvec", m_Bvec, STL_vector, (STD, (char)));
    ADD_NAMED_STD_CHOICE_VARIANT("ival", m_Ival);
    ADD_NAMED_BUF_CHOICE_VARIANT("ivec", m_Ivec, STL_vector, (STD, (int)));
    ADD_NAMED_STD_CHOICE_VARIANT("fval", m_Fval);
    ADD_NAMED_BUF_CHOICE_VARIANT("fvec", m_Fvec, STL_vector, (STD, (double)));
    ADD_NAMED_BUF_CHOICE_VARIANT("sval", m_string, STD, (string));
    ADD_NAMED_BUF_CHOICE_VARIANT("slist", m_Slist, STL_list, (STD, (string)));
    ADD_NAMED_REF_CHOICE_VARIANT("date", m_object, CDate);
    ADD_NAMED_BUF_CHOICE_VARIANT("binary", m_Binary, STL_CHAR_vector, (char));
    ADD_NAMED_BUF_CHOICE_VARIANT("bitlist", m_Bitlist, STD, (CBitString));
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CPC_InfoData_Base::C_Value::C_Value(void)
    : m_choice(e_not_set)
{
}

// destructor
CPC_InfoData_Base::C_Value::~C_Value(void)
{
    Reset();
}


void CPC_InfoData_Base::ResetUrn(void)
{
    if ( !m_Urn ) {
        m_Urn.Reset(new TUrn());
        return;
    }
    (*m_Urn).Reset();
}

void CPC_InfoData_Base::SetUrn(CPC_InfoData_Base::TUrn& value)
{
    m_Urn.Reset(&value);
}

void CPC_InfoData_Base::ResetValue(void)
{
    if ( !m_Value ) {
        m_Value.Reset(new TValue());
        return;
    }
    (*m_Value).Reset();
}

void CPC_InfoData_Base::SetValue(CPC_InfoData_Base::TValue& value)
{
    m_Value.Reset(&value);
}

void CPC_InfoData_Base::Reset(void)
{
    ResetUrn();
    ResetValue();
}

BEGIN_NAMED_BASE_CLASS_INFO("PC-InfoData", CPC_InfoData)
{
    SET_CLASS_MODULE("NCBI-PCSubstance");
    ADD_NAMED_REF_MEMBER("urn", m_Urn, CPC_Urn);
    ADD_NAMED_REF_MEMBER("value", m_Value, C_Value);
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CPC_InfoData_Base::CPC_InfoData_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetUrn();
        ResetValue();
    }
}

// destructor
CPC_InfoData_Base::~CPC_InfoData_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

