/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'pcsubstance.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/pcsubstance/PC_MMDBSource.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CPC_MMDBSource_Base::ResetMolecule_name(void)
{
    m_Molecule_name.clear();
    m_set_State[0] &= ~0x30;
}

void CPC_MMDBSource_Base::ResetResidue_name(void)
{
    m_Residue_name.erase();
    m_set_State[0] &= ~0x300;
}

void CPC_MMDBSource_Base::ResetAtom_name(void)
{
    m_Atom_name.erase();
    m_set_State[0] &= ~0x3000;
}

void CPC_MMDBSource_Base::Reset(void)
{
    ResetMmdb_id();
    ResetMolecule_id();
    ResetMolecule_name();
    ResetResidue_id();
    ResetResidue_name();
    ResetAtom_id();
    ResetAtom_name();
}

BEGIN_NAMED_BASE_CLASS_INFO("PC-MMDBSource", CPC_MMDBSource)
{
    SET_CLASS_MODULE("NCBI-PCSubstance");
    ADD_NAMED_STD_MEMBER("mmdb-id", m_Mmdb_id)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("molecule-id", m_Molecule_id)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_MEMBER("molecule-name", m_Molecule_name, STL_list, (STD, (string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("residue-id", m_Residue_id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("residue-name", m_Residue_name)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("atom-id", m_Atom_id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("atom-name", m_Atom_name)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CPC_MMDBSource_Base::CPC_MMDBSource_Base(void)
    : m_Mmdb_id(0), m_Molecule_id(0), m_Residue_id(0), m_Atom_id(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CPC_MMDBSource_Base::~CPC_MMDBSource_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

