/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'pcsubstance.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/pcsubstance/PC_StereoTetrahedral.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CPC_StereoTetrahedral_Base::, EParity, true)
{
    SET_ENUM_INTERNAL_NAME("PC-StereoTetrahedral", "parity");
    SET_ENUM_MODULE("NCBI-PCSubstance");
    ADD_ENUM_VALUE("clockwise", eParity_clockwise);
    ADD_ENUM_VALUE("counterclockwise", eParity_counterclockwise);
    ADD_ENUM_VALUE("any", eParity_any);
    ADD_ENUM_VALUE("unknown", eParity_unknown);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CPC_StereoTetrahedral_Base::, EType, true)
{
    SET_ENUM_INTERNAL_NAME("PC-StereoTetrahedral", "type");
    SET_ENUM_MODULE("NCBI-PCSubstance");
    ADD_ENUM_VALUE("tetrahedral", eType_tetrahedral);
    ADD_ENUM_VALUE("cumulenic", eType_cumulenic);
    ADD_ENUM_VALUE("biaryl", eType_biaryl);
}
END_ENUM_INFO

void CPC_StereoTetrahedral_Base::Reset(void)
{
    ResetCenter();
    ResetAbove();
    ResetTop();
    ResetBottom();
    ResetBelow();
    ResetParity();
    ResetType();
}

BEGIN_NAMED_BASE_CLASS_INFO("PC-StereoTetrahedral", CPC_StereoTetrahedral)
{
    SET_CLASS_MODULE("NCBI-PCSubstance");
    ADD_NAMED_STD_MEMBER("center", m_Center)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("above", m_Above)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("top", m_Top)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("bottom", m_Bottom)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("below", m_Below)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_ENUM_MEMBER("parity", m_Parity, EParity)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_ENUM_MEMBER("type", m_Type, EType)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CPC_StereoTetrahedral_Base::CPC_StereoTetrahedral_Base(void)
    : m_Center(0), m_Above(0), m_Top(0), m_Bottom(0), m_Below(0), m_Parity((EParity)(0)), m_Type((EType)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CPC_StereoTetrahedral_Base::~CPC_StereoTetrahedral_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

