/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'pcsubstance.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/pcsubstance/PC_Urn.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CPC_Urn_Base::ResetLabel(void)
{
    m_Label.erase();
    m_set_State[0] &= ~0x3;
}

void CPC_Urn_Base::ResetName(void)
{
    m_Name.erase();
    m_set_State[0] &= ~0xc;
}

void CPC_Urn_Base::ResetParameters(void)
{
    m_Parameters.erase();
    m_set_State[0] &= ~0xc0;
}

void CPC_Urn_Base::ResetImplementation(void)
{
    m_Implementation.erase();
    m_set_State[0] &= ~0x300;
}

void CPC_Urn_Base::ResetVersion(void)
{
    m_Version.erase();
    m_set_State[0] &= ~0xc00;
}

void CPC_Urn_Base::ResetSoftware(void)
{
    m_Software.erase();
    m_set_State[0] &= ~0x3000;
}

void CPC_Urn_Base::ResetSource(void)
{
    m_Source.erase();
    m_set_State[0] &= ~0xc000;
}

void CPC_Urn_Base::ResetRelease(void)
{
    m_Release.erase();
    m_set_State[0] &= ~0x30000;
}

void CPC_Urn_Base::Reset(void)
{
    ResetLabel();
    ResetName();
    ResetDatatype();
    ResetParameters();
    ResetImplementation();
    ResetVersion();
    ResetSoftware();
    ResetSource();
    ResetRelease();
}

BEGIN_NAMED_BASE_CLASS_INFO("PC-Urn", CPC_Urn)
{
    SET_CLASS_MODULE("NCBI-PCSubstance");
    ADD_NAMED_STD_MEMBER("label", m_Label)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("name", m_Name)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_ENUM_MEMBER("datatype", m_Datatype, EPC_UrnDataType)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("parameters", m_Parameters)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("implementation", m_Implementation)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("version", m_Version)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("software", m_Software)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("source", m_Source)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("release", m_Release)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CPC_Urn_Base::CPC_Urn_Base(void)
    : m_Datatype((int)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CPC_Urn_Base::~CPC_Urn_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

