/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'seqtest.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/seqtest/Seq_test_result.hpp>
#include <objects/general/Date.hpp>
#include <objects/general/User_object.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CSeq_test_result_Base::ResetTest(void)
{
    m_Test.erase();
    m_set_State[0] &= ~0x3;
}

void CSeq_test_result_Base::ResetDate(void)
{
    if ( !m_Date ) {
        m_Date.Reset(new TDate());
        return;
    }
    (*m_Date).Reset();
}

void CSeq_test_result_Base::SetDate(CSeq_test_result_Base::TDate& value)
{
    m_Date.Reset(&value);
}

void CSeq_test_result_Base::ResetOutput_data(void)
{
    if ( !m_Output_data ) {
        m_Output_data.Reset(new TOutput_data());
        return;
    }
    (*m_Output_data).Reset();
}

void CSeq_test_result_Base::SetOutput_data(CSeq_test_result_Base::TOutput_data& value)
{
    m_Output_data.Reset(&value);
}

void CSeq_test_result_Base::Reset(void)
{
    ResetTest();
    ResetDate();
    ResetOutput_data();
}

BEGIN_NAMED_BASE_CLASS_INFO("Seq-test-result", CSeq_test_result)
{
    SET_CLASS_MODULE("NCBI-SeqTest");
    ADD_NAMED_STD_MEMBER("test", m_Test)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("date", m_Date, CDate);
    ADD_NAMED_REF_MEMBER("output-data", m_Output_data, CUser_object);
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CSeq_test_result_Base::CSeq_test_result_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetDate();
        ResetOutput_data();
    }
}

// destructor
CSeq_test_result_Base::~CSeq_test_result_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

