/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'taxon3.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/taxon3/T3Error.hpp>
#include <objects/seqfeat/Org_ref.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CT3Error_Base::, ELevel, false)
{
    SET_ENUM_INTERNAL_NAME("T3Error", "level");
    SET_ENUM_MODULE("NCBI-Taxon3");
    ADD_ENUM_VALUE("none", eLevel_none);
    ADD_ENUM_VALUE("info", eLevel_info);
    ADD_ENUM_VALUE("warn", eLevel_warn);
    ADD_ENUM_VALUE("error", eLevel_error);
    ADD_ENUM_VALUE("fatal", eLevel_fatal);
}
END_ENUM_INFO

void CT3Error_Base::ResetMessage(void)
{
    m_Message.erase();
    m_set_State[0] &= ~0xc;
}

void CT3Error_Base::ResetName(void)
{
    m_Name.erase();
    m_set_State[0] &= ~0xc0;
}

void CT3Error_Base::ResetOrg(void)
{
    m_Org.Reset();
}

void CT3Error_Base::SetOrg(CT3Error_Base::TOrg& value)
{
    m_Org.Reset(&value);
}

CT3Error_Base::TOrg& CT3Error_Base::SetOrg(void)
{
    if ( !m_Org )
        m_Org.Reset(new TOrg());
    return (*m_Org);
}

void CT3Error_Base::Reset(void)
{
    ResetLevel();
    ResetMessage();
    ResetTaxid();
    ResetName();
    ResetOrg();
}

BEGIN_NAMED_BASE_CLASS_INFO("T3Error", CT3Error)
{
    SET_CLASS_MODULE("NCBI-Taxon3");
    ADD_NAMED_ENUM_MEMBER("level", m_Level, ELevel)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("message", m_Message)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("taxid", m_Taxid)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("name", m_Name)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("org", m_Org, COrg_ref)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CT3Error_Base::CT3Error_Base(void)
    : m_Level((ELevel)(0)), m_Taxid(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CT3Error_Base::~CT3Error_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

