/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'taxon3.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/taxon3/T3RefreshFlags.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CT3RefreshFlags_Base::Reset(void)
{
    ResetTaxid_changed();
    ResetTaxname_changed();
    ResetDivision_changed();
    ResetLineage_changed();
    ResetGc_changed();
    ResetMgc_changed();
    ResetOrgmod_changed();
    ResetPgc_changed();
}

BEGIN_NAMED_BASE_CLASS_INFO("T3RefreshFlags", CT3RefreshFlags)
{
    SET_CLASS_MODULE("NCBI-Taxon3");
    ADD_NAMED_STD_MEMBER("taxid-changed", m_Taxid_changed)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("taxname-changed", m_Taxname_changed)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("division-changed", m_Division_changed)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("lineage-changed", m_Lineage_changed)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("gc-changed", m_Gc_changed)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("mgc-changed", m_Mgc_changed)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("orgmod-changed", m_Orgmod_changed)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("pgc-changed", m_Pgc_changed)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CT3RefreshFlags_Base::CT3RefreshFlags_Base(void)
    : m_Taxid_changed(0), m_Taxname_changed(0), m_Division_changed(0), m_Lineage_changed(0), m_Gc_changed(0), m_Mgc_changed(0), m_Orgmod_changed(0), m_Pgc_changed(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CT3RefreshFlags_Base::~CT3RefreshFlags_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

