/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'taxon3.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/taxon3/T3Reply.hpp>
#include <objects/taxon3/T3Data.hpp>
#include <objects/taxon3/T3Error.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CT3Reply_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CT3Reply_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Error:
    case e_Data:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CT3Reply_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Error:
        (m_object = new(pool) ncbi::objects::CT3Error())->AddReference();
        break;
    case e_Data:
        (m_object = new(pool) ncbi::objects::CT3Data())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CT3Reply_Base::sm_SelectionNames[] = {
    "not set",
    "error",
    "data"
};

NCBI_NS_STD::string CT3Reply_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CT3Reply_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CT3Reply_Base::TError& CT3Reply_Base::GetError(void) const
{
    CheckSelected(e_Error);
    return *static_cast<const TError*>(m_object);
}

CT3Reply_Base::TError& CT3Reply_Base::SetError(void)
{
    Select(e_Error, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TError*>(m_object);
}

void CT3Reply_Base::SetError(CT3Reply_Base::TError& value)
{
    TError* ptr = &value;
    if ( m_choice != e_Error || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Error;
    }
}

const CT3Reply_Base::TData& CT3Reply_Base::GetData(void) const
{
    CheckSelected(e_Data);
    return *static_cast<const TData*>(m_object);
}

CT3Reply_Base::TData& CT3Reply_Base::SetData(void)
{
    Select(e_Data, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TData*>(m_object);
}

void CT3Reply_Base::SetData(CT3Reply_Base::TData& value)
{
    TData* ptr = &value;
    if ( m_choice != e_Data || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Data;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("T3Reply", CT3Reply)
{
    SET_CHOICE_MODULE("NCBI-Taxon3");
    ADD_NAMED_REF_CHOICE_VARIANT("error", m_object, CT3Error);
    ADD_NAMED_REF_CHOICE_VARIANT("data", m_object, CT3Data);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CT3Reply_Base::CT3Reply_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CT3Reply_Base::~CT3Reply_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

