/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'taxon3.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/taxon3/T3StatusFlags.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CT3StatusFlags_Base::C_Value::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CT3StatusFlags_Base::C_Value::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Str:
        m_string.Destruct();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CT3StatusFlags_Base::C_Value::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* )
{
    switch ( index ) {
    case e_Bool:
        m_Bool = 0;
        break;
    case e_Int:
        m_Int = 0;
        break;
    case e_Str:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CT3StatusFlags_Base::C_Value::sm_SelectionNames[] = {
    "not set",
    "bool",
    "int",
    "str"
};

NCBI_NS_STD::string CT3StatusFlags_Base::C_Value::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CT3StatusFlags_Base::C_Value::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CT3StatusFlags_Base::C_Value::SetStr(const CT3StatusFlags_Base::C_Value::TStr& value)
{
    Select(e_Str, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CT3StatusFlags_Base::C_Value)
{
    SET_INTERNAL_NAME("T3StatusFlags", "value");
    SET_CHOICE_MODULE("NCBI-Taxon3");
    ADD_NAMED_STD_CHOICE_VARIANT("bool", m_Bool);
    ADD_NAMED_STD_CHOICE_VARIANT("int", m_Int);
    ADD_NAMED_BUF_CHOICE_VARIANT("str", m_string, STD, (string));
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CT3StatusFlags_Base::C_Value::C_Value(void)
    : m_choice(e_not_set)
{
}

// destructor
CT3StatusFlags_Base::C_Value::~C_Value(void)
{
    Reset();
}


void CT3StatusFlags_Base::ResetProperty(void)
{
    m_Property.erase();
    m_set_State[0] &= ~0x3;
}

void CT3StatusFlags_Base::ResetValue(void)
{
    if ( !m_Value ) {
        m_Value.Reset(new TValue());
        return;
    }
    (*m_Value).Reset();
}

void CT3StatusFlags_Base::SetValue(CT3StatusFlags_Base::TValue& value)
{
    m_Value.Reset(&value);
}

void CT3StatusFlags_Base::Reset(void)
{
    ResetProperty();
    ResetValue();
}

BEGIN_NAMED_BASE_CLASS_INFO("T3StatusFlags", CT3StatusFlags)
{
    SET_CLASS_MODULE("NCBI-Taxon3");
    ADD_NAMED_STD_MEMBER("property", m_Property)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("value", m_Value, C_Value);
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CT3StatusFlags_Base::CT3StatusFlags_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetValue();
    }
}

// destructor
CT3StatusFlags_Base::~CT3StatusFlags_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

