/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'tinyseq.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/tinyseq/TSeq.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CTSeq_Base::, ESeqtype, false)
{
    SET_ENUM_INTERNAL_NAME("TSeq", "seqtype");
    SET_ENUM_MODULE("NCBI-TSeq");
    ADD_ENUM_VALUE("nucleotide", eSeqtype_nucleotide);
    ADD_ENUM_VALUE("protein", eSeqtype_protein);
}
END_ENUM_INFO

void CTSeq_Base::ResetAccver(void)
{
    m_Accver.erase();
    m_set_State[0] &= ~0x30;
}

void CTSeq_Base::ResetSid(void)
{
    m_Sid.erase();
    m_set_State[0] &= ~0xc0;
}

void CTSeq_Base::ResetLocal(void)
{
    m_Local.erase();
    m_set_State[0] &= ~0x300;
}

void CTSeq_Base::ResetOrgname(void)
{
    m_Orgname.erase();
    m_set_State[0] &= ~0x3000;
}

void CTSeq_Base::ResetDefline(void)
{
    m_Defline.erase();
    m_set_State[0] &= ~0xc000;
}

void CTSeq_Base::ResetSequence(void)
{
    m_Sequence.erase();
    m_set_State[0] &= ~0xc0000;
}

void CTSeq_Base::Reset(void)
{
    ResetSeqtype();
    ResetGi();
    ResetAccver();
    ResetSid();
    ResetLocal();
    ResetTaxid();
    ResetOrgname();
    ResetDefline();
    ResetLength();
    ResetSequence();
}

BEGIN_NAMED_BASE_CLASS_INFO("TSeq", CTSeq)
{
    SET_CLASS_MODULE("NCBI-TSeq");
    ADD_NAMED_ENUM_MEMBER("seqtype", m_Seqtype, ESeqtype)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("gi", m_Gi)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("accver", m_Accver)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("sid", m_Sid)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("local", m_Local)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("taxid", m_Taxid)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("orgname", m_Orgname)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("defline", m_Defline)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("length", m_Length)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("sequence", m_Sequence)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CTSeq_Base::CTSeq_Base(void)
    : m_Seqtype((ESeqtype)(0)), m_Gi(0), m_Taxid(0), m_Length(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CTSeq_Base::~CTSeq_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

