/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'valid.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/valid/Field_rule.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CField_rule_Base::ResetField_name(void)
{
    m_Field_name.erase();
    m_set_State[0] &= ~0x3;
}

void CField_rule_Base::ResetMatch_expression(void)
{
    m_Match_expression.erase();
    m_set_State[0] &= ~0xc;
}

void CField_rule_Base::Reset(void)
{
    ResetField_name();
    ResetMatch_expression();
    ResetRequired();
    ResetSeverity();
}

BEGIN_NAMED_BASE_CLASS_INFO("Field-rule", CField_rule)
{
    SET_CLASS_MODULE("NCBI-Structured-comment-validation");
    ADD_NAMED_STD_MEMBER("field-name", m_Field_name)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("match-expression", m_Match_expression)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("required", m_Required)->SetDefault(new TRequired(false))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_ENUM_MEMBER("severity", m_Severity, ESeverity_level)->SetDefault(new TSeverity(eSeverity_level_warning))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CField_rule_Base::CField_rule_Base(void)
    : m_Required(false), m_Severity(eSeverity_level_warning)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CField_rule_Base::~CField_rule_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

