/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'varrep.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/varrep/AaLocation.hpp>
#include <objects/varrep/AaInterval.hpp>
#include <objects/varrep/AaSite.hpp>
#include <objects/varrep/AaSiteRange.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CAaLocation_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CAaLocation_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Site:
    case e_Range:
    case e_Int:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CAaLocation_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Site:
        (m_object = new(pool) ncbi::objects::CAaSite())->AddReference();
        break;
    case e_Range:
        (m_object = new(pool) ncbi::objects::CAaSiteRange())->AddReference();
        break;
    case e_Int:
        (m_object = new(pool) ncbi::objects::CAaInterval())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CAaLocation_Base::sm_SelectionNames[] = {
    "not set",
    "site",
    "range",
    "int"
};

NCBI_NS_STD::string CAaLocation_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CAaLocation_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CAaLocation_Base::TSite& CAaLocation_Base::GetSite(void) const
{
    CheckSelected(e_Site);
    return *static_cast<const TSite*>(m_object);
}

CAaLocation_Base::TSite& CAaLocation_Base::SetSite(void)
{
    Select(e_Site, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TSite*>(m_object);
}

void CAaLocation_Base::SetSite(CAaLocation_Base::TSite& value)
{
    TSite* ptr = &value;
    if ( m_choice != e_Site || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Site;
    }
}

const CAaLocation_Base::TRange& CAaLocation_Base::GetRange(void) const
{
    CheckSelected(e_Range);
    return *static_cast<const TRange*>(m_object);
}

CAaLocation_Base::TRange& CAaLocation_Base::SetRange(void)
{
    Select(e_Range, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TRange*>(m_object);
}

void CAaLocation_Base::SetRange(CAaLocation_Base::TRange& value)
{
    TRange* ptr = &value;
    if ( m_choice != e_Range || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Range;
    }
}

const CAaLocation_Base::TInt& CAaLocation_Base::GetInt(void) const
{
    CheckSelected(e_Int);
    return *static_cast<const TInt*>(m_object);
}

CAaLocation_Base::TInt& CAaLocation_Base::SetInt(void)
{
    Select(e_Int, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TInt*>(m_object);
}

void CAaLocation_Base::SetInt(CAaLocation_Base::TInt& value)
{
    TInt* ptr = &value;
    if ( m_choice != e_Int || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Int;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("AaLocation", CAaLocation)
{
    SET_CHOICE_MODULE("NCBI-VariationIRep");
    ADD_NAMED_REF_CHOICE_VARIANT("site", m_object, CAaSite);
    ADD_NAMED_REF_CHOICE_VARIANT("range", m_object, CAaSiteRange);
    ADD_NAMED_REF_CHOICE_VARIANT("int", m_object, CAaInterval);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CAaLocation_Base::CAaLocation_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CAaLocation_Base::~CAaLocation_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

