/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'varrep.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/varrep/CtermExtension.hpp>
#include <objects/varrep/Count.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CCtermExtension_Base::ResetNewAa(void)
{
    m_NewAa.erase();
    m_set_State[0] &= ~0xc;
}

void CCtermExtension_Base::ResetLength(void)
{
    if ( !m_Length ) {
        m_Length.Reset(new TLength());
        return;
    }
    (*m_Length).Reset();
}

void CCtermExtension_Base::SetLength(CCtermExtension_Base::TLength& value)
{
    m_Length.Reset(&value);
}

void CCtermExtension_Base::Reset(void)
{
    ResetRefStop();
    ResetNewAa();
    ResetLength();
}

BEGIN_NAMED_BASE_CLASS_INFO("CtermExtension", CCtermExtension)
{
    SET_CLASS_MODULE("NCBI-VariationIRep");
    ADD_NAMED_STD_MEMBER("refStop", m_RefStop)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("newAa", m_NewAa)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("length", m_Length, CCount);
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CCtermExtension_Base::CCtermExtension_Base(void)
    : m_RefStop(0)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetLength();
    }
}

// destructor
CCtermExtension_Base::~CCtermExtension_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

