/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'varrep.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/varrep/Frameshift.hpp>
#include <objects/varrep/AaSite.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CFrameshift_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CFrameshift_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Aasite:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CFrameshift_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Aasite:
        (m_object = new(pool) ncbi::objects::CAaSite())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CFrameshift_Base::sm_SelectionNames[] = {
    "not set",
    "aasite",
    "stopcodon"
};

NCBI_NS_STD::string CFrameshift_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CFrameshift_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CFrameshift_Base::TAasite& CFrameshift_Base::GetAasite(void) const
{
    CheckSelected(e_Aasite);
    return *static_cast<const TAasite*>(m_object);
}

CFrameshift_Base::TAasite& CFrameshift_Base::SetAasite(void)
{
    Select(e_Aasite, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TAasite*>(m_object);
}

void CFrameshift_Base::SetAasite(CFrameshift_Base::TAasite& value)
{
    TAasite* ptr = &value;
    if ( m_choice != e_Aasite || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Aasite;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Frameshift", CFrameshift)
{
    SET_CHOICE_MODULE("NCBI-VariationIRep");
    ADD_NAMED_REF_CHOICE_VARIANT("aasite", m_object, CAaSite);
    ADD_NAMED_NULL_CHOICE_VARIANT("stopcodon", null, ());
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CFrameshift_Base::CFrameshift_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CFrameshift_Base::~CFrameshift_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

