/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'varrep.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/varrep/SeqLocation.hpp>
#include <objects/varrep/AaLocation.hpp>
#include <objects/varrep/NtLocation.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CSeqLocation_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CSeqLocation_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Aaloc:
    case e_Ntloc:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CSeqLocation_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Aaloc:
        (m_object = new(pool) ncbi::objects::CAaLocation())->AddReference();
        break;
    case e_Ntloc:
        (m_object = new(pool) ncbi::objects::CNtLocation())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CSeqLocation_Base::sm_SelectionNames[] = {
    "not set",
    "aaloc",
    "ntloc"
};

NCBI_NS_STD::string CSeqLocation_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CSeqLocation_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CSeqLocation_Base::TAaloc& CSeqLocation_Base::GetAaloc(void) const
{
    CheckSelected(e_Aaloc);
    return *static_cast<const TAaloc*>(m_object);
}

CSeqLocation_Base::TAaloc& CSeqLocation_Base::SetAaloc(void)
{
    Select(e_Aaloc, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TAaloc*>(m_object);
}

void CSeqLocation_Base::SetAaloc(CSeqLocation_Base::TAaloc& value)
{
    TAaloc* ptr = &value;
    if ( m_choice != e_Aaloc || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Aaloc;
    }
}

const CSeqLocation_Base::TNtloc& CSeqLocation_Base::GetNtloc(void) const
{
    CheckSelected(e_Ntloc);
    return *static_cast<const TNtloc*>(m_object);
}

CSeqLocation_Base::TNtloc& CSeqLocation_Base::SetNtloc(void)
{
    Select(e_Ntloc, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TNtloc*>(m_object);
}

void CSeqLocation_Base::SetNtloc(CSeqLocation_Base::TNtloc& value)
{
    TNtloc* ptr = &value;
    if ( m_choice != e_Ntloc || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Ntloc;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("SeqLocation", CSeqLocation)
{
    SET_CHOICE_MODULE("NCBI-VariationIRep");
    ADD_NAMED_REF_CHOICE_VARIANT("aaloc", m_object, CAaLocation);
    ADD_NAMED_REF_CHOICE_VARIANT("ntloc", m_object, CNtLocation);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CSeqLocation_Base::CSeqLocation_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CSeqLocation_Base::~CSeqLocation_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

