/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'varrep.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/varrep/SimpleVariantSeq.hpp>
#include <objects/varrep/SimpleVariant.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CSimpleVariantSeq_Base::ResetVariants(void)
{
    m_Variants.clear();
    m_set_State[0] &= ~0x3;
}

void CSimpleVariantSeq_Base::Reset(void)
{
    ResetVariants();
    ResetSisters();
    ResetFuzzy();
}

BEGIN_NAMED_BASE_CLASS_INFO("SimpleVariantSeq", CSimpleVariantSeq)
{
    SET_CLASS_MODULE("NCBI-VariationIRep");
    ADD_NAMED_MEMBER("variants", m_Variants, STL_list, (STL_CRef, (CLASS, (CSimpleVariant))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("sisters", m_Sisters)->SetDefault(new TSisters(false))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_STD_MEMBER("fuzzy", m_Fuzzy)->SetDefault(new TFuzzy(false))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CLASS_INFO

// constructor
CSimpleVariantSeq_Base::CSimpleVariantSeq_Base(void)
    : m_Sisters(false), m_Fuzzy(false)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CSimpleVariantSeq_Base::~CSimpleVariantSeq_Base(void)
{
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

