/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'varrep.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/varrep/Variant.hpp>
#include <objects/varrep/SimpleVariant.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::


// generated classes

void CVariant_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CVariant_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Simple:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CVariant_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Simple:
        (m_object = new(pool) ncbi::objects::CSimpleVariant())->AddReference();
        break;
    case e_Special:
        m_Special = (int)(0);
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CVariant_Base::sm_SelectionNames[] = {
    "not set",
    "simple",
    "special"
};

NCBI_NS_STD::string CVariant_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CVariant_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CVariant_Base::TSimple& CVariant_Base::GetSimple(void) const
{
    CheckSelected(e_Simple);
    return *static_cast<const TSimple*>(m_object);
}

CVariant_Base::TSimple& CVariant_Base::SetSimple(void)
{
    Select(e_Simple, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TSimple*>(m_object);
}

void CVariant_Base::SetSimple(CVariant_Base::TSimple& value)
{
    TSimple* ptr = &value;
    if ( m_choice != e_Simple || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Simple;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Variant", CVariant)
{
    SET_CHOICE_MODULE("NCBI-VariationIRep");
    ADD_NAMED_REF_CHOICE_VARIANT("simple", m_object, CSimpleVariant);
    ADD_NAMED_ENUM_CHOICE_VARIANT("special", m_Special, ESpecialVariant);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eASN);
}
END_CHOICE_INFO

// constructor
CVariant_Base::CVariant_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CVariant_Base::~CVariant_Base(void)
{
    Reset();
}



END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

