/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/AbstractText.hpp>
#include <objtools/eutils/efetch/DispFormula.hpp>
#include <objtools/eutils/efetch/Math.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CAbstractText_Base::C_Attlist::, EAttlist_NlmCategory, false)
{
    SET_ENUM_INTERNAL_NAME("AbstractText.Attlist", "NlmCategory");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("BACKGROUND", eAttlist_NlmCategory_BACKGROUND);
    ADD_ENUM_VALUE("OBJECTIVE", eAttlist_NlmCategory_OBJECTIVE);
    ADD_ENUM_VALUE("METHODS", eAttlist_NlmCategory_METHODS);
    ADD_ENUM_VALUE("RESULTS", eAttlist_NlmCategory_RESULTS);
    ADD_ENUM_VALUE("CONCLUSIONS", eAttlist_NlmCategory_CONCLUSIONS);
    ADD_ENUM_VALUE("UNASSIGNED", eAttlist_NlmCategory_UNASSIGNED);
}
END_ENUM_INFO

void CAbstractText_Base::C_Attlist::ResetLabel(void)
{
    m_Label.erase();
    m_set_State[0] &= ~0x3;
}

void CAbstractText_Base::C_Attlist::Reset(void)
{
    ResetLabel();
    ResetNlmCategory();
}

BEGIN_NAMED_CLASS_INFO("", CAbstractText_Base::C_Attlist)
{
    SET_INTERNAL_NAME("AbstractText", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("Label", m_Label)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("NlmCategory", m_NlmCategory, EAttlist_NlmCategory)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CAbstractText_Base::C_Attlist::C_Attlist(void)
    : m_NlmCategory((EAttlist_NlmCategory)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CAbstractText_Base::C_Attlist::~C_Attlist(void)
{
}


void CAbstractText_Base::C_E_AbstractText::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CAbstractText_Base::C_E_AbstractText::ResetSelection(void)
{
    switch ( m_choice ) {
    case e__CharData:
        m_string.Destruct();
        break;
    case e_Text:
    case e_Math:
    case e_DispFormula:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CAbstractText_Base::C_E_AbstractText::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Text:
        (m_object = new(pool) eutils::CText())->AddReference();
        break;
    case e_Math:
        (m_object = new(pool) eutils::CMath())->AddReference();
        break;
    case e_DispFormula:
        (m_object = new(pool) eutils::CDispFormula())->AddReference();
        break;
    case e__CharData:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CAbstractText_Base::C_E_AbstractText::sm_SelectionNames[] = {
    "not set",
    "-CharData",
    "text",
    "math",
    "DispFormula"
};

NCBI_NS_STD::string CAbstractText_Base::C_E_AbstractText::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CAbstractText_Base::C_E_AbstractText::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CAbstractText_Base::C_E_AbstractText::Set_CharData(const CAbstractText_Base::C_E_AbstractText::T_CharData& value)
{
    Select(e__CharData, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

const CAbstractText_Base::C_E_AbstractText::TText& CAbstractText_Base::C_E_AbstractText::GetText(void) const
{
    CheckSelected(e_Text);
    return *static_cast<const TText*>(m_object);
}

CAbstractText_Base::C_E_AbstractText::TText& CAbstractText_Base::C_E_AbstractText::SetText(void)
{
    Select(e_Text, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TText*>(m_object);
}

void CAbstractText_Base::C_E_AbstractText::SetText(CAbstractText_Base::C_E_AbstractText::TText& value)
{
    TText* ptr = &value;
    if ( m_choice != e_Text || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Text;
    }
}

const CAbstractText_Base::C_E_AbstractText::TMath& CAbstractText_Base::C_E_AbstractText::GetMath(void) const
{
    CheckSelected(e_Math);
    return *static_cast<const TMath*>(m_object);
}

CAbstractText_Base::C_E_AbstractText::TMath& CAbstractText_Base::C_E_AbstractText::SetMath(void)
{
    Select(e_Math, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TMath*>(m_object);
}

void CAbstractText_Base::C_E_AbstractText::SetMath(CAbstractText_Base::C_E_AbstractText::TMath& value)
{
    TMath* ptr = &value;
    if ( m_choice != e_Math || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Math;
    }
}

const CAbstractText_Base::C_E_AbstractText::TDispFormula& CAbstractText_Base::C_E_AbstractText::GetDispFormula(void) const
{
    CheckSelected(e_DispFormula);
    return *static_cast<const TDispFormula*>(m_object);
}

CAbstractText_Base::C_E_AbstractText::TDispFormula& CAbstractText_Base::C_E_AbstractText::SetDispFormula(void)
{
    Select(e_DispFormula, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TDispFormula*>(m_object);
}

void CAbstractText_Base::C_E_AbstractText::SetDispFormula(CAbstractText_Base::C_E_AbstractText::TDispFormula& value)
{
    TDispFormula* ptr = &value;
    if ( m_choice != e_DispFormula || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_DispFormula;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CAbstractText_Base::C_E_AbstractText)
{
    SET_INTERNAL_NAME("AbstractText.AbstractText", "E");
    SET_CHOICE_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_BUF_CHOICE_VARIANT("-CharData", m_string, STD, (NCBI_NS_STD::string))->SetNotag();
    ADD_NAMED_REF_CHOICE_VARIANT("text", m_object, C_Text)->SetNotag();
    ADD_NAMED_REF_CHOICE_VARIANT("math", m_object, CMath);
    ADD_NAMED_REF_CHOICE_VARIANT("DispFormula", m_object, CDispFormula);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CAbstractText_Base::C_E_AbstractText::C_E_AbstractText(void)
    : m_choice(e_not_set)
{
}

// destructor
CAbstractText_Base::C_E_AbstractText::~C_E_AbstractText(void)
{
    Reset();
}


void CAbstractText_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CAbstractText_Base::SetAttlist(CAbstractText_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CAbstractText_Base::ResetAbstractText(void)
{
    m_AbstractText.clear();
    m_set_State[0] &= ~0xc;
}

void CAbstractText_Base::Reset(void)
{
    ResetAttlist();
    ResetAbstractText();
}

BEGIN_NAMED_BASE_CLASS_INFO("AbstractText", CAbstractText)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_MEMBER("AbstractText", m_AbstractText, STL_list, (STL_CRef, (CLASS, (C_E_AbstractText))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CAbstractText_Base::CAbstractText_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CAbstractText_Base::~CAbstractText_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

