/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/ArticleId.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CArticleId_Base::C_Attlist::, EAttlist_IdType, false)
{
    SET_ENUM_INTERNAL_NAME("ArticleId.Attlist", "IdType");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("doi", eAttlist_IdType_doi);
    ADD_ENUM_VALUE("pii", eAttlist_IdType_pii);
    ADD_ENUM_VALUE("pmcpid", eAttlist_IdType_pmcpid);
    ADD_ENUM_VALUE("pmpid", eAttlist_IdType_pmpid);
    ADD_ENUM_VALUE("pmc", eAttlist_IdType_pmc);
    ADD_ENUM_VALUE("mid", eAttlist_IdType_mid);
    ADD_ENUM_VALUE("sici", eAttlist_IdType_sici);
    ADD_ENUM_VALUE("pubmed", eAttlist_IdType_pubmed);
    ADD_ENUM_VALUE("medline", eAttlist_IdType_medline);
    ADD_ENUM_VALUE("pmcid", eAttlist_IdType_pmcid);
    ADD_ENUM_VALUE("pmcbook", eAttlist_IdType_pmcbook);
    ADD_ENUM_VALUE("bookaccession", eAttlist_IdType_bookaccession);
}
END_ENUM_INFO

void CArticleId_Base::C_Attlist::Reset(void)
{
    ResetIdType();
}

BEGIN_NAMED_CLASS_INFO("", CArticleId_Base::C_Attlist)
{
    SET_INTERNAL_NAME("ArticleId", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_ENUM_MEMBER("IdType", m_IdType, EAttlist_IdType)->SetDefault(new TIdType(eAttlist_IdType_pubmed))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CArticleId_Base::C_Attlist::C_Attlist(void)
    : m_IdType(eAttlist_IdType_pubmed)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CArticleId_Base::C_Attlist::~C_Attlist(void)
{
}


void CArticleId_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CArticleId_Base::SetAttlist(CArticleId_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CArticleId_Base::ResetArticleId(void)
{
    m_ArticleId.erase();
    m_set_State[0] &= ~0xc;
}

void CArticleId_Base::Reset(void)
{
    ResetAttlist();
    ResetArticleId();
}

BEGIN_NAMED_BASE_CLASS_INFO("ArticleId", CArticleId)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_STD_MEMBER("ArticleId", m_ArticleId)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CArticleId_Base::CArticleId_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CArticleId_Base::~CArticleId_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

