/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/ArticleTitle.hpp>
#include <objtools/eutils/efetch/Math.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CArticleTitle_Base::C_Attlist::ResetBook(void)
{
    m_Book.erase();
    m_set_State[0] &= ~0x3;
}

void CArticleTitle_Base::C_Attlist::ResetPart(void)
{
    m_Part.erase();
    m_set_State[0] &= ~0xc;
}

void CArticleTitle_Base::C_Attlist::ResetSec(void)
{
    m_Sec.erase();
    m_set_State[0] &= ~0x30;
}

void CArticleTitle_Base::C_Attlist::Reset(void)
{
    ResetBook();
    ResetPart();
    ResetSec();
}

BEGIN_NAMED_CLASS_INFO("", CArticleTitle_Base::C_Attlist)
{
    SET_INTERNAL_NAME("ArticleTitle", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("book", m_Book)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("part", m_Part)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("sec", m_Sec)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CArticleTitle_Base::C_Attlist::C_Attlist(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CArticleTitle_Base::C_Attlist::~C_Attlist(void)
{
}


void CArticleTitle_Base::C_E_ArticleTitle::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CArticleTitle_Base::C_E_ArticleTitle::ResetSelection(void)
{
    switch ( m_choice ) {
    case e__CharData:
        m_string.Destruct();
        break;
    case e_Text:
    case e_Math:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CArticleTitle_Base::C_E_ArticleTitle::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Text:
        (m_object = new(pool) eutils::CText())->AddReference();
        break;
    case e_Math:
        (m_object = new(pool) eutils::CMath())->AddReference();
        break;
    case e__CharData:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CArticleTitle_Base::C_E_ArticleTitle::sm_SelectionNames[] = {
    "not set",
    "-CharData",
    "text",
    "math"
};

NCBI_NS_STD::string CArticleTitle_Base::C_E_ArticleTitle::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CArticleTitle_Base::C_E_ArticleTitle::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CArticleTitle_Base::C_E_ArticleTitle::Set_CharData(const CArticleTitle_Base::C_E_ArticleTitle::T_CharData& value)
{
    Select(e__CharData, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

const CArticleTitle_Base::C_E_ArticleTitle::TText& CArticleTitle_Base::C_E_ArticleTitle::GetText(void) const
{
    CheckSelected(e_Text);
    return *static_cast<const TText*>(m_object);
}

CArticleTitle_Base::C_E_ArticleTitle::TText& CArticleTitle_Base::C_E_ArticleTitle::SetText(void)
{
    Select(e_Text, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TText*>(m_object);
}

void CArticleTitle_Base::C_E_ArticleTitle::SetText(CArticleTitle_Base::C_E_ArticleTitle::TText& value)
{
    TText* ptr = &value;
    if ( m_choice != e_Text || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Text;
    }
}

const CArticleTitle_Base::C_E_ArticleTitle::TMath& CArticleTitle_Base::C_E_ArticleTitle::GetMath(void) const
{
    CheckSelected(e_Math);
    return *static_cast<const TMath*>(m_object);
}

CArticleTitle_Base::C_E_ArticleTitle::TMath& CArticleTitle_Base::C_E_ArticleTitle::SetMath(void)
{
    Select(e_Math, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TMath*>(m_object);
}

void CArticleTitle_Base::C_E_ArticleTitle::SetMath(CArticleTitle_Base::C_E_ArticleTitle::TMath& value)
{
    TMath* ptr = &value;
    if ( m_choice != e_Math || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Math;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CArticleTitle_Base::C_E_ArticleTitle)
{
    SET_INTERNAL_NAME("ArticleTitle.ArticleTitle", "E");
    SET_CHOICE_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_BUF_CHOICE_VARIANT("-CharData", m_string, STD, (NCBI_NS_STD::string))->SetNotag();
    ADD_NAMED_REF_CHOICE_VARIANT("text", m_object, C_Text)->SetNotag();
    ADD_NAMED_REF_CHOICE_VARIANT("math", m_object, CMath);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CArticleTitle_Base::C_E_ArticleTitle::C_E_ArticleTitle(void)
    : m_choice(e_not_set)
{
}

// destructor
CArticleTitle_Base::C_E_ArticleTitle::~C_E_ArticleTitle(void)
{
    Reset();
}


void CArticleTitle_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CArticleTitle_Base::SetAttlist(CArticleTitle_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CArticleTitle_Base::ResetArticleTitle(void)
{
    m_ArticleTitle.clear();
    m_set_State[0] &= ~0xc;
}

void CArticleTitle_Base::Reset(void)
{
    ResetAttlist();
    ResetArticleTitle();
}

BEGIN_NAMED_BASE_CLASS_INFO("ArticleTitle", CArticleTitle)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_MEMBER("ArticleTitle", m_ArticleTitle, STL_list, (STL_CRef, (CLASS, (C_E_ArticleTitle))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CArticleTitle_Base::CArticleTitle_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CArticleTitle_Base::~CArticleTitle_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

