/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Article.hpp>
#include <objtools/eutils/efetch/Abstract.hpp>
#include <objtools/eutils/efetch/ArticleDate.hpp>
#include <objtools/eutils/efetch/ArticleTitle.hpp>
#include <objtools/eutils/efetch/AuthorList.hpp>
#include <objtools/eutils/efetch/DataBankList.hpp>
#include <objtools/eutils/efetch/ELocationID.hpp>
#include <objtools/eutils/efetch/GrantList.hpp>
#include <objtools/eutils/efetch/Journal.hpp>
#include <objtools/eutils/efetch/Language.hpp>
#include <objtools/eutils/efetch/Pagination.hpp>
#include <objtools/eutils/efetch/PublicationTypeList.hpp>
#include <objtools/eutils/efetch/VernacularTitle.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CArticle_Base::C_Attlist::, EAttlist_PubModel, false)
{
    SET_ENUM_INTERNAL_NAME("Article.Attlist", "PubModel");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("Print", eAttlist_PubModel_Print);
    ADD_ENUM_VALUE("Print-Electronic", eAttlist_PubModel_Print_Electronic);
    ADD_ENUM_VALUE("Electronic", eAttlist_PubModel_Electronic);
    ADD_ENUM_VALUE("Electronic-Print", eAttlist_PubModel_Electronic_Print);
    ADD_ENUM_VALUE("Electronic-eCollection", eAttlist_PubModel_Electronic_eCollection);
}
END_ENUM_INFO

void CArticle_Base::C_Attlist::Reset(void)
{
    ResetPubModel();
}

BEGIN_NAMED_CLASS_INFO("", CArticle_Base::C_Attlist)
{
    SET_INTERNAL_NAME("Article", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_ENUM_MEMBER("PubModel", m_PubModel, EAttlist_PubModel)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CArticle_Base::C_Attlist::C_Attlist(void)
    : m_PubModel((EAttlist_PubModel)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CArticle_Base::C_Attlist::~C_Attlist(void)
{
}


void CArticle_Base::C_PE_2::C_PE::ResetPagination(void)
{
    if ( !m_Pagination ) {
        m_Pagination.Reset(new TPagination());
        return;
    }
    (*m_Pagination).Reset();
}

void CArticle_Base::C_PE_2::C_PE::SetPagination(CArticle_Base::C_PE_2::C_PE::TPagination& value)
{
    m_Pagination.Reset(&value);
}

void CArticle_Base::C_PE_2::C_PE::ResetELocationID(void)
{
    m_ELocationID.clear();
    m_set_State[0] &= ~0xc;
}

void CArticle_Base::C_PE_2::C_PE::Reset(void)
{
    ResetPagination();
    ResetELocationID();
}

BEGIN_NAMED_CLASS_INFO("", CArticle_Base::C_PE_2::C_PE)
{
    SET_INTERNAL_NAME("Article.PE_2", "PE");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_REF_MEMBER("Pagination", m_Pagination, CPagination);
    ADD_NAMED_MEMBER("ELocationID", m_ELocationID, STL_list, (STL_CRef, (CLASS, (CELocationID))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CArticle_Base::C_PE_2::C_PE::C_PE(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetPagination();
    }
}

// destructor
CArticle_Base::C_PE_2::C_PE::~C_PE(void)
{
}


void CArticle_Base::C_PE_2::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CArticle_Base::C_PE_2::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_ELocationID:
        m_ELocationID.Destruct();
        break;
    case e_PE:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CArticle_Base::C_PE_2::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_PE:
        (m_object = new(pool) C_PE())->AddReference();
        break;
    case e_ELocationID:
        m_ELocationID.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CArticle_Base::C_PE_2::sm_SelectionNames[] = {
    "not set",
    "PE",
    "ELocationID"
};

NCBI_NS_STD::string CArticle_Base::C_PE_2::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CArticle_Base::C_PE_2::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CArticle_Base::C_PE_2::TPE& CArticle_Base::C_PE_2::GetPE(void) const
{
    CheckSelected(e_PE);
    return *static_cast<const TPE*>(m_object);
}

CArticle_Base::C_PE_2::TPE& CArticle_Base::C_PE_2::SetPE(void)
{
    Select(e_PE, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TPE*>(m_object);
}

void CArticle_Base::C_PE_2::SetPE(CArticle_Base::C_PE_2::TPE& value)
{
    TPE* ptr = &value;
    if ( m_choice != e_PE || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_PE;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CArticle_Base::C_PE_2)
{
    SET_INTERNAL_NAME("Article", "PE_2");
    SET_CHOICE_MODULE("efetch");
    ADD_NAMED_REF_CHOICE_VARIANT("PE", m_object, C_PE)->SetNotag();
    ADD_NAMED_BUF_CHOICE_VARIANT("ELocationID", m_ELocationID, STL_list, (STL_CRef, (CLASS, (CELocationID))))->SetNonEmpty();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CArticle_Base::C_PE_2::C_PE_2(void)
    : m_choice(e_not_set)
{
}

// destructor
CArticle_Base::C_PE_2::~C_PE_2(void)
{
    Reset();
}


void CArticle_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CArticle_Base::SetAttlist(CArticle_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CArticle_Base::ResetJournal(void)
{
    if ( !m_Journal ) {
        m_Journal.Reset(new TJournal());
        return;
    }
    (*m_Journal).Reset();
}

void CArticle_Base::SetJournal(CArticle_Base::TJournal& value)
{
    m_Journal.Reset(&value);
}

void CArticle_Base::ResetArticleTitle(void)
{
    if ( !m_ArticleTitle ) {
        m_ArticleTitle.Reset(new TArticleTitle());
        return;
    }
    (*m_ArticleTitle).Reset();
}

void CArticle_Base::SetArticleTitle(CArticle_Base::TArticleTitle& value)
{
    m_ArticleTitle.Reset(&value);
}

void CArticle_Base::ResetPE_2(void)
{
    if ( !m_PE_2 ) {
        m_PE_2.Reset(new TPE_2());
        return;
    }
    (*m_PE_2).Reset();
}

void CArticle_Base::SetPE_2(CArticle_Base::TPE_2& value)
{
    m_PE_2.Reset(&value);
}

void CArticle_Base::ResetAbstract(void)
{
    m_Abstract.Reset();
}

void CArticle_Base::SetAbstract(CArticle_Base::TAbstract& value)
{
    m_Abstract.Reset(&value);
}

CArticle_Base::TAbstract& CArticle_Base::SetAbstract(void)
{
    if ( !m_Abstract )
        m_Abstract.Reset(new TAbstract());
    return (*m_Abstract);
}

void CArticle_Base::ResetAuthorList(void)
{
    m_AuthorList.Reset();
}

void CArticle_Base::SetAuthorList(CArticle_Base::TAuthorList& value)
{
    m_AuthorList.Reset(&value);
}

CArticle_Base::TAuthorList& CArticle_Base::SetAuthorList(void)
{
    if ( !m_AuthorList )
        m_AuthorList.Reset(new TAuthorList());
    return (*m_AuthorList);
}

void CArticle_Base::ResetLanguage(void)
{
    m_Language.clear();
    m_set_State[0] &= ~0x3000;
}

void CArticle_Base::ResetDataBankList(void)
{
    m_DataBankList.Reset();
}

void CArticle_Base::SetDataBankList(CArticle_Base::TDataBankList& value)
{
    m_DataBankList.Reset(&value);
}

CArticle_Base::TDataBankList& CArticle_Base::SetDataBankList(void)
{
    if ( !m_DataBankList )
        m_DataBankList.Reset(new TDataBankList());
    return (*m_DataBankList);
}

void CArticle_Base::ResetGrantList(void)
{
    m_GrantList.Reset();
}

void CArticle_Base::SetGrantList(CArticle_Base::TGrantList& value)
{
    m_GrantList.Reset(&value);
}

CArticle_Base::TGrantList& CArticle_Base::SetGrantList(void)
{
    if ( !m_GrantList )
        m_GrantList.Reset(new TGrantList());
    return (*m_GrantList);
}

void CArticle_Base::ResetPublicationTypeList(void)
{
    if ( !m_PublicationTypeList ) {
        m_PublicationTypeList.Reset(new TPublicationTypeList());
        return;
    }
    (*m_PublicationTypeList).Reset();
}

void CArticle_Base::SetPublicationTypeList(CArticle_Base::TPublicationTypeList& value)
{
    m_PublicationTypeList.Reset(&value);
}

void CArticle_Base::ResetVernacularTitle(void)
{
    m_VernacularTitle.Reset();
}

void CArticle_Base::SetVernacularTitle(CArticle_Base::TVernacularTitle& value)
{
    m_VernacularTitle.Reset(&value);
}

CArticle_Base::TVernacularTitle& CArticle_Base::SetVernacularTitle(void)
{
    if ( !m_VernacularTitle )
        m_VernacularTitle.Reset(new TVernacularTitle());
    return (*m_VernacularTitle);
}

void CArticle_Base::ResetArticleDate(void)
{
    m_ArticleDate.clear();
    m_set_State[0] &= ~0xc00000;
}

void CArticle_Base::Reset(void)
{
    ResetAttlist();
    ResetJournal();
    ResetArticleTitle();
    ResetPE_2();
    ResetAbstract();
    ResetAuthorList();
    ResetLanguage();
    ResetDataBankList();
    ResetGrantList();
    ResetPublicationTypeList();
    ResetVernacularTitle();
    ResetArticleDate();
}

BEGIN_NAMED_BASE_CLASS_INFO("Article", CArticle)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_REF_MEMBER("Journal", m_Journal, CJournal);
    ADD_NAMED_REF_MEMBER("ArticleTitle", m_ArticleTitle, CArticleTitle);
    ADD_NAMED_REF_MEMBER("PE_2", m_PE_2, C_PE_2)->SetNotag();
    ADD_NAMED_REF_MEMBER("Abstract", m_Abstract, CAbstract)->SetOptional();
    ADD_NAMED_REF_MEMBER("AuthorList", m_AuthorList, CAuthorList)->SetOptional();
    ADD_NAMED_MEMBER("Language", m_Language, STL_list, (STL_CRef, (CLASS, (CLanguage))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("DataBankList", m_DataBankList, CDataBankList)->SetOptional();
    ADD_NAMED_REF_MEMBER("GrantList", m_GrantList, CGrantList)->SetOptional();
    ADD_NAMED_REF_MEMBER("PublicationTypeList", m_PublicationTypeList, CPublicationTypeList);
    ADD_NAMED_REF_MEMBER("VernacularTitle", m_VernacularTitle, CVernacularTitle)->SetOptional();
    ADD_NAMED_MEMBER("ArticleDate", m_ArticleDate, STL_list, (STL_CRef, (CLASS, (CArticleDate))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CArticle_Base::CArticle_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
        ResetJournal();
        ResetArticleTitle();
        ResetPE_2();
        ResetPublicationTypeList();
    }
}

// destructor
CArticle_Base::~CArticle_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

