/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Author.hpp>
#include <objtools/eutils/efetch/AffiliationInfo.hpp>
#include <objtools/eutils/efetch/CollectiveName.hpp>
#include <objtools/eutils/efetch/ForeName.hpp>
#include <objtools/eutils/efetch/Identifier.hpp>
#include <objtools/eutils/efetch/Initials.hpp>
#include <objtools/eutils/efetch/LastName.hpp>
#include <objtools/eutils/efetch/Suffix.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CAuthor_Base::C_Attlist::, EAttlist_ValidYN, false)
{
    SET_ENUM_INTERNAL_NAME("Author.Attlist", "ValidYN");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("Y", eAttlist_ValidYN_Y);
    ADD_ENUM_VALUE("N", eAttlist_ValidYN_N);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CAuthor_Base::C_Attlist::, EAttlist_EqualContrib, false)
{
    SET_ENUM_INTERNAL_NAME("Author.Attlist", "EqualContrib");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("Y", eAttlist_EqualContrib_Y);
    ADD_ENUM_VALUE("N", eAttlist_EqualContrib_N);
}
END_ENUM_INFO

void CAuthor_Base::C_Attlist::Reset(void)
{
    ResetValidYN();
    ResetEqualContrib();
}

BEGIN_NAMED_CLASS_INFO("", CAuthor_Base::C_Attlist)
{
    SET_INTERNAL_NAME("Author", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_ENUM_MEMBER("ValidYN", m_ValidYN, EAttlist_ValidYN)->SetDefault(new TValidYN(eAttlist_ValidYN_Y))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("EqualContrib", m_EqualContrib, EAttlist_EqualContrib)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CAuthor_Base::C_Attlist::C_Attlist(void)
    : m_ValidYN(eAttlist_ValidYN_Y), m_EqualContrib((EAttlist_EqualContrib)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CAuthor_Base::C_Attlist::~C_Attlist(void)
{
}


void CAuthor_Base::C_LC::C_LFIS::ResetLastName(void)
{
    if ( !m_LastName ) {
        m_LastName.Reset(new TLastName());
        return;
    }
    (*m_LastName).Reset();
}

void CAuthor_Base::C_LC::C_LFIS::SetLastName(CAuthor_Base::C_LC::C_LFIS::TLastName& value)
{
    m_LastName.Reset(&value);
}

void CAuthor_Base::C_LC::C_LFIS::ResetForeName(void)
{
    m_ForeName.Reset();
}

void CAuthor_Base::C_LC::C_LFIS::SetForeName(CAuthor_Base::C_LC::C_LFIS::TForeName& value)
{
    m_ForeName.Reset(&value);
}

CAuthor_Base::C_LC::C_LFIS::TForeName& CAuthor_Base::C_LC::C_LFIS::SetForeName(void)
{
    if ( !m_ForeName )
        m_ForeName.Reset(new TForeName());
    return (*m_ForeName);
}

void CAuthor_Base::C_LC::C_LFIS::ResetInitials(void)
{
    m_Initials.Reset();
}

void CAuthor_Base::C_LC::C_LFIS::SetInitials(CAuthor_Base::C_LC::C_LFIS::TInitials& value)
{
    m_Initials.Reset(&value);
}

CAuthor_Base::C_LC::C_LFIS::TInitials& CAuthor_Base::C_LC::C_LFIS::SetInitials(void)
{
    if ( !m_Initials )
        m_Initials.Reset(new TInitials());
    return (*m_Initials);
}

void CAuthor_Base::C_LC::C_LFIS::ResetSuffix(void)
{
    m_Suffix.Reset();
}

void CAuthor_Base::C_LC::C_LFIS::SetSuffix(CAuthor_Base::C_LC::C_LFIS::TSuffix& value)
{
    m_Suffix.Reset(&value);
}

CAuthor_Base::C_LC::C_LFIS::TSuffix& CAuthor_Base::C_LC::C_LFIS::SetSuffix(void)
{
    if ( !m_Suffix )
        m_Suffix.Reset(new TSuffix());
    return (*m_Suffix);
}

void CAuthor_Base::C_LC::C_LFIS::Reset(void)
{
    ResetLastName();
    ResetForeName();
    ResetInitials();
    ResetSuffix();
}

BEGIN_NAMED_CLASS_INFO("", CAuthor_Base::C_LC::C_LFIS)
{
    SET_INTERNAL_NAME("Author.LC", "LFIS");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_REF_MEMBER("LastName", m_LastName, CLastName);
    ADD_NAMED_REF_MEMBER("ForeName", m_ForeName, CForeName)->SetOptional();
    ADD_NAMED_REF_MEMBER("Initials", m_Initials, CInitials)->SetOptional();
    ADD_NAMED_REF_MEMBER("Suffix", m_Suffix, CSuffix)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CAuthor_Base::C_LC::C_LFIS::C_LFIS(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetLastName();
    }
}

// destructor
CAuthor_Base::C_LC::C_LFIS::~C_LFIS(void)
{
}


void CAuthor_Base::C_LC::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CAuthor_Base::C_LC::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_LFIS:
    case e_CollectiveName:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CAuthor_Base::C_LC::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_LFIS:
        (m_object = new(pool) C_LFIS())->AddReference();
        break;
    case e_CollectiveName:
        (m_object = new(pool) eutils::CCollectiveName())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CAuthor_Base::C_LC::sm_SelectionNames[] = {
    "not set",
    "LFIS",
    "CollectiveName"
};

NCBI_NS_STD::string CAuthor_Base::C_LC::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CAuthor_Base::C_LC::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CAuthor_Base::C_LC::TLFIS& CAuthor_Base::C_LC::GetLFIS(void) const
{
    CheckSelected(e_LFIS);
    return *static_cast<const TLFIS*>(m_object);
}

CAuthor_Base::C_LC::TLFIS& CAuthor_Base::C_LC::SetLFIS(void)
{
    Select(e_LFIS, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TLFIS*>(m_object);
}

void CAuthor_Base::C_LC::SetLFIS(CAuthor_Base::C_LC::TLFIS& value)
{
    TLFIS* ptr = &value;
    if ( m_choice != e_LFIS || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_LFIS;
    }
}

const CAuthor_Base::C_LC::TCollectiveName& CAuthor_Base::C_LC::GetCollectiveName(void) const
{
    CheckSelected(e_CollectiveName);
    return *static_cast<const TCollectiveName*>(m_object);
}

CAuthor_Base::C_LC::TCollectiveName& CAuthor_Base::C_LC::SetCollectiveName(void)
{
    Select(e_CollectiveName, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TCollectiveName*>(m_object);
}

void CAuthor_Base::C_LC::SetCollectiveName(CAuthor_Base::C_LC::TCollectiveName& value)
{
    TCollectiveName* ptr = &value;
    if ( m_choice != e_CollectiveName || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_CollectiveName;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CAuthor_Base::C_LC)
{
    SET_INTERNAL_NAME("Author", "LC");
    SET_CHOICE_MODULE("efetch");
    ADD_NAMED_REF_CHOICE_VARIANT("LFIS", m_object, C_LFIS)->SetNotag();
    ADD_NAMED_REF_CHOICE_VARIANT("CollectiveName", m_object, CCollectiveName);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CAuthor_Base::C_LC::C_LC(void)
    : m_choice(e_not_set)
{
}

// destructor
CAuthor_Base::C_LC::~C_LC(void)
{
    Reset();
}


void CAuthor_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CAuthor_Base::SetAttlist(CAuthor_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CAuthor_Base::ResetLC(void)
{
    if ( !m_LC ) {
        m_LC.Reset(new TLC());
        return;
    }
    (*m_LC).Reset();
}

void CAuthor_Base::SetLC(CAuthor_Base::TLC& value)
{
    m_LC.Reset(&value);
}

void CAuthor_Base::ResetIdentifier(void)
{
    m_Identifier.clear();
    m_set_State[0] &= ~0x30;
}

void CAuthor_Base::ResetAffiliationInfo(void)
{
    m_AffiliationInfo.clear();
    m_set_State[0] &= ~0xc0;
}

void CAuthor_Base::Reset(void)
{
    ResetAttlist();
    ResetLC();
    ResetIdentifier();
    ResetAffiliationInfo();
}

BEGIN_NAMED_BASE_CLASS_INFO("Author", CAuthor)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_REF_MEMBER("LC", m_LC, C_LC)->SetNotag();
    ADD_NAMED_MEMBER("Identifier", m_Identifier, STL_list, (STL_CRef, (CLASS, (CIdentifier))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("AffiliationInfo", m_AffiliationInfo, STL_list, (STL_CRef, (CLASS, (CAffiliationInfo))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CAuthor_Base::CAuthor_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
        ResetLC();
    }
}

// destructor
CAuthor_Base::~CAuthor_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

