/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/BookDocument.hpp>
#include <objtools/eutils/efetch/Abstract.hpp>
#include <objtools/eutils/efetch/ArticleIdList.hpp>
#include <objtools/eutils/efetch/ArticleTitle.hpp>
#include <objtools/eutils/efetch/AuthorList.hpp>
#include <objtools/eutils/efetch/Book.hpp>
#include <objtools/eutils/efetch/ContributionDate.hpp>
#include <objtools/eutils/efetch/DateRevised.hpp>
#include <objtools/eutils/efetch/GrantList.hpp>
#include <objtools/eutils/efetch/InvestigatorList.hpp>
#include <objtools/eutils/efetch/ItemList.hpp>
#include <objtools/eutils/efetch/KeywordList.hpp>
#include <objtools/eutils/efetch/Language.hpp>
#include <objtools/eutils/efetch/LocationLabel.hpp>
#include <objtools/eutils/efetch/PMID.hpp>
#include <objtools/eutils/efetch/Pagination.hpp>
#include <objtools/eutils/efetch/PublicationType.hpp>
#include <objtools/eutils/efetch/ReferenceList.hpp>
#include <objtools/eutils/efetch/Sections.hpp>
#include <objtools/eutils/efetch/VernacularTitle.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CBookDocument_Base::ResetPMID(void)
{
    if ( !m_PMID ) {
        m_PMID.Reset(new TPMID());
        return;
    }
    (*m_PMID).Reset();
}

void CBookDocument_Base::SetPMID(CBookDocument_Base::TPMID& value)
{
    m_PMID.Reset(&value);
}

void CBookDocument_Base::SetPMID(const NCBI_NS_STD::string& value)
{
    SetPMID() = value;
}

void CBookDocument_Base::ResetArticleIdList(void)
{
    if ( !m_ArticleIdList ) {
        m_ArticleIdList.Reset(new TArticleIdList());
        return;
    }
    (*m_ArticleIdList).Reset();
}

void CBookDocument_Base::SetArticleIdList(CBookDocument_Base::TArticleIdList& value)
{
    m_ArticleIdList.Reset(&value);
}

void CBookDocument_Base::ResetBook(void)
{
    if ( !m_Book ) {
        m_Book.Reset(new TBook());
        return;
    }
    (*m_Book).Reset();
}

void CBookDocument_Base::SetBook(CBookDocument_Base::TBook& value)
{
    m_Book.Reset(&value);
}

void CBookDocument_Base::ResetLocationLabel(void)
{
    m_LocationLabel.clear();
    m_set_State[0] &= ~0xc0;
}

void CBookDocument_Base::ResetArticleTitle(void)
{
    m_ArticleTitle.Reset();
}

void CBookDocument_Base::SetArticleTitle(CBookDocument_Base::TArticleTitle& value)
{
    m_ArticleTitle.Reset(&value);
}

CBookDocument_Base::TArticleTitle& CBookDocument_Base::SetArticleTitle(void)
{
    if ( !m_ArticleTitle )
        m_ArticleTitle.Reset(new TArticleTitle());
    return (*m_ArticleTitle);
}

void CBookDocument_Base::ResetVernacularTitle(void)
{
    m_VernacularTitle.Reset();
}

void CBookDocument_Base::SetVernacularTitle(CBookDocument_Base::TVernacularTitle& value)
{
    m_VernacularTitle.Reset(&value);
}

CBookDocument_Base::TVernacularTitle& CBookDocument_Base::SetVernacularTitle(void)
{
    if ( !m_VernacularTitle )
        m_VernacularTitle.Reset(new TVernacularTitle());
    return (*m_VernacularTitle);
}

void CBookDocument_Base::ResetPagination(void)
{
    m_Pagination.Reset();
}

void CBookDocument_Base::SetPagination(CBookDocument_Base::TPagination& value)
{
    m_Pagination.Reset(&value);
}

CBookDocument_Base::TPagination& CBookDocument_Base::SetPagination(void)
{
    if ( !m_Pagination )
        m_Pagination.Reset(new TPagination());
    return (*m_Pagination);
}

void CBookDocument_Base::ResetLanguage(void)
{
    m_Language.clear();
    m_set_State[0] &= ~0xc000;
}

void CBookDocument_Base::ResetAuthorList(void)
{
    m_AuthorList.clear();
    m_set_State[0] &= ~0x30000;
}

void CBookDocument_Base::ResetInvestigatorList(void)
{
    m_InvestigatorList.Reset();
}

void CBookDocument_Base::SetInvestigatorList(CBookDocument_Base::TInvestigatorList& value)
{
    m_InvestigatorList.Reset(&value);
}

CBookDocument_Base::TInvestigatorList& CBookDocument_Base::SetInvestigatorList(void)
{
    if ( !m_InvestigatorList )
        m_InvestigatorList.Reset(new TInvestigatorList());
    return (*m_InvestigatorList);
}

void CBookDocument_Base::ResetPublicationType(void)
{
    m_PublicationType.clear();
    m_set_State[0] &= ~0x300000;
}

void CBookDocument_Base::ResetAbstract(void)
{
    m_Abstract.Reset();
}

void CBookDocument_Base::SetAbstract(CBookDocument_Base::TAbstract& value)
{
    m_Abstract.Reset(&value);
}

CBookDocument_Base::TAbstract& CBookDocument_Base::SetAbstract(void)
{
    if ( !m_Abstract )
        m_Abstract.Reset(new TAbstract());
    return (*m_Abstract);
}

void CBookDocument_Base::ResetSections(void)
{
    m_Sections.Reset();
}

void CBookDocument_Base::SetSections(CBookDocument_Base::TSections& value)
{
    m_Sections.Reset(&value);
}

CBookDocument_Base::TSections& CBookDocument_Base::SetSections(void)
{
    if ( !m_Sections )
        m_Sections.Reset(new TSections());
    return (*m_Sections);
}

void CBookDocument_Base::ResetKeywordList(void)
{
    m_KeywordList.clear();
    m_set_State[0] &= ~0xc000000;
}

void CBookDocument_Base::ResetContributionDate(void)
{
    m_ContributionDate.Reset();
}

void CBookDocument_Base::SetContributionDate(CBookDocument_Base::TContributionDate& value)
{
    m_ContributionDate.Reset(&value);
}

CBookDocument_Base::TContributionDate& CBookDocument_Base::SetContributionDate(void)
{
    if ( !m_ContributionDate )
        m_ContributionDate.Reset(new TContributionDate());
    return (*m_ContributionDate);
}

void CBookDocument_Base::ResetDateRevised(void)
{
    m_DateRevised.Reset();
}

void CBookDocument_Base::SetDateRevised(CBookDocument_Base::TDateRevised& value)
{
    m_DateRevised.Reset(&value);
}

CBookDocument_Base::TDateRevised& CBookDocument_Base::SetDateRevised(void)
{
    if ( !m_DateRevised )
        m_DateRevised.Reset(new TDateRevised());
    return (*m_DateRevised);
}

void CBookDocument_Base::ResetGrantList(void)
{
    m_GrantList.Reset();
}

void CBookDocument_Base::SetGrantList(CBookDocument_Base::TGrantList& value)
{
    m_GrantList.Reset(&value);
}

CBookDocument_Base::TGrantList& CBookDocument_Base::SetGrantList(void)
{
    if ( !m_GrantList )
        m_GrantList.Reset(new TGrantList());
    return (*m_GrantList);
}

void CBookDocument_Base::ResetItemList(void)
{
    m_ItemList.clear();
    m_set_State[1] &= ~0xc;
}

void CBookDocument_Base::ResetReferenceList(void)
{
    m_ReferenceList.clear();
    m_set_State[1] &= ~0x30;
}

void CBookDocument_Base::Reset(void)
{
    ResetPMID();
    ResetArticleIdList();
    ResetBook();
    ResetLocationLabel();
    ResetArticleTitle();
    ResetVernacularTitle();
    ResetPagination();
    ResetLanguage();
    ResetAuthorList();
    ResetInvestigatorList();
    ResetPublicationType();
    ResetAbstract();
    ResetSections();
    ResetKeywordList();
    ResetContributionDate();
    ResetDateRevised();
    ResetGrantList();
    ResetItemList();
    ResetReferenceList();
}

BEGIN_NAMED_BASE_CLASS_INFO("BookDocument", CBookDocument)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("PMID", m_PMID, CPMID);
    ADD_NAMED_REF_MEMBER("ArticleIdList", m_ArticleIdList, CArticleIdList);
    ADD_NAMED_REF_MEMBER("Book", m_Book, CBook);
    ADD_NAMED_MEMBER("LocationLabel", m_LocationLabel, STL_list, (STL_CRef, (CLASS, (CLocationLabel))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("ArticleTitle", m_ArticleTitle, CArticleTitle)->SetOptional();
    ADD_NAMED_REF_MEMBER("VernacularTitle", m_VernacularTitle, CVernacularTitle)->SetOptional();
    ADD_NAMED_REF_MEMBER("Pagination", m_Pagination, CPagination)->SetOptional();
    ADD_NAMED_MEMBER("Language", m_Language, STL_list, (STL_CRef, (CLASS, (CLanguage))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("AuthorList", m_AuthorList, STL_list, (STL_CRef, (CLASS, (CAuthorList))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("InvestigatorList", m_InvestigatorList, CInvestigatorList)->SetOptional();
    ADD_NAMED_MEMBER("PublicationType", m_PublicationType, STL_list, (STL_CRef, (CLASS, (CPublicationType))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("Abstract", m_Abstract, CAbstract)->SetOptional();
    ADD_NAMED_REF_MEMBER("Sections", m_Sections, CSections)->SetOptional();
    ADD_NAMED_MEMBER("KeywordList", m_KeywordList, STL_list, (STL_CRef, (CLASS, (CKeywordList))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("ContributionDate", m_ContributionDate, CContributionDate)->SetOptional();
    ADD_NAMED_REF_MEMBER("DateRevised", m_DateRevised, CDateRevised)->SetOptional();
    ADD_NAMED_REF_MEMBER("GrantList", m_GrantList, CGrantList)->SetOptional();
    ADD_NAMED_MEMBER("ItemList", m_ItemList, STL_list, (STL_CRef, (CLASS, (CItemList))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("ReferenceList", m_ReferenceList, STL_list, (STL_CRef, (CLASS, (CReferenceList))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CBookDocument_Base::CBookDocument_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetPMID();
        ResetArticleIdList();
        ResetBook();
    }
}

// destructor
CBookDocument_Base::~CBookDocument_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

