/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Book.hpp>
#include <objtools/eutils/efetch/AuthorList.hpp>
#include <objtools/eutils/efetch/BeginningDate.hpp>
#include <objtools/eutils/efetch/BookTitle.hpp>
#include <objtools/eutils/efetch/CollectionTitle.hpp>
#include <objtools/eutils/efetch/ELocationID.hpp>
#include <objtools/eutils/efetch/Edition.hpp>
#include <objtools/eutils/efetch/EndingDate.hpp>
#include <objtools/eutils/efetch/InvestigatorList.hpp>
#include <objtools/eutils/efetch/Isbn.hpp>
#include <objtools/eutils/efetch/Medium.hpp>
#include <objtools/eutils/efetch/PubDate.hpp>
#include <objtools/eutils/efetch/Publisher.hpp>
#include <objtools/eutils/efetch/ReportNumber.hpp>
#include <objtools/eutils/efetch/Volume.hpp>
#include <objtools/eutils/efetch/VolumeTitle.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CBook_Base::ResetPublisher(void)
{
    if ( !m_Publisher ) {
        m_Publisher.Reset(new TPublisher());
        return;
    }
    (*m_Publisher).Reset();
}

void CBook_Base::SetPublisher(CBook_Base::TPublisher& value)
{
    m_Publisher.Reset(&value);
}

void CBook_Base::ResetBookTitle(void)
{
    if ( !m_BookTitle ) {
        m_BookTitle.Reset(new TBookTitle());
        return;
    }
    (*m_BookTitle).Reset();
}

void CBook_Base::SetBookTitle(CBook_Base::TBookTitle& value)
{
    m_BookTitle.Reset(&value);
}

void CBook_Base::ResetPubDate(void)
{
    if ( !m_PubDate ) {
        m_PubDate.Reset(new TPubDate());
        return;
    }
    (*m_PubDate).Reset();
}

void CBook_Base::SetPubDate(CBook_Base::TPubDate& value)
{
    m_PubDate.Reset(&value);
}

void CBook_Base::ResetBeginningDate(void)
{
    m_BeginningDate.Reset();
}

void CBook_Base::SetBeginningDate(CBook_Base::TBeginningDate& value)
{
    m_BeginningDate.Reset(&value);
}

CBook_Base::TBeginningDate& CBook_Base::SetBeginningDate(void)
{
    if ( !m_BeginningDate )
        m_BeginningDate.Reset(new TBeginningDate());
    return (*m_BeginningDate);
}

void CBook_Base::ResetEndingDate(void)
{
    m_EndingDate.Reset();
}

void CBook_Base::SetEndingDate(CBook_Base::TEndingDate& value)
{
    m_EndingDate.Reset(&value);
}

CBook_Base::TEndingDate& CBook_Base::SetEndingDate(void)
{
    if ( !m_EndingDate )
        m_EndingDate.Reset(new TEndingDate());
    return (*m_EndingDate);
}

void CBook_Base::ResetAuthorList(void)
{
    m_AuthorList.clear();
    m_set_State[0] &= ~0xc00;
}

void CBook_Base::ResetInvestigatorList(void)
{
    m_InvestigatorList.Reset();
}

void CBook_Base::SetInvestigatorList(CBook_Base::TInvestigatorList& value)
{
    m_InvestigatorList.Reset(&value);
}

CBook_Base::TInvestigatorList& CBook_Base::SetInvestigatorList(void)
{
    if ( !m_InvestigatorList )
        m_InvestigatorList.Reset(new TInvestigatorList());
    return (*m_InvestigatorList);
}

void CBook_Base::ResetVolume(void)
{
    m_Volume.Reset();
}

void CBook_Base::SetVolume(CBook_Base::TVolume& value)
{
    m_Volume.Reset(&value);
}

CBook_Base::TVolume& CBook_Base::SetVolume(void)
{
    if ( !m_Volume )
        m_Volume.Reset(new TVolume());
    return (*m_Volume);
}

void CBook_Base::ResetVolumeTitle(void)
{
    m_VolumeTitle.Reset();
}

void CBook_Base::SetVolumeTitle(CBook_Base::TVolumeTitle& value)
{
    m_VolumeTitle.Reset(&value);
}

CBook_Base::TVolumeTitle& CBook_Base::SetVolumeTitle(void)
{
    if ( !m_VolumeTitle )
        m_VolumeTitle.Reset(new TVolumeTitle());
    return (*m_VolumeTitle);
}

void CBook_Base::ResetEdition(void)
{
    m_Edition.Reset();
}

void CBook_Base::SetEdition(CBook_Base::TEdition& value)
{
    m_Edition.Reset(&value);
}

CBook_Base::TEdition& CBook_Base::SetEdition(void)
{
    if ( !m_Edition )
        m_Edition.Reset(new TEdition());
    return (*m_Edition);
}

void CBook_Base::ResetCollectionTitle(void)
{
    m_CollectionTitle.Reset();
}

void CBook_Base::SetCollectionTitle(CBook_Base::TCollectionTitle& value)
{
    m_CollectionTitle.Reset(&value);
}

CBook_Base::TCollectionTitle& CBook_Base::SetCollectionTitle(void)
{
    if ( !m_CollectionTitle )
        m_CollectionTitle.Reset(new TCollectionTitle());
    return (*m_CollectionTitle);
}

void CBook_Base::ResetIsbn(void)
{
    m_Isbn.clear();
    m_set_State[0] &= ~0xc00000;
}

void CBook_Base::ResetELocationID(void)
{
    m_ELocationID.clear();
    m_set_State[0] &= ~0x3000000;
}

void CBook_Base::ResetMedium(void)
{
    m_Medium.Reset();
}

void CBook_Base::SetMedium(CBook_Base::TMedium& value)
{
    m_Medium.Reset(&value);
}

CBook_Base::TMedium& CBook_Base::SetMedium(void)
{
    if ( !m_Medium )
        m_Medium.Reset(new TMedium());
    return (*m_Medium);
}

void CBook_Base::ResetReportNumber(void)
{
    m_ReportNumber.Reset();
}

void CBook_Base::SetReportNumber(CBook_Base::TReportNumber& value)
{
    m_ReportNumber.Reset(&value);
}

CBook_Base::TReportNumber& CBook_Base::SetReportNumber(void)
{
    if ( !m_ReportNumber )
        m_ReportNumber.Reset(new TReportNumber());
    return (*m_ReportNumber);
}

void CBook_Base::Reset(void)
{
    ResetPublisher();
    ResetBookTitle();
    ResetPubDate();
    ResetBeginningDate();
    ResetEndingDate();
    ResetAuthorList();
    ResetInvestigatorList();
    ResetVolume();
    ResetVolumeTitle();
    ResetEdition();
    ResetCollectionTitle();
    ResetIsbn();
    ResetELocationID();
    ResetMedium();
    ResetReportNumber();
}

BEGIN_NAMED_BASE_CLASS_INFO("Book", CBook)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Publisher", m_Publisher, CPublisher);
    ADD_NAMED_REF_MEMBER("BookTitle", m_BookTitle, CBookTitle);
    ADD_NAMED_REF_MEMBER("PubDate", m_PubDate, CPubDate);
    ADD_NAMED_REF_MEMBER("BeginningDate", m_BeginningDate, CBeginningDate)->SetOptional();
    ADD_NAMED_REF_MEMBER("EndingDate", m_EndingDate, CEndingDate)->SetOptional();
    ADD_NAMED_MEMBER("AuthorList", m_AuthorList, STL_list, (STL_CRef, (CLASS, (CAuthorList))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("InvestigatorList", m_InvestigatorList, CInvestigatorList)->SetOptional();
    ADD_NAMED_REF_MEMBER("Volume", m_Volume, CVolume)->SetOptional();
    ADD_NAMED_REF_MEMBER("VolumeTitle", m_VolumeTitle, CVolumeTitle)->SetOptional();
    ADD_NAMED_REF_MEMBER("Edition", m_Edition, CEdition)->SetOptional();
    ADD_NAMED_REF_MEMBER("CollectionTitle", m_CollectionTitle, CCollectionTitle)->SetOptional();
    ADD_NAMED_MEMBER("Isbn", m_Isbn, STL_list, (STL_CRef, (CLASS, (CIsbn))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("ELocationID", m_ELocationID, STL_list, (STL_CRef, (CLASS, (CELocationID))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("Medium", m_Medium, CMedium)->SetOptional();
    ADD_NAMED_REF_MEMBER("ReportNumber", m_ReportNumber, CReportNumber)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CBook_Base::CBook_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetPublisher();
        ResetBookTitle();
        ResetPubDate();
    }
}

// destructor
CBook_Base::~CBook_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

