/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Bvar.hpp>
#include <objtools/eutils/efetch/Ci.hpp>
#include <objtools/eutils/efetch/Degree.hpp>
#include <objtools/eutils/efetch/Semantics.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CBvar_Base::C_Attlist::ResetId(void)
{
    m_Id.erase();
    m_set_State[0] &= ~0x3;
}

void CBvar_Base::C_Attlist::ResetXref(void)
{
    m_Xref.erase();
    m_set_State[0] &= ~0xc;
}

void CBvar_Base::C_Attlist::ResetClass(void)
{
    m_Class.erase();
    m_set_State[0] &= ~0x30;
}

void CBvar_Base::C_Attlist::ResetStyle(void)
{
    m_Style.erase();
    m_set_State[0] &= ~0xc0;
}

void CBvar_Base::C_Attlist::ResetHref(void)
{
    m_Href.erase();
    m_set_State[0] &= ~0x300;
}

void CBvar_Base::C_Attlist::Reset(void)
{
    ResetId();
    ResetXref();
    ResetClass();
    ResetStyle();
    ResetHref();
}

BEGIN_NAMED_CLASS_INFO("", CBvar_Base::C_Attlist)
{
    SET_INTERNAL_NAME("bvar", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("id", m_Id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("xref", m_Xref)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("class", m_Class)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("style", m_Style)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("href", m_Href)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CBvar_Base::C_Attlist::C_Attlist(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CBvar_Base::C_Attlist::~C_Attlist(void)
{
}


void CBvar_Base::C_DC::C_CS::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CBvar_Base::C_DC::C_CS::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Ci:
    case e_Semantics:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CBvar_Base::C_DC::C_CS::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Ci:
        (m_object = new(pool) eutils::CCi())->AddReference();
        break;
    case e_Semantics:
        (m_object = new(pool) eutils::CSemantics())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CBvar_Base::C_DC::C_CS::sm_SelectionNames[] = {
    "not set",
    "ci",
    "semantics"
};

NCBI_NS_STD::string CBvar_Base::C_DC::C_CS::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CBvar_Base::C_DC::C_CS::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CBvar_Base::C_DC::C_CS::TCi& CBvar_Base::C_DC::C_CS::GetCi(void) const
{
    CheckSelected(e_Ci);
    return *static_cast<const TCi*>(m_object);
}

CBvar_Base::C_DC::C_CS::TCi& CBvar_Base::C_DC::C_CS::SetCi(void)
{
    Select(e_Ci, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TCi*>(m_object);
}

void CBvar_Base::C_DC::C_CS::SetCi(CBvar_Base::C_DC::C_CS::TCi& value)
{
    TCi* ptr = &value;
    if ( m_choice != e_Ci || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Ci;
    }
}

const CBvar_Base::C_DC::C_CS::TSemantics& CBvar_Base::C_DC::C_CS::GetSemantics(void) const
{
    CheckSelected(e_Semantics);
    return *static_cast<const TSemantics*>(m_object);
}

CBvar_Base::C_DC::C_CS::TSemantics& CBvar_Base::C_DC::C_CS::SetSemantics(void)
{
    Select(e_Semantics, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TSemantics*>(m_object);
}

void CBvar_Base::C_DC::C_CS::SetSemantics(CBvar_Base::C_DC::C_CS::TSemantics& value)
{
    TSemantics* ptr = &value;
    if ( m_choice != e_Semantics || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Semantics;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CBvar_Base::C_DC::C_CS)
{
    SET_INTERNAL_NAME("bvar.DC", "CS");
    SET_CHOICE_MODULE("efetch");
    ADD_NAMED_REF_CHOICE_VARIANT("ci", m_object, CCi);
    ADD_NAMED_REF_CHOICE_VARIANT("semantics", m_object, CSemantics);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CBvar_Base::C_DC::C_CS::C_CS(void)
    : m_choice(e_not_set)
{
}

// destructor
CBvar_Base::C_DC::C_CS::~C_CS(void)
{
    Reset();
}


void CBvar_Base::C_DC::ResetDegree(void)
{
    if ( !m_Degree ) {
        m_Degree.Reset(new TDegree());
        return;
    }
    (*m_Degree).Reset();
}

void CBvar_Base::C_DC::SetDegree(CBvar_Base::C_DC::TDegree& value)
{
    m_Degree.Reset(&value);
}

void CBvar_Base::C_DC::ResetCS(void)
{
    if ( !m_CS ) {
        m_CS.Reset(new TCS());
        return;
    }
    (*m_CS).Reset();
}

void CBvar_Base::C_DC::SetCS(CBvar_Base::C_DC::TCS& value)
{
    m_CS.Reset(&value);
}

void CBvar_Base::C_DC::Reset(void)
{
    ResetDegree();
    ResetCS();
}

BEGIN_NAMED_CLASS_INFO("", CBvar_Base::C_DC)
{
    SET_INTERNAL_NAME("bvar", "DC");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_REF_MEMBER("degree", m_Degree, CDegree);
    ADD_NAMED_REF_MEMBER("CS", m_CS, C_CS)->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CBvar_Base::C_DC::C_DC(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetDegree();
        ResetCS();
    }
}

// destructor
CBvar_Base::C_DC::~C_DC(void)
{
}


void CBvar_Base::C_CD::C_CS::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CBvar_Base::C_CD::C_CS::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Ci:
    case e_Semantics:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CBvar_Base::C_CD::C_CS::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Ci:
        (m_object = new(pool) eutils::CCi())->AddReference();
        break;
    case e_Semantics:
        (m_object = new(pool) eutils::CSemantics())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CBvar_Base::C_CD::C_CS::sm_SelectionNames[] = {
    "not set",
    "ci",
    "semantics"
};

NCBI_NS_STD::string CBvar_Base::C_CD::C_CS::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CBvar_Base::C_CD::C_CS::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CBvar_Base::C_CD::C_CS::TCi& CBvar_Base::C_CD::C_CS::GetCi(void) const
{
    CheckSelected(e_Ci);
    return *static_cast<const TCi*>(m_object);
}

CBvar_Base::C_CD::C_CS::TCi& CBvar_Base::C_CD::C_CS::SetCi(void)
{
    Select(e_Ci, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TCi*>(m_object);
}

void CBvar_Base::C_CD::C_CS::SetCi(CBvar_Base::C_CD::C_CS::TCi& value)
{
    TCi* ptr = &value;
    if ( m_choice != e_Ci || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Ci;
    }
}

const CBvar_Base::C_CD::C_CS::TSemantics& CBvar_Base::C_CD::C_CS::GetSemantics(void) const
{
    CheckSelected(e_Semantics);
    return *static_cast<const TSemantics*>(m_object);
}

CBvar_Base::C_CD::C_CS::TSemantics& CBvar_Base::C_CD::C_CS::SetSemantics(void)
{
    Select(e_Semantics, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TSemantics*>(m_object);
}

void CBvar_Base::C_CD::C_CS::SetSemantics(CBvar_Base::C_CD::C_CS::TSemantics& value)
{
    TSemantics* ptr = &value;
    if ( m_choice != e_Semantics || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Semantics;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CBvar_Base::C_CD::C_CS)
{
    SET_INTERNAL_NAME("bvar.CD", "CS");
    SET_CHOICE_MODULE("efetch");
    ADD_NAMED_REF_CHOICE_VARIANT("ci", m_object, CCi);
    ADD_NAMED_REF_CHOICE_VARIANT("semantics", m_object, CSemantics);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CBvar_Base::C_CD::C_CS::C_CS(void)
    : m_choice(e_not_set)
{
}

// destructor
CBvar_Base::C_CD::C_CS::~C_CS(void)
{
    Reset();
}


void CBvar_Base::C_CD::ResetCS(void)
{
    if ( !m_CS ) {
        m_CS.Reset(new TCS());
        return;
    }
    (*m_CS).Reset();
}

void CBvar_Base::C_CD::SetCS(CBvar_Base::C_CD::TCS& value)
{
    m_CS.Reset(&value);
}

void CBvar_Base::C_CD::ResetDegree(void)
{
    m_Degree.Reset();
}

void CBvar_Base::C_CD::SetDegree(CBvar_Base::C_CD::TDegree& value)
{
    m_Degree.Reset(&value);
}

CBvar_Base::C_CD::TDegree& CBvar_Base::C_CD::SetDegree(void)
{
    if ( !m_Degree )
        m_Degree.Reset(new TDegree());
    return (*m_Degree);
}

void CBvar_Base::C_CD::Reset(void)
{
    ResetCS();
    ResetDegree();
}

BEGIN_NAMED_CLASS_INFO("", CBvar_Base::C_CD)
{
    SET_INTERNAL_NAME("bvar", "CD");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_REF_MEMBER("CS", m_CS, C_CS)->SetNotag();
    ADD_NAMED_REF_MEMBER("degree", m_Degree, CDegree)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CBvar_Base::C_CD::C_CD(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetCS();
    }
}

// destructor
CBvar_Base::C_CD::~C_CD(void)
{
}


void CBvar_Base::Reset(void)
{
    ResetAttlist();
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CBvar_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_DC:
    case e_CD:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CBvar_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_DC:
        (m_object = new(pool) C_DC())->AddReference();
        break;
    case e_CD:
        (m_object = new(pool) C_CD())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CBvar_Base::sm_SelectionNames[] = {
    "not set",
    "Attlist" /* place holder */,
    "DC",
    "CD"
};

NCBI_NS_STD::string CBvar_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CBvar_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CBvar_Base::ResetAttlist(void)
{
    (*m_Attlist).Reset();
}

const CBvar_Base::TAttlist& CBvar_Base::GetAttlist(void) const
{
    return (*m_Attlist);
}

CBvar_Base::TAttlist& CBvar_Base::SetAttlist(void)
{
    return (*m_Attlist);
}

void CBvar_Base::SetAttlist(CBvar_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

const CBvar_Base::TDC& CBvar_Base::GetDC(void) const
{
    CheckSelected(e_DC);
    return *static_cast<const TDC*>(m_object);
}

CBvar_Base::TDC& CBvar_Base::SetDC(void)
{
    Select(e_DC, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TDC*>(m_object);
}

void CBvar_Base::SetDC(CBvar_Base::TDC& value)
{
    TDC* ptr = &value;
    if ( m_choice != e_DC || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_DC;
    }
}

const CBvar_Base::TCD& CBvar_Base::GetCD(void) const
{
    CheckSelected(e_CD);
    return *static_cast<const TCD*>(m_object);
}

CBvar_Base::TCD& CBvar_Base::SetCD(void)
{
    Select(e_CD, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TCD*>(m_object);
}

void CBvar_Base::SetCD(CBvar_Base::TCD& value)
{
    TCD* ptr = &value;
    if ( m_choice != e_CD || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_CD;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("bvar", CBvar)
{
    SET_CHOICE_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_REF_CHOICE_VARIANT("DC", m_object, C_DC)->SetNotag();
    ADD_NAMED_REF_CHOICE_VARIANT("CD", m_object, C_CD)->SetNotag();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CBvar_Base::CBvar_Base(void)
    : m_choice(e_not_set), m_Attlist(new C_Attlist())
{
}

// destructor
CBvar_Base::~CBvar_Base(void)
{
    Reset();
}



END_eutils_SCOPE // namespace eutils::

