/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Cerror.hpp>
#include <objtools/eutils/efetch/ContExp.hpp>
#include <objtools/eutils/efetch/Csymbol.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CCerror_Base::C_Attlist::ResetId(void)
{
    m_Id.erase();
    m_set_State[0] &= ~0x3;
}

void CCerror_Base::C_Attlist::ResetXref(void)
{
    m_Xref.erase();
    m_set_State[0] &= ~0xc;
}

void CCerror_Base::C_Attlist::ResetClass(void)
{
    m_Class.erase();
    m_set_State[0] &= ~0x30;
}

void CCerror_Base::C_Attlist::ResetStyle(void)
{
    m_Style.erase();
    m_set_State[0] &= ~0xc0;
}

void CCerror_Base::C_Attlist::ResetHref(void)
{
    m_Href.erase();
    m_set_State[0] &= ~0x300;
}

void CCerror_Base::C_Attlist::Reset(void)
{
    ResetId();
    ResetXref();
    ResetClass();
    ResetStyle();
    ResetHref();
}

BEGIN_NAMED_CLASS_INFO("", CCerror_Base::C_Attlist)
{
    SET_INTERNAL_NAME("cerror", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("id", m_Id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("xref", m_Xref)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("class", m_Class)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("style", m_Style)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("href", m_Href)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CCerror_Base::C_Attlist::C_Attlist(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CCerror_Base::C_Attlist::~C_Attlist(void)
{
}


void CCerror_Base::C_ContExp::ResetContExp(void)
{
    m_ContExp.clear();
    m_set_State[0] &= ~0x3;
}

void CCerror_Base::C_ContExp::Reset(void)
{
    ResetContExp();
}

BEGIN_NAMED_CLASS_INFO("", CCerror_Base::C_ContExp)
{
    SET_INTERNAL_NAME("cerror", "ContExp");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_MEMBER("ContExp", m_ContExp, STL_list, (STL_CRef, (CLASS, (CContExp))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNotag()->SetNsQualified(false);
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CCerror_Base::C_ContExp::C_ContExp(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CCerror_Base::C_ContExp::~C_ContExp(void)
{
}


void CCerror_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CCerror_Base::SetAttlist(CCerror_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CCerror_Base::ResetCsymbol(void)
{
    if ( !m_Csymbol ) {
        m_Csymbol.Reset(new TCsymbol());
        return;
    }
    (*m_Csymbol).Reset();
}

void CCerror_Base::SetCsymbol(CCerror_Base::TCsymbol& value)
{
    m_Csymbol.Reset(&value);
}

void CCerror_Base::ResetContExp(void)
{
    m_ContExp.Reset();
}

void CCerror_Base::SetContExp(CCerror_Base::TContExp& value)
{
    m_ContExp.Reset(&value);
}

CCerror_Base::TContExp& CCerror_Base::SetContExp(void)
{
    if ( !m_ContExp )
        m_ContExp.Reset(new TContExp());
    return (*m_ContExp);
}

void CCerror_Base::Reset(void)
{
    ResetAttlist();
    ResetCsymbol();
    ResetContExp();
}

BEGIN_NAMED_BASE_CLASS_INFO("cerror", CCerror)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_REF_MEMBER("csymbol", m_Csymbol, CCsymbol);
    ADD_NAMED_REF_MEMBER("ContExp", m_ContExp, C_ContExp)->SetOptional()->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CCerror_Base::CCerror_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
        ResetCsymbol();
    }
}

// destructor
CCerror_Base::~CCerror_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

