/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/CoiStatement.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CCoiStatement_Base::C_E::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CCoiStatement_Base::C_E::ResetSelection(void)
{
    switch ( m_choice ) {
    case e__CharData:
        m_string.Destruct();
        break;
    case e_Text:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CCoiStatement_Base::C_E::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Text:
        (m_object = new(pool) eutils::CText())->AddReference();
        break;
    case e__CharData:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CCoiStatement_Base::C_E::sm_SelectionNames[] = {
    "not set",
    "-CharData",
    "text"
};

NCBI_NS_STD::string CCoiStatement_Base::C_E::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CCoiStatement_Base::C_E::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CCoiStatement_Base::C_E::Set_CharData(const CCoiStatement_Base::C_E::T_CharData& value)
{
    Select(e__CharData, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

const CCoiStatement_Base::C_E::TText& CCoiStatement_Base::C_E::GetText(void) const
{
    CheckSelected(e_Text);
    return *static_cast<const TText*>(m_object);
}

CCoiStatement_Base::C_E::TText& CCoiStatement_Base::C_E::SetText(void)
{
    Select(e_Text, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TText*>(m_object);
}

void CCoiStatement_Base::C_E::SetText(CCoiStatement_Base::C_E::TText& value)
{
    TText* ptr = &value;
    if ( m_choice != e_Text || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Text;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CCoiStatement_Base::C_E)
{
    SET_INTERNAL_NAME("CoiStatement", "E");
    SET_CHOICE_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_BUF_CHOICE_VARIANT("-CharData", m_string, STD, (NCBI_NS_STD::string))->SetNotag();
    ADD_NAMED_REF_CHOICE_VARIANT("text", m_object, C_Text)->SetNotag();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CCoiStatement_Base::C_E::C_E(void)
    : m_choice(e_not_set)
{
}

// destructor
CCoiStatement_Base::C_E::~C_E(void)
{
    Reset();
}


void CCoiStatement_Base::Reset(void)
{
    m_data.clear();
    m_set_State[0] &= ~0x3;
}

BEGIN_NAMED_BASE_IMPLICIT_CLASS_INFO("CoiStatement", CCoiStatement)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_MEMBER("", m_data, STL_list, (STL_CRef, (CLASS, (C_E))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CCoiStatement_Base::CCoiStatement_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CCoiStatement_Base::~CCoiStatement_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

