/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/CommentsCorrections.hpp>
#include <objtools/eutils/efetch/Note.hpp>
#include <objtools/eutils/efetch/PMID.hpp>
#include <objtools/eutils/efetch/RefSource.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CCommentsCorrections_Base::C_Attlist::, EAttlist_RefType, false)
{
    SET_ENUM_INTERNAL_NAME("CommentsCorrections.Attlist", "RefType");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("AssociatedDataset", eAttlist_RefType_AssociatedDataset);
    ADD_ENUM_VALUE("AssociatedPublication", eAttlist_RefType_AssociatedPublication);
    ADD_ENUM_VALUE("CommentIn", eAttlist_RefType_CommentIn);
    ADD_ENUM_VALUE("CommentOn", eAttlist_RefType_CommentOn);
    ADD_ENUM_VALUE("CorrectedandRepublishedIn", eAttlist_RefType_CorrectedandRepublishedIn);
    ADD_ENUM_VALUE("CorrectedandRepublishedFrom", eAttlist_RefType_CorrectedandRepublishedFrom);
    ADD_ENUM_VALUE("ErratumIn", eAttlist_RefType_ErratumIn);
    ADD_ENUM_VALUE("ErratumFor", eAttlist_RefType_ErratumFor);
    ADD_ENUM_VALUE("ExpressionOfConcernIn", eAttlist_RefType_ExpressionOfConcernIn);
    ADD_ENUM_VALUE("ExpressionOfConcernFor", eAttlist_RefType_ExpressionOfConcernFor);
    ADD_ENUM_VALUE("RepublishedIn", eAttlist_RefType_RepublishedIn);
    ADD_ENUM_VALUE("RepublishedFrom", eAttlist_RefType_RepublishedFrom);
    ADD_ENUM_VALUE("RetractedandRepublishedIn", eAttlist_RefType_RetractedandRepublishedIn);
    ADD_ENUM_VALUE("RetractedandRepublishedFrom", eAttlist_RefType_RetractedandRepublishedFrom);
    ADD_ENUM_VALUE("RetractionIn", eAttlist_RefType_RetractionIn);
    ADD_ENUM_VALUE("RetractionOf", eAttlist_RefType_RetractionOf);
    ADD_ENUM_VALUE("UpdateIn", eAttlist_RefType_UpdateIn);
    ADD_ENUM_VALUE("UpdateOf", eAttlist_RefType_UpdateOf);
    ADD_ENUM_VALUE("SummaryForPatientsIn", eAttlist_RefType_SummaryForPatientsIn);
    ADD_ENUM_VALUE("OriginalReportIn", eAttlist_RefType_OriginalReportIn);
    ADD_ENUM_VALUE("ReprintIn", eAttlist_RefType_ReprintIn);
    ADD_ENUM_VALUE("ReprintOf", eAttlist_RefType_ReprintOf);
    ADD_ENUM_VALUE("Cites", eAttlist_RefType_Cites);
}
END_ENUM_INFO

void CCommentsCorrections_Base::C_Attlist::Reset(void)
{
    ResetRefType();
}

BEGIN_NAMED_CLASS_INFO("", CCommentsCorrections_Base::C_Attlist)
{
    SET_INTERNAL_NAME("CommentsCorrections", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_ENUM_MEMBER("RefType", m_RefType, EAttlist_RefType)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CCommentsCorrections_Base::C_Attlist::C_Attlist(void)
    : m_RefType((EAttlist_RefType)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CCommentsCorrections_Base::C_Attlist::~C_Attlist(void)
{
}


void CCommentsCorrections_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CCommentsCorrections_Base::SetAttlist(CCommentsCorrections_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CCommentsCorrections_Base::ResetRefSource(void)
{
    if ( !m_RefSource ) {
        m_RefSource.Reset(new TRefSource());
        return;
    }
    (*m_RefSource).Reset();
}

void CCommentsCorrections_Base::SetRefSource(CCommentsCorrections_Base::TRefSource& value)
{
    m_RefSource.Reset(&value);
}

void CCommentsCorrections_Base::ResetPMID(void)
{
    m_PMID.Reset();
}

void CCommentsCorrections_Base::SetPMID(CCommentsCorrections_Base::TPMID& value)
{
    m_PMID.Reset(&value);
}

CCommentsCorrections_Base::TPMID& CCommentsCorrections_Base::SetPMID(void)
{
    if ( !m_PMID )
        m_PMID.Reset(new TPMID());
    return (*m_PMID);
}

void CCommentsCorrections_Base::SetPMID(const NCBI_NS_STD::string& value)
{
    SetPMID() = value;
}

void CCommentsCorrections_Base::ResetNote(void)
{
    m_Note.Reset();
}

void CCommentsCorrections_Base::SetNote(CCommentsCorrections_Base::TNote& value)
{
    m_Note.Reset(&value);
}

CCommentsCorrections_Base::TNote& CCommentsCorrections_Base::SetNote(void)
{
    if ( !m_Note )
        m_Note.Reset(new TNote());
    return (*m_Note);
}

void CCommentsCorrections_Base::Reset(void)
{
    ResetAttlist();
    ResetRefSource();
    ResetPMID();
    ResetNote();
}

BEGIN_NAMED_BASE_CLASS_INFO("CommentsCorrections", CCommentsCorrections)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_REF_MEMBER("RefSource", m_RefSource, CRefSource);
    ADD_NAMED_REF_MEMBER("PMID", m_PMID, CPMID)->SetOptional();
    ADD_NAMED_REF_MEMBER("Note", m_Note, CNote)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CCommentsCorrections_Base::CCommentsCorrections_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
        ResetRefSource();
    }
}

// destructor
CCommentsCorrections_Base::~CCommentsCorrections_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

