/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/DataBank.hpp>
#include <objtools/eutils/efetch/AccessionNumberList.hpp>
#include <objtools/eutils/efetch/DataBankName.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CDataBank_Base::ResetDataBankName(void)
{
    if ( !m_DataBankName ) {
        m_DataBankName.Reset(new TDataBankName());
        return;
    }
    (*m_DataBankName).Reset();
}

void CDataBank_Base::SetDataBankName(CDataBank_Base::TDataBankName& value)
{
    m_DataBankName.Reset(&value);
}

void CDataBank_Base::ResetAccessionNumberList(void)
{
    m_AccessionNumberList.Reset();
}

void CDataBank_Base::SetAccessionNumberList(CDataBank_Base::TAccessionNumberList& value)
{
    m_AccessionNumberList.Reset(&value);
}

CDataBank_Base::TAccessionNumberList& CDataBank_Base::SetAccessionNumberList(void)
{
    if ( !m_AccessionNumberList )
        m_AccessionNumberList.Reset(new TAccessionNumberList());
    return (*m_AccessionNumberList);
}

void CDataBank_Base::Reset(void)
{
    ResetDataBankName();
    ResetAccessionNumberList();
}

BEGIN_NAMED_BASE_CLASS_INFO("DataBank", CDataBank)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("DataBankName", m_DataBankName, CDataBankName);
    ADD_NAMED_REF_MEMBER("AccessionNumberList", m_AccessionNumberList, CAccessionNumberList)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CDataBank_Base::CDataBank_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetDataBankName();
    }
}

// destructor
CDataBank_Base::~CDataBank_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

