/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/DateCompleted.hpp>
#include <objtools/eutils/efetch/Day.hpp>
#include <objtools/eutils/efetch/Month.hpp>
#include <objtools/eutils/efetch/Year.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CDateCompleted_Base::ResetYear(void)
{
    if ( !m_Year ) {
        m_Year.Reset(new TYear());
        return;
    }
    (*m_Year).Reset();
}

void CDateCompleted_Base::SetYear(CDateCompleted_Base::TYear& value)
{
    m_Year.Reset(&value);
}

void CDateCompleted_Base::ResetMonth(void)
{
    if ( !m_Month ) {
        m_Month.Reset(new TMonth());
        return;
    }
    (*m_Month).Reset();
}

void CDateCompleted_Base::SetMonth(CDateCompleted_Base::TMonth& value)
{
    m_Month.Reset(&value);
}

void CDateCompleted_Base::ResetDay(void)
{
    if ( !m_Day ) {
        m_Day.Reset(new TDay());
        return;
    }
    (*m_Day).Reset();
}

void CDateCompleted_Base::SetDay(CDateCompleted_Base::TDay& value)
{
    m_Day.Reset(&value);
}

void CDateCompleted_Base::Reset(void)
{
    ResetYear();
    ResetMonth();
    ResetDay();
}

BEGIN_NAMED_BASE_CLASS_INFO("DateCompleted", CDateCompleted)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Year", m_Year, CYear);
    ADD_NAMED_REF_MEMBER("Month", m_Month, CMonth);
    ADD_NAMED_REF_MEMBER("Day", m_Day, CDay);
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CDateCompleted_Base::CDateCompleted_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetYear();
        ResetMonth();
        ResetDay();
    }
}

// destructor
CDateCompleted_Base::~CDateCompleted_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

