/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Declare.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CDeclare_Base::C_Attlist::, EAttlist_occurrence, false)
{
    SET_ENUM_INTERNAL_NAME("declare.Attlist", "occurrence");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("prefix", eAttlist_occurrence_prefix);
    ADD_ENUM_VALUE("infix", eAttlist_occurrence_infix);
    ADD_ENUM_VALUE("function-model", eAttlist_occurrence_function_model);
}
END_ENUM_INFO

void CDeclare_Base::C_Attlist::ResetType(void)
{
    m_Type.erase();
    m_set_State[0] &= ~0x3;
}

void CDeclare_Base::C_Attlist::ResetScope(void)
{
    m_Scope.erase();
    m_set_State[0] &= ~0xc;
}

void CDeclare_Base::C_Attlist::ResetNargs(void)
{
    m_Nargs.erase();
    m_set_State[0] &= ~0x30;
}

void CDeclare_Base::C_Attlist::ResetEncoding(void)
{
    m_Encoding.erase();
    m_set_State[0] &= ~0x300;
}

void CDeclare_Base::C_Attlist::ResetDefinitionURL(void)
{
    m_DefinitionURL.erase();
    m_set_State[0] &= ~0xc00;
}

void CDeclare_Base::C_Attlist::Reset(void)
{
    ResetType();
    ResetScope();
    ResetNargs();
    ResetOccurrence();
    ResetEncoding();
    ResetDefinitionURL();
}

BEGIN_NAMED_CLASS_INFO("", CDeclare_Base::C_Attlist)
{
    SET_INTERNAL_NAME("declare", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("type", m_Type)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("scope", m_Scope)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("nargs", m_Nargs)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("occurrence", m_Occurrence, EAttlist_occurrence)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("encoding", m_Encoding)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("definitionURL", m_DefinitionURL)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CDeclare_Base::C_Attlist::C_Attlist(void)
    : m_Occurrence((EAttlist_occurrence)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CDeclare_Base::C_Attlist::~C_Attlist(void)
{
}


BEGIN_NESTED_ALIAS_INFO("", CDeclare_Base::C_E_ContExp, CLASS, (CContExp))
{
    SET_CLASS_ALIAS_DATA_PTR;
    SET_FULL_ALIAS;
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_ALIAS_INFO


void CDeclare_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CDeclare_Base::SetAttlist(CDeclare_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CDeclare_Base::ResetContExp(void)
{
    m_ContExp.clear();
    m_set_State[0] &= ~0xc;
}

void CDeclare_Base::Reset(void)
{
    ResetAttlist();
    ResetContExp();
}

BEGIN_NAMED_BASE_CLASS_INFO("declare", CDeclare)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_MEMBER("ContExp", m_ContExp, STL_list, (STL_CRef, (CLASS, (C_E_ContExp))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CDeclare_Base::CDeclare_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CDeclare_Base::~CDeclare_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

