/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/DomainQ.hpp>
#include <objtools/eutils/efetch/Condition.hpp>
#include <objtools/eutils/efetch/Domainofapplication.hpp>
#include <objtools/eutils/efetch/Lowlimit.hpp>
#include <objtools/eutils/efetch/Uplimit.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CDomainQ_Base::C_E::C_LU::ResetLowlimit(void)
{
    if ( !m_Lowlimit ) {
        m_Lowlimit.Reset(new TLowlimit());
        return;
    }
    (*m_Lowlimit).Reset();
}

void CDomainQ_Base::C_E::C_LU::SetLowlimit(CDomainQ_Base::C_E::C_LU::TLowlimit& value)
{
    m_Lowlimit.Reset(&value);
}

void CDomainQ_Base::C_E::C_LU::ResetUplimit(void)
{
    m_Uplimit.Reset();
}

void CDomainQ_Base::C_E::C_LU::SetUplimit(CDomainQ_Base::C_E::C_LU::TUplimit& value)
{
    m_Uplimit.Reset(&value);
}

CDomainQ_Base::C_E::C_LU::TUplimit& CDomainQ_Base::C_E::C_LU::SetUplimit(void)
{
    if ( !m_Uplimit )
        m_Uplimit.Reset(new TUplimit());
    return (*m_Uplimit);
}

void CDomainQ_Base::C_E::C_LU::Reset(void)
{
    ResetLowlimit();
    ResetUplimit();
}

BEGIN_NAMED_CLASS_INFO("", CDomainQ_Base::C_E::C_LU)
{
    SET_INTERNAL_NAME("DomainQ.E", "LU");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_REF_MEMBER("lowlimit", m_Lowlimit, CLowlimit)->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("uplimit", m_Uplimit, CUplimit)->SetOptional()->SetNsQualified(true);
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CDomainQ_Base::C_E::C_LU::C_LU(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetLowlimit();
    }
}

// destructor
CDomainQ_Base::C_E::C_LU::~C_LU(void)
{
}


void CDomainQ_Base::C_E::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CDomainQ_Base::C_E::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Domainofapplication:
    case e_Condition:
    case e_LU:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CDomainQ_Base::C_E::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Domainofapplication:
        (m_object = new(pool) eutils::CDomainofapplication())->AddReference();
        break;
    case e_Condition:
        (m_object = new(pool) eutils::CCondition())->AddReference();
        break;
    case e_LU:
        (m_object = new(pool) C_LU())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CDomainQ_Base::C_E::sm_SelectionNames[] = {
    "not set",
    "domainofapplication",
    "condition",
    "LU"
};

NCBI_NS_STD::string CDomainQ_Base::C_E::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CDomainQ_Base::C_E::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CDomainQ_Base::C_E::TDomainofapplication& CDomainQ_Base::C_E::GetDomainofapplication(void) const
{
    CheckSelected(e_Domainofapplication);
    return *static_cast<const TDomainofapplication*>(m_object);
}

CDomainQ_Base::C_E::TDomainofapplication& CDomainQ_Base::C_E::SetDomainofapplication(void)
{
    Select(e_Domainofapplication, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TDomainofapplication*>(m_object);
}

void CDomainQ_Base::C_E::SetDomainofapplication(CDomainQ_Base::C_E::TDomainofapplication& value)
{
    TDomainofapplication* ptr = &value;
    if ( m_choice != e_Domainofapplication || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Domainofapplication;
    }
}

const CDomainQ_Base::C_E::TCondition& CDomainQ_Base::C_E::GetCondition(void) const
{
    CheckSelected(e_Condition);
    return *static_cast<const TCondition*>(m_object);
}

CDomainQ_Base::C_E::TCondition& CDomainQ_Base::C_E::SetCondition(void)
{
    Select(e_Condition, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TCondition*>(m_object);
}

void CDomainQ_Base::C_E::SetCondition(CDomainQ_Base::C_E::TCondition& value)
{
    TCondition* ptr = &value;
    if ( m_choice != e_Condition || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Condition;
    }
}

const CDomainQ_Base::C_E::TLU& CDomainQ_Base::C_E::GetLU(void) const
{
    CheckSelected(e_LU);
    return *static_cast<const TLU*>(m_object);
}

CDomainQ_Base::C_E::TLU& CDomainQ_Base::C_E::SetLU(void)
{
    Select(e_LU, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TLU*>(m_object);
}

void CDomainQ_Base::C_E::SetLU(CDomainQ_Base::C_E::TLU& value)
{
    TLU* ptr = &value;
    if ( m_choice != e_LU || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_LU;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CDomainQ_Base::C_E)
{
    SET_INTERNAL_NAME("DomainQ", "E");
    SET_CHOICE_MODULE("efetch");
    ADD_NAMED_REF_CHOICE_VARIANT("domainofapplication", m_object, CDomainofapplication)->SetNsQualified(true);
    ADD_NAMED_REF_CHOICE_VARIANT("condition", m_object, CCondition)->SetNsQualified(true);
    ADD_NAMED_REF_CHOICE_VARIANT("LU", m_object, C_LU)->SetNotag();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CDomainQ_Base::C_E::C_E(void)
    : m_choice(e_not_set)
{
}

// destructor
CDomainQ_Base::C_E::~C_E(void)
{
    Reset();
}


void CDomainQ_Base::Reset(void)
{
    m_data.clear();
    m_set_State[0] &= ~0x3;
}

BEGIN_NAMED_BASE_IMPLICIT_CLASS_INFO("", CDomainQ)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(false);
    ADD_NAMED_MEMBER("", m_data, STL_list, (STL_CRef, (CLASS, (C_E))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CDomainQ_Base::CDomainQ_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CDomainQ_Base::~CDomainQ_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

