/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/GeneralNote.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CGeneralNote_Base::C_Attlist::, EAttlist_Owner, false)
{
    SET_ENUM_INTERNAL_NAME("GeneralNote.Attlist", "Owner");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("NLM", eAttlist_Owner_NLM);
    ADD_ENUM_VALUE("NASA", eAttlist_Owner_NASA);
    ADD_ENUM_VALUE("PIP", eAttlist_Owner_PIP);
    ADD_ENUM_VALUE("KIE", eAttlist_Owner_KIE);
    ADD_ENUM_VALUE("HSR", eAttlist_Owner_HSR);
    ADD_ENUM_VALUE("HMD", eAttlist_Owner_HMD);
}
END_ENUM_INFO

void CGeneralNote_Base::C_Attlist::Reset(void)
{
    ResetOwner();
}

BEGIN_NAMED_CLASS_INFO("", CGeneralNote_Base::C_Attlist)
{
    SET_INTERNAL_NAME("GeneralNote", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_ENUM_MEMBER("Owner", m_Owner, EAttlist_Owner)->SetDefault(new TOwner(eAttlist_Owner_NLM))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CGeneralNote_Base::C_Attlist::C_Attlist(void)
    : m_Owner(eAttlist_Owner_NLM)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CGeneralNote_Base::C_Attlist::~C_Attlist(void)
{
}


void CGeneralNote_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CGeneralNote_Base::SetAttlist(CGeneralNote_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CGeneralNote_Base::ResetGeneralNote(void)
{
    m_GeneralNote.erase();
    m_set_State[0] &= ~0xc;
}

void CGeneralNote_Base::Reset(void)
{
    ResetAttlist();
    ResetGeneralNote();
}

BEGIN_NAMED_BASE_CLASS_INFO("GeneralNote", CGeneralNote)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_STD_MEMBER("GeneralNote", m_GeneralNote)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CGeneralNote_Base::CGeneralNote_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CGeneralNote_Base::~CGeneralNote_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

