/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Grant.hpp>
#include <objtools/eutils/efetch/Acronym.hpp>
#include <objtools/eutils/efetch/Agency.hpp>
#include <objtools/eutils/efetch/Country.hpp>
#include <objtools/eutils/efetch/GrantID.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CGrant_Base::ResetGrantID(void)
{
    m_GrantID.Reset();
}

void CGrant_Base::SetGrantID(CGrant_Base::TGrantID& value)
{
    m_GrantID.Reset(&value);
}

CGrant_Base::TGrantID& CGrant_Base::SetGrantID(void)
{
    if ( !m_GrantID )
        m_GrantID.Reset(new TGrantID());
    return (*m_GrantID);
}

void CGrant_Base::ResetAcronym(void)
{
    m_Acronym.Reset();
}

void CGrant_Base::SetAcronym(CGrant_Base::TAcronym& value)
{
    m_Acronym.Reset(&value);
}

CGrant_Base::TAcronym& CGrant_Base::SetAcronym(void)
{
    if ( !m_Acronym )
        m_Acronym.Reset(new TAcronym());
    return (*m_Acronym);
}

void CGrant_Base::ResetAgency(void)
{
    if ( !m_Agency ) {
        m_Agency.Reset(new TAgency());
        return;
    }
    (*m_Agency).Reset();
}

void CGrant_Base::SetAgency(CGrant_Base::TAgency& value)
{
    m_Agency.Reset(&value);
}

void CGrant_Base::ResetCountry(void)
{
    if ( !m_Country ) {
        m_Country.Reset(new TCountry());
        return;
    }
    (*m_Country).Reset();
}

void CGrant_Base::SetCountry(CGrant_Base::TCountry& value)
{
    m_Country.Reset(&value);
}

void CGrant_Base::Reset(void)
{
    ResetGrantID();
    ResetAcronym();
    ResetAgency();
    ResetCountry();
}

BEGIN_NAMED_BASE_CLASS_INFO("Grant", CGrant)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("GrantID", m_GrantID, CGrantID)->SetOptional();
    ADD_NAMED_REF_MEMBER("Acronym", m_Acronym, CAcronym)->SetOptional();
    ADD_NAMED_REF_MEMBER("Agency", m_Agency, CAgency);
    ADD_NAMED_REF_MEMBER("Country", m_Country, CCountry);
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CGrant_Base::CGrant_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAgency();
        ResetCountry();
    }
}

// destructor
CGrant_Base::~CGrant_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

