/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Investigator.hpp>
#include <objtools/eutils/efetch/AffiliationInfo.hpp>
#include <objtools/eutils/efetch/ForeName.hpp>
#include <objtools/eutils/efetch/Identifier.hpp>
#include <objtools/eutils/efetch/Initials.hpp>
#include <objtools/eutils/efetch/LastName.hpp>
#include <objtools/eutils/efetch/Suffix.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CInvestigator_Base::C_Attlist::, EAttlist_ValidYN, false)
{
    SET_ENUM_INTERNAL_NAME("Investigator.Attlist", "ValidYN");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("Y", eAttlist_ValidYN_Y);
    ADD_ENUM_VALUE("N", eAttlist_ValidYN_N);
}
END_ENUM_INFO

void CInvestigator_Base::C_Attlist::Reset(void)
{
    ResetValidYN();
}

BEGIN_NAMED_CLASS_INFO("", CInvestigator_Base::C_Attlist)
{
    SET_INTERNAL_NAME("Investigator", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_ENUM_MEMBER("ValidYN", m_ValidYN, EAttlist_ValidYN)->SetDefault(new TValidYN(eAttlist_ValidYN_Y))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CInvestigator_Base::C_Attlist::C_Attlist(void)
    : m_ValidYN(eAttlist_ValidYN_Y)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CInvestigator_Base::C_Attlist::~C_Attlist(void)
{
}


void CInvestigator_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CInvestigator_Base::SetAttlist(CInvestigator_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CInvestigator_Base::ResetLastName(void)
{
    if ( !m_LastName ) {
        m_LastName.Reset(new TLastName());
        return;
    }
    (*m_LastName).Reset();
}

void CInvestigator_Base::SetLastName(CInvestigator_Base::TLastName& value)
{
    m_LastName.Reset(&value);
}

void CInvestigator_Base::ResetForeName(void)
{
    m_ForeName.Reset();
}

void CInvestigator_Base::SetForeName(CInvestigator_Base::TForeName& value)
{
    m_ForeName.Reset(&value);
}

CInvestigator_Base::TForeName& CInvestigator_Base::SetForeName(void)
{
    if ( !m_ForeName )
        m_ForeName.Reset(new TForeName());
    return (*m_ForeName);
}

void CInvestigator_Base::ResetInitials(void)
{
    m_Initials.Reset();
}

void CInvestigator_Base::SetInitials(CInvestigator_Base::TInitials& value)
{
    m_Initials.Reset(&value);
}

CInvestigator_Base::TInitials& CInvestigator_Base::SetInitials(void)
{
    if ( !m_Initials )
        m_Initials.Reset(new TInitials());
    return (*m_Initials);
}

void CInvestigator_Base::ResetSuffix(void)
{
    m_Suffix.Reset();
}

void CInvestigator_Base::SetSuffix(CInvestigator_Base::TSuffix& value)
{
    m_Suffix.Reset(&value);
}

CInvestigator_Base::TSuffix& CInvestigator_Base::SetSuffix(void)
{
    if ( !m_Suffix )
        m_Suffix.Reset(new TSuffix());
    return (*m_Suffix);
}

void CInvestigator_Base::ResetIdentifier(void)
{
    m_Identifier.clear();
    m_set_State[0] &= ~0xc00;
}

void CInvestigator_Base::ResetAffiliationInfo(void)
{
    m_AffiliationInfo.clear();
    m_set_State[0] &= ~0x3000;
}

void CInvestigator_Base::Reset(void)
{
    ResetAttlist();
    ResetLastName();
    ResetForeName();
    ResetInitials();
    ResetSuffix();
    ResetIdentifier();
    ResetAffiliationInfo();
}

BEGIN_NAMED_BASE_CLASS_INFO("Investigator", CInvestigator)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_REF_MEMBER("LastName", m_LastName, CLastName);
    ADD_NAMED_REF_MEMBER("ForeName", m_ForeName, CForeName)->SetOptional();
    ADD_NAMED_REF_MEMBER("Initials", m_Initials, CInitials)->SetOptional();
    ADD_NAMED_REF_MEMBER("Suffix", m_Suffix, CSuffix)->SetOptional();
    ADD_NAMED_MEMBER("Identifier", m_Identifier, STL_list, (STL_CRef, (CLASS, (CIdentifier))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("AffiliationInfo", m_AffiliationInfo, STL_list, (STL_CRef, (CLASS, (CAffiliationInfo))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CInvestigator_Base::CInvestigator_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
        ResetLastName();
    }
}

// destructor
CInvestigator_Base::~CInvestigator_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

