/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/ItemList.hpp>
#include <objtools/eutils/efetch/Item.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CItemList_Base::C_Attlist::ResetListType(void)
{
    m_ListType.erase();
    m_set_State[0] &= ~0x3;
}

void CItemList_Base::C_Attlist::Reset(void)
{
    ResetListType();
}

BEGIN_NAMED_CLASS_INFO("", CItemList_Base::C_Attlist)
{
    SET_INTERNAL_NAME("ItemList", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("ListType", m_ListType)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CItemList_Base::C_Attlist::C_Attlist(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CItemList_Base::C_Attlist::~C_Attlist(void)
{
}


void CItemList_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CItemList_Base::SetAttlist(CItemList_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CItemList_Base::ResetItem(void)
{
    m_Item.clear();
    m_set_State[0] &= ~0xc;
}

void CItemList_Base::Reset(void)
{
    ResetAttlist();
    ResetItem();
}

BEGIN_NAMED_BASE_CLASS_INFO("ItemList", CItemList)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_MEMBER("Item", m_Item, STL_list, (STL_CRef, (CLASS, (CItem))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CItemList_Base::CItemList_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CItemList_Base::~CItemList_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

