/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Journal.hpp>
#include <objtools/eutils/efetch/ISOAbbreviation.hpp>
#include <objtools/eutils/efetch/ISSN.hpp>
#include <objtools/eutils/efetch/JournalIssue.hpp>
#include <objtools/eutils/efetch/Title.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CJournal_Base::ResetISSN(void)
{
    m_ISSN.Reset();
}

void CJournal_Base::SetISSN(CJournal_Base::TISSN& value)
{
    m_ISSN.Reset(&value);
}

CJournal_Base::TISSN& CJournal_Base::SetISSN(void)
{
    if ( !m_ISSN )
        m_ISSN.Reset(new TISSN());
    return (*m_ISSN);
}

void CJournal_Base::SetISSN(const NCBI_NS_STD::string& value)
{
    SetISSN() = value;
}

void CJournal_Base::ResetJournalIssue(void)
{
    if ( !m_JournalIssue ) {
        m_JournalIssue.Reset(new TJournalIssue());
        return;
    }
    (*m_JournalIssue).Reset();
}

void CJournal_Base::SetJournalIssue(CJournal_Base::TJournalIssue& value)
{
    m_JournalIssue.Reset(&value);
}

void CJournal_Base::ResetTitle(void)
{
    m_Title.Reset();
}

void CJournal_Base::SetTitle(CJournal_Base::TTitle& value)
{
    m_Title.Reset(&value);
}

CJournal_Base::TTitle& CJournal_Base::SetTitle(void)
{
    if ( !m_Title )
        m_Title.Reset(new TTitle());
    return (*m_Title);
}

void CJournal_Base::ResetISOAbbreviation(void)
{
    m_ISOAbbreviation.Reset();
}

void CJournal_Base::SetISOAbbreviation(CJournal_Base::TISOAbbreviation& value)
{
    m_ISOAbbreviation.Reset(&value);
}

CJournal_Base::TISOAbbreviation& CJournal_Base::SetISOAbbreviation(void)
{
    if ( !m_ISOAbbreviation )
        m_ISOAbbreviation.Reset(new TISOAbbreviation());
    return (*m_ISOAbbreviation);
}

void CJournal_Base::Reset(void)
{
    ResetISSN();
    ResetJournalIssue();
    ResetTitle();
    ResetISOAbbreviation();
}

BEGIN_NAMED_BASE_CLASS_INFO("Journal", CJournal)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("ISSN", m_ISSN, CISSN)->SetOptional();
    ADD_NAMED_REF_MEMBER("JournalIssue", m_JournalIssue, CJournalIssue);
    ADD_NAMED_REF_MEMBER("Title", m_Title, CPubmedTitle)->SetOptional();
    ADD_NAMED_REF_MEMBER("ISOAbbreviation", m_ISOAbbreviation, CISOAbbreviation)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CJournal_Base::CJournal_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetJournalIssue();
    }
}

// destructor
CJournal_Base::~CJournal_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

