/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/List.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CList_Base::C_Attlist::, EAttlist_order, false)
{
    SET_ENUM_INTERNAL_NAME("list.Attlist", "order");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("numeric", eAttlist_order_numeric);
    ADD_ENUM_VALUE("lexicographic", eAttlist_order_lexicographic);
}
END_ENUM_INFO

void CList_Base::C_Attlist::ResetId(void)
{
    m_Id.erase();
    m_set_State[0] &= ~0x3;
}

void CList_Base::C_Attlist::ResetXref(void)
{
    m_Xref.erase();
    m_set_State[0] &= ~0xc;
}

void CList_Base::C_Attlist::ResetClass(void)
{
    m_Class.erase();
    m_set_State[0] &= ~0x30;
}

void CList_Base::C_Attlist::ResetStyle(void)
{
    m_Style.erase();
    m_set_State[0] &= ~0xc0;
}

void CList_Base::C_Attlist::ResetHref(void)
{
    m_Href.erase();
    m_set_State[0] &= ~0x300;
}

void CList_Base::C_Attlist::ResetEncoding(void)
{
    m_Encoding.erase();
    m_set_State[0] &= ~0xc00;
}

void CList_Base::C_Attlist::ResetDefinitionURL(void)
{
    m_DefinitionURL.erase();
    m_set_State[0] &= ~0x3000;
}

void CList_Base::C_Attlist::Reset(void)
{
    ResetId();
    ResetXref();
    ResetClass();
    ResetStyle();
    ResetHref();
    ResetEncoding();
    ResetDefinitionURL();
    ResetOrder();
}

BEGIN_NAMED_CLASS_INFO("", CList_Base::C_Attlist)
{
    SET_INTERNAL_NAME("list", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("id", m_Id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("xref", m_Xref)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("class", m_Class)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("style", m_Style)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("href", m_Href)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("encoding", m_Encoding)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("definitionURL", m_DefinitionURL)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("order", m_Order, EAttlist_order)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CList_Base::C_Attlist::C_Attlist(void)
    : m_Order((EAttlist_order)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CList_Base::C_Attlist::~C_Attlist(void)
{
}


BEGIN_NESTED_ALIAS_INFO("", CList_Base::C_E_BvarQ, CLASS, (CBvarQ))
{
    SET_CLASS_ALIAS_DATA_PTR;
    SET_FULL_ALIAS;
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_ALIAS_INFO


BEGIN_NESTED_ALIAS_INFO("", CList_Base::C_E_DomainQ, CLASS, (CDomainQ))
{
    SET_CLASS_ALIAS_DATA_PTR;
    SET_FULL_ALIAS;
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_ALIAS_INFO


BEGIN_NESTED_ALIAS_INFO("", CList_Base::C_E_ContExp, CLASS, (CContExp))
{
    SET_CLASS_ALIAS_DATA_PTR;
    SET_FULL_ALIAS;
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_ALIAS_INFO


void CList_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CList_Base::SetAttlist(CList_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CList_Base::ResetBvarQ(void)
{
    m_BvarQ.clear();
    m_set_State[0] &= ~0xc;
}

void CList_Base::ResetDomainQ(void)
{
    m_DomainQ.clear();
    m_set_State[0] &= ~0x30;
}

void CList_Base::ResetContExp(void)
{
    m_ContExp.clear();
    m_set_State[0] &= ~0xc0;
}

void CList_Base::Reset(void)
{
    ResetAttlist();
    ResetBvarQ();
    ResetDomainQ();
    ResetContExp();
}

BEGIN_NAMED_BASE_CLASS_INFO("list", CList)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_MEMBER("BvarQ", m_BvarQ, STL_list, (STL_CRef, (CLASS, (C_E_BvarQ))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNotag();
    ADD_NAMED_MEMBER("DomainQ", m_DomainQ, STL_list, (STL_CRef, (CLASS, (C_E_DomainQ))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNotag();
    ADD_NAMED_MEMBER("ContExp", m_ContExp, STL_list, (STL_CRef, (CLASS, (C_E_ContExp))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CList_Base::CList_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CList_Base::~CList_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

