/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/LocationLabel.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CLocationLabel_Base::C_Attlist::, EAttlist_Type, false)
{
    SET_ENUM_INTERNAL_NAME("LocationLabel.Attlist", "Type");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("part", eAttlist_Type_part);
    ADD_ENUM_VALUE("chapter", eAttlist_Type_chapter);
    ADD_ENUM_VALUE("section", eAttlist_Type_section);
    ADD_ENUM_VALUE("appendix", eAttlist_Type_appendix);
    ADD_ENUM_VALUE("figure", eAttlist_Type_figure);
    ADD_ENUM_VALUE("table", eAttlist_Type_table);
    ADD_ENUM_VALUE("box", eAttlist_Type_box);
}
END_ENUM_INFO

void CLocationLabel_Base::C_Attlist::Reset(void)
{
    ResetType();
}

BEGIN_NAMED_CLASS_INFO("", CLocationLabel_Base::C_Attlist)
{
    SET_INTERNAL_NAME("LocationLabel", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_ENUM_MEMBER("Type", m_Type, EAttlist_Type)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CLocationLabel_Base::C_Attlist::C_Attlist(void)
    : m_Type((EAttlist_Type)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CLocationLabel_Base::C_Attlist::~C_Attlist(void)
{
}


void CLocationLabel_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CLocationLabel_Base::SetAttlist(CLocationLabel_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CLocationLabel_Base::ResetLocationLabel(void)
{
    m_LocationLabel.erase();
    m_set_State[0] &= ~0xc;
}

void CLocationLabel_Base::Reset(void)
{
    ResetAttlist();
    ResetLocationLabel();
}

BEGIN_NAMED_BASE_CLASS_INFO("LocationLabel", CLocationLabel)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_STD_MEMBER("LocationLabel", m_LocationLabel)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CLocationLabel_Base::CLocationLabel_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CLocationLabel_Base::~CLocationLabel_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

