/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Maction.hpp>
#include <objtools/eutils/efetch/MathExpression.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CMaction_Base::C_Attlist::ResetId(void)
{
    m_Id.erase();
    m_set_State[0] &= ~0x3;
}

void CMaction_Base::C_Attlist::ResetXref(void)
{
    m_Xref.erase();
    m_set_State[0] &= ~0xc;
}

void CMaction_Base::C_Attlist::ResetClass(void)
{
    m_Class.erase();
    m_set_State[0] &= ~0x30;
}

void CMaction_Base::C_Attlist::ResetStyle(void)
{
    m_Style.erase();
    m_set_State[0] &= ~0xc0;
}

void CMaction_Base::C_Attlist::ResetHref(void)
{
    m_Href.erase();
    m_set_State[0] &= ~0x300;
}

void CMaction_Base::C_Attlist::ResetMathcolor(void)
{
    m_Mathcolor.erase();
    m_set_State[0] &= ~0xc00;
}

void CMaction_Base::C_Attlist::ResetMathbackground(void)
{
    m_Mathbackground.erase();
    m_set_State[0] &= ~0x3000;
}

void CMaction_Base::C_Attlist::ResetActiontype(void)
{
    m_Actiontype.erase();
    m_set_State[0] &= ~0xc000;
}

void CMaction_Base::C_Attlist::ResetSelection(void)
{
    m_Selection.erase();
    m_set_State[0] &= ~0x30000;
}

void CMaction_Base::C_Attlist::Reset(void)
{
    ResetId();
    ResetXref();
    ResetClass();
    ResetStyle();
    ResetHref();
    ResetMathcolor();
    ResetMathbackground();
    ResetActiontype();
    ResetSelection();
}

BEGIN_NAMED_CLASS_INFO("", CMaction_Base::C_Attlist)
{
    SET_INTERNAL_NAME("maction", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("id", m_Id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("xref", m_Xref)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("class", m_Class)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("style", m_Style)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("href", m_Href)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathcolor", m_Mathcolor)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathbackground", m_Mathbackground)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("actiontype", m_Actiontype)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("selection", m_Selection)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMaction_Base::C_Attlist::C_Attlist(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMaction_Base::C_Attlist::~C_Attlist(void)
{
}


void CMaction_Base::C_MathExpression::ResetMathExpression(void)
{
    m_MathExpression.clear();
    m_set_State[0] &= ~0x3;
}

void CMaction_Base::C_MathExpression::Reset(void)
{
    ResetMathExpression();
}

BEGIN_NAMED_CLASS_INFO("", CMaction_Base::C_MathExpression)
{
    SET_INTERNAL_NAME("maction", "MathExpression");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_MEMBER("MathExpression", m_MathExpression, STL_list, (STL_CRef, (CLASS, (CMathExpression))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNotag()->SetNsQualified(false);
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMaction_Base::C_MathExpression::C_MathExpression(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMaction_Base::C_MathExpression::~C_MathExpression(void)
{
}


void CMaction_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CMaction_Base::SetAttlist(CMaction_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CMaction_Base::ResetMathExpression(void)
{
    if ( !m_MathExpression ) {
        m_MathExpression.Reset(new TMathExpression());
        return;
    }
    (*m_MathExpression).Reset();
}

void CMaction_Base::SetMathExpression(CMaction_Base::TMathExpression& value)
{
    m_MathExpression.Reset(&value);
}

void CMaction_Base::Reset(void)
{
    ResetAttlist();
    ResetMathExpression();
}

BEGIN_NAMED_BASE_CLASS_INFO("maction", CMaction)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_REF_MEMBER("MathExpression", m_MathExpression, C_MathExpression)->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMaction_Base::CMaction_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
        ResetMathExpression();
    }
}

// destructor
CMaction_Base::~CMaction_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

