/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Math.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_display, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "display");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("block", eAttlist_display_block);
    ADD_ENUM_VALUE("inline", eAttlist_display_inline);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_overflow, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "overflow");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("linebreak", eAttlist_overflow_linebreak);
    ADD_ENUM_VALUE("scroll", eAttlist_overflow_scroll);
    ADD_ENUM_VALUE("elide", eAttlist_overflow_elide);
    ADD_ENUM_VALUE("truncate", eAttlist_overflow_truncate);
    ADD_ENUM_VALUE("scale", eAttlist_overflow_scale);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_displaystyle, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "displaystyle");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_displaystyle_true);
    ADD_ENUM_VALUE("false", eAttlist_displaystyle_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_infixlinebreakstyle, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "infixlinebreakstyle");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("before", eAttlist_infixlinebreakstyle_before);
    ADD_ENUM_VALUE("after", eAttlist_infixlinebreakstyle_after);
    ADD_ENUM_VALUE("duplicate", eAttlist_infixlinebreakstyle_duplicate);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_accent, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "accent");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_accent_true);
    ADD_ENUM_VALUE("false", eAttlist_accent_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_accentunder, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "accentunder");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_accentunder_true);
    ADD_ENUM_VALUE("false", eAttlist_accentunder_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_align, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "align");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("left", eAttlist_align_left);
    ADD_ENUM_VALUE("right", eAttlist_align_right);
    ADD_ENUM_VALUE("center", eAttlist_align_center);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_bevelled, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "bevelled");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_bevelled_true);
    ADD_ENUM_VALUE("false", eAttlist_bevelled_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_charalign, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "charalign");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("left", eAttlist_charalign_left);
    ADD_ENUM_VALUE("center", eAttlist_charalign_center);
    ADD_ENUM_VALUE("right", eAttlist_charalign_right);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_denomalign, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "denomalign");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("left", eAttlist_denomalign_left);
    ADD_ENUM_VALUE("center", eAttlist_denomalign_center);
    ADD_ENUM_VALUE("right", eAttlist_denomalign_right);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_dir, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "dir");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("ltr", eAttlist_dir_ltr);
    ADD_ENUM_VALUE("rtl", eAttlist_dir_rtl);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_edge, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "edge");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("left", eAttlist_edge_left);
    ADD_ENUM_VALUE("right", eAttlist_edge_right);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_equalcolumns, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "equalcolumns");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_equalcolumns_true);
    ADD_ENUM_VALUE("false", eAttlist_equalcolumns_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_equalrows, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "equalrows");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_equalrows_true);
    ADD_ENUM_VALUE("false", eAttlist_equalrows_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_fence, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "fence");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_fence_true);
    ADD_ENUM_VALUE("false", eAttlist_fence_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_form, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "form");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("prefix", eAttlist_form_prefix);
    ADD_ENUM_VALUE("infix", eAttlist_form_infix);
    ADD_ENUM_VALUE("postfix", eAttlist_form_postfix);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_frame, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "frame");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("none", eAttlist_frame_none);
    ADD_ENUM_VALUE("solid", eAttlist_frame_solid);
    ADD_ENUM_VALUE("dashed", eAttlist_frame_dashed);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_indentalign, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "indentalign");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("left", eAttlist_indentalign_left);
    ADD_ENUM_VALUE("center", eAttlist_indentalign_center);
    ADD_ENUM_VALUE("right", eAttlist_indentalign_right);
    ADD_ENUM_VALUE("auto", eAttlist_indentalign_auto);
    ADD_ENUM_VALUE("id", eAttlist_indentalign_id);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_indentalignfirst, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "indentalignfirst");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("left", eAttlist_indentalignfirst_left);
    ADD_ENUM_VALUE("center", eAttlist_indentalignfirst_center);
    ADD_ENUM_VALUE("right", eAttlist_indentalignfirst_right);
    ADD_ENUM_VALUE("auto", eAttlist_indentalignfirst_auto);
    ADD_ENUM_VALUE("id", eAttlist_indentalignfirst_id);
    ADD_ENUM_VALUE("indentalign", eAttlist_indentalignfirst_indentalign);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_indentalignlast, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "indentalignlast");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("left", eAttlist_indentalignlast_left);
    ADD_ENUM_VALUE("center", eAttlist_indentalignlast_center);
    ADD_ENUM_VALUE("right", eAttlist_indentalignlast_right);
    ADD_ENUM_VALUE("auto", eAttlist_indentalignlast_auto);
    ADD_ENUM_VALUE("id", eAttlist_indentalignlast_id);
    ADD_ENUM_VALUE("indentalign", eAttlist_indentalignlast_indentalign);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_largeop, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "largeop");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_largeop_true);
    ADD_ENUM_VALUE("false", eAttlist_largeop_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_linebreak, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "linebreak");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("auto", eAttlist_linebreak_auto);
    ADD_ENUM_VALUE("newline", eAttlist_linebreak_newline);
    ADD_ENUM_VALUE("nobreak", eAttlist_linebreak_nobreak);
    ADD_ENUM_VALUE("goodbreak", eAttlist_linebreak_goodbreak);
    ADD_ENUM_VALUE("badbreak", eAttlist_linebreak_badbreak);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_linebreakstyle, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "linebreakstyle");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("before", eAttlist_linebreakstyle_before);
    ADD_ENUM_VALUE("after", eAttlist_linebreakstyle_after);
    ADD_ENUM_VALUE("duplicate", eAttlist_linebreakstyle_duplicate);
    ADD_ENUM_VALUE("infixlinebreakstyle", eAttlist_linebreakstyle_infixlinebreakstyle);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_location, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "location");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("w", eAttlist_location_w);
    ADD_ENUM_VALUE("nw", eAttlist_location_nw);
    ADD_ENUM_VALUE("n", eAttlist_location_n);
    ADD_ENUM_VALUE("ne", eAttlist_location_ne);
    ADD_ENUM_VALUE("e", eAttlist_location_e);
    ADD_ENUM_VALUE("se", eAttlist_location_se);
    ADD_ENUM_VALUE("s", eAttlist_location_s);
    ADD_ENUM_VALUE("sw", eAttlist_location_sw);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_mathvariant, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "mathvariant");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("normal", eAttlist_mathvariant_normal);
    ADD_ENUM_VALUE("bold", eAttlist_mathvariant_bold);
    ADD_ENUM_VALUE("italic", eAttlist_mathvariant_italic);
    ADD_ENUM_VALUE("bold-italic", eAttlist_mathvariant_bold_italic);
    ADD_ENUM_VALUE("double-struck", eAttlist_mathvariant_double_struck);
    ADD_ENUM_VALUE("bold-fraktur", eAttlist_mathvariant_bold_fraktur);
    ADD_ENUM_VALUE("script", eAttlist_mathvariant_script);
    ADD_ENUM_VALUE("bold-script", eAttlist_mathvariant_bold_script);
    ADD_ENUM_VALUE("fraktur", eAttlist_mathvariant_fraktur);
    ADD_ENUM_VALUE("sans-serif", eAttlist_mathvariant_sans_serif);
    ADD_ENUM_VALUE("bold-sans-serif", eAttlist_mathvariant_bold_sans_serif);
    ADD_ENUM_VALUE("sans-serif-italic", eAttlist_mathvariant_sans_serif_italic);
    ADD_ENUM_VALUE("sans-serif-bold-italic", eAttlist_mathvariant_sans_serif_bold_italic);
    ADD_ENUM_VALUE("monospace", eAttlist_mathvariant_monospace);
    ADD_ENUM_VALUE("initial", eAttlist_mathvariant_initial);
    ADD_ENUM_VALUE("tailed", eAttlist_mathvariant_tailed);
    ADD_ENUM_VALUE("looped", eAttlist_mathvariant_looped);
    ADD_ENUM_VALUE("stretched", eAttlist_mathvariant_stretched);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_movablelimits, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "movablelimits");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_movablelimits_true);
    ADD_ENUM_VALUE("false", eAttlist_movablelimits_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_numalign, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "numalign");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("left", eAttlist_numalign_left);
    ADD_ENUM_VALUE("center", eAttlist_numalign_center);
    ADD_ENUM_VALUE("right", eAttlist_numalign_right);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_separator, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "separator");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_separator_true);
    ADD_ENUM_VALUE("false", eAttlist_separator_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_side, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "side");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("left", eAttlist_side_left);
    ADD_ENUM_VALUE("right", eAttlist_side_right);
    ADD_ENUM_VALUE("leftoverlap", eAttlist_side_leftoverlap);
    ADD_ENUM_VALUE("rightoverlap", eAttlist_side_rightoverlap);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_stackalign, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "stackalign");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("left", eAttlist_stackalign_left);
    ADD_ENUM_VALUE("center", eAttlist_stackalign_center);
    ADD_ENUM_VALUE("right", eAttlist_stackalign_right);
    ADD_ENUM_VALUE("decimalpoint", eAttlist_stackalign_decimalpoint);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_stretchy, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "stretchy");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_stretchy_true);
    ADD_ENUM_VALUE("false", eAttlist_stretchy_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMath_Base::C_Attlist::, EAttlist_symmetric, false)
{
    SET_ENUM_INTERNAL_NAME("math.Attlist", "symmetric");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_symmetric_true);
    ADD_ENUM_VALUE("false", eAttlist_symmetric_false);
}
END_ENUM_INFO

void CMath_Base::C_Attlist::ResetId(void)
{
    m_Id.erase();
    m_set_State[0] &= ~0x3;
}

void CMath_Base::C_Attlist::ResetXref(void)
{
    m_Xref.erase();
    m_set_State[0] &= ~0xc;
}

void CMath_Base::C_Attlist::ResetClass(void)
{
    m_Class.erase();
    m_set_State[0] &= ~0x30;
}

void CMath_Base::C_Attlist::ResetStyle(void)
{
    m_Style.erase();
    m_set_State[0] &= ~0xc0;
}

void CMath_Base::C_Attlist::ResetHref(void)
{
    m_Href.erase();
    m_set_State[0] &= ~0x300;
}

void CMath_Base::C_Attlist::ResetMaxwidth(void)
{
    m_Maxwidth.erase();
    m_set_State[0] &= ~0x3000;
}

void CMath_Base::C_Attlist::ResetAltimg(void)
{
    m_Altimg.erase();
    m_set_State[0] &= ~0x30000;
}

void CMath_Base::C_Attlist::ResetAltimg_width(void)
{
    m_Altimg_width.erase();
    m_set_State[0] &= ~0xc0000;
}

void CMath_Base::C_Attlist::ResetAltimg_height(void)
{
    m_Altimg_height.erase();
    m_set_State[0] &= ~0x300000;
}

void CMath_Base::C_Attlist::ResetAltimg_valign(void)
{
    m_Altimg_valign.erase();
    m_set_State[0] &= ~0xc00000;
}

void CMath_Base::C_Attlist::ResetAlttext(void)
{
    m_Alttext.erase();
    m_set_State[0] &= ~0x3000000;
}

void CMath_Base::C_Attlist::ResetCdgroup(void)
{
    m_Cdgroup.erase();
    m_set_State[0] &= ~0xc000000;
}

void CMath_Base::C_Attlist::ResetMode(void)
{
    m_Mode.erase();
    m_set_State[0] &= ~0x30000000;
}

void CMath_Base::C_Attlist::ResetMacros(void)
{
    m_Macros.erase();
    m_set_State[0] &= ~0xc0000000;
}

void CMath_Base::C_Attlist::ResetMathcolor(void)
{
    m_Mathcolor.erase();
    m_set_State[1] &= ~0x3;
}

void CMath_Base::C_Attlist::ResetMathbackground(void)
{
    m_Mathbackground.erase();
    m_set_State[1] &= ~0xc;
}

void CMath_Base::C_Attlist::ResetScriptlevel(void)
{
    m_Scriptlevel.erase();
    m_set_State[1] &= ~0x30;
}

void CMath_Base::C_Attlist::ResetScriptsizemultiplier(void)
{
    m_Scriptsizemultiplier.erase();
    m_set_State[1] &= ~0x300;
}

void CMath_Base::C_Attlist::ResetScriptminsize(void)
{
    m_Scriptminsize.erase();
    m_set_State[1] &= ~0xc00;
}

void CMath_Base::C_Attlist::ResetDecimalpoint(void)
{
    m_Decimalpoint.erase();
    m_set_State[1] &= ~0xc000;
}

void CMath_Base::C_Attlist::ResetAlignmentscope(void)
{
    m_Alignmentscope.erase();
    m_set_State[1] &= ~0xc00000;
}

void CMath_Base::C_Attlist::ResetCharspacing(void)
{
    m_Charspacing.erase();
    m_set_State[1] &= ~0x30000000;
}

void CMath_Base::C_Attlist::ResetClose(void)
{
    m_Close.erase();
    m_set_State[1] &= ~0xc0000000;
}

void CMath_Base::C_Attlist::ResetColumnalign(void)
{
    m_Columnalign.erase();
    m_set_State[2] &= ~0x3;
}

void CMath_Base::C_Attlist::ResetColumnlines(void)
{
    m_Columnlines.erase();
    m_set_State[2] &= ~0xc;
}

void CMath_Base::C_Attlist::ResetColumnspacing(void)
{
    m_Columnspacing.erase();
    m_set_State[2] &= ~0x30;
}

void CMath_Base::C_Attlist::ResetColumnspan(void)
{
    m_Columnspan.erase();
    m_set_State[2] &= ~0xc0;
}

void CMath_Base::C_Attlist::ResetColumnwidth(void)
{
    m_Columnwidth.erase();
    m_set_State[2] &= ~0x300;
}

void CMath_Base::C_Attlist::ResetCrossout(void)
{
    m_Crossout.erase();
    m_set_State[2] &= ~0xc00;
}

void CMath_Base::C_Attlist::ResetDepth(void)
{
    m_Depth.erase();
    m_set_State[2] &= ~0xc000;
}

void CMath_Base::C_Attlist::ResetFramespacing(void)
{
    m_Framespacing.erase();
    m_set_State[2] &= ~0xc0000000;
}

void CMath_Base::C_Attlist::ResetGroupalign(void)
{
    m_Groupalign.erase();
    m_set_State[3] &= ~0x3;
}

void CMath_Base::C_Attlist::ResetHeight(void)
{
    m_Height.erase();
    m_set_State[3] &= ~0xc;
}

void CMath_Base::C_Attlist::ResetIndentshift(void)
{
    m_Indentshift.erase();
    m_set_State[3] &= ~0xc00;
}

void CMath_Base::C_Attlist::ResetIndentshiftfirst(void)
{
    m_Indentshiftfirst.erase();
    m_set_State[3] &= ~0x3000;
}

void CMath_Base::C_Attlist::ResetIndentshiftlast(void)
{
    m_Indentshiftlast.erase();
    m_set_State[3] &= ~0xc000;
}

void CMath_Base::C_Attlist::ResetIndenttarget(void)
{
    m_Indenttarget.erase();
    m_set_State[3] &= ~0x30000;
}

void CMath_Base::C_Attlist::ResetLeftoverhang(void)
{
    m_Leftoverhang.erase();
    m_set_State[3] &= ~0x300000;
}

void CMath_Base::C_Attlist::ResetLength(void)
{
    m_Length.erase();
    m_set_State[3] &= ~0xc00000;
}

void CMath_Base::C_Attlist::ResetLinebreakmultchar(void)
{
    m_Linebreakmultchar.erase();
    m_set_State[3] &= ~0xc000000;
}

void CMath_Base::C_Attlist::ResetLineleading(void)
{
    m_Lineleading.erase();
    m_set_State[3] &= ~0xc0000000;
}

void CMath_Base::C_Attlist::ResetLinethickness(void)
{
    m_Linethickness.erase();
    m_set_State[4] &= ~0x3;
}

void CMath_Base::C_Attlist::ResetLongdivstyle(void)
{
    m_Longdivstyle.erase();
    m_set_State[4] &= ~0x30;
}

void CMath_Base::C_Attlist::ResetLquote(void)
{
    m_Lquote.erase();
    m_set_State[4] &= ~0xc0;
}

void CMath_Base::C_Attlist::ResetLspace(void)
{
    m_Lspace.erase();
    m_set_State[4] &= ~0x300;
}

void CMath_Base::C_Attlist::ResetMathsize(void)
{
    m_Mathsize.erase();
    m_set_State[4] &= ~0xc00;
}

void CMath_Base::C_Attlist::ResetMaxsize(void)
{
    m_Maxsize.erase();
    m_set_State[4] &= ~0xc000;
}

void CMath_Base::C_Attlist::ResetMinlabelspacing(void)
{
    m_Minlabelspacing.erase();
    m_set_State[4] &= ~0x30000;
}

void CMath_Base::C_Attlist::ResetMinsize(void)
{
    m_Minsize.erase();
    m_set_State[4] &= ~0xc0000;
}

void CMath_Base::C_Attlist::ResetMslinethickness(void)
{
    m_Mslinethickness.erase();
    m_set_State[4] &= ~0xc00000;
}

void CMath_Base::C_Attlist::ResetNotation(void)
{
    m_Notation.erase();
    m_set_State[4] &= ~0x3000000;
}

void CMath_Base::C_Attlist::ResetOpen(void)
{
    m_Open.erase();
    m_set_State[4] &= ~0x30000000;
}

void CMath_Base::C_Attlist::ResetPosition(void)
{
    m_Position.erase();
    m_set_State[4] &= ~0xc0000000;
}

void CMath_Base::C_Attlist::ResetRightoverhang(void)
{
    m_Rightoverhang.erase();
    m_set_State[5] &= ~0x3;
}

void CMath_Base::C_Attlist::ResetRowalign(void)
{
    m_Rowalign.erase();
    m_set_State[5] &= ~0xc;
}

void CMath_Base::C_Attlist::ResetRowlines(void)
{
    m_Rowlines.erase();
    m_set_State[5] &= ~0x30;
}

void CMath_Base::C_Attlist::ResetRowspacing(void)
{
    m_Rowspacing.erase();
    m_set_State[5] &= ~0xc0;
}

void CMath_Base::C_Attlist::ResetRowspan(void)
{
    m_Rowspan.erase();
    m_set_State[5] &= ~0x300;
}

void CMath_Base::C_Attlist::ResetRquote(void)
{
    m_Rquote.erase();
    m_set_State[5] &= ~0xc00;
}

void CMath_Base::C_Attlist::ResetRspace(void)
{
    m_Rspace.erase();
    m_set_State[5] &= ~0x3000;
}

void CMath_Base::C_Attlist::ResetSelection(void)
{
    m_Selection.erase();
    m_set_State[5] &= ~0xc000;
}

void CMath_Base::C_Attlist::ResetSeparators(void)
{
    m_Separators.erase();
    m_set_State[5] &= ~0xc0000;
}

void CMath_Base::C_Attlist::ResetShift(void)
{
    m_Shift.erase();
    m_set_State[5] &= ~0x300000;
}

void CMath_Base::C_Attlist::ResetSubscriptshift(void)
{
    m_Subscriptshift.erase();
    m_set_State[5] &= ~0x30000000;
}

void CMath_Base::C_Attlist::ResetSuperscriptshift(void)
{
    m_Superscriptshift.erase();
    m_set_State[5] &= ~0xc0000000;
}

void CMath_Base::C_Attlist::ResetValign(void)
{
    m_Valign.erase();
    m_set_State[6] &= ~0xc;
}

void CMath_Base::C_Attlist::ResetWidth(void)
{
    m_Width.erase();
    m_set_State[6] &= ~0x30;
}

void CMath_Base::C_Attlist::Reset(void)
{
    ResetId();
    ResetXref();
    ResetClass();
    ResetStyle();
    ResetHref();
    ResetDisplay();
    ResetMaxwidth();
    ResetOverflow();
    ResetAltimg();
    ResetAltimg_width();
    ResetAltimg_height();
    ResetAltimg_valign();
    ResetAlttext();
    ResetCdgroup();
    ResetMode();
    ResetMacros();
    ResetMathcolor();
    ResetMathbackground();
    ResetScriptlevel();
    ResetDisplaystyle();
    ResetScriptsizemultiplier();
    ResetScriptminsize();
    ResetInfixlinebreakstyle();
    ResetDecimalpoint();
    ResetAccent();
    ResetAccentunder();
    ResetAlign();
    ResetAlignmentscope();
    ResetBevelled();
    ResetCharalign();
    ResetCharspacing();
    ResetClose();
    ResetColumnalign();
    ResetColumnlines();
    ResetColumnspacing();
    ResetColumnspan();
    ResetColumnwidth();
    ResetCrossout();
    ResetDenomalign();
    ResetDepth();
    ResetDir();
    ResetEdge();
    ResetEqualcolumns();
    ResetEqualrows();
    ResetFence();
    ResetForm();
    ResetFrame();
    ResetFramespacing();
    ResetGroupalign();
    ResetHeight();
    ResetIndentalign();
    ResetIndentalignfirst();
    ResetIndentalignlast();
    ResetIndentshift();
    ResetIndentshiftfirst();
    ResetIndentshiftlast();
    ResetIndenttarget();
    ResetLargeop();
    ResetLeftoverhang();
    ResetLength();
    ResetLinebreak();
    ResetLinebreakmultchar();
    ResetLinebreakstyle();
    ResetLineleading();
    ResetLinethickness();
    ResetLocation();
    ResetLongdivstyle();
    ResetLquote();
    ResetLspace();
    ResetMathsize();
    ResetMathvariant();
    ResetMaxsize();
    ResetMinlabelspacing();
    ResetMinsize();
    ResetMovablelimits();
    ResetMslinethickness();
    ResetNotation();
    ResetNumalign();
    ResetOpen();
    ResetPosition();
    ResetRightoverhang();
    ResetRowalign();
    ResetRowlines();
    ResetRowspacing();
    ResetRowspan();
    ResetRquote();
    ResetRspace();
    ResetSelection();
    ResetSeparator();
    ResetSeparators();
    ResetShift();
    ResetSide();
    ResetStackalign();
    ResetStretchy();
    ResetSubscriptshift();
    ResetSuperscriptshift();
    ResetSymmetric();
    ResetValign();
    ResetWidth();
}

BEGIN_NAMED_CLASS_INFO("", CMath_Base::C_Attlist)
{
    SET_INTERNAL_NAME("math", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("id", m_Id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("xref", m_Xref)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("class", m_Class)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("style", m_Style)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("href", m_Href)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("display", m_Display, EAttlist_display)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("maxwidth", m_Maxwidth)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("overflow", m_Overflow, EAttlist_overflow)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("altimg", m_Altimg)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("altimg-width", m_Altimg_width)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("altimg-height", m_Altimg_height)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("altimg-valign", m_Altimg_valign)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("alttext", m_Alttext)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("cdgroup", m_Cdgroup)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mode", m_Mode)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("macros", m_Macros)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathcolor", m_Mathcolor)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathbackground", m_Mathbackground)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("scriptlevel", m_Scriptlevel)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("displaystyle", m_Displaystyle, EAttlist_displaystyle)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("scriptsizemultiplier", m_Scriptsizemultiplier)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("scriptminsize", m_Scriptminsize)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("infixlinebreakstyle", m_Infixlinebreakstyle, EAttlist_infixlinebreakstyle)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("decimalpoint", m_Decimalpoint)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("accent", m_Accent, EAttlist_accent)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("accentunder", m_Accentunder, EAttlist_accentunder)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("align", m_Align, EAttlist_align)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("alignmentscope", m_Alignmentscope)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("bevelled", m_Bevelled, EAttlist_bevelled)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("charalign", m_Charalign, EAttlist_charalign)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("charspacing", m_Charspacing)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("close", m_Close)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("columnalign", m_Columnalign)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("columnlines", m_Columnlines)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("columnspacing", m_Columnspacing)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("columnspan", m_Columnspan)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("columnwidth", m_Columnwidth)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("crossout", m_Crossout)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("denomalign", m_Denomalign, EAttlist_denomalign)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("depth", m_Depth)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("dir", m_Dir, EAttlist_dir)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("edge", m_Edge, EAttlist_edge)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("equalcolumns", m_Equalcolumns, EAttlist_equalcolumns)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("equalrows", m_Equalrows, EAttlist_equalrows)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("fence", m_Fence, EAttlist_fence)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("form", m_Form, EAttlist_form)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("frame", m_Frame, EAttlist_frame)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("framespacing", m_Framespacing)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("groupalign", m_Groupalign)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("height", m_Height)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("indentalign", m_Indentalign, EAttlist_indentalign)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("indentalignfirst", m_Indentalignfirst, EAttlist_indentalignfirst)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("indentalignlast", m_Indentalignlast, EAttlist_indentalignlast)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("indentshift", m_Indentshift)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("indentshiftfirst", m_Indentshiftfirst)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("indentshiftlast", m_Indentshiftlast)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("indenttarget", m_Indenttarget)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("largeop", m_Largeop, EAttlist_largeop)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("leftoverhang", m_Leftoverhang)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("length", m_Length)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("linebreak", m_Linebreak, EAttlist_linebreak)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("linebreakmultchar", m_Linebreakmultchar)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("linebreakstyle", m_Linebreakstyle, EAttlist_linebreakstyle)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("lineleading", m_Lineleading)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("linethickness", m_Linethickness)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("location", m_Location, EAttlist_location)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("longdivstyle", m_Longdivstyle)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("lquote", m_Lquote)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("lspace", m_Lspace)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathsize", m_Mathsize)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("mathvariant", m_Mathvariant, EAttlist_mathvariant)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("maxsize", m_Maxsize)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("minlabelspacing", m_Minlabelspacing)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("minsize", m_Minsize)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("movablelimits", m_Movablelimits, EAttlist_movablelimits)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mslinethickness", m_Mslinethickness)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("notation", m_Notation)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("numalign", m_Numalign, EAttlist_numalign)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("open", m_Open)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("position", m_Position)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("rightoverhang", m_Rightoverhang)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("rowalign", m_Rowalign)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("rowlines", m_Rowlines)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("rowspacing", m_Rowspacing)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("rowspan", m_Rowspan)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("rquote", m_Rquote)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("rspace", m_Rspace)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("selection", m_Selection)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("separator", m_Separator, EAttlist_separator)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("separators", m_Separators)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("shift", m_Shift)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("side", m_Side, EAttlist_side)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("stackalign", m_Stackalign, EAttlist_stackalign)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("stretchy", m_Stretchy, EAttlist_stretchy)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("subscriptshift", m_Subscriptshift)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("superscriptshift", m_Superscriptshift)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("symmetric", m_Symmetric, EAttlist_symmetric)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("valign", m_Valign)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("width", m_Width)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMath_Base::C_Attlist::C_Attlist(void)
    : m_Display((EAttlist_display)(0)), m_Overflow((EAttlist_overflow)(0)), m_Displaystyle((EAttlist_displaystyle)(0)), m_Infixlinebreakstyle((EAttlist_infixlinebreakstyle)(0)), m_Accent((EAttlist_accent)(0)), m_Accentunder((EAttlist_accentunder)(0)), m_Align((EAttlist_align)(0)), m_Bevelled((EAttlist_bevelled)(0)), m_Charalign((EAttlist_charalign)(0)), m_Denomalign((EAttlist_denomalign)(0)), m_Dir((EAttlist_dir)(0)), m_Edge((EAttlist_edge)(0)), m_Equalcolumns((EAttlist_equalcolumns)(0)), m_Equalrows((EAttlist_equalrows)(0)), m_Fence((EAttlist_fence)(0)), m_Form((EAttlist_form)(0)), m_Frame((EAttlist_frame)(0)), m_Indentalign((EAttlist_indentalign)(0)), m_Indentalignfirst((EAttlist_indentalignfirst)(0)), m_Indentalignlast((EAttlist_indentalignlast)(0)), m_Largeop((EAttlist_largeop)(0)), m_Linebreak((EAttlist_linebreak)(0)), m_Linebreakstyle((EAttlist_linebreakstyle)(0)), m_Location((EAttlist_location)(0)), m_Mathvariant((EAttlist_mathvariant)(0)), m_Movablelimits((EAttlist_movablelimits)(0)), m_Numalign((EAttlist_numalign)(0)), m_Separator((EAttlist_separator)(0)), m_Side((EAttlist_side)(0)), m_Stackalign((EAttlist_stackalign)(0)), m_Stretchy((EAttlist_stretchy)(0)), m_Symmetric((EAttlist_symmetric)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMath_Base::C_Attlist::~C_Attlist(void)
{
}


BEGIN_NESTED_ALIAS_INFO("", CMath_Base::C_E_MathExpression, CLASS, (CMathExpression))
{
    SET_CLASS_ALIAS_DATA_PTR;
    SET_FULL_ALIAS;
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_ALIAS_INFO


void CMath_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CMath_Base::SetAttlist(CMath_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CMath_Base::ResetMathExpression(void)
{
    m_MathExpression.clear();
    m_set_State[0] &= ~0xc;
}

void CMath_Base::Reset(void)
{
    ResetAttlist();
    ResetMathExpression();
}

BEGIN_NAMED_BASE_CLASS_INFO("math", CMath)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_MEMBER("MathExpression", m_MathExpression, STL_list, (STL_CRef, (CLASS, (C_E_MathExpression))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMath_Base::CMath_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CMath_Base::~CMath_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

