/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/MedlineCitation.hpp>
#include <objtools/eutils/efetch/Article.hpp>
#include <objtools/eutils/efetch/ChemicalList.hpp>
#include <objtools/eutils/efetch/CitationSubset.hpp>
#include <objtools/eutils/efetch/CoiStatement.hpp>
#include <objtools/eutils/efetch/CommentsCorrectionsList.hpp>
#include <objtools/eutils/efetch/DateCompleted.hpp>
#include <objtools/eutils/efetch/DateRevised.hpp>
#include <objtools/eutils/efetch/GeneSymbolList.hpp>
#include <objtools/eutils/efetch/GeneralNote.hpp>
#include <objtools/eutils/efetch/InvestigatorList.hpp>
#include <objtools/eutils/efetch/KeywordList.hpp>
#include <objtools/eutils/efetch/MedlineJournalInfo.hpp>
#include <objtools/eutils/efetch/MeshHeadingList.hpp>
#include <objtools/eutils/efetch/NumberOfReferences.hpp>
#include <objtools/eutils/efetch/OtherAbstract.hpp>
#include <objtools/eutils/efetch/OtherID.hpp>
#include <objtools/eutils/efetch/PMID.hpp>
#include <objtools/eutils/efetch/PersonalNameSubjectList.hpp>
#include <objtools/eutils/efetch/SpaceFlightMission.hpp>
#include <objtools/eutils/efetch/SupplMeshList.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CMedlineCitation_Base::C_Attlist::, EAttlist_Owner, false)
{
    SET_ENUM_INTERNAL_NAME("MedlineCitation.Attlist", "Owner");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("NLM", eAttlist_Owner_NLM);
    ADD_ENUM_VALUE("NASA", eAttlist_Owner_NASA);
    ADD_ENUM_VALUE("PIP", eAttlist_Owner_PIP);
    ADD_ENUM_VALUE("KIE", eAttlist_Owner_KIE);
    ADD_ENUM_VALUE("HSR", eAttlist_Owner_HSR);
    ADD_ENUM_VALUE("HMD", eAttlist_Owner_HMD);
    ADD_ENUM_VALUE("NOTNLM", eAttlist_Owner_NOTNLM);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMedlineCitation_Base::C_Attlist::, EAttlist_Status, false)
{
    SET_ENUM_INTERNAL_NAME("MedlineCitation.Attlist", "Status");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("Completed", eAttlist_Status_Completed);
    ADD_ENUM_VALUE("In-Process", eAttlist_Status_In_Process);
    ADD_ENUM_VALUE("PubMed-not-MEDLINE", eAttlist_Status_PubMed_not_MEDLINE);
    ADD_ENUM_VALUE("In-Data-Review", eAttlist_Status_In_Data_Review);
    ADD_ENUM_VALUE("Publisher", eAttlist_Status_Publisher);
    ADD_ENUM_VALUE("MEDLINE", eAttlist_Status_MEDLINE);
    ADD_ENUM_VALUE("OLDMEDLINE", eAttlist_Status_OLDMEDLINE);
}
END_ENUM_INFO

void CMedlineCitation_Base::C_Attlist::ResetVersionID(void)
{
    m_VersionID.erase();
    m_set_State[0] &= ~0x30;
}

void CMedlineCitation_Base::C_Attlist::ResetVersionDate(void)
{
    m_VersionDate.erase();
    m_set_State[0] &= ~0xc0;
}

void CMedlineCitation_Base::C_Attlist::ResetIndexingMethod(void)
{
    m_IndexingMethod.erase();
    m_set_State[0] &= ~0x300;
}

void CMedlineCitation_Base::C_Attlist::Reset(void)
{
    ResetOwner();
    ResetStatus();
    ResetVersionID();
    ResetVersionDate();
    ResetIndexingMethod();
}

BEGIN_NAMED_CLASS_INFO("", CMedlineCitation_Base::C_Attlist)
{
    SET_INTERNAL_NAME("MedlineCitation", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_ENUM_MEMBER("Owner", m_Owner, EAttlist_Owner)->SetDefault(new TOwner(eAttlist_Owner_NLM))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("Status", m_Status, EAttlist_Status)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("VersionID", m_VersionID)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("VersionDate", m_VersionDate)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("IndexingMethod", m_IndexingMethod)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMedlineCitation_Base::C_Attlist::C_Attlist(void)
    : m_Owner(eAttlist_Owner_NLM), m_Status((EAttlist_Status)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMedlineCitation_Base::C_Attlist::~C_Attlist(void)
{
}


void CMedlineCitation_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CMedlineCitation_Base::SetAttlist(CMedlineCitation_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CMedlineCitation_Base::ResetPMID(void)
{
    if ( !m_PMID ) {
        m_PMID.Reset(new TPMID());
        return;
    }
    (*m_PMID).Reset();
}

void CMedlineCitation_Base::SetPMID(CMedlineCitation_Base::TPMID& value)
{
    m_PMID.Reset(&value);
}

void CMedlineCitation_Base::SetPMID(const NCBI_NS_STD::string& value)
{
    SetPMID() = value;
}

void CMedlineCitation_Base::ResetDateCompleted(void)
{
    m_DateCompleted.Reset();
}

void CMedlineCitation_Base::SetDateCompleted(CMedlineCitation_Base::TDateCompleted& value)
{
    m_DateCompleted.Reset(&value);
}

CMedlineCitation_Base::TDateCompleted& CMedlineCitation_Base::SetDateCompleted(void)
{
    if ( !m_DateCompleted )
        m_DateCompleted.Reset(new TDateCompleted());
    return (*m_DateCompleted);
}

void CMedlineCitation_Base::ResetDateRevised(void)
{
    m_DateRevised.Reset();
}

void CMedlineCitation_Base::SetDateRevised(CMedlineCitation_Base::TDateRevised& value)
{
    m_DateRevised.Reset(&value);
}

CMedlineCitation_Base::TDateRevised& CMedlineCitation_Base::SetDateRevised(void)
{
    if ( !m_DateRevised )
        m_DateRevised.Reset(new TDateRevised());
    return (*m_DateRevised);
}

void CMedlineCitation_Base::ResetArticle(void)
{
    if ( !m_Article ) {
        m_Article.Reset(new TArticle());
        return;
    }
    (*m_Article).Reset();
}

void CMedlineCitation_Base::SetArticle(CMedlineCitation_Base::TArticle& value)
{
    m_Article.Reset(&value);
}

void CMedlineCitation_Base::ResetMedlineJournalInfo(void)
{
    if ( !m_MedlineJournalInfo ) {
        m_MedlineJournalInfo.Reset(new TMedlineJournalInfo());
        return;
    }
    (*m_MedlineJournalInfo).Reset();
}

void CMedlineCitation_Base::SetMedlineJournalInfo(CMedlineCitation_Base::TMedlineJournalInfo& value)
{
    m_MedlineJournalInfo.Reset(&value);
}

void CMedlineCitation_Base::ResetChemicalList(void)
{
    m_ChemicalList.Reset();
}

void CMedlineCitation_Base::SetChemicalList(CMedlineCitation_Base::TChemicalList& value)
{
    m_ChemicalList.Reset(&value);
}

CMedlineCitation_Base::TChemicalList& CMedlineCitation_Base::SetChemicalList(void)
{
    if ( !m_ChemicalList )
        m_ChemicalList.Reset(new TChemicalList());
    return (*m_ChemicalList);
}

void CMedlineCitation_Base::ResetSupplMeshList(void)
{
    m_SupplMeshList.Reset();
}

void CMedlineCitation_Base::SetSupplMeshList(CMedlineCitation_Base::TSupplMeshList& value)
{
    m_SupplMeshList.Reset(&value);
}

CMedlineCitation_Base::TSupplMeshList& CMedlineCitation_Base::SetSupplMeshList(void)
{
    if ( !m_SupplMeshList )
        m_SupplMeshList.Reset(new TSupplMeshList());
    return (*m_SupplMeshList);
}

void CMedlineCitation_Base::ResetCitationSubset(void)
{
    m_CitationSubset.clear();
    m_set_State[0] &= ~0x30000;
}

void CMedlineCitation_Base::ResetCommentsCorrectionsList(void)
{
    m_CommentsCorrectionsList.Reset();
}

void CMedlineCitation_Base::SetCommentsCorrectionsList(CMedlineCitation_Base::TCommentsCorrectionsList& value)
{
    m_CommentsCorrectionsList.Reset(&value);
}

CMedlineCitation_Base::TCommentsCorrectionsList& CMedlineCitation_Base::SetCommentsCorrectionsList(void)
{
    if ( !m_CommentsCorrectionsList )
        m_CommentsCorrectionsList.Reset(new TCommentsCorrectionsList());
    return (*m_CommentsCorrectionsList);
}

void CMedlineCitation_Base::ResetGeneSymbolList(void)
{
    m_GeneSymbolList.Reset();
}

void CMedlineCitation_Base::SetGeneSymbolList(CMedlineCitation_Base::TGeneSymbolList& value)
{
    m_GeneSymbolList.Reset(&value);
}

CMedlineCitation_Base::TGeneSymbolList& CMedlineCitation_Base::SetGeneSymbolList(void)
{
    if ( !m_GeneSymbolList )
        m_GeneSymbolList.Reset(new TGeneSymbolList());
    return (*m_GeneSymbolList);
}

void CMedlineCitation_Base::ResetMeshHeadingList(void)
{
    m_MeshHeadingList.Reset();
}

void CMedlineCitation_Base::SetMeshHeadingList(CMedlineCitation_Base::TMeshHeadingList& value)
{
    m_MeshHeadingList.Reset(&value);
}

CMedlineCitation_Base::TMeshHeadingList& CMedlineCitation_Base::SetMeshHeadingList(void)
{
    if ( !m_MeshHeadingList )
        m_MeshHeadingList.Reset(new TMeshHeadingList());
    return (*m_MeshHeadingList);
}

void CMedlineCitation_Base::ResetNumberOfReferences(void)
{
    m_NumberOfReferences.Reset();
}

void CMedlineCitation_Base::SetNumberOfReferences(CMedlineCitation_Base::TNumberOfReferences& value)
{
    m_NumberOfReferences.Reset(&value);
}

CMedlineCitation_Base::TNumberOfReferences& CMedlineCitation_Base::SetNumberOfReferences(void)
{
    if ( !m_NumberOfReferences )
        m_NumberOfReferences.Reset(new TNumberOfReferences());
    return (*m_NumberOfReferences);
}

void CMedlineCitation_Base::ResetPersonalNameSubjectList(void)
{
    m_PersonalNameSubjectList.Reset();
}

void CMedlineCitation_Base::SetPersonalNameSubjectList(CMedlineCitation_Base::TPersonalNameSubjectList& value)
{
    m_PersonalNameSubjectList.Reset(&value);
}

CMedlineCitation_Base::TPersonalNameSubjectList& CMedlineCitation_Base::SetPersonalNameSubjectList(void)
{
    if ( !m_PersonalNameSubjectList )
        m_PersonalNameSubjectList.Reset(new TPersonalNameSubjectList());
    return (*m_PersonalNameSubjectList);
}

void CMedlineCitation_Base::ResetOtherID(void)
{
    m_OtherID.clear();
    m_set_State[0] &= ~0x30000000;
}

void CMedlineCitation_Base::ResetOtherAbstract(void)
{
    m_OtherAbstract.clear();
    m_set_State[0] &= ~0xc0000000;
}

void CMedlineCitation_Base::ResetKeywordList(void)
{
    m_KeywordList.clear();
    m_set_State[1] &= ~0x3;
}

void CMedlineCitation_Base::ResetCoiStatement(void)
{
    m_CoiStatement.Reset();
}

void CMedlineCitation_Base::SetCoiStatement(CMedlineCitation_Base::TCoiStatement& value)
{
    m_CoiStatement.Reset(&value);
}

CMedlineCitation_Base::TCoiStatement& CMedlineCitation_Base::SetCoiStatement(void)
{
    if ( !m_CoiStatement )
        m_CoiStatement.Reset(new TCoiStatement());
    return (*m_CoiStatement);
}

void CMedlineCitation_Base::ResetSpaceFlightMission(void)
{
    m_SpaceFlightMission.clear();
    m_set_State[1] &= ~0x30;
}

void CMedlineCitation_Base::ResetInvestigatorList(void)
{
    m_InvestigatorList.Reset();
}

void CMedlineCitation_Base::SetInvestigatorList(CMedlineCitation_Base::TInvestigatorList& value)
{
    m_InvestigatorList.Reset(&value);
}

CMedlineCitation_Base::TInvestigatorList& CMedlineCitation_Base::SetInvestigatorList(void)
{
    if ( !m_InvestigatorList )
        m_InvestigatorList.Reset(new TInvestigatorList());
    return (*m_InvestigatorList);
}

void CMedlineCitation_Base::ResetGeneralNote(void)
{
    m_GeneralNote.clear();
    m_set_State[1] &= ~0x300;
}

void CMedlineCitation_Base::Reset(void)
{
    ResetAttlist();
    ResetPMID();
    ResetDateCompleted();
    ResetDateRevised();
    ResetArticle();
    ResetMedlineJournalInfo();
    ResetChemicalList();
    ResetSupplMeshList();
    ResetCitationSubset();
    ResetCommentsCorrectionsList();
    ResetGeneSymbolList();
    ResetMeshHeadingList();
    ResetNumberOfReferences();
    ResetPersonalNameSubjectList();
    ResetOtherID();
    ResetOtherAbstract();
    ResetKeywordList();
    ResetCoiStatement();
    ResetSpaceFlightMission();
    ResetInvestigatorList();
    ResetGeneralNote();
}

BEGIN_NAMED_BASE_CLASS_INFO("MedlineCitation", CMedlineCitation)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_REF_MEMBER("PMID", m_PMID, CPMID);
    ADD_NAMED_REF_MEMBER("DateCompleted", m_DateCompleted, CDateCompleted)->SetOptional();
    ADD_NAMED_REF_MEMBER("DateRevised", m_DateRevised, CDateRevised)->SetOptional();
    ADD_NAMED_REF_MEMBER("Article", m_Article, CArticle);
    ADD_NAMED_REF_MEMBER("MedlineJournalInfo", m_MedlineJournalInfo, CMedlineJournalInfo);
    ADD_NAMED_REF_MEMBER("ChemicalList", m_ChemicalList, CChemicalList)->SetOptional();
    ADD_NAMED_REF_MEMBER("SupplMeshList", m_SupplMeshList, CSupplMeshList)->SetOptional();
    ADD_NAMED_MEMBER("CitationSubset", m_CitationSubset, STL_list, (STL_CRef, (CLASS, (CCitationSubset))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("CommentsCorrectionsList", m_CommentsCorrectionsList, CCommentsCorrectionsList)->SetOptional();
    ADD_NAMED_REF_MEMBER("GeneSymbolList", m_GeneSymbolList, CGeneSymbolList)->SetOptional();
    ADD_NAMED_REF_MEMBER("MeshHeadingList", m_MeshHeadingList, CMeshHeadingList)->SetOptional();
    ADD_NAMED_REF_MEMBER("NumberOfReferences", m_NumberOfReferences, CNumberOfReferences)->SetOptional();
    ADD_NAMED_REF_MEMBER("PersonalNameSubjectList", m_PersonalNameSubjectList, CPersonalNameSubjectList)->SetOptional();
    ADD_NAMED_MEMBER("OtherID", m_OtherID, STL_list, (STL_CRef, (CLASS, (COtherID))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("OtherAbstract", m_OtherAbstract, STL_list, (STL_CRef, (CLASS, (COtherAbstract))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("KeywordList", m_KeywordList, STL_list, (STL_CRef, (CLASS, (CKeywordList))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("CoiStatement", m_CoiStatement, CCoiStatement)->SetOptional();
    ADD_NAMED_MEMBER("SpaceFlightMission", m_SpaceFlightMission, STL_list, (STL_CRef, (CLASS, (CSpaceFlightMission))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("InvestigatorList", m_InvestigatorList, CInvestigatorList)->SetOptional();
    ADD_NAMED_MEMBER("GeneralNote", m_GeneralNote, STL_list, (STL_CRef, (CLASS, (CGeneralNote))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMedlineCitation_Base::CMedlineCitation_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
        ResetPMID();
        ResetArticle();
        ResetMedlineJournalInfo();
    }
}

// destructor
CMedlineCitation_Base::~CMedlineCitation_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

