/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/MedlineJournalInfo.hpp>
#include <objtools/eutils/efetch/Country.hpp>
#include <objtools/eutils/efetch/ISSNLinking.hpp>
#include <objtools/eutils/efetch/MedlineTA.hpp>
#include <objtools/eutils/efetch/NlmUniqueID.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CMedlineJournalInfo_Base::ResetCountry(void)
{
    m_Country.Reset();
}

void CMedlineJournalInfo_Base::SetCountry(CMedlineJournalInfo_Base::TCountry& value)
{
    m_Country.Reset(&value);
}

CMedlineJournalInfo_Base::TCountry& CMedlineJournalInfo_Base::SetCountry(void)
{
    if ( !m_Country )
        m_Country.Reset(new TCountry());
    return (*m_Country);
}

void CMedlineJournalInfo_Base::ResetMedlineTA(void)
{
    if ( !m_MedlineTA ) {
        m_MedlineTA.Reset(new TMedlineTA());
        return;
    }
    (*m_MedlineTA).Reset();
}

void CMedlineJournalInfo_Base::SetMedlineTA(CMedlineJournalInfo_Base::TMedlineTA& value)
{
    m_MedlineTA.Reset(&value);
}

void CMedlineJournalInfo_Base::ResetNlmUniqueID(void)
{
    m_NlmUniqueID.Reset();
}

void CMedlineJournalInfo_Base::SetNlmUniqueID(CMedlineJournalInfo_Base::TNlmUniqueID& value)
{
    m_NlmUniqueID.Reset(&value);
}

CMedlineJournalInfo_Base::TNlmUniqueID& CMedlineJournalInfo_Base::SetNlmUniqueID(void)
{
    if ( !m_NlmUniqueID )
        m_NlmUniqueID.Reset(new TNlmUniqueID());
    return (*m_NlmUniqueID);
}

void CMedlineJournalInfo_Base::ResetISSNLinking(void)
{
    m_ISSNLinking.Reset();
}

void CMedlineJournalInfo_Base::SetISSNLinking(CMedlineJournalInfo_Base::TISSNLinking& value)
{
    m_ISSNLinking.Reset(&value);
}

CMedlineJournalInfo_Base::TISSNLinking& CMedlineJournalInfo_Base::SetISSNLinking(void)
{
    if ( !m_ISSNLinking )
        m_ISSNLinking.Reset(new TISSNLinking());
    return (*m_ISSNLinking);
}

void CMedlineJournalInfo_Base::Reset(void)
{
    ResetCountry();
    ResetMedlineTA();
    ResetNlmUniqueID();
    ResetISSNLinking();
}

BEGIN_NAMED_BASE_CLASS_INFO("MedlineJournalInfo", CMedlineJournalInfo)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Country", m_Country, CCountry)->SetOptional();
    ADD_NAMED_REF_MEMBER("MedlineTA", m_MedlineTA, CMedlineTA);
    ADD_NAMED_REF_MEMBER("NlmUniqueID", m_NlmUniqueID, CNlmUniqueID)->SetOptional();
    ADD_NAMED_REF_MEMBER("ISSNLinking", m_ISSNLinking, CISSNLinking)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMedlineJournalInfo_Base::CMedlineJournalInfo_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetMedlineTA();
    }
}

// destructor
CMedlineJournalInfo_Base::~CMedlineJournalInfo_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

