/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/MeshHeading.hpp>
#include <objtools/eutils/efetch/DescriptorName.hpp>
#include <objtools/eutils/efetch/QualifierName.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CMeshHeading_Base::ResetDescriptorName(void)
{
    if ( !m_DescriptorName ) {
        m_DescriptorName.Reset(new TDescriptorName());
        return;
    }
    (*m_DescriptorName).Reset();
}

void CMeshHeading_Base::SetDescriptorName(CMeshHeading_Base::TDescriptorName& value)
{
    m_DescriptorName.Reset(&value);
}

void CMeshHeading_Base::SetDescriptorName(const NCBI_NS_STD::string& value)
{
    SetDescriptorName() = value;
}

void CMeshHeading_Base::ResetQualifierName(void)
{
    m_QualifierName.clear();
    m_set_State[0] &= ~0xc;
}

void CMeshHeading_Base::Reset(void)
{
    ResetDescriptorName();
    ResetQualifierName();
}

BEGIN_NAMED_BASE_CLASS_INFO("MeshHeading", CMeshHeading)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("DescriptorName", m_DescriptorName, CDescriptorName);
    ADD_NAMED_MEMBER("QualifierName", m_QualifierName, STL_list, (STL_CRef, (CLASS, (CQualifierName))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMeshHeading_Base::CMeshHeading_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetDescriptorName();
    }
}

// destructor
CMeshHeading_Base::~CMeshHeading_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

