/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Mglyph.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CMglyph_Base::C_Attlist::, EAttlist_mathvariant, false)
{
    SET_ENUM_INTERNAL_NAME("mglyph.Attlist", "mathvariant");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("normal", eAttlist_mathvariant_normal);
    ADD_ENUM_VALUE("bold", eAttlist_mathvariant_bold);
    ADD_ENUM_VALUE("italic", eAttlist_mathvariant_italic);
    ADD_ENUM_VALUE("bold-italic", eAttlist_mathvariant_bold_italic);
    ADD_ENUM_VALUE("double-struck", eAttlist_mathvariant_double_struck);
    ADD_ENUM_VALUE("bold-fraktur", eAttlist_mathvariant_bold_fraktur);
    ADD_ENUM_VALUE("script", eAttlist_mathvariant_script);
    ADD_ENUM_VALUE("bold-script", eAttlist_mathvariant_bold_script);
    ADD_ENUM_VALUE("fraktur", eAttlist_mathvariant_fraktur);
    ADD_ENUM_VALUE("sans-serif", eAttlist_mathvariant_sans_serif);
    ADD_ENUM_VALUE("bold-sans-serif", eAttlist_mathvariant_bold_sans_serif);
    ADD_ENUM_VALUE("sans-serif-italic", eAttlist_mathvariant_sans_serif_italic);
    ADD_ENUM_VALUE("sans-serif-bold-italic", eAttlist_mathvariant_sans_serif_bold_italic);
    ADD_ENUM_VALUE("monospace", eAttlist_mathvariant_monospace);
    ADD_ENUM_VALUE("initial", eAttlist_mathvariant_initial);
    ADD_ENUM_VALUE("tailed", eAttlist_mathvariant_tailed);
    ADD_ENUM_VALUE("looped", eAttlist_mathvariant_looped);
    ADD_ENUM_VALUE("stretched", eAttlist_mathvariant_stretched);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMglyph_Base::C_Attlist::, EAttlist_fontweight, false)
{
    SET_ENUM_INTERNAL_NAME("mglyph.Attlist", "fontweight");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("normal", eAttlist_fontweight_normal);
    ADD_ENUM_VALUE("bold", eAttlist_fontweight_bold);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMglyph_Base::C_Attlist::, EAttlist_fontstyle, false)
{
    SET_ENUM_INTERNAL_NAME("mglyph.Attlist", "fontstyle");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("normal", eAttlist_fontstyle_normal);
    ADD_ENUM_VALUE("italic", eAttlist_fontstyle_italic);
}
END_ENUM_INFO

void CMglyph_Base::C_Attlist::ResetId(void)
{
    m_Id.erase();
    m_set_State[0] &= ~0x3;
}

void CMglyph_Base::C_Attlist::ResetXref(void)
{
    m_Xref.erase();
    m_set_State[0] &= ~0xc;
}

void CMglyph_Base::C_Attlist::ResetClass(void)
{
    m_Class.erase();
    m_set_State[0] &= ~0x30;
}

void CMglyph_Base::C_Attlist::ResetStyle(void)
{
    m_Style.erase();
    m_set_State[0] &= ~0xc0;
}

void CMglyph_Base::C_Attlist::ResetHref(void)
{
    m_Href.erase();
    m_set_State[0] &= ~0x300;
}

void CMglyph_Base::C_Attlist::ResetMathcolor(void)
{
    m_Mathcolor.erase();
    m_set_State[0] &= ~0xc00;
}

void CMglyph_Base::C_Attlist::ResetMathbackground(void)
{
    m_Mathbackground.erase();
    m_set_State[0] &= ~0x3000;
}

void CMglyph_Base::C_Attlist::ResetSrc(void)
{
    m_Src.erase();
    m_set_State[0] &= ~0xc000;
}

void CMglyph_Base::C_Attlist::ResetWidth(void)
{
    m_Width.erase();
    m_set_State[0] &= ~0x30000;
}

void CMglyph_Base::C_Attlist::ResetHeight(void)
{
    m_Height.erase();
    m_set_State[0] &= ~0xc0000;
}

void CMglyph_Base::C_Attlist::ResetValign(void)
{
    m_Valign.erase();
    m_set_State[0] &= ~0x300000;
}

void CMglyph_Base::C_Attlist::ResetAlt(void)
{
    m_Alt.erase();
    m_set_State[0] &= ~0xc00000;
}

void CMglyph_Base::C_Attlist::ResetIndex(void)
{
    m_Index.erase();
    m_set_State[0] &= ~0x3000000;
}

void CMglyph_Base::C_Attlist::ResetMathsize(void)
{
    m_Mathsize.erase();
    m_set_State[0] &= ~0x30000000;
}

void CMglyph_Base::C_Attlist::ResetFontfamily(void)
{
    m_Fontfamily.erase();
    m_set_State[0] &= ~0xc0000000;
}

void CMglyph_Base::C_Attlist::ResetFontsize(void)
{
    m_Fontsize.erase();
    m_set_State[1] &= ~0x30;
}

void CMglyph_Base::C_Attlist::ResetColor(void)
{
    m_Color.erase();
    m_set_State[1] &= ~0xc0;
}

void CMglyph_Base::C_Attlist::ResetBackground(void)
{
    m_Background.erase();
    m_set_State[1] &= ~0x300;
}

void CMglyph_Base::C_Attlist::Reset(void)
{
    ResetId();
    ResetXref();
    ResetClass();
    ResetStyle();
    ResetHref();
    ResetMathcolor();
    ResetMathbackground();
    ResetSrc();
    ResetWidth();
    ResetHeight();
    ResetValign();
    ResetAlt();
    ResetIndex();
    ResetMathvariant();
    ResetMathsize();
    ResetFontfamily();
    ResetFontweight();
    ResetFontstyle();
    ResetFontsize();
    ResetColor();
    ResetBackground();
}

BEGIN_NAMED_CLASS_INFO("", CMglyph_Base::C_Attlist)
{
    SET_INTERNAL_NAME("mglyph", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("id", m_Id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("xref", m_Xref)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("class", m_Class)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("style", m_Style)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("href", m_Href)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathcolor", m_Mathcolor)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathbackground", m_Mathbackground)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("src", m_Src)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("width", m_Width)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("height", m_Height)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("valign", m_Valign)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("alt", m_Alt)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("index", m_Index)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("mathvariant", m_Mathvariant, EAttlist_mathvariant)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathsize", m_Mathsize)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("fontfamily", m_Fontfamily)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("fontweight", m_Fontweight, EAttlist_fontweight)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("fontstyle", m_Fontstyle, EAttlist_fontstyle)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("fontsize", m_Fontsize)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("color", m_Color)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("background", m_Background)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMglyph_Base::C_Attlist::C_Attlist(void)
    : m_Mathvariant((EAttlist_mathvariant)(0)), m_Fontweight((EAttlist_fontweight)(0)), m_Fontstyle((EAttlist_fontstyle)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMglyph_Base::C_Attlist::~C_Attlist(void)
{
}


void CMglyph_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CMglyph_Base::SetAttlist(CMglyph_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
    SetMglyph();
}

void CMglyph_Base::Reset(void)
{
    ResetAttlist();
    ResetMglyph();
}

BEGIN_NAMED_BASE_CLASS_INFO("mglyph", CMglyph)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_NULL_MEMBER("mglyph", null, ())->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMglyph_Base::CMglyph_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CMglyph_Base::~CMglyph_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

