/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Mlabeledtr.hpp>
#include <objtools/eutils/efetch/TableCellExpression.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CMlabeledtr_Base::C_Attlist::, EAttlist_rowalign, false)
{
    SET_ENUM_INTERNAL_NAME("mlabeledtr.Attlist", "rowalign");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("top", eAttlist_rowalign_top);
    ADD_ENUM_VALUE("bottom", eAttlist_rowalign_bottom);
    ADD_ENUM_VALUE("center", eAttlist_rowalign_center);
    ADD_ENUM_VALUE("baseline", eAttlist_rowalign_baseline);
    ADD_ENUM_VALUE("axis", eAttlist_rowalign_axis);
}
END_ENUM_INFO

void CMlabeledtr_Base::C_Attlist::ResetId(void)
{
    m_Id.erase();
    m_set_State[0] &= ~0x3;
}

void CMlabeledtr_Base::C_Attlist::ResetXref(void)
{
    m_Xref.erase();
    m_set_State[0] &= ~0xc;
}

void CMlabeledtr_Base::C_Attlist::ResetClass(void)
{
    m_Class.erase();
    m_set_State[0] &= ~0x30;
}

void CMlabeledtr_Base::C_Attlist::ResetStyle(void)
{
    m_Style.erase();
    m_set_State[0] &= ~0xc0;
}

void CMlabeledtr_Base::C_Attlist::ResetHref(void)
{
    m_Href.erase();
    m_set_State[0] &= ~0x300;
}

void CMlabeledtr_Base::C_Attlist::ResetMathcolor(void)
{
    m_Mathcolor.erase();
    m_set_State[0] &= ~0xc00;
}

void CMlabeledtr_Base::C_Attlist::ResetMathbackground(void)
{
    m_Mathbackground.erase();
    m_set_State[0] &= ~0x3000;
}

void CMlabeledtr_Base::C_Attlist::ResetColumnalign(void)
{
    m_Columnalign.erase();
    m_set_State[0] &= ~0x30000;
}

void CMlabeledtr_Base::C_Attlist::ResetGroupalign(void)
{
    m_Groupalign.erase();
    m_set_State[0] &= ~0xc0000;
}

void CMlabeledtr_Base::C_Attlist::Reset(void)
{
    ResetId();
    ResetXref();
    ResetClass();
    ResetStyle();
    ResetHref();
    ResetMathcolor();
    ResetMathbackground();
    ResetRowalign();
    ResetColumnalign();
    ResetGroupalign();
}

BEGIN_NAMED_CLASS_INFO("", CMlabeledtr_Base::C_Attlist)
{
    SET_INTERNAL_NAME("mlabeledtr", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("id", m_Id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("xref", m_Xref)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("class", m_Class)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("style", m_Style)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("href", m_Href)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathcolor", m_Mathcolor)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathbackground", m_Mathbackground)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("rowalign", m_Rowalign, EAttlist_rowalign)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("columnalign", m_Columnalign)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("groupalign", m_Groupalign)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMlabeledtr_Base::C_Attlist::C_Attlist(void)
    : m_Rowalign((EAttlist_rowalign)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMlabeledtr_Base::C_Attlist::~C_Attlist(void)
{
}


void CMlabeledtr_Base::C_TableCellExpression::ResetTableCellExpression(void)
{
    m_TableCellExpression.clear();
    m_set_State[0] &= ~0x3;
}

void CMlabeledtr_Base::C_TableCellExpression::Reset(void)
{
    ResetTableCellExpression();
}

BEGIN_NAMED_CLASS_INFO("", CMlabeledtr_Base::C_TableCellExpression)
{
    SET_INTERNAL_NAME("mlabeledtr", "TableCellExpression");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_MEMBER("TableCellExpression", m_TableCellExpression, STL_list, (STL_CRef, (CLASS, (CTableCellExpression))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNotag()->SetNsQualified(false);
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMlabeledtr_Base::C_TableCellExpression::C_TableCellExpression(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMlabeledtr_Base::C_TableCellExpression::~C_TableCellExpression(void)
{
}


void CMlabeledtr_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CMlabeledtr_Base::SetAttlist(CMlabeledtr_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CMlabeledtr_Base::ResetTableCellExpression(void)
{
    if ( !m_TableCellExpression ) {
        m_TableCellExpression.Reset(new TTableCellExpression());
        return;
    }
    (*m_TableCellExpression).Reset();
}

void CMlabeledtr_Base::SetTableCellExpression(CMlabeledtr_Base::TTableCellExpression& value)
{
    m_TableCellExpression.Reset(&value);
}

void CMlabeledtr_Base::Reset(void)
{
    ResetAttlist();
    ResetTableCellExpression();
}

BEGIN_NAMED_BASE_CLASS_INFO("mlabeledtr", CMlabeledtr)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_REF_MEMBER("TableCellExpression", m_TableCellExpression, C_TableCellExpression)->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMlabeledtr_Base::CMlabeledtr_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
        ResetTableCellExpression();
    }
}

// destructor
CMlabeledtr_Base::~CMlabeledtr_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

