/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Mo.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_mathvariant, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "mathvariant");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("normal", eAttlist_mathvariant_normal);
    ADD_ENUM_VALUE("bold", eAttlist_mathvariant_bold);
    ADD_ENUM_VALUE("italic", eAttlist_mathvariant_italic);
    ADD_ENUM_VALUE("bold-italic", eAttlist_mathvariant_bold_italic);
    ADD_ENUM_VALUE("double-struck", eAttlist_mathvariant_double_struck);
    ADD_ENUM_VALUE("bold-fraktur", eAttlist_mathvariant_bold_fraktur);
    ADD_ENUM_VALUE("script", eAttlist_mathvariant_script);
    ADD_ENUM_VALUE("bold-script", eAttlist_mathvariant_bold_script);
    ADD_ENUM_VALUE("fraktur", eAttlist_mathvariant_fraktur);
    ADD_ENUM_VALUE("sans-serif", eAttlist_mathvariant_sans_serif);
    ADD_ENUM_VALUE("bold-sans-serif", eAttlist_mathvariant_bold_sans_serif);
    ADD_ENUM_VALUE("sans-serif-italic", eAttlist_mathvariant_sans_serif_italic);
    ADD_ENUM_VALUE("sans-serif-bold-italic", eAttlist_mathvariant_sans_serif_bold_italic);
    ADD_ENUM_VALUE("monospace", eAttlist_mathvariant_monospace);
    ADD_ENUM_VALUE("initial", eAttlist_mathvariant_initial);
    ADD_ENUM_VALUE("tailed", eAttlist_mathvariant_tailed);
    ADD_ENUM_VALUE("looped", eAttlist_mathvariant_looped);
    ADD_ENUM_VALUE("stretched", eAttlist_mathvariant_stretched);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_dir, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "dir");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("ltr", eAttlist_dir_ltr);
    ADD_ENUM_VALUE("rtl", eAttlist_dir_rtl);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_fontweight, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "fontweight");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("normal", eAttlist_fontweight_normal);
    ADD_ENUM_VALUE("bold", eAttlist_fontweight_bold);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_fontstyle, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "fontstyle");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("normal", eAttlist_fontstyle_normal);
    ADD_ENUM_VALUE("italic", eAttlist_fontstyle_italic);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_form, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "form");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("prefix", eAttlist_form_prefix);
    ADD_ENUM_VALUE("infix", eAttlist_form_infix);
    ADD_ENUM_VALUE("postfix", eAttlist_form_postfix);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_fence, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "fence");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_fence_true);
    ADD_ENUM_VALUE("false", eAttlist_fence_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_separator, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "separator");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_separator_true);
    ADD_ENUM_VALUE("false", eAttlist_separator_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_stretchy, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "stretchy");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_stretchy_true);
    ADD_ENUM_VALUE("false", eAttlist_stretchy_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_symmetric, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "symmetric");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_symmetric_true);
    ADD_ENUM_VALUE("false", eAttlist_symmetric_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_largeop, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "largeop");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_largeop_true);
    ADD_ENUM_VALUE("false", eAttlist_largeop_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_movablelimits, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "movablelimits");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_movablelimits_true);
    ADD_ENUM_VALUE("false", eAttlist_movablelimits_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_accent, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "accent");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("true", eAttlist_accent_true);
    ADD_ENUM_VALUE("false", eAttlist_accent_false);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_linebreak, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "linebreak");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("auto", eAttlist_linebreak_auto);
    ADD_ENUM_VALUE("newline", eAttlist_linebreak_newline);
    ADD_ENUM_VALUE("nobreak", eAttlist_linebreak_nobreak);
    ADD_ENUM_VALUE("goodbreak", eAttlist_linebreak_goodbreak);
    ADD_ENUM_VALUE("badbreak", eAttlist_linebreak_badbreak);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_linebreakstyle, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "linebreakstyle");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("before", eAttlist_linebreakstyle_before);
    ADD_ENUM_VALUE("after", eAttlist_linebreakstyle_after);
    ADD_ENUM_VALUE("duplicate", eAttlist_linebreakstyle_duplicate);
    ADD_ENUM_VALUE("infixlinebreakstyle", eAttlist_linebreakstyle_infixlinebreakstyle);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_indentalign, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "indentalign");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("left", eAttlist_indentalign_left);
    ADD_ENUM_VALUE("center", eAttlist_indentalign_center);
    ADD_ENUM_VALUE("right", eAttlist_indentalign_right);
    ADD_ENUM_VALUE("auto", eAttlist_indentalign_auto);
    ADD_ENUM_VALUE("id", eAttlist_indentalign_id);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_indentalignfirst, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "indentalignfirst");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("left", eAttlist_indentalignfirst_left);
    ADD_ENUM_VALUE("center", eAttlist_indentalignfirst_center);
    ADD_ENUM_VALUE("right", eAttlist_indentalignfirst_right);
    ADD_ENUM_VALUE("auto", eAttlist_indentalignfirst_auto);
    ADD_ENUM_VALUE("id", eAttlist_indentalignfirst_id);
    ADD_ENUM_VALUE("indentalign", eAttlist_indentalignfirst_indentalign);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMo_Base::C_Attlist::, EAttlist_indentalignlast, false)
{
    SET_ENUM_INTERNAL_NAME("mo.Attlist", "indentalignlast");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("left", eAttlist_indentalignlast_left);
    ADD_ENUM_VALUE("center", eAttlist_indentalignlast_center);
    ADD_ENUM_VALUE("right", eAttlist_indentalignlast_right);
    ADD_ENUM_VALUE("auto", eAttlist_indentalignlast_auto);
    ADD_ENUM_VALUE("id", eAttlist_indentalignlast_id);
    ADD_ENUM_VALUE("indentalign", eAttlist_indentalignlast_indentalign);
}
END_ENUM_INFO

void CMo_Base::C_Attlist::ResetId(void)
{
    m_Id.erase();
    m_set_State[0] &= ~0x3;
}

void CMo_Base::C_Attlist::ResetXref(void)
{
    m_Xref.erase();
    m_set_State[0] &= ~0xc;
}

void CMo_Base::C_Attlist::ResetClass(void)
{
    m_Class.erase();
    m_set_State[0] &= ~0x30;
}

void CMo_Base::C_Attlist::ResetStyle(void)
{
    m_Style.erase();
    m_set_State[0] &= ~0xc0;
}

void CMo_Base::C_Attlist::ResetHref(void)
{
    m_Href.erase();
    m_set_State[0] &= ~0x300;
}

void CMo_Base::C_Attlist::ResetMathcolor(void)
{
    m_Mathcolor.erase();
    m_set_State[0] &= ~0xc00;
}

void CMo_Base::C_Attlist::ResetMathbackground(void)
{
    m_Mathbackground.erase();
    m_set_State[0] &= ~0x3000;
}

void CMo_Base::C_Attlist::ResetMathsize(void)
{
    m_Mathsize.erase();
    m_set_State[0] &= ~0x30000;
}

void CMo_Base::C_Attlist::ResetFontfamily(void)
{
    m_Fontfamily.erase();
    m_set_State[0] &= ~0x300000;
}

void CMo_Base::C_Attlist::ResetFontsize(void)
{
    m_Fontsize.erase();
    m_set_State[0] &= ~0xc000000;
}

void CMo_Base::C_Attlist::ResetColor(void)
{
    m_Color.erase();
    m_set_State[0] &= ~0x30000000;
}

void CMo_Base::C_Attlist::ResetBackground(void)
{
    m_Background.erase();
    m_set_State[0] &= ~0xc0000000;
}

void CMo_Base::C_Attlist::ResetLspace(void)
{
    m_Lspace.erase();
    m_set_State[1] &= ~0xc0;
}

void CMo_Base::C_Attlist::ResetRspace(void)
{
    m_Rspace.erase();
    m_set_State[1] &= ~0x300;
}

void CMo_Base::C_Attlist::ResetMaxsize(void)
{
    m_Maxsize.erase();
    m_set_State[1] &= ~0xc000;
}

void CMo_Base::C_Attlist::ResetMinsize(void)
{
    m_Minsize.erase();
    m_set_State[1] &= ~0x30000;
}

void CMo_Base::C_Attlist::ResetLineleading(void)
{
    m_Lineleading.erase();
    m_set_State[1] &= ~0xc000000;
}

void CMo_Base::C_Attlist::ResetLinebreakmultchar(void)
{
    m_Linebreakmultchar.erase();
    m_set_State[1] &= ~0xc0000000;
}

void CMo_Base::C_Attlist::ResetIndentshift(void)
{
    m_Indentshift.erase();
    m_set_State[2] &= ~0xc;
}

void CMo_Base::C_Attlist::ResetIndenttarget(void)
{
    m_Indenttarget.erase();
    m_set_State[2] &= ~0x30;
}

void CMo_Base::C_Attlist::ResetIndentshiftfirst(void)
{
    m_Indentshiftfirst.erase();
    m_set_State[2] &= ~0x300;
}

void CMo_Base::C_Attlist::ResetIndentshiftlast(void)
{
    m_Indentshiftlast.erase();
    m_set_State[2] &= ~0x3000;
}

void CMo_Base::C_Attlist::Reset(void)
{
    ResetId();
    ResetXref();
    ResetClass();
    ResetStyle();
    ResetHref();
    ResetMathcolor();
    ResetMathbackground();
    ResetMathvariant();
    ResetMathsize();
    ResetDir();
    ResetFontfamily();
    ResetFontweight();
    ResetFontstyle();
    ResetFontsize();
    ResetColor();
    ResetBackground();
    ResetForm();
    ResetFence();
    ResetSeparator();
    ResetLspace();
    ResetRspace();
    ResetStretchy();
    ResetSymmetric();
    ResetMaxsize();
    ResetMinsize();
    ResetLargeop();
    ResetMovablelimits();
    ResetAccent();
    ResetLinebreak();
    ResetLineleading();
    ResetLinebreakstyle();
    ResetLinebreakmultchar();
    ResetIndentalign();
    ResetIndentshift();
    ResetIndenttarget();
    ResetIndentalignfirst();
    ResetIndentshiftfirst();
    ResetIndentalignlast();
    ResetIndentshiftlast();
}

BEGIN_NAMED_CLASS_INFO("", CMo_Base::C_Attlist)
{
    SET_INTERNAL_NAME("mo", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("id", m_Id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("xref", m_Xref)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("class", m_Class)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("style", m_Style)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("href", m_Href)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathcolor", m_Mathcolor)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathbackground", m_Mathbackground)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("mathvariant", m_Mathvariant, EAttlist_mathvariant)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathsize", m_Mathsize)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("dir", m_Dir, EAttlist_dir)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("fontfamily", m_Fontfamily)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("fontweight", m_Fontweight, EAttlist_fontweight)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("fontstyle", m_Fontstyle, EAttlist_fontstyle)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("fontsize", m_Fontsize)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("color", m_Color)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("background", m_Background)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("form", m_Form, EAttlist_form)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("fence", m_Fence, EAttlist_fence)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("separator", m_Separator, EAttlist_separator)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("lspace", m_Lspace)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("rspace", m_Rspace)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("stretchy", m_Stretchy, EAttlist_stretchy)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("symmetric", m_Symmetric, EAttlist_symmetric)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("maxsize", m_Maxsize)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("minsize", m_Minsize)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("largeop", m_Largeop, EAttlist_largeop)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("movablelimits", m_Movablelimits, EAttlist_movablelimits)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("accent", m_Accent, EAttlist_accent)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("linebreak", m_Linebreak, EAttlist_linebreak)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("lineleading", m_Lineleading)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("linebreakstyle", m_Linebreakstyle, EAttlist_linebreakstyle)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("linebreakmultchar", m_Linebreakmultchar)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("indentalign", m_Indentalign, EAttlist_indentalign)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("indentshift", m_Indentshift)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("indenttarget", m_Indenttarget)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("indentalignfirst", m_Indentalignfirst, EAttlist_indentalignfirst)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("indentshiftfirst", m_Indentshiftfirst)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("indentalignlast", m_Indentalignlast, EAttlist_indentalignlast)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("indentshiftlast", m_Indentshiftlast)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMo_Base::C_Attlist::C_Attlist(void)
    : m_Mathvariant((EAttlist_mathvariant)(0)), m_Dir((EAttlist_dir)(0)), m_Fontweight((EAttlist_fontweight)(0)), m_Fontstyle((EAttlist_fontstyle)(0)), m_Form((EAttlist_form)(0)), m_Fence((EAttlist_fence)(0)), m_Separator((EAttlist_separator)(0)), m_Stretchy((EAttlist_stretchy)(0)), m_Symmetric((EAttlist_symmetric)(0)), m_Largeop((EAttlist_largeop)(0)), m_Movablelimits((EAttlist_movablelimits)(0)), m_Accent((EAttlist_accent)(0)), m_Linebreak((EAttlist_linebreak)(0)), m_Linebreakstyle((EAttlist_linebreakstyle)(0)), m_Indentalign((EAttlist_indentalign)(0)), m_Indentalignfirst((EAttlist_indentalignfirst)(0)), m_Indentalignlast((EAttlist_indentalignlast)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMo_Base::C_Attlist::~C_Attlist(void)
{
}


void CMo_Base::C_E_Mo::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CMo_Base::C_E_Mo::ResetSelection(void)
{
    switch ( m_choice ) {
    case e__CharData:
        m_string.Destruct();
        break;
    case e_Token_content:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CMo_Base::C_E_Mo::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Token_content:
        (m_object = new(pool) eutils::CToken_content())->AddReference();
        break;
    case e__CharData:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CMo_Base::C_E_Mo::sm_SelectionNames[] = {
    "not set",
    "-CharData",
    "token.content"
};

NCBI_NS_STD::string CMo_Base::C_E_Mo::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CMo_Base::C_E_Mo::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CMo_Base::C_E_Mo::Set_CharData(const CMo_Base::C_E_Mo::T_CharData& value)
{
    Select(e__CharData, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

const CMo_Base::C_E_Mo::TToken_content& CMo_Base::C_E_Mo::GetToken_content(void) const
{
    CheckSelected(e_Token_content);
    return *static_cast<const TToken_content*>(m_object);
}

CMo_Base::C_E_Mo::TToken_content& CMo_Base::C_E_Mo::SetToken_content(void)
{
    Select(e_Token_content, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TToken_content*>(m_object);
}

void CMo_Base::C_E_Mo::SetToken_content(CMo_Base::C_E_Mo::TToken_content& value)
{
    TToken_content* ptr = &value;
    if ( m_choice != e_Token_content || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Token_content;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CMo_Base::C_E_Mo)
{
    SET_INTERNAL_NAME("mo.mo", "E");
    SET_CHOICE_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_BUF_CHOICE_VARIANT("-CharData", m_string, STD, (NCBI_NS_STD::string))->SetNotag();
    ADD_NAMED_REF_CHOICE_VARIANT("token.content", m_object, C_Token_content)->SetNotag();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CMo_Base::C_E_Mo::C_E_Mo(void)
    : m_choice(e_not_set)
{
}

// destructor
CMo_Base::C_E_Mo::~C_E_Mo(void)
{
    Reset();
}


void CMo_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CMo_Base::SetAttlist(CMo_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CMo_Base::ResetMo(void)
{
    m_Mo.clear();
    m_set_State[0] &= ~0xc;
}

void CMo_Base::Reset(void)
{
    ResetAttlist();
    ResetMo();
}

BEGIN_NAMED_BASE_CLASS_INFO("mo", CMo)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_MEMBER("mo", m_Mo, STL_list, (STL_CRef, (CLASS, (C_E_Mo))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMo_Base::CMo_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CMo_Base::~CMo_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

