/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Ms.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CMs_Base::C_Attlist::, EAttlist_mathvariant, false)
{
    SET_ENUM_INTERNAL_NAME("ms.Attlist", "mathvariant");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("normal", eAttlist_mathvariant_normal);
    ADD_ENUM_VALUE("bold", eAttlist_mathvariant_bold);
    ADD_ENUM_VALUE("italic", eAttlist_mathvariant_italic);
    ADD_ENUM_VALUE("bold-italic", eAttlist_mathvariant_bold_italic);
    ADD_ENUM_VALUE("double-struck", eAttlist_mathvariant_double_struck);
    ADD_ENUM_VALUE("bold-fraktur", eAttlist_mathvariant_bold_fraktur);
    ADD_ENUM_VALUE("script", eAttlist_mathvariant_script);
    ADD_ENUM_VALUE("bold-script", eAttlist_mathvariant_bold_script);
    ADD_ENUM_VALUE("fraktur", eAttlist_mathvariant_fraktur);
    ADD_ENUM_VALUE("sans-serif", eAttlist_mathvariant_sans_serif);
    ADD_ENUM_VALUE("bold-sans-serif", eAttlist_mathvariant_bold_sans_serif);
    ADD_ENUM_VALUE("sans-serif-italic", eAttlist_mathvariant_sans_serif_italic);
    ADD_ENUM_VALUE("sans-serif-bold-italic", eAttlist_mathvariant_sans_serif_bold_italic);
    ADD_ENUM_VALUE("monospace", eAttlist_mathvariant_monospace);
    ADD_ENUM_VALUE("initial", eAttlist_mathvariant_initial);
    ADD_ENUM_VALUE("tailed", eAttlist_mathvariant_tailed);
    ADD_ENUM_VALUE("looped", eAttlist_mathvariant_looped);
    ADD_ENUM_VALUE("stretched", eAttlist_mathvariant_stretched);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMs_Base::C_Attlist::, EAttlist_dir, false)
{
    SET_ENUM_INTERNAL_NAME("ms.Attlist", "dir");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("ltr", eAttlist_dir_ltr);
    ADD_ENUM_VALUE("rtl", eAttlist_dir_rtl);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMs_Base::C_Attlist::, EAttlist_fontweight, false)
{
    SET_ENUM_INTERNAL_NAME("ms.Attlist", "fontweight");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("normal", eAttlist_fontweight_normal);
    ADD_ENUM_VALUE("bold", eAttlist_fontweight_bold);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CMs_Base::C_Attlist::, EAttlist_fontstyle, false)
{
    SET_ENUM_INTERNAL_NAME("ms.Attlist", "fontstyle");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("normal", eAttlist_fontstyle_normal);
    ADD_ENUM_VALUE("italic", eAttlist_fontstyle_italic);
}
END_ENUM_INFO

void CMs_Base::C_Attlist::ResetId(void)
{
    m_Id.erase();
    m_set_State[0] &= ~0x3;
}

void CMs_Base::C_Attlist::ResetXref(void)
{
    m_Xref.erase();
    m_set_State[0] &= ~0xc;
}

void CMs_Base::C_Attlist::ResetClass(void)
{
    m_Class.erase();
    m_set_State[0] &= ~0x30;
}

void CMs_Base::C_Attlist::ResetStyle(void)
{
    m_Style.erase();
    m_set_State[0] &= ~0xc0;
}

void CMs_Base::C_Attlist::ResetHref(void)
{
    m_Href.erase();
    m_set_State[0] &= ~0x300;
}

void CMs_Base::C_Attlist::ResetMathcolor(void)
{
    m_Mathcolor.erase();
    m_set_State[0] &= ~0xc00;
}

void CMs_Base::C_Attlist::ResetMathbackground(void)
{
    m_Mathbackground.erase();
    m_set_State[0] &= ~0x3000;
}

void CMs_Base::C_Attlist::ResetMathsize(void)
{
    m_Mathsize.erase();
    m_set_State[0] &= ~0x30000;
}

void CMs_Base::C_Attlist::ResetFontfamily(void)
{
    m_Fontfamily.erase();
    m_set_State[0] &= ~0x300000;
}

void CMs_Base::C_Attlist::ResetFontsize(void)
{
    m_Fontsize.erase();
    m_set_State[0] &= ~0xc000000;
}

void CMs_Base::C_Attlist::ResetColor(void)
{
    m_Color.erase();
    m_set_State[0] &= ~0x30000000;
}

void CMs_Base::C_Attlist::ResetBackground(void)
{
    m_Background.erase();
    m_set_State[0] &= ~0xc0000000;
}

void CMs_Base::C_Attlist::ResetLquote(void)
{
    m_Lquote.erase();
    m_set_State[1] &= ~0x3;
}

void CMs_Base::C_Attlist::ResetRquote(void)
{
    m_Rquote.erase();
    m_set_State[1] &= ~0xc;
}

void CMs_Base::C_Attlist::Reset(void)
{
    ResetId();
    ResetXref();
    ResetClass();
    ResetStyle();
    ResetHref();
    ResetMathcolor();
    ResetMathbackground();
    ResetMathvariant();
    ResetMathsize();
    ResetDir();
    ResetFontfamily();
    ResetFontweight();
    ResetFontstyle();
    ResetFontsize();
    ResetColor();
    ResetBackground();
    ResetLquote();
    ResetRquote();
}

BEGIN_NAMED_CLASS_INFO("", CMs_Base::C_Attlist)
{
    SET_INTERNAL_NAME("ms", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("id", m_Id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("xref", m_Xref)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("class", m_Class)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("style", m_Style)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("href", m_Href)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathcolor", m_Mathcolor)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathbackground", m_Mathbackground)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("mathvariant", m_Mathvariant, EAttlist_mathvariant)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathsize", m_Mathsize)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("dir", m_Dir, EAttlist_dir)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("fontfamily", m_Fontfamily)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("fontweight", m_Fontweight, EAttlist_fontweight)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("fontstyle", m_Fontstyle, EAttlist_fontstyle)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("fontsize", m_Fontsize)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("color", m_Color)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("background", m_Background)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("lquote", m_Lquote)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("rquote", m_Rquote)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMs_Base::C_Attlist::C_Attlist(void)
    : m_Mathvariant((EAttlist_mathvariant)(0)), m_Dir((EAttlist_dir)(0)), m_Fontweight((EAttlist_fontweight)(0)), m_Fontstyle((EAttlist_fontstyle)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMs_Base::C_Attlist::~C_Attlist(void)
{
}


void CMs_Base::C_E_Ms::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CMs_Base::C_E_Ms::ResetSelection(void)
{
    switch ( m_choice ) {
    case e__CharData:
        m_string.Destruct();
        break;
    case e_Token_content:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CMs_Base::C_E_Ms::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Token_content:
        (m_object = new(pool) eutils::CToken_content())->AddReference();
        break;
    case e__CharData:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CMs_Base::C_E_Ms::sm_SelectionNames[] = {
    "not set",
    "-CharData",
    "token.content"
};

NCBI_NS_STD::string CMs_Base::C_E_Ms::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CMs_Base::C_E_Ms::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CMs_Base::C_E_Ms::Set_CharData(const CMs_Base::C_E_Ms::T_CharData& value)
{
    Select(e__CharData, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

const CMs_Base::C_E_Ms::TToken_content& CMs_Base::C_E_Ms::GetToken_content(void) const
{
    CheckSelected(e_Token_content);
    return *static_cast<const TToken_content*>(m_object);
}

CMs_Base::C_E_Ms::TToken_content& CMs_Base::C_E_Ms::SetToken_content(void)
{
    Select(e_Token_content, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TToken_content*>(m_object);
}

void CMs_Base::C_E_Ms::SetToken_content(CMs_Base::C_E_Ms::TToken_content& value)
{
    TToken_content* ptr = &value;
    if ( m_choice != e_Token_content || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Token_content;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CMs_Base::C_E_Ms)
{
    SET_INTERNAL_NAME("ms.ms", "E");
    SET_CHOICE_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_BUF_CHOICE_VARIANT("-CharData", m_string, STD, (NCBI_NS_STD::string))->SetNotag();
    ADD_NAMED_REF_CHOICE_VARIANT("token.content", m_object, C_Token_content)->SetNotag();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CMs_Base::C_E_Ms::C_E_Ms(void)
    : m_choice(e_not_set)
{
}

// destructor
CMs_Base::C_E_Ms::~C_E_Ms(void)
{
    Reset();
}


void CMs_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CMs_Base::SetAttlist(CMs_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CMs_Base::ResetMs(void)
{
    m_Ms.clear();
    m_set_State[0] &= ~0xc;
}

void CMs_Base::Reset(void)
{
    ResetAttlist();
    ResetMs();
}

BEGIN_NAMED_BASE_CLASS_INFO("ms", CMs)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_MEMBER("ms", m_Ms, STL_list, (STL_CRef, (CLASS, (C_E_Ms))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMs_Base::CMs_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CMs_Base::~CMs_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

