/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Mscarries.hpp>
#include <objtools/eutils/efetch/Mscarry.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CMscarries_Base::C_Attlist::, EAttlist_location, false)
{
    SET_ENUM_INTERNAL_NAME("mscarries.Attlist", "location");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("w", eAttlist_location_w);
    ADD_ENUM_VALUE("nw", eAttlist_location_nw);
    ADD_ENUM_VALUE("n", eAttlist_location_n);
    ADD_ENUM_VALUE("ne", eAttlist_location_ne);
    ADD_ENUM_VALUE("e", eAttlist_location_e);
    ADD_ENUM_VALUE("se", eAttlist_location_se);
    ADD_ENUM_VALUE("s", eAttlist_location_s);
    ADD_ENUM_VALUE("sw", eAttlist_location_sw);
}
END_ENUM_INFO

void CMscarries_Base::C_Attlist::ResetId(void)
{
    m_Id.erase();
    m_set_State[0] &= ~0x3;
}

void CMscarries_Base::C_Attlist::ResetXref(void)
{
    m_Xref.erase();
    m_set_State[0] &= ~0xc;
}

void CMscarries_Base::C_Attlist::ResetClass(void)
{
    m_Class.erase();
    m_set_State[0] &= ~0x30;
}

void CMscarries_Base::C_Attlist::ResetStyle(void)
{
    m_Style.erase();
    m_set_State[0] &= ~0xc0;
}

void CMscarries_Base::C_Attlist::ResetHref(void)
{
    m_Href.erase();
    m_set_State[0] &= ~0x300;
}

void CMscarries_Base::C_Attlist::ResetMathcolor(void)
{
    m_Mathcolor.erase();
    m_set_State[0] &= ~0xc00;
}

void CMscarries_Base::C_Attlist::ResetMathbackground(void)
{
    m_Mathbackground.erase();
    m_set_State[0] &= ~0x3000;
}

void CMscarries_Base::C_Attlist::ResetPosition(void)
{
    m_Position.erase();
    m_set_State[0] &= ~0xc000;
}

void CMscarries_Base::C_Attlist::ResetCrossout(void)
{
    m_Crossout.erase();
    m_set_State[0] &= ~0xc0000;
}

void CMscarries_Base::C_Attlist::ResetScriptsizemultiplier(void)
{
    m_Scriptsizemultiplier.erase();
    m_set_State[0] &= ~0x300000;
}

void CMscarries_Base::C_Attlist::Reset(void)
{
    ResetId();
    ResetXref();
    ResetClass();
    ResetStyle();
    ResetHref();
    ResetMathcolor();
    ResetMathbackground();
    ResetPosition();
    ResetLocation();
    ResetCrossout();
    ResetScriptsizemultiplier();
}

BEGIN_NAMED_CLASS_INFO("", CMscarries_Base::C_Attlist)
{
    SET_INTERNAL_NAME("mscarries", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("id", m_Id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("xref", m_Xref)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("class", m_Class)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("style", m_Style)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("href", m_Href)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathcolor", m_Mathcolor)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathbackground", m_Mathbackground)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("position", m_Position)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("location", m_Location, EAttlist_location)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("crossout", m_Crossout)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("scriptsizemultiplier", m_Scriptsizemultiplier)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMscarries_Base::C_Attlist::C_Attlist(void)
    : m_Location((EAttlist_location)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMscarries_Base::C_Attlist::~C_Attlist(void)
{
}


void CMscarries_Base::C_E_Mscarries::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CMscarries_Base::C_E_Mscarries::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_MsrowExpression:
    case e_Mscarry:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CMscarries_Base::C_E_Mscarries::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_MsrowExpression:
        (m_object = new(pool) eutils::CMsrowExpression())->AddReference();
        break;
    case e_Mscarry:
        (m_object = new(pool) eutils::CMscarry())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CMscarries_Base::C_E_Mscarries::sm_SelectionNames[] = {
    "not set",
    "MsrowExpression",
    "mscarry"
};

NCBI_NS_STD::string CMscarries_Base::C_E_Mscarries::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CMscarries_Base::C_E_Mscarries::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CMscarries_Base::C_E_Mscarries::TMsrowExpression& CMscarries_Base::C_E_Mscarries::GetMsrowExpression(void) const
{
    CheckSelected(e_MsrowExpression);
    return *static_cast<const TMsrowExpression*>(m_object);
}

CMscarries_Base::C_E_Mscarries::TMsrowExpression& CMscarries_Base::C_E_Mscarries::SetMsrowExpression(void)
{
    Select(e_MsrowExpression, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TMsrowExpression*>(m_object);
}

void CMscarries_Base::C_E_Mscarries::SetMsrowExpression(CMscarries_Base::C_E_Mscarries::TMsrowExpression& value)
{
    TMsrowExpression* ptr = &value;
    if ( m_choice != e_MsrowExpression || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_MsrowExpression;
    }
}

const CMscarries_Base::C_E_Mscarries::TMscarry& CMscarries_Base::C_E_Mscarries::GetMscarry(void) const
{
    CheckSelected(e_Mscarry);
    return *static_cast<const TMscarry*>(m_object);
}

CMscarries_Base::C_E_Mscarries::TMscarry& CMscarries_Base::C_E_Mscarries::SetMscarry(void)
{
    Select(e_Mscarry, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TMscarry*>(m_object);
}

void CMscarries_Base::C_E_Mscarries::SetMscarry(CMscarries_Base::C_E_Mscarries::TMscarry& value)
{
    TMscarry* ptr = &value;
    if ( m_choice != e_Mscarry || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Mscarry;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CMscarries_Base::C_E_Mscarries)
{
    SET_INTERNAL_NAME("mscarries.mscarries", "E");
    SET_CHOICE_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_REF_CHOICE_VARIANT("MsrowExpression", m_object, C_MsrowExpression)->SetNotag();
    ADD_NAMED_REF_CHOICE_VARIANT("mscarry", m_object, CMscarry);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CMscarries_Base::C_E_Mscarries::C_E_Mscarries(void)
    : m_choice(e_not_set)
{
}

// destructor
CMscarries_Base::C_E_Mscarries::~C_E_Mscarries(void)
{
    Reset();
}


void CMscarries_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CMscarries_Base::SetAttlist(CMscarries_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CMscarries_Base::ResetMscarries(void)
{
    m_Mscarries.clear();
    m_set_State[0] &= ~0xc;
}

void CMscarries_Base::Reset(void)
{
    ResetAttlist();
    ResetMscarries();
}

BEGIN_NAMED_BASE_CLASS_INFO("mscarries", CMscarries)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_MEMBER("mscarries", m_Mscarries, STL_list, (STL_CRef, (CLASS, (C_E_Mscarries))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMscarries_Base::CMscarries_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CMscarries_Base::~CMscarries_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

