/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Msline.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CMsline_Base::C_Attlist::ResetId(void)
{
    m_Id.erase();
    m_set_State[0] &= ~0x3;
}

void CMsline_Base::C_Attlist::ResetXref(void)
{
    m_Xref.erase();
    m_set_State[0] &= ~0xc;
}

void CMsline_Base::C_Attlist::ResetClass(void)
{
    m_Class.erase();
    m_set_State[0] &= ~0x30;
}

void CMsline_Base::C_Attlist::ResetStyle(void)
{
    m_Style.erase();
    m_set_State[0] &= ~0xc0;
}

void CMsline_Base::C_Attlist::ResetHref(void)
{
    m_Href.erase();
    m_set_State[0] &= ~0x300;
}

void CMsline_Base::C_Attlist::ResetMathcolor(void)
{
    m_Mathcolor.erase();
    m_set_State[0] &= ~0xc00;
}

void CMsline_Base::C_Attlist::ResetMathbackground(void)
{
    m_Mathbackground.erase();
    m_set_State[0] &= ~0x3000;
}

void CMsline_Base::C_Attlist::ResetPosition(void)
{
    m_Position.erase();
    m_set_State[0] &= ~0xc000;
}

void CMsline_Base::C_Attlist::ResetLength(void)
{
    m_Length.erase();
    m_set_State[0] &= ~0x30000;
}

void CMsline_Base::C_Attlist::ResetLeftoverhang(void)
{
    m_Leftoverhang.erase();
    m_set_State[0] &= ~0xc0000;
}

void CMsline_Base::C_Attlist::ResetRightoverhang(void)
{
    m_Rightoverhang.erase();
    m_set_State[0] &= ~0x300000;
}

void CMsline_Base::C_Attlist::ResetMslinethickness(void)
{
    m_Mslinethickness.erase();
    m_set_State[0] &= ~0xc00000;
}

void CMsline_Base::C_Attlist::Reset(void)
{
    ResetId();
    ResetXref();
    ResetClass();
    ResetStyle();
    ResetHref();
    ResetMathcolor();
    ResetMathbackground();
    ResetPosition();
    ResetLength();
    ResetLeftoverhang();
    ResetRightoverhang();
    ResetMslinethickness();
}

BEGIN_NAMED_CLASS_INFO("", CMsline_Base::C_Attlist)
{
    SET_INTERNAL_NAME("msline", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("id", m_Id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("xref", m_Xref)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("class", m_Class)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("style", m_Style)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("href", m_Href)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathcolor", m_Mathcolor)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mathbackground", m_Mathbackground)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("position", m_Position)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("length", m_Length)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("leftoverhang", m_Leftoverhang)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("rightoverhang", m_Rightoverhang)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("mslinethickness", m_Mslinethickness)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMsline_Base::C_Attlist::C_Attlist(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CMsline_Base::C_Attlist::~C_Attlist(void)
{
}


void CMsline_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CMsline_Base::SetAttlist(CMsline_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
    SetMsline();
}

void CMsline_Base::Reset(void)
{
    ResetAttlist();
    ResetMsline();
}

BEGIN_NAMED_BASE_CLASS_INFO("msline", CMsline)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_NULL_MEMBER("msline", null, ())->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CMsline_Base::CMsline_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CMsline_Base::~CMsline_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

