/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/OtherAbstract.hpp>
#include <objtools/eutils/efetch/AbstractText.hpp>
#include <objtools/eutils/efetch/CopyrightInformation.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", COtherAbstract_Base::C_Attlist::, EAttlist_Type, false)
{
    SET_ENUM_INTERNAL_NAME("OtherAbstract.Attlist", "Type");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("AAMC", eAttlist_Type_AAMC);
    ADD_ENUM_VALUE("AIDS", eAttlist_Type_AIDS);
    ADD_ENUM_VALUE("KIE", eAttlist_Type_KIE);
    ADD_ENUM_VALUE("PIP", eAttlist_Type_PIP);
    ADD_ENUM_VALUE("NASA", eAttlist_Type_NASA);
    ADD_ENUM_VALUE("Publisher", eAttlist_Type_Publisher);
    ADD_ENUM_VALUE("plain-language-summary", eAttlist_Type_plain_language_summary);
}
END_ENUM_INFO

void COtherAbstract_Base::C_Attlist::Reset(void)
{
    ResetType();
    ResetLanguage();
}

BEGIN_NAMED_CLASS_INFO("", COtherAbstract_Base::C_Attlist)
{
    SET_INTERNAL_NAME("OtherAbstract", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_ENUM_MEMBER("Type", m_Type, EAttlist_Type)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("Language", m_Language)->SetDefault(new TLanguage("eng"))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
COtherAbstract_Base::C_Attlist::C_Attlist(void)
    : m_Type((EAttlist_Type)(0)), m_Language("eng")
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
COtherAbstract_Base::C_Attlist::~C_Attlist(void)
{
}


void COtherAbstract_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void COtherAbstract_Base::SetAttlist(COtherAbstract_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void COtherAbstract_Base::ResetAbstractText(void)
{
    m_AbstractText.clear();
    m_set_State[0] &= ~0xc;
}

void COtherAbstract_Base::ResetCopyrightInformation(void)
{
    m_CopyrightInformation.Reset();
}

void COtherAbstract_Base::SetCopyrightInformation(COtherAbstract_Base::TCopyrightInformation& value)
{
    m_CopyrightInformation.Reset(&value);
}

COtherAbstract_Base::TCopyrightInformation& COtherAbstract_Base::SetCopyrightInformation(void)
{
    if ( !m_CopyrightInformation )
        m_CopyrightInformation.Reset(new TCopyrightInformation());
    return (*m_CopyrightInformation);
}

void COtherAbstract_Base::Reset(void)
{
    ResetAttlist();
    ResetAbstractText();
    ResetCopyrightInformation();
}

BEGIN_NAMED_BASE_CLASS_INFO("OtherAbstract", COtherAbstract)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_MEMBER("AbstractText", m_AbstractText, STL_list, (STL_CRef, (CLASS, (CAbstractText))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("CopyrightInformation", m_CopyrightInformation, CCopyrightInformation)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
COtherAbstract_Base::COtherAbstract_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
COtherAbstract_Base::~COtherAbstract_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

