/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/OtherID.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", COtherID_Base::C_Attlist::, EAttlist_Source, false)
{
    SET_ENUM_INTERNAL_NAME("OtherID.Attlist", "Source");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("NASA", eAttlist_Source_NASA);
    ADD_ENUM_VALUE("KIE", eAttlist_Source_KIE);
    ADD_ENUM_VALUE("PIP", eAttlist_Source_PIP);
    ADD_ENUM_VALUE("POP", eAttlist_Source_POP);
    ADD_ENUM_VALUE("ARPL", eAttlist_Source_ARPL);
    ADD_ENUM_VALUE("CPC", eAttlist_Source_CPC);
    ADD_ENUM_VALUE("IND", eAttlist_Source_IND);
    ADD_ENUM_VALUE("CPFH", eAttlist_Source_CPFH);
    ADD_ENUM_VALUE("CLML", eAttlist_Source_CLML);
    ADD_ENUM_VALUE("NRCBL", eAttlist_Source_NRCBL);
    ADD_ENUM_VALUE("NLM", eAttlist_Source_NLM);
    ADD_ENUM_VALUE("QCIM", eAttlist_Source_QCIM);
}
END_ENUM_INFO

void COtherID_Base::C_Attlist::Reset(void)
{
    ResetSource();
}

BEGIN_NAMED_CLASS_INFO("", COtherID_Base::C_Attlist)
{
    SET_INTERNAL_NAME("OtherID", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_ENUM_MEMBER("Source", m_Source, EAttlist_Source)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
COtherID_Base::C_Attlist::C_Attlist(void)
    : m_Source((EAttlist_Source)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
COtherID_Base::C_Attlist::~C_Attlist(void)
{
}


void COtherID_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void COtherID_Base::SetAttlist(COtherID_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void COtherID_Base::ResetOtherID(void)
{
    m_OtherID.erase();
    m_set_State[0] &= ~0xc;
}

void COtherID_Base::Reset(void)
{
    ResetAttlist();
    ResetOtherID();
}

BEGIN_NAMED_BASE_CLASS_INFO("OtherID", COtherID)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_STD_MEMBER("OtherID", m_OtherID)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
COtherID_Base::COtherID_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
COtherID_Base::~COtherID_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

