/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Pagination.hpp>
#include <objtools/eutils/efetch/EndPage.hpp>
#include <objtools/eutils/efetch/MedlinePgn.hpp>
#include <objtools/eutils/efetch/StartPage.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CPagination_Base::C_SEM::ResetStartPage(void)
{
    if ( !m_StartPage ) {
        m_StartPage.Reset(new TStartPage());
        return;
    }
    (*m_StartPage).Reset();
}

void CPagination_Base::C_SEM::SetStartPage(CPagination_Base::C_SEM::TStartPage& value)
{
    m_StartPage.Reset(&value);
}

void CPagination_Base::C_SEM::ResetEndPage(void)
{
    m_EndPage.Reset();
}

void CPagination_Base::C_SEM::SetEndPage(CPagination_Base::C_SEM::TEndPage& value)
{
    m_EndPage.Reset(&value);
}

CPagination_Base::C_SEM::TEndPage& CPagination_Base::C_SEM::SetEndPage(void)
{
    if ( !m_EndPage )
        m_EndPage.Reset(new TEndPage());
    return (*m_EndPage);
}

void CPagination_Base::C_SEM::ResetMedlinePgn(void)
{
    m_MedlinePgn.Reset();
}

void CPagination_Base::C_SEM::SetMedlinePgn(CPagination_Base::C_SEM::TMedlinePgn& value)
{
    m_MedlinePgn.Reset(&value);
}

CPagination_Base::C_SEM::TMedlinePgn& CPagination_Base::C_SEM::SetMedlinePgn(void)
{
    if ( !m_MedlinePgn )
        m_MedlinePgn.Reset(new TMedlinePgn());
    return (*m_MedlinePgn);
}

void CPagination_Base::C_SEM::Reset(void)
{
    ResetStartPage();
    ResetEndPage();
    ResetMedlinePgn();
}

BEGIN_NAMED_CLASS_INFO("", CPagination_Base::C_SEM)
{
    SET_INTERNAL_NAME("Pagination", "SEM");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_REF_MEMBER("StartPage", m_StartPage, CStartPage);
    ADD_NAMED_REF_MEMBER("EndPage", m_EndPage, CEndPage)->SetOptional();
    ADD_NAMED_REF_MEMBER("MedlinePgn", m_MedlinePgn, CMedlinePgn)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CPagination_Base::C_SEM::C_SEM(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetStartPage();
    }
}

// destructor
CPagination_Base::C_SEM::~C_SEM(void)
{
}


void CPagination_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CPagination_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_SEM:
    case e_MedlinePgn:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CPagination_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_SEM:
        (m_object = new(pool) C_SEM())->AddReference();
        break;
    case e_MedlinePgn:
        (m_object = new(pool) eutils::CMedlinePgn())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CPagination_Base::sm_SelectionNames[] = {
    "not set",
    "SEM",
    "MedlinePgn"
};

NCBI_NS_STD::string CPagination_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CPagination_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CPagination_Base::TSEM& CPagination_Base::GetSEM(void) const
{
    CheckSelected(e_SEM);
    return *static_cast<const TSEM*>(m_object);
}

CPagination_Base::TSEM& CPagination_Base::SetSEM(void)
{
    Select(e_SEM, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TSEM*>(m_object);
}

void CPagination_Base::SetSEM(CPagination_Base::TSEM& value)
{
    TSEM* ptr = &value;
    if ( m_choice != e_SEM || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_SEM;
    }
}

const CPagination_Base::TMedlinePgn& CPagination_Base::GetMedlinePgn(void) const
{
    CheckSelected(e_MedlinePgn);
    return *static_cast<const TMedlinePgn*>(m_object);
}

CPagination_Base::TMedlinePgn& CPagination_Base::SetMedlinePgn(void)
{
    Select(e_MedlinePgn, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TMedlinePgn*>(m_object);
}

void CPagination_Base::SetMedlinePgn(CPagination_Base::TMedlinePgn& value)
{
    TMedlinePgn* ptr = &value;
    if ( m_choice != e_MedlinePgn || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_MedlinePgn;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("Pagination", CPagination)
{
    SET_CHOICE_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_CHOICE_VARIANT("SEM", m_object, C_SEM)->SetNotag();
    ADD_NAMED_REF_CHOICE_VARIANT("MedlinePgn", m_object, CMedlinePgn);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CPagination_Base::CPagination_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CPagination_Base::~CPagination_Base(void)
{
    Reset();
}



END_eutils_SCOPE // namespace eutils::

