/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/PersonalNameSubject.hpp>
#include <objtools/eutils/efetch/ForeName.hpp>
#include <objtools/eutils/efetch/Initials.hpp>
#include <objtools/eutils/efetch/LastName.hpp>
#include <objtools/eutils/efetch/Suffix.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CPersonalNameSubject_Base::ResetLastName(void)
{
    if ( !m_LastName ) {
        m_LastName.Reset(new TLastName());
        return;
    }
    (*m_LastName).Reset();
}

void CPersonalNameSubject_Base::SetLastName(CPersonalNameSubject_Base::TLastName& value)
{
    m_LastName.Reset(&value);
}

void CPersonalNameSubject_Base::ResetForeName(void)
{
    m_ForeName.Reset();
}

void CPersonalNameSubject_Base::SetForeName(CPersonalNameSubject_Base::TForeName& value)
{
    m_ForeName.Reset(&value);
}

CPersonalNameSubject_Base::TForeName& CPersonalNameSubject_Base::SetForeName(void)
{
    if ( !m_ForeName )
        m_ForeName.Reset(new TForeName());
    return (*m_ForeName);
}

void CPersonalNameSubject_Base::ResetInitials(void)
{
    m_Initials.Reset();
}

void CPersonalNameSubject_Base::SetInitials(CPersonalNameSubject_Base::TInitials& value)
{
    m_Initials.Reset(&value);
}

CPersonalNameSubject_Base::TInitials& CPersonalNameSubject_Base::SetInitials(void)
{
    if ( !m_Initials )
        m_Initials.Reset(new TInitials());
    return (*m_Initials);
}

void CPersonalNameSubject_Base::ResetSuffix(void)
{
    m_Suffix.Reset();
}

void CPersonalNameSubject_Base::SetSuffix(CPersonalNameSubject_Base::TSuffix& value)
{
    m_Suffix.Reset(&value);
}

CPersonalNameSubject_Base::TSuffix& CPersonalNameSubject_Base::SetSuffix(void)
{
    if ( !m_Suffix )
        m_Suffix.Reset(new TSuffix());
    return (*m_Suffix);
}

void CPersonalNameSubject_Base::Reset(void)
{
    ResetLastName();
    ResetForeName();
    ResetInitials();
    ResetSuffix();
}

BEGIN_NAMED_BASE_CLASS_INFO("PersonalNameSubject", CPersonalNameSubject)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("LastName", m_LastName, CLastName);
    ADD_NAMED_REF_MEMBER("ForeName", m_ForeName, CForeName)->SetOptional();
    ADD_NAMED_REF_MEMBER("Initials", m_Initials, CInitials)->SetOptional();
    ADD_NAMED_REF_MEMBER("Suffix", m_Suffix, CSuffix)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CPersonalNameSubject_Base::CPersonalNameSubject_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetLastName();
    }
}

// destructor
CPersonalNameSubject_Base::~CPersonalNameSubject_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

