/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Piecewise.hpp>
#include <objtools/eutils/efetch/Otherwise.hpp>
#include <objtools/eutils/efetch/Piece.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CPiecewise_Base::C_Attlist::ResetId(void)
{
    m_Id.erase();
    m_set_State[0] &= ~0x3;
}

void CPiecewise_Base::C_Attlist::ResetXref(void)
{
    m_Xref.erase();
    m_set_State[0] &= ~0xc;
}

void CPiecewise_Base::C_Attlist::ResetClass(void)
{
    m_Class.erase();
    m_set_State[0] &= ~0x30;
}

void CPiecewise_Base::C_Attlist::ResetStyle(void)
{
    m_Style.erase();
    m_set_State[0] &= ~0xc0;
}

void CPiecewise_Base::C_Attlist::ResetHref(void)
{
    m_Href.erase();
    m_set_State[0] &= ~0x300;
}

void CPiecewise_Base::C_Attlist::ResetEncoding(void)
{
    m_Encoding.erase();
    m_set_State[0] &= ~0xc00;
}

void CPiecewise_Base::C_Attlist::ResetDefinitionURL(void)
{
    m_DefinitionURL.erase();
    m_set_State[0] &= ~0x3000;
}

void CPiecewise_Base::C_Attlist::Reset(void)
{
    ResetId();
    ResetXref();
    ResetClass();
    ResetStyle();
    ResetHref();
    ResetEncoding();
    ResetDefinitionURL();
}

BEGIN_NAMED_CLASS_INFO("", CPiecewise_Base::C_Attlist)
{
    SET_INTERNAL_NAME("piecewise", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("id", m_Id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("xref", m_Xref)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("class", m_Class)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("style", m_Style)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("href", m_Href)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("encoding", m_Encoding)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("definitionURL", m_DefinitionURL)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CPiecewise_Base::C_Attlist::C_Attlist(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CPiecewise_Base::C_Attlist::~C_Attlist(void)
{
}


void CPiecewise_Base::C_E_Piecewise::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CPiecewise_Base::C_E_Piecewise::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Piece:
    case e_Otherwise:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CPiecewise_Base::C_E_Piecewise::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Piece:
        (m_object = new(pool) eutils::CPiece())->AddReference();
        break;
    case e_Otherwise:
        (m_object = new(pool) eutils::COtherwise())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CPiecewise_Base::C_E_Piecewise::sm_SelectionNames[] = {
    "not set",
    "piece",
    "otherwise"
};

NCBI_NS_STD::string CPiecewise_Base::C_E_Piecewise::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CPiecewise_Base::C_E_Piecewise::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CPiecewise_Base::C_E_Piecewise::TPiece& CPiecewise_Base::C_E_Piecewise::GetPiece(void) const
{
    CheckSelected(e_Piece);
    return *static_cast<const TPiece*>(m_object);
}

CPiecewise_Base::C_E_Piecewise::TPiece& CPiecewise_Base::C_E_Piecewise::SetPiece(void)
{
    Select(e_Piece, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TPiece*>(m_object);
}

void CPiecewise_Base::C_E_Piecewise::SetPiece(CPiecewise_Base::C_E_Piecewise::TPiece& value)
{
    TPiece* ptr = &value;
    if ( m_choice != e_Piece || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Piece;
    }
}

const CPiecewise_Base::C_E_Piecewise::TOtherwise& CPiecewise_Base::C_E_Piecewise::GetOtherwise(void) const
{
    CheckSelected(e_Otherwise);
    return *static_cast<const TOtherwise*>(m_object);
}

CPiecewise_Base::C_E_Piecewise::TOtherwise& CPiecewise_Base::C_E_Piecewise::SetOtherwise(void)
{
    Select(e_Otherwise, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TOtherwise*>(m_object);
}

void CPiecewise_Base::C_E_Piecewise::SetOtherwise(CPiecewise_Base::C_E_Piecewise::TOtherwise& value)
{
    TOtherwise* ptr = &value;
    if ( m_choice != e_Otherwise || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Otherwise;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CPiecewise_Base::C_E_Piecewise)
{
    SET_INTERNAL_NAME("piecewise.piecewise", "E");
    SET_CHOICE_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_REF_CHOICE_VARIANT("piece", m_object, CPiece);
    ADD_NAMED_REF_CHOICE_VARIANT("otherwise", m_object, COtherwise);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CPiecewise_Base::C_E_Piecewise::C_E_Piecewise(void)
    : m_choice(e_not_set)
{
}

// destructor
CPiecewise_Base::C_E_Piecewise::~C_E_Piecewise(void)
{
    Reset();
}


void CPiecewise_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CPiecewise_Base::SetAttlist(CPiecewise_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CPiecewise_Base::ResetPiecewise(void)
{
    m_Piecewise.clear();
    m_set_State[0] &= ~0xc;
}

void CPiecewise_Base::Reset(void)
{
    ResetAttlist();
    ResetPiecewise();
}

BEGIN_NAMED_BASE_CLASS_INFO("piecewise", CPiecewise)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_MEMBER("piecewise", m_Piecewise, STL_list, (STL_CRef, (CLASS, (C_E_Piecewise))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CPiecewise_Base::CPiecewise_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CPiecewise_Base::~CPiecewise_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

