/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/PubDate.hpp>
#include <objtools/eutils/efetch/Day.hpp>
#include <objtools/eutils/efetch/MedlineDate.hpp>
#include <objtools/eutils/efetch/Month.hpp>
#include <objtools/eutils/efetch/Season.hpp>
#include <objtools/eutils/efetch/Year.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CPubDate_Base::C_YM::C_MS::C_MD::ResetMonth(void)
{
    if ( !m_Month ) {
        m_Month.Reset(new TMonth());
        return;
    }
    (*m_Month).Reset();
}

void CPubDate_Base::C_YM::C_MS::C_MD::SetMonth(CPubDate_Base::C_YM::C_MS::C_MD::TMonth& value)
{
    m_Month.Reset(&value);
}

void CPubDate_Base::C_YM::C_MS::C_MD::ResetDay(void)
{
    m_Day.Reset();
}

void CPubDate_Base::C_YM::C_MS::C_MD::SetDay(CPubDate_Base::C_YM::C_MS::C_MD::TDay& value)
{
    m_Day.Reset(&value);
}

CPubDate_Base::C_YM::C_MS::C_MD::TDay& CPubDate_Base::C_YM::C_MS::C_MD::SetDay(void)
{
    if ( !m_Day )
        m_Day.Reset(new TDay());
    return (*m_Day);
}

void CPubDate_Base::C_YM::C_MS::C_MD::Reset(void)
{
    ResetMonth();
    ResetDay();
}

BEGIN_NAMED_CLASS_INFO("", CPubDate_Base::C_YM::C_MS::C_MD)
{
    SET_INTERNAL_NAME("PubDate.YM.MS", "MD");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_REF_MEMBER("Month", m_Month, CMonth);
    ADD_NAMED_REF_MEMBER("Day", m_Day, CDay)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CPubDate_Base::C_YM::C_MS::C_MD::C_MD(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetMonth();
    }
}

// destructor
CPubDate_Base::C_YM::C_MS::C_MD::~C_MD(void)
{
}


void CPubDate_Base::C_YM::C_MS::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CPubDate_Base::C_YM::C_MS::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_MD:
    case e_Season:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CPubDate_Base::C_YM::C_MS::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_MD:
        (m_object = new(pool) C_MD())->AddReference();
        break;
    case e_Season:
        (m_object = new(pool) eutils::CSeason())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CPubDate_Base::C_YM::C_MS::sm_SelectionNames[] = {
    "not set",
    "MD",
    "Season"
};

NCBI_NS_STD::string CPubDate_Base::C_YM::C_MS::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CPubDate_Base::C_YM::C_MS::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CPubDate_Base::C_YM::C_MS::TMD& CPubDate_Base::C_YM::C_MS::GetMD(void) const
{
    CheckSelected(e_MD);
    return *static_cast<const TMD*>(m_object);
}

CPubDate_Base::C_YM::C_MS::TMD& CPubDate_Base::C_YM::C_MS::SetMD(void)
{
    Select(e_MD, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TMD*>(m_object);
}

void CPubDate_Base::C_YM::C_MS::SetMD(CPubDate_Base::C_YM::C_MS::TMD& value)
{
    TMD* ptr = &value;
    if ( m_choice != e_MD || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_MD;
    }
}

const CPubDate_Base::C_YM::C_MS::TSeason& CPubDate_Base::C_YM::C_MS::GetSeason(void) const
{
    CheckSelected(e_Season);
    return *static_cast<const TSeason*>(m_object);
}

CPubDate_Base::C_YM::C_MS::TSeason& CPubDate_Base::C_YM::C_MS::SetSeason(void)
{
    Select(e_Season, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TSeason*>(m_object);
}

void CPubDate_Base::C_YM::C_MS::SetSeason(CPubDate_Base::C_YM::C_MS::TSeason& value)
{
    TSeason* ptr = &value;
    if ( m_choice != e_Season || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Season;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CPubDate_Base::C_YM::C_MS)
{
    SET_INTERNAL_NAME("PubDate.YM", "MS");
    SET_CHOICE_MODULE("efetch");
    ADD_NAMED_REF_CHOICE_VARIANT("MD", m_object, C_MD)->SetNotag();
    ADD_NAMED_REF_CHOICE_VARIANT("Season", m_object, CSeason);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CPubDate_Base::C_YM::C_MS::C_MS(void)
    : m_choice(e_not_set)
{
}

// destructor
CPubDate_Base::C_YM::C_MS::~C_MS(void)
{
    Reset();
}


void CPubDate_Base::C_YM::ResetYear(void)
{
    if ( !m_Year ) {
        m_Year.Reset(new TYear());
        return;
    }
    (*m_Year).Reset();
}

void CPubDate_Base::C_YM::SetYear(CPubDate_Base::C_YM::TYear& value)
{
    m_Year.Reset(&value);
}

void CPubDate_Base::C_YM::ResetMS(void)
{
    m_MS.Reset();
}

void CPubDate_Base::C_YM::SetMS(CPubDate_Base::C_YM::TMS& value)
{
    m_MS.Reset(&value);
}

CPubDate_Base::C_YM::TMS& CPubDate_Base::C_YM::SetMS(void)
{
    if ( !m_MS )
        m_MS.Reset(new TMS());
    return (*m_MS);
}

void CPubDate_Base::C_YM::Reset(void)
{
    ResetYear();
    ResetMS();
}

BEGIN_NAMED_CLASS_INFO("", CPubDate_Base::C_YM)
{
    SET_INTERNAL_NAME("PubDate", "YM");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_REF_MEMBER("Year", m_Year, CYear);
    ADD_NAMED_REF_MEMBER("MS", m_MS, C_MS)->SetOptional()->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CPubDate_Base::C_YM::C_YM(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetYear();
    }
}

// destructor
CPubDate_Base::C_YM::~C_YM(void)
{
}


void CPubDate_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CPubDate_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_YM:
    case e_MedlineDate:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CPubDate_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_YM:
        (m_object = new(pool) C_YM())->AddReference();
        break;
    case e_MedlineDate:
        (m_object = new(pool) eutils::CMedlineDate())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CPubDate_Base::sm_SelectionNames[] = {
    "not set",
    "YM",
    "MedlineDate"
};

NCBI_NS_STD::string CPubDate_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CPubDate_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CPubDate_Base::TYM& CPubDate_Base::GetYM(void) const
{
    CheckSelected(e_YM);
    return *static_cast<const TYM*>(m_object);
}

CPubDate_Base::TYM& CPubDate_Base::SetYM(void)
{
    Select(e_YM, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TYM*>(m_object);
}

void CPubDate_Base::SetYM(CPubDate_Base::TYM& value)
{
    TYM* ptr = &value;
    if ( m_choice != e_YM || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_YM;
    }
}

const CPubDate_Base::TMedlineDate& CPubDate_Base::GetMedlineDate(void) const
{
    CheckSelected(e_MedlineDate);
    return *static_cast<const TMedlineDate*>(m_object);
}

CPubDate_Base::TMedlineDate& CPubDate_Base::SetMedlineDate(void)
{
    Select(e_MedlineDate, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TMedlineDate*>(m_object);
}

void CPubDate_Base::SetMedlineDate(CPubDate_Base::TMedlineDate& value)
{
    TMedlineDate* ptr = &value;
    if ( m_choice != e_MedlineDate || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_MedlineDate;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("PubDate", CPubDate)
{
    SET_CHOICE_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_CHOICE_VARIANT("YM", m_object, C_YM)->SetNotag();
    ADD_NAMED_REF_CHOICE_VARIANT("MedlineDate", m_object, CMedlineDate);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CPubDate_Base::CPubDate_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CPubDate_Base::~CPubDate_Base(void)
{
    Reset();
}



END_eutils_SCOPE // namespace eutils::

