/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/PubMedPubDate.hpp>
#include <objtools/eutils/efetch/Day.hpp>
#include <objtools/eutils/efetch/Hour.hpp>
#include <objtools/eutils/efetch/Minute.hpp>
#include <objtools/eutils/efetch/Month.hpp>
#include <objtools/eutils/efetch/Second.hpp>
#include <objtools/eutils/efetch/Year.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CPubMedPubDate_Base::C_Attlist::, EAttlist_PubStatus, false)
{
    SET_ENUM_INTERNAL_NAME("PubMedPubDate.Attlist", "PubStatus");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("received", eAttlist_PubStatus_received);
    ADD_ENUM_VALUE("accepted", eAttlist_PubStatus_accepted);
    ADD_ENUM_VALUE("epublish", eAttlist_PubStatus_epublish);
    ADD_ENUM_VALUE("ppublish", eAttlist_PubStatus_ppublish);
    ADD_ENUM_VALUE("revised", eAttlist_PubStatus_revised);
    ADD_ENUM_VALUE("aheadofprint", eAttlist_PubStatus_aheadofprint);
    ADD_ENUM_VALUE("retracted", eAttlist_PubStatus_retracted);
    ADD_ENUM_VALUE("ecollection", eAttlist_PubStatus_ecollection);
    ADD_ENUM_VALUE("pmc", eAttlist_PubStatus_pmc);
    ADD_ENUM_VALUE("pmcr", eAttlist_PubStatus_pmcr);
    ADD_ENUM_VALUE("pubmed", eAttlist_PubStatus_pubmed);
    ADD_ENUM_VALUE("pubmedr", eAttlist_PubStatus_pubmedr);
    ADD_ENUM_VALUE("premedline", eAttlist_PubStatus_premedline);
    ADD_ENUM_VALUE("medline", eAttlist_PubStatus_medline);
    ADD_ENUM_VALUE("medliner", eAttlist_PubStatus_medliner);
    ADD_ENUM_VALUE("entrez", eAttlist_PubStatus_entrez);
    ADD_ENUM_VALUE("pmc-release", eAttlist_PubStatus_pmc_release);
}
END_ENUM_INFO

void CPubMedPubDate_Base::C_Attlist::Reset(void)
{
    ResetPubStatus();
}

BEGIN_NAMED_CLASS_INFO("", CPubMedPubDate_Base::C_Attlist)
{
    SET_INTERNAL_NAME("PubMedPubDate", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_ENUM_MEMBER("PubStatus", m_PubStatus, EAttlist_PubStatus)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CPubMedPubDate_Base::C_Attlist::C_Attlist(void)
    : m_PubStatus((EAttlist_PubStatus)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CPubMedPubDate_Base::C_Attlist::~C_Attlist(void)
{
}


void CPubMedPubDate_Base::C_HM::C_MS::ResetMinute(void)
{
    if ( !m_Minute ) {
        m_Minute.Reset(new TMinute());
        return;
    }
    (*m_Minute).Reset();
}

void CPubMedPubDate_Base::C_HM::C_MS::SetMinute(CPubMedPubDate_Base::C_HM::C_MS::TMinute& value)
{
    m_Minute.Reset(&value);
}

void CPubMedPubDate_Base::C_HM::C_MS::ResetSecond(void)
{
    m_Second.Reset();
}

void CPubMedPubDate_Base::C_HM::C_MS::SetSecond(CPubMedPubDate_Base::C_HM::C_MS::TSecond& value)
{
    m_Second.Reset(&value);
}

CPubMedPubDate_Base::C_HM::C_MS::TSecond& CPubMedPubDate_Base::C_HM::C_MS::SetSecond(void)
{
    if ( !m_Second )
        m_Second.Reset(new TSecond());
    return (*m_Second);
}

void CPubMedPubDate_Base::C_HM::C_MS::Reset(void)
{
    ResetMinute();
    ResetSecond();
}

BEGIN_NAMED_CLASS_INFO("", CPubMedPubDate_Base::C_HM::C_MS)
{
    SET_INTERNAL_NAME("PubMedPubDate.HM", "MS");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_REF_MEMBER("Minute", m_Minute, CMinute);
    ADD_NAMED_REF_MEMBER("Second", m_Second, CSecond)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CPubMedPubDate_Base::C_HM::C_MS::C_MS(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetMinute();
    }
}

// destructor
CPubMedPubDate_Base::C_HM::C_MS::~C_MS(void)
{
}


void CPubMedPubDate_Base::C_HM::ResetHour(void)
{
    if ( !m_Hour ) {
        m_Hour.Reset(new THour());
        return;
    }
    (*m_Hour).Reset();
}

void CPubMedPubDate_Base::C_HM::SetHour(CPubMedPubDate_Base::C_HM::THour& value)
{
    m_Hour.Reset(&value);
}

void CPubMedPubDate_Base::C_HM::ResetMS(void)
{
    m_MS.Reset();
}

void CPubMedPubDate_Base::C_HM::SetMS(CPubMedPubDate_Base::C_HM::TMS& value)
{
    m_MS.Reset(&value);
}

CPubMedPubDate_Base::C_HM::TMS& CPubMedPubDate_Base::C_HM::SetMS(void)
{
    if ( !m_MS )
        m_MS.Reset(new TMS());
    return (*m_MS);
}

void CPubMedPubDate_Base::C_HM::Reset(void)
{
    ResetHour();
    ResetMS();
}

BEGIN_NAMED_CLASS_INFO("", CPubMedPubDate_Base::C_HM)
{
    SET_INTERNAL_NAME("PubMedPubDate", "HM");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_REF_MEMBER("Hour", m_Hour, CHour);
    ADD_NAMED_REF_MEMBER("MS", m_MS, C_MS)->SetOptional()->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CPubMedPubDate_Base::C_HM::C_HM(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetHour();
    }
}

// destructor
CPubMedPubDate_Base::C_HM::~C_HM(void)
{
}


void CPubMedPubDate_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CPubMedPubDate_Base::SetAttlist(CPubMedPubDate_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CPubMedPubDate_Base::ResetYear(void)
{
    if ( !m_Year ) {
        m_Year.Reset(new TYear());
        return;
    }
    (*m_Year).Reset();
}

void CPubMedPubDate_Base::SetYear(CPubMedPubDate_Base::TYear& value)
{
    m_Year.Reset(&value);
}

void CPubMedPubDate_Base::ResetMonth(void)
{
    if ( !m_Month ) {
        m_Month.Reset(new TMonth());
        return;
    }
    (*m_Month).Reset();
}

void CPubMedPubDate_Base::SetMonth(CPubMedPubDate_Base::TMonth& value)
{
    m_Month.Reset(&value);
}

void CPubMedPubDate_Base::ResetDay(void)
{
    if ( !m_Day ) {
        m_Day.Reset(new TDay());
        return;
    }
    (*m_Day).Reset();
}

void CPubMedPubDate_Base::SetDay(CPubMedPubDate_Base::TDay& value)
{
    m_Day.Reset(&value);
}

void CPubMedPubDate_Base::ResetHM(void)
{
    m_HM.Reset();
}

void CPubMedPubDate_Base::SetHM(CPubMedPubDate_Base::THM& value)
{
    m_HM.Reset(&value);
}

CPubMedPubDate_Base::THM& CPubMedPubDate_Base::SetHM(void)
{
    if ( !m_HM )
        m_HM.Reset(new THM());
    return (*m_HM);
}

void CPubMedPubDate_Base::Reset(void)
{
    ResetAttlist();
    ResetYear();
    ResetMonth();
    ResetDay();
    ResetHM();
}

BEGIN_NAMED_BASE_CLASS_INFO("PubMedPubDate", CPubMedPubDate)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_REF_MEMBER("Year", m_Year, CYear);
    ADD_NAMED_REF_MEMBER("Month", m_Month, CMonth);
    ADD_NAMED_REF_MEMBER("Day", m_Day, CDay);
    ADD_NAMED_REF_MEMBER("HM", m_HM, C_HM)->SetOptional()->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CPubMedPubDate_Base::CPubMedPubDate_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
        ResetYear();
        ResetMonth();
        ResetDay();
    }
}

// destructor
CPubMedPubDate_Base::~CPubMedPubDate_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

