/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/PubmedArticleSet.hpp>
#include <objtools/eutils/efetch/DeleteCitation.hpp>
#include <objtools/eutils/efetch/PubmedArticle.hpp>
#include <objtools/eutils/efetch/PubmedBookArticle.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CPubmedArticleSet_Base::C_PP::C_E_PP::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CPubmedArticleSet_Base::C_PP::C_E_PP::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_PubmedArticle:
    case e_PubmedBookArticle:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CPubmedArticleSet_Base::C_PP::C_E_PP::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_PubmedArticle:
        (m_object = new(pool) eutils::CPubmedArticle())->AddReference();
        break;
    case e_PubmedBookArticle:
        (m_object = new(pool) eutils::CPubmedBookArticle())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CPubmedArticleSet_Base::C_PP::C_E_PP::sm_SelectionNames[] = {
    "not set",
    "PubmedArticle",
    "PubmedBookArticle"
};

NCBI_NS_STD::string CPubmedArticleSet_Base::C_PP::C_E_PP::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CPubmedArticleSet_Base::C_PP::C_E_PP::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CPubmedArticleSet_Base::C_PP::C_E_PP::TPubmedArticle& CPubmedArticleSet_Base::C_PP::C_E_PP::GetPubmedArticle(void) const
{
    CheckSelected(e_PubmedArticle);
    return *static_cast<const TPubmedArticle*>(m_object);
}

CPubmedArticleSet_Base::C_PP::C_E_PP::TPubmedArticle& CPubmedArticleSet_Base::C_PP::C_E_PP::SetPubmedArticle(void)
{
    Select(e_PubmedArticle, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TPubmedArticle*>(m_object);
}

void CPubmedArticleSet_Base::C_PP::C_E_PP::SetPubmedArticle(CPubmedArticleSet_Base::C_PP::C_E_PP::TPubmedArticle& value)
{
    TPubmedArticle* ptr = &value;
    if ( m_choice != e_PubmedArticle || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_PubmedArticle;
    }
}

const CPubmedArticleSet_Base::C_PP::C_E_PP::TPubmedBookArticle& CPubmedArticleSet_Base::C_PP::C_E_PP::GetPubmedBookArticle(void) const
{
    CheckSelected(e_PubmedBookArticle);
    return *static_cast<const TPubmedBookArticle*>(m_object);
}

CPubmedArticleSet_Base::C_PP::C_E_PP::TPubmedBookArticle& CPubmedArticleSet_Base::C_PP::C_E_PP::SetPubmedBookArticle(void)
{
    Select(e_PubmedBookArticle, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TPubmedBookArticle*>(m_object);
}

void CPubmedArticleSet_Base::C_PP::C_E_PP::SetPubmedBookArticle(CPubmedArticleSet_Base::C_PP::C_E_PP::TPubmedBookArticle& value)
{
    TPubmedBookArticle* ptr = &value;
    if ( m_choice != e_PubmedBookArticle || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_PubmedBookArticle;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CPubmedArticleSet_Base::C_PP::C_E_PP)
{
    SET_INTERNAL_NAME("PubmedArticleSet.PP.PP", "E");
    SET_CHOICE_MODULE("efetch");
    ADD_NAMED_REF_CHOICE_VARIANT("PubmedArticle", m_object, CPubmedArticle);
    ADD_NAMED_REF_CHOICE_VARIANT("PubmedBookArticle", m_object, CPubmedBookArticle);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CPubmedArticleSet_Base::C_PP::C_E_PP::C_E_PP(void)
    : m_choice(e_not_set)
{
}

// destructor
CPubmedArticleSet_Base::C_PP::C_E_PP::~C_E_PP(void)
{
    Reset();
}


void CPubmedArticleSet_Base::C_PP::ResetPP(void)
{
    m_PP.clear();
    m_set_State[0] &= ~0x3;
}

void CPubmedArticleSet_Base::C_PP::Reset(void)
{
    ResetPP();
}

BEGIN_NAMED_CLASS_INFO("", CPubmedArticleSet_Base::C_PP)
{
    SET_INTERNAL_NAME("PubmedArticleSet", "PP");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_MEMBER("PP", m_PP, STL_list, (STL_CRef, (CLASS, (C_E_PP))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CPubmedArticleSet_Base::C_PP::C_PP(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CPubmedArticleSet_Base::C_PP::~C_PP(void)
{
}


void CPubmedArticleSet_Base::ResetPP(void)
{
    if ( !m_PP ) {
        m_PP.Reset(new TPP());
        return;
    }
    (*m_PP).Reset();
}

void CPubmedArticleSet_Base::SetPP(CPubmedArticleSet_Base::TPP& value)
{
    m_PP.Reset(&value);
}

void CPubmedArticleSet_Base::ResetDeleteCitation(void)
{
    m_DeleteCitation.Reset();
}

void CPubmedArticleSet_Base::SetDeleteCitation(CPubmedArticleSet_Base::TDeleteCitation& value)
{
    m_DeleteCitation.Reset(&value);
}

CPubmedArticleSet_Base::TDeleteCitation& CPubmedArticleSet_Base::SetDeleteCitation(void)
{
    if ( !m_DeleteCitation )
        m_DeleteCitation.Reset(new TDeleteCitation());
    return (*m_DeleteCitation);
}

void CPubmedArticleSet_Base::Reset(void)
{
    ResetPP();
    ResetDeleteCitation();
}

BEGIN_NAMED_BASE_CLASS_INFO("PubmedArticleSet", CPubmedArticleSet)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("PP", m_PP, C_PP)->SetNotag();
    ADD_NAMED_REF_MEMBER("DeleteCitation", m_DeleteCitation, CDeleteCitation)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CPubmedArticleSet_Base::CPubmedArticleSet_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetPP();
    }
}

// destructor
CPubmedArticleSet_Base::~CPubmedArticleSet_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

