/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/PubmedArticle.hpp>
#include <objtools/eutils/efetch/MedlineCitation.hpp>
#include <objtools/eutils/efetch/PubmedData.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CPubmedArticle_Base::ResetMedlineCitation(void)
{
    if ( !m_MedlineCitation ) {
        m_MedlineCitation.Reset(new TMedlineCitation());
        return;
    }
    (*m_MedlineCitation).Reset();
}

void CPubmedArticle_Base::SetMedlineCitation(CPubmedArticle_Base::TMedlineCitation& value)
{
    m_MedlineCitation.Reset(&value);
}

void CPubmedArticle_Base::ResetPubmedData(void)
{
    m_PubmedData.Reset();
}

void CPubmedArticle_Base::SetPubmedData(CPubmedArticle_Base::TPubmedData& value)
{
    m_PubmedData.Reset(&value);
}

CPubmedArticle_Base::TPubmedData& CPubmedArticle_Base::SetPubmedData(void)
{
    if ( !m_PubmedData )
        m_PubmedData.Reset(new TPubmedData());
    return (*m_PubmedData);
}

void CPubmedArticle_Base::Reset(void)
{
    ResetMedlineCitation();
    ResetPubmedData();
}

BEGIN_NAMED_BASE_CLASS_INFO("PubmedArticle", CPubmedArticle)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("MedlineCitation", m_MedlineCitation, CMedlineCitation);
    ADD_NAMED_REF_MEMBER("PubmedData", m_PubmedData, CPubmedData)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CPubmedArticle_Base::CPubmedArticle_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetMedlineCitation();
    }
}

// destructor
CPubmedArticle_Base::~CPubmedArticle_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

