/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/PubmedBookData.hpp>
#include <objtools/eutils/efetch/ArticleIdList.hpp>
#include <objtools/eutils/efetch/History.hpp>
#include <objtools/eutils/efetch/ObjectList.hpp>
#include <objtools/eutils/efetch/PublicationStatus.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CPubmedBookData_Base::ResetHistory(void)
{
    m_History.Reset();
}

void CPubmedBookData_Base::SetHistory(CPubmedBookData_Base::THistory& value)
{
    m_History.Reset(&value);
}

CPubmedBookData_Base::THistory& CPubmedBookData_Base::SetHistory(void)
{
    if ( !m_History )
        m_History.Reset(new THistory());
    return (*m_History);
}

void CPubmedBookData_Base::ResetPublicationStatus(void)
{
    if ( !m_PublicationStatus ) {
        m_PublicationStatus.Reset(new TPublicationStatus());
        return;
    }
    (*m_PublicationStatus).Reset();
}

void CPubmedBookData_Base::SetPublicationStatus(CPubmedBookData_Base::TPublicationStatus& value)
{
    m_PublicationStatus.Reset(&value);
}

void CPubmedBookData_Base::ResetArticleIdList(void)
{
    if ( !m_ArticleIdList ) {
        m_ArticleIdList.Reset(new TArticleIdList());
        return;
    }
    (*m_ArticleIdList).Reset();
}

void CPubmedBookData_Base::SetArticleIdList(CPubmedBookData_Base::TArticleIdList& value)
{
    m_ArticleIdList.Reset(&value);
}

void CPubmedBookData_Base::ResetObjectList(void)
{
    m_ObjectList.Reset();
}

void CPubmedBookData_Base::SetObjectList(CPubmedBookData_Base::TObjectList& value)
{
    m_ObjectList.Reset(&value);
}

CPubmedBookData_Base::TObjectList& CPubmedBookData_Base::SetObjectList(void)
{
    if ( !m_ObjectList )
        m_ObjectList.Reset(new TObjectList());
    return (*m_ObjectList);
}

void CPubmedBookData_Base::Reset(void)
{
    ResetHistory();
    ResetPublicationStatus();
    ResetArticleIdList();
    ResetObjectList();
}

BEGIN_NAMED_BASE_CLASS_INFO("PubmedBookData", CPubmedBookData)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("History", m_History, CHistory)->SetOptional();
    ADD_NAMED_REF_MEMBER("PublicationStatus", m_PublicationStatus, CPublicationStatus);
    ADD_NAMED_REF_MEMBER("ArticleIdList", m_ArticleIdList, CArticleIdList);
    ADD_NAMED_REF_MEMBER("ObjectList", m_ObjectList, CObjectList)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CPubmedBookData_Base::CPubmedBookData_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetPublicationStatus();
        ResetArticleIdList();
    }
}

// destructor
CPubmedBookData_Base::~CPubmedBookData_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

