/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/ReferenceList.hpp>
#include <objtools/eutils/efetch/Reference.hpp>
#include <objtools/eutils/efetch/Title.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CReferenceList_Base::ResetTitle(void)
{
    m_Title.Reset();
}

void CReferenceList_Base::SetTitle(CReferenceList_Base::TTitle& value)
{
    m_Title.Reset(&value);
}

CReferenceList_Base::TTitle& CReferenceList_Base::SetTitle(void)
{
    if ( !m_Title )
        m_Title.Reset(new TTitle());
    return (*m_Title);
}

void CReferenceList_Base::ResetReference(void)
{
    m_Reference.clear();
    m_set_State[0] &= ~0xc;
}

void CReferenceList_Base::ResetReferenceList(void)
{
    m_ReferenceList.clear();
    m_set_State[0] &= ~0x30;
}

void CReferenceList_Base::Reset(void)
{
    ResetTitle();
    ResetReference();
    ResetReferenceList();
}

BEGIN_NAMED_BASE_CLASS_INFO("ReferenceList", CReferenceList)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Title", m_Title, CPubmedTitle)->SetOptional();
    ADD_NAMED_MEMBER("Reference", m_Reference, STL_list, (STL_CRef, (CLASS, (CReference))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("ReferenceList", m_ReferenceList, STL_list, (STL_CRef, (CLASS, (CReferenceList))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CReferenceList_Base::CReferenceList_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CReferenceList_Base::~CReferenceList_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

