/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Reference.hpp>
#include <objtools/eutils/efetch/ArticleIdList.hpp>
#include <objtools/eutils/efetch/Citation.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CReference_Base::ResetCitation(void)
{
    if ( !m_Citation ) {
        m_Citation.Reset(new TCitation());
        return;
    }
    (*m_Citation).Reset();
}

void CReference_Base::SetCitation(CReference_Base::TCitation& value)
{
    m_Citation.Reset(&value);
}

void CReference_Base::ResetArticleIdList(void)
{
    m_ArticleIdList.Reset();
}

void CReference_Base::SetArticleIdList(CReference_Base::TArticleIdList& value)
{
    m_ArticleIdList.Reset(&value);
}

CReference_Base::TArticleIdList& CReference_Base::SetArticleIdList(void)
{
    if ( !m_ArticleIdList )
        m_ArticleIdList.Reset(new TArticleIdList());
    return (*m_ArticleIdList);
}

void CReference_Base::Reset(void)
{
    ResetCitation();
    ResetArticleIdList();
}

BEGIN_NAMED_BASE_CLASS_INFO("Reference", CReference)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Citation", m_Citation, CCitation);
    ADD_NAMED_REF_MEMBER("ArticleIdList", m_ArticleIdList, CArticleIdList)->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CReference_Base::CReference_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetCitation();
    }
}

// destructor
CReference_Base::~CReference_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

