/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Section.hpp>
#include <objtools/eutils/efetch/LocationLabel.hpp>
#include <objtools/eutils/efetch/SectionTitle.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CSection_Base::ResetLocationLabel(void)
{
    m_LocationLabel.Reset();
}

void CSection_Base::SetLocationLabel(CSection_Base::TLocationLabel& value)
{
    m_LocationLabel.Reset(&value);
}

CSection_Base::TLocationLabel& CSection_Base::SetLocationLabel(void)
{
    if ( !m_LocationLabel )
        m_LocationLabel.Reset(new TLocationLabel());
    return (*m_LocationLabel);
}

void CSection_Base::SetLocationLabel(const NCBI_NS_STD::string& value)
{
    SetLocationLabel() = value;
}

void CSection_Base::ResetSectionTitle(void)
{
    if ( !m_SectionTitle ) {
        m_SectionTitle.Reset(new TSectionTitle());
        return;
    }
    (*m_SectionTitle).Reset();
}

void CSection_Base::SetSectionTitle(CSection_Base::TSectionTitle& value)
{
    m_SectionTitle.Reset(&value);
}

void CSection_Base::ResetSection(void)
{
    m_Section.clear();
    m_set_State[0] &= ~0x30;
}

void CSection_Base::Reset(void)
{
    ResetLocationLabel();
    ResetSectionTitle();
    ResetSection();
}

BEGIN_NAMED_BASE_CLASS_INFO("Section", CSection)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("LocationLabel", m_LocationLabel, CLocationLabel)->SetOptional();
    ADD_NAMED_REF_MEMBER("SectionTitle", m_SectionTitle, CSectionTitle);
    ADD_NAMED_MEMBER("Section", m_Section, STL_list, (STL_CRef, (CLASS, (CSection))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CSection_Base::CSection_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetSectionTitle();
    }
}

// destructor
CSection_Base::~CSection_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

