/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Semantics.hpp>
#include <objtools/eutils/efetch/Annotation.hpp>
#include <objtools/eutils/efetch/Annotation_xml.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CSemantics_Base::C_Attlist::ResetId(void)
{
    m_Id.erase();
    m_set_State[0] &= ~0x3;
}

void CSemantics_Base::C_Attlist::ResetXref(void)
{
    m_Xref.erase();
    m_set_State[0] &= ~0xc;
}

void CSemantics_Base::C_Attlist::ResetClass(void)
{
    m_Class.erase();
    m_set_State[0] &= ~0x30;
}

void CSemantics_Base::C_Attlist::ResetStyle(void)
{
    m_Style.erase();
    m_set_State[0] &= ~0xc0;
}

void CSemantics_Base::C_Attlist::ResetHref(void)
{
    m_Href.erase();
    m_set_State[0] &= ~0x300;
}

void CSemantics_Base::C_Attlist::ResetEncoding(void)
{
    m_Encoding.erase();
    m_set_State[0] &= ~0xc00;
}

void CSemantics_Base::C_Attlist::ResetDefinitionURL(void)
{
    m_DefinitionURL.erase();
    m_set_State[0] &= ~0x3000;
}

void CSemantics_Base::C_Attlist::ResetCd(void)
{
    m_Cd.erase();
    m_set_State[0] &= ~0xc000;
}

void CSemantics_Base::C_Attlist::ResetName(void)
{
    m_Name.erase();
    m_set_State[0] &= ~0x30000;
}

void CSemantics_Base::C_Attlist::Reset(void)
{
    ResetId();
    ResetXref();
    ResetClass();
    ResetStyle();
    ResetHref();
    ResetEncoding();
    ResetDefinitionURL();
    ResetCd();
    ResetName();
}

BEGIN_NAMED_CLASS_INFO("", CSemantics_Base::C_Attlist)
{
    SET_INTERNAL_NAME("semantics", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_STD_MEMBER("id", m_Id)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("xref", m_Xref)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("class", m_Class)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("style", m_Style)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("href", m_Href)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("encoding", m_Encoding)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("definitionURL", m_DefinitionURL)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("cd", m_Cd)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("name", m_Name)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CSemantics_Base::C_Attlist::C_Attlist(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CSemantics_Base::C_Attlist::~C_Attlist(void)
{
}


void CSemantics_Base::C_AA::C_E_AA::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CSemantics_Base::C_AA::C_E_AA::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Annotation:
    case e_Annotation_xml:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CSemantics_Base::C_AA::C_E_AA::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Annotation:
        (m_object = new(pool) eutils::CAnnotation())->AddReference();
        break;
    case e_Annotation_xml:
        (m_object = new(pool) eutils::CAnnotation_xml())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CSemantics_Base::C_AA::C_E_AA::sm_SelectionNames[] = {
    "not set",
    "annotation",
    "annotation-xml"
};

NCBI_NS_STD::string CSemantics_Base::C_AA::C_E_AA::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CSemantics_Base::C_AA::C_E_AA::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CSemantics_Base::C_AA::C_E_AA::TAnnotation& CSemantics_Base::C_AA::C_E_AA::GetAnnotation(void) const
{
    CheckSelected(e_Annotation);
    return *static_cast<const TAnnotation*>(m_object);
}

CSemantics_Base::C_AA::C_E_AA::TAnnotation& CSemantics_Base::C_AA::C_E_AA::SetAnnotation(void)
{
    Select(e_Annotation, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TAnnotation*>(m_object);
}

void CSemantics_Base::C_AA::C_E_AA::SetAnnotation(CSemantics_Base::C_AA::C_E_AA::TAnnotation& value)
{
    TAnnotation* ptr = &value;
    if ( m_choice != e_Annotation || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Annotation;
    }
}

const CSemantics_Base::C_AA::C_E_AA::TAnnotation_xml& CSemantics_Base::C_AA::C_E_AA::GetAnnotation_xml(void) const
{
    CheckSelected(e_Annotation_xml);
    return *static_cast<const TAnnotation_xml*>(m_object);
}

CSemantics_Base::C_AA::C_E_AA::TAnnotation_xml& CSemantics_Base::C_AA::C_E_AA::SetAnnotation_xml(void)
{
    Select(e_Annotation_xml, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TAnnotation_xml*>(m_object);
}

void CSemantics_Base::C_AA::C_E_AA::SetAnnotation_xml(CSemantics_Base::C_AA::C_E_AA::TAnnotation_xml& value)
{
    TAnnotation_xml* ptr = &value;
    if ( m_choice != e_Annotation_xml || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Annotation_xml;
    }
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CSemantics_Base::C_AA::C_E_AA)
{
    SET_INTERNAL_NAME("semantics.AA.AA", "E");
    SET_CHOICE_MODULE("efetch");
    ADD_NAMED_REF_CHOICE_VARIANT("annotation", m_object, CAnnotation);
    ADD_NAMED_REF_CHOICE_VARIANT("annotation-xml", m_object, CAnnotation_xml);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CSemantics_Base::C_AA::C_E_AA::C_E_AA(void)
    : m_choice(e_not_set)
{
}

// destructor
CSemantics_Base::C_AA::C_E_AA::~C_E_AA(void)
{
    Reset();
}


void CSemantics_Base::C_AA::ResetAA(void)
{
    m_AA.clear();
    m_set_State[0] &= ~0x3;
}

void CSemantics_Base::C_AA::Reset(void)
{
    ResetAA();
}

BEGIN_NAMED_CLASS_INFO("", CSemantics_Base::C_AA)
{
    SET_INTERNAL_NAME("semantics", "AA");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_MEMBER("AA", m_AA, STL_list, (STL_CRef, (CLASS, (C_E_AA))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CSemantics_Base::C_AA::C_AA(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CSemantics_Base::C_AA::~C_AA(void)
{
}


void CSemantics_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CSemantics_Base::SetAttlist(CSemantics_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CSemantics_Base::ResetMathExpression(void)
{
    if ( !m_MathExpression ) {
        m_MathExpression.Reset(new TMathExpression());
        return;
    }
    (*m_MathExpression).Reset();
}

void CSemantics_Base::SetMathExpression(CSemantics_Base::TMathExpression& value)
{
    m_MathExpression.Reset(&value);
}

void CSemantics_Base::ResetAA(void)
{
    m_AA.Reset();
}

void CSemantics_Base::SetAA(CSemantics_Base::TAA& value)
{
    m_AA.Reset(&value);
}

CSemantics_Base::TAA& CSemantics_Base::SetAA(void)
{
    if ( !m_AA )
        m_AA.Reset(new TAA());
    return (*m_AA);
}

void CSemantics_Base::Reset(void)
{
    ResetAttlist();
    ResetMathExpression();
    ResetAA();
}

BEGIN_NAMED_BASE_CLASS_INFO("semantics", CSemantics)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_REF_MEMBER("MathExpression", m_MathExpression, C_MathExpression)->SetNotag();
    ADD_NAMED_REF_MEMBER("AA", m_AA, C_AA)->SetOptional()->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CSemantics_Base::CSemantics_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
        ResetMathExpression();
    }
}

// destructor
CSemantics_Base::~CSemantics_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

