/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/SupplMeshName.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CSupplMeshName_Base::C_Attlist::, EAttlist_Type, false)
{
    SET_ENUM_INTERNAL_NAME("SupplMeshName.Attlist", "Type");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("Disease", eAttlist_Type_Disease);
    ADD_ENUM_VALUE("Protocol", eAttlist_Type_Protocol);
    ADD_ENUM_VALUE("Organism", eAttlist_Type_Organism);
    ADD_ENUM_VALUE("Anatomy", eAttlist_Type_Anatomy);
    ADD_ENUM_VALUE("Population", eAttlist_Type_Population);
}
END_ENUM_INFO

void CSupplMeshName_Base::C_Attlist::ResetUI(void)
{
    m_UI.erase();
    m_set_State[0] &= ~0xc;
}

void CSupplMeshName_Base::C_Attlist::Reset(void)
{
    ResetType();
    ResetUI();
}

BEGIN_NAMED_CLASS_INFO("", CSupplMeshName_Base::C_Attlist)
{
    SET_INTERNAL_NAME("SupplMeshName", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_ENUM_MEMBER("Type", m_Type, EAttlist_Type)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNsQualified(false);
    ADD_NAMED_STD_MEMBER("UI", m_UI)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CSupplMeshName_Base::C_Attlist::C_Attlist(void)
    : m_Type((EAttlist_Type)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CSupplMeshName_Base::C_Attlist::~C_Attlist(void)
{
}


void CSupplMeshName_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CSupplMeshName_Base::SetAttlist(CSupplMeshName_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CSupplMeshName_Base::ResetSupplMeshName(void)
{
    m_SupplMeshName.erase();
    m_set_State[0] &= ~0xc;
}

void CSupplMeshName_Base::Reset(void)
{
    ResetAttlist();
    ResetSupplMeshName();
}

BEGIN_NAMED_BASE_CLASS_INFO("SupplMeshName", CSupplMeshName)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_STD_MEMBER("SupplMeshName", m_SupplMeshName)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CSupplMeshName_Base::CSupplMeshName_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CSupplMeshName_Base::~CSupplMeshName_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

