/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/TableRowExpression.hpp>
#include <objtools/eutils/efetch/Mlabeledtr.hpp>
#include <objtools/eutils/efetch/Mtr.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CTableRowExpression_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CTableRowExpression_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Mtr:
    case e_Mlabeledtr:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CTableRowExpression_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Mtr:
        (m_object = new(pool) eutils::CMtr())->AddReference();
        break;
    case e_Mlabeledtr:
        (m_object = new(pool) eutils::CMlabeledtr())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CTableRowExpression_Base::sm_SelectionNames[] = {
    "not set",
    "mtr",
    "mlabeledtr"
};

NCBI_NS_STD::string CTableRowExpression_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CTableRowExpression_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CTableRowExpression_Base::TMtr& CTableRowExpression_Base::GetMtr(void) const
{
    CheckSelected(e_Mtr);
    return *static_cast<const TMtr*>(m_object);
}

CTableRowExpression_Base::TMtr& CTableRowExpression_Base::SetMtr(void)
{
    Select(e_Mtr, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TMtr*>(m_object);
}

void CTableRowExpression_Base::SetMtr(CTableRowExpression_Base::TMtr& value)
{
    TMtr* ptr = &value;
    if ( m_choice != e_Mtr || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Mtr;
    }
}

const CTableRowExpression_Base::TMlabeledtr& CTableRowExpression_Base::GetMlabeledtr(void) const
{
    CheckSelected(e_Mlabeledtr);
    return *static_cast<const TMlabeledtr*>(m_object);
}

CTableRowExpression_Base::TMlabeledtr& CTableRowExpression_Base::SetMlabeledtr(void)
{
    Select(e_Mlabeledtr, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TMlabeledtr*>(m_object);
}

void CTableRowExpression_Base::SetMlabeledtr(CTableRowExpression_Base::TMlabeledtr& value)
{
    TMlabeledtr* ptr = &value;
    if ( m_choice != e_Mlabeledtr || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Mlabeledtr;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("", CTableRowExpression)
{
    SET_CHOICE_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(false);
    ADD_NAMED_REF_CHOICE_VARIANT("mtr", m_object, CMtr)->SetNsQualified(true);
    ADD_NAMED_REF_CHOICE_VARIANT("mlabeledtr", m_object, CMlabeledtr)->SetNsQualified(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CTableRowExpression_Base::CTableRowExpression_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CTableRowExpression_Base::~CTableRowExpression_Base(void)
{
    Reset();
}



END_eutils_SCOPE // namespace eutils::

