/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Text.hpp>
#include <objtools/eutils/efetch/B.hpp>
#include <objtools/eutils/efetch/I.hpp>
#include <objtools/eutils/efetch/Sub.hpp>
#include <objtools/eutils/efetch/Sup.hpp>
#include <objtools/eutils/efetch/U.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CText_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CText_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_B:
    case e_I:
    case e_Sup:
    case e_Sub:
    case e_U:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CText_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_B:
        (m_object = new(pool) eutils::CB())->AddReference();
        break;
    case e_I:
        (m_object = new(pool) eutils::CI())->AddReference();
        break;
    case e_Sup:
        (m_object = new(pool) eutils::CSup())->AddReference();
        break;
    case e_Sub:
        (m_object = new(pool) eutils::CSub())->AddReference();
        break;
    case e_U:
        (m_object = new(pool) eutils::CU())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CText_Base::sm_SelectionNames[] = {
    "not set",
    "b",
    "i",
    "sup",
    "sub",
    "u"
};

NCBI_NS_STD::string CText_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CText_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CText_Base::TB& CText_Base::GetB(void) const
{
    CheckSelected(e_B);
    return *static_cast<const TB*>(m_object);
}

CText_Base::TB& CText_Base::SetB(void)
{
    Select(e_B, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TB*>(m_object);
}

void CText_Base::SetB(CText_Base::TB& value)
{
    TB* ptr = &value;
    if ( m_choice != e_B || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_B;
    }
}

const CText_Base::TI& CText_Base::GetI(void) const
{
    CheckSelected(e_I);
    return *static_cast<const TI*>(m_object);
}

CText_Base::TI& CText_Base::SetI(void)
{
    Select(e_I, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TI*>(m_object);
}

void CText_Base::SetI(CText_Base::TI& value)
{
    TI* ptr = &value;
    if ( m_choice != e_I || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_I;
    }
}

const CText_Base::TSup& CText_Base::GetSup(void) const
{
    CheckSelected(e_Sup);
    return *static_cast<const TSup*>(m_object);
}

CText_Base::TSup& CText_Base::SetSup(void)
{
    Select(e_Sup, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TSup*>(m_object);
}

void CText_Base::SetSup(CText_Base::TSup& value)
{
    TSup* ptr = &value;
    if ( m_choice != e_Sup || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Sup;
    }
}

const CText_Base::TSub& CText_Base::GetSub(void) const
{
    CheckSelected(e_Sub);
    return *static_cast<const TSub*>(m_object);
}

CText_Base::TSub& CText_Base::SetSub(void)
{
    Select(e_Sub, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TSub*>(m_object);
}

void CText_Base::SetSub(CText_Base::TSub& value)
{
    TSub* ptr = &value;
    if ( m_choice != e_Sub || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_Sub;
    }
}

const CText_Base::TU& CText_Base::GetU(void) const
{
    CheckSelected(e_U);
    return *static_cast<const TU*>(m_object);
}

CText_Base::TU& CText_Base::SetU(void)
{
    Select(e_U, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TU*>(m_object);
}

void CText_Base::SetU(CText_Base::TU& value)
{
    TU* ptr = &value;
    if ( m_choice != e_U || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_U;
    }
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("", CText)
{
    SET_CHOICE_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(false);
    ADD_NAMED_REF_CHOICE_VARIANT("b", m_object, CB)->SetNsQualified(true);
    ADD_NAMED_REF_CHOICE_VARIANT("i", m_object, CI)->SetNsQualified(true);
    ADD_NAMED_REF_CHOICE_VARIANT("sup", m_object, CSup)->SetNsQualified(true);
    ADD_NAMED_REF_CHOICE_VARIANT("sub", m_object, CSub)->SetNsQualified(true);
    ADD_NAMED_REF_CHOICE_VARIANT("u", m_object, CU)->SetNsQualified(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CText_Base::CText_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CText_Base::~CText_Base(void)
{
    Reset();
}



END_eutils_SCOPE // namespace eutils::

