/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/Token_content.hpp>
#include <objtools/eutils/efetch/Malignmark.hpp>
#include <objtools/eutils/efetch/Mglyph.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

void CToken_content_Base::C_EMM::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CToken_content_Base::C_EMM::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Mglyph:
    case e_Malignmark:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CToken_content_Base::C_EMM::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_Mglyph:
        (m_object = new(pool) eutils::CMglyph())->AddReference();
        break;
    case e_Malignmark:
        (m_object = new(pool) eutils::CMalignmark())->AddReference();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CToken_content_Base::C_EMM::sm_SelectionNames[] = {
    "not set",
    "mglyph",
    "malignmark"
};

NCBI_NS_STD::string CToken_content_Base::C_EMM::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CToken_content_Base::C_EMM::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CToken_content_Base::C_EMM::TMglyph& CToken_content_Base::C_EMM::GetMglyph(void) const
{
    CheckSelected(e_Mglyph);
    return *static_cast<const TMglyph*>(m_object);
}

CToken_content_Base::C_EMM::TMglyph& CToken_content_Base::C_EMM::SetMglyph(void)
{
    Select(e_Mglyph, NCBI_NS_NCBI::eDoNotResetVariant);
    CToken_content_Base::C_EMM::TMglyph& value = *static_cast<TMglyph*>(m_object);
    value.SetMglyph();
    return value;
}

const CToken_content_Base::C_EMM::TMalignmark& CToken_content_Base::C_EMM::GetMalignmark(void) const
{
    CheckSelected(e_Malignmark);
    return *static_cast<const TMalignmark*>(m_object);
}

CToken_content_Base::C_EMM::TMalignmark& CToken_content_Base::C_EMM::SetMalignmark(void)
{
    Select(e_Malignmark, NCBI_NS_NCBI::eDoNotResetVariant);
    CToken_content_Base::C_EMM::TMalignmark& value = *static_cast<TMalignmark*>(m_object);
    value.SetMalignmark();
    return value;
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CToken_content_Base::C_EMM)
{
    SET_INTERNAL_NAME("token.content", "EMM");
    SET_CHOICE_MODULE("efetch");
    ADD_NAMED_REF_CHOICE_VARIANT("mglyph", m_object, CMglyph)->SetNsQualified(true);
    ADD_NAMED_REF_CHOICE_VARIANT("malignmark", m_object, CMalignmark)->SetNsQualified(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CHOICE_INFO

// constructor
CToken_content_Base::C_EMM::C_EMM(void)
    : m_choice(e_not_set)
{
}

// destructor
CToken_content_Base::C_EMM::~C_EMM(void)
{
    Reset();
}


void CToken_content_Base::ResetEMM(void)
{
    m_EMM.Reset();
}

void CToken_content_Base::SetEMM(CToken_content_Base::TEMM& value)
{
    m_EMM.Reset(&value);
}

CToken_content_Base::TEMM& CToken_content_Base::SetEMM(void)
{
    if ( !m_EMM )
        m_EMM.Reset(new TEMM());
    return (*m_EMM);
}

void CToken_content_Base::Reset(void)
{
    ResetEMM();
}

BEGIN_NAMED_BASE_CLASS_INFO("", CToken_content)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.w3.org/1998/Math/MathML")->SetNsQualified(false);
    ADD_NAMED_REF_MEMBER("EMM", m_EMM, C_EMM)->SetOptional()->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CToken_content_Base::CToken_content_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CToken_content_Base::~CToken_content_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

