/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'efetch.xsd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/efetch/URL.hpp>
BEGIN_eutils_SCOPE // namespace eutils::


// generated classes

BEGIN_NAMED_ENUM_IN_INFO("", CURL_Base::C_Attlist::, EAttlist_lang, false)
{
    SET_ENUM_INTERNAL_NAME("URL.Attlist", "lang");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("AF", eAttlist_lang_AF);
    ADD_ENUM_VALUE("AR", eAttlist_lang_AR);
    ADD_ENUM_VALUE("AZ", eAttlist_lang_AZ);
    ADD_ENUM_VALUE("BG", eAttlist_lang_BG);
    ADD_ENUM_VALUE("CS", eAttlist_lang_CS);
    ADD_ENUM_VALUE("DA", eAttlist_lang_DA);
    ADD_ENUM_VALUE("DE", eAttlist_lang_DE);
    ADD_ENUM_VALUE("EN", eAttlist_lang_EN);
    ADD_ENUM_VALUE("EL", eAttlist_lang_EL);
    ADD_ENUM_VALUE("ES", eAttlist_lang_ES);
    ADD_ENUM_VALUE("FA", eAttlist_lang_FA);
    ADD_ENUM_VALUE("FI", eAttlist_lang_FI);
    ADD_ENUM_VALUE("FR", eAttlist_lang_FR);
    ADD_ENUM_VALUE("HE", eAttlist_lang_HE);
    ADD_ENUM_VALUE("HU", eAttlist_lang_HU);
    ADD_ENUM_VALUE("HY", eAttlist_lang_HY);
    ADD_ENUM_VALUE("IN", eAttlist_lang_IN);
    ADD_ENUM_VALUE("IS", eAttlist_lang_IS);
    ADD_ENUM_VALUE("IT", eAttlist_lang_IT);
    ADD_ENUM_VALUE("IW", eAttlist_lang_IW);
    ADD_ENUM_VALUE("JA", eAttlist_lang_JA);
    ADD_ENUM_VALUE("KA", eAttlist_lang_KA);
    ADD_ENUM_VALUE("KO", eAttlist_lang_KO);
    ADD_ENUM_VALUE("LT", eAttlist_lang_LT);
    ADD_ENUM_VALUE("MK", eAttlist_lang_MK);
    ADD_ENUM_VALUE("ML", eAttlist_lang_ML);
    ADD_ENUM_VALUE("NL", eAttlist_lang_NL);
    ADD_ENUM_VALUE("NO", eAttlist_lang_NO);
    ADD_ENUM_VALUE("PL", eAttlist_lang_PL);
    ADD_ENUM_VALUE("PT", eAttlist_lang_PT);
    ADD_ENUM_VALUE("PS", eAttlist_lang_PS);
    ADD_ENUM_VALUE("RO", eAttlist_lang_RO);
    ADD_ENUM_VALUE("RU", eAttlist_lang_RU);
    ADD_ENUM_VALUE("SL", eAttlist_lang_SL);
    ADD_ENUM_VALUE("SK", eAttlist_lang_SK);
    ADD_ENUM_VALUE("SQ", eAttlist_lang_SQ);
    ADD_ENUM_VALUE("SR", eAttlist_lang_SR);
    ADD_ENUM_VALUE("SV", eAttlist_lang_SV);
    ADD_ENUM_VALUE("SW", eAttlist_lang_SW);
    ADD_ENUM_VALUE("TH", eAttlist_lang_TH);
    ADD_ENUM_VALUE("TR", eAttlist_lang_TR);
    ADD_ENUM_VALUE("UK", eAttlist_lang_UK);
    ADD_ENUM_VALUE("VI", eAttlist_lang_VI);
    ADD_ENUM_VALUE("ZH", eAttlist_lang_ZH);
}
END_ENUM_INFO

BEGIN_NAMED_ENUM_IN_INFO("", CURL_Base::C_Attlist::, EAttlist_Type, false)
{
    SET_ENUM_INTERNAL_NAME("URL.Attlist", "Type");
    SET_ENUM_MODULE("efetch");
    ADD_ENUM_VALUE("FullText", eAttlist_Type_FullText);
    ADD_ENUM_VALUE("Summary", eAttlist_Type_Summary);
    ADD_ENUM_VALUE("fulltext", eAttlist_Type_fulltext);
    ADD_ENUM_VALUE("summary", eAttlist_Type_summary);
}
END_ENUM_INFO

void CURL_Base::C_Attlist::Reset(void)
{
    ResetLang();
    ResetType();
}

BEGIN_NAMED_CLASS_INFO("", CURL_Base::C_Attlist)
{
    SET_INTERNAL_NAME("URL", "Attlist");
    SET_CLASS_MODULE("efetch");
    ADD_NAMED_ENUM_MEMBER("lang", m_Lang, EAttlist_lang)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    ADD_NAMED_ENUM_MEMBER("Type", m_Type, EAttlist_Type)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional()->SetNsQualified(false);
    info->SetRandomOrder(true);
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CURL_Base::C_Attlist::C_Attlist(void)
    : m_Lang((EAttlist_lang)(0)), m_Type((EAttlist_Type)(0))
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CURL_Base::C_Attlist::~C_Attlist(void)
{
}


void CURL_Base::ResetAttlist(void)
{
    if ( !m_Attlist ) {
        m_Attlist.Reset(new TAttlist());
        return;
    }
    (*m_Attlist).Reset();
}

void CURL_Base::SetAttlist(CURL_Base::TAttlist& value)
{
    m_Attlist.Reset(&value);
}

void CURL_Base::ResetURL(void)
{
    m_URL.erase();
    m_set_State[0] &= ~0xc;
}

void CURL_Base::Reset(void)
{
    ResetAttlist();
    ResetURL();
}

BEGIN_NAMED_BASE_CLASS_INFO("URL", CURL)
{
    SET_CLASS_MODULE("efetch");
    SET_NAMESPACE("http://www.ncbi.nlm.nih.gov")->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("Attlist", m_Attlist, C_Attlist)->SetAttlist();
    ADD_NAMED_STD_MEMBER("URL", m_URL)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eXSD);
}
END_CLASS_INFO

// constructor
CURL_Base::CURL_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetAttlist();
    }
}

// destructor
CURL_Base::~CURL_Base(void)
{
}



END_eutils_SCOPE // namespace eutils::

