/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'einfo.dtd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/einfo/EInfoResult.hpp>
#include <objtools/eutils/einfo/DbInfo.hpp>
#include <objtools/eutils/einfo/DbList.hpp>
BEGIN_einfo_SCOPE // namespace einfo::


// generated classes

void CEInfoResult_Base::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CEInfoResult_Base::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_ERROR:
        m_string.Destruct();
        break;
    case e_DbList:
    case e_DbInfo:
        m_object->RemoveReference();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CEInfoResult_Base::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* pool)
{
    switch ( index ) {
    case e_DbList:
        (m_object = new(pool) einfo::CDbList())->AddReference();
        break;
    case e_DbInfo:
        (m_object = new(pool) einfo::CDbInfo())->AddReference();
        break;
    case e_ERROR:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CEInfoResult_Base::sm_SelectionNames[] = {
    "not set",
    "DbList",
    "DbInfo",
    "ERROR"
};

NCBI_NS_STD::string CEInfoResult_Base::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CEInfoResult_Base::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

const CEInfoResult_Base::TDbList& CEInfoResult_Base::GetDbList(void) const
{
    CheckSelected(e_DbList);
    return *static_cast<const TDbList*>(m_object);
}

CEInfoResult_Base::TDbList& CEInfoResult_Base::SetDbList(void)
{
    Select(e_DbList, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TDbList*>(m_object);
}

void CEInfoResult_Base::SetDbList(CEInfoResult_Base::TDbList& value)
{
    TDbList* ptr = &value;
    if ( m_choice != e_DbList || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_DbList;
    }
}

const CEInfoResult_Base::TDbInfo& CEInfoResult_Base::GetDbInfo(void) const
{
    CheckSelected(e_DbInfo);
    return *static_cast<const TDbInfo*>(m_object);
}

CEInfoResult_Base::TDbInfo& CEInfoResult_Base::SetDbInfo(void)
{
    Select(e_DbInfo, NCBI_NS_NCBI::eDoNotResetVariant);
    return *static_cast<TDbInfo*>(m_object);
}

void CEInfoResult_Base::SetDbInfo(CEInfoResult_Base::TDbInfo& value)
{
    TDbInfo* ptr = &value;
    if ( m_choice != e_DbInfo || m_object != ptr ) {
        ResetSelection();
        (m_object = ptr)->AddReference();
        m_choice = e_DbInfo;
    }
}

void CEInfoResult_Base::SetERROR(const CEInfoResult_Base::TERROR& value)
{
    Select(e_ERROR, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

// helper methods

// type info
BEGIN_NAMED_BASE_CHOICE_INFO("eInfoResult", CEInfoResult)
{
    SET_CHOICE_MODULE("einfo");
    ADD_NAMED_REF_CHOICE_VARIANT("DbList", m_object, CDbList)->SetNsQualified(true);
    ADD_NAMED_REF_CHOICE_VARIANT("DbInfo", m_object, CDbInfo)->SetNsQualified(true);
    ADD_NAMED_BUF_CHOICE_VARIANT("ERROR", m_string, STD, (NCBI_NS_STD::string));
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eDTD);
}
END_CHOICE_INFO

// constructor
CEInfoResult_Base::CEInfoResult_Base(void)
    : m_choice(e_not_set)
{
}

// destructor
CEInfoResult_Base::~CEInfoResult_Base(void)
{
    Reset();
}



END_einfo_SCOPE // namespace einfo::

