/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'elink.dtd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/elink/IdLinkSet.hpp>
#include <objtools/eutils/elink/Id.hpp>
#include <objtools/eutils/elink/LinkInfo.hpp>
BEGIN_elink_SCOPE // namespace elink::


// generated classes

void CIdLinkSet_Base::ResetId(void)
{
    if ( !m_Id ) {
        m_Id.Reset(new TId());
        return;
    }
    (*m_Id).Reset();
}

void CIdLinkSet_Base::SetId(CIdLinkSet_Base::TId& value)
{
    m_Id.Reset(&value);
}

void CIdLinkSet_Base::SetId(const NCBI_NS_STD::string& value)
{
    SetId() = value;
}

void CIdLinkSet_Base::ResetLinkInfo(void)
{
    m_LinkInfo.clear();
    m_set_State[0] &= ~0xc;
}

void CIdLinkSet_Base::Reset(void)
{
    ResetId();
    ResetLinkInfo();
}

BEGIN_NAMED_BASE_CLASS_INFO("IdLinkSet", CIdLinkSet)
{
    SET_CLASS_MODULE("elink");
    ADD_NAMED_REF_MEMBER("Id", m_Id, CId)->SetNsQualified(true);
    ADD_NAMED_MEMBER("LinkInfo", m_LinkInfo, STL_list, (STL_CRef, (CLASS, (CLinkInfo))))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eDTD);
}
END_CLASS_INFO

// constructor
CIdLinkSet_Base::CIdLinkSet_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetId();
    }
}

// destructor
CIdLinkSet_Base::~CIdLinkSet_Base(void)
{
}



END_elink_SCOPE // namespace elink::

