/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'elink.dtd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/elink/IdUrlSet.hpp>
#include <objtools/eutils/elink/Id.hpp>
#include <objtools/eutils/elink/ObjUrl.hpp>
BEGIN_elink_SCOPE // namespace elink::


// generated classes

void CIdUrlSet_Base::C_Data::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CIdUrlSet_Base::C_Data::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_ObjUrl:
        m_ObjUrl.Destruct();
        break;
    case e_Info:
        m_string.Destruct();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CIdUrlSet_Base::C_Data::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* )
{
    switch ( index ) {
    case e_ObjUrl:
        m_ObjUrl.Construct();
        break;
    case e_Info:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CIdUrlSet_Base::C_Data::sm_SelectionNames[] = {
    "not set",
    "ObjUrl",
    "Info"
};

NCBI_NS_STD::string CIdUrlSet_Base::C_Data::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CIdUrlSet_Base::C_Data::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CIdUrlSet_Base::C_Data::SetInfo(const CIdUrlSet_Base::C_Data::TInfo& value)
{
    Select(e_Info, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CIdUrlSet_Base::C_Data)
{
    SET_INTERNAL_NAME("IdUrlSet", "OI");
    SET_CHOICE_MODULE("elink");
    ADD_NAMED_BUF_CHOICE_VARIANT("ObjUrl", m_ObjUrl, STL_list, (STL_CRef, (CLASS, (CObjUrl))))->SetNonEmpty();
    ADD_NAMED_BUF_CHOICE_VARIANT("Info", m_string, STD, (NCBI_NS_STD::string));
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eDTD);
}
END_CHOICE_INFO

// constructor
CIdUrlSet_Base::C_Data::C_Data(void)
    : m_choice(e_not_set)
{
}

// destructor
CIdUrlSet_Base::C_Data::~C_Data(void)
{
    Reset();
}


void CIdUrlSet_Base::ResetId(void)
{
    if ( !m_Id ) {
        m_Id.Reset(new TId());
        return;
    }
    (*m_Id).Reset();
}

void CIdUrlSet_Base::SetId(CIdUrlSet_Base::TId& value)
{
    m_Id.Reset(&value);
}

void CIdUrlSet_Base::SetId(const NCBI_NS_STD::string& value)
{
    SetId() = value;
}

void CIdUrlSet_Base::ResetData(void)
{
    if ( !m_Data ) {
        m_Data.Reset(new TData());
        return;
    }
    (*m_Data).Reset();
}

void CIdUrlSet_Base::SetData(CIdUrlSet_Base::TData& value)
{
    m_Data.Reset(&value);
}

void CIdUrlSet_Base::Reset(void)
{
    ResetId();
    ResetData();
}

BEGIN_NAMED_BASE_CLASS_INFO("IdUrlSet", CIdUrlSet)
{
    SET_CLASS_MODULE("elink");
    ADD_NAMED_REF_MEMBER("Id", m_Id, CId)->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("OI", m_Data, C_Data)->SetNotag();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eDTD);
}
END_CLASS_INFO

// constructor
CIdUrlSet_Base::CIdUrlSet_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetId();
        ResetData();
    }
}

// destructor
CIdUrlSet_Base::~CIdUrlSet_Base(void)
{
}



END_elink_SCOPE // namespace elink::

