/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'elink.dtd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/elink/LinkSetDbHistory.hpp>
BEGIN_elink_SCOPE // namespace elink::


// generated classes

void CLinkSetDbHistory_Base::C_QI::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CLinkSetDbHistory_Base::C_QI::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_QueryKey:
    case e_Info:
        m_string.Destruct();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CLinkSetDbHistory_Base::C_QI::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* )
{
    switch ( index ) {
    case e_QueryKey:
    case e_Info:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CLinkSetDbHistory_Base::C_QI::sm_SelectionNames[] = {
    "not set",
    "QueryKey",
    "Info"
};

NCBI_NS_STD::string CLinkSetDbHistory_Base::C_QI::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CLinkSetDbHistory_Base::C_QI::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CLinkSetDbHistory_Base::C_QI::SetQueryKey(const CLinkSetDbHistory_Base::C_QI::TQueryKey& value)
{
    Select(e_QueryKey, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

void CLinkSetDbHistory_Base::C_QI::SetInfo(const CLinkSetDbHistory_Base::C_QI::TInfo& value)
{
    Select(e_Info, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CLinkSetDbHistory_Base::C_QI)
{
    SET_INTERNAL_NAME("LinkSetDbHistory", "QI");
    SET_CHOICE_MODULE("elink");
    ADD_NAMED_BUF_CHOICE_VARIANT("QueryKey", m_string, STD, (NCBI_NS_STD::string));
    ADD_NAMED_BUF_CHOICE_VARIANT("Info", m_string, STD, (NCBI_NS_STD::string));
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eDTD);
}
END_CHOICE_INFO

// constructor
CLinkSetDbHistory_Base::C_QI::C_QI(void)
    : m_choice(e_not_set)
{
}

// destructor
CLinkSetDbHistory_Base::C_QI::~C_QI(void)
{
    Reset();
}


void CLinkSetDbHistory_Base::ResetDbTo(void)
{
    m_DbTo.erase();
    m_set_State[0] &= ~0x3;
}

void CLinkSetDbHistory_Base::ResetLinkName(void)
{
    m_LinkName.erase();
    m_set_State[0] &= ~0xc;
}

void CLinkSetDbHistory_Base::ResetQI(void)
{
    if ( !m_QI ) {
        m_QI.Reset(new TQI());
        return;
    }
    (*m_QI).Reset();
}

void CLinkSetDbHistory_Base::SetQI(CLinkSetDbHistory_Base::TQI& value)
{
    m_QI.Reset(&value);
}

void CLinkSetDbHistory_Base::ResetERROR(void)
{
    m_ERROR.erase();
    m_set_State[0] &= ~0xc0;
}

void CLinkSetDbHistory_Base::Reset(void)
{
    ResetDbTo();
    ResetLinkName();
    ResetQI();
    ResetERROR();
}

BEGIN_NAMED_BASE_CLASS_INFO("LinkSetDbHistory", CLinkSetDbHistory)
{
    SET_CLASS_MODULE("elink");
    ADD_NAMED_STD_MEMBER("DbTo", m_DbTo)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_STD_MEMBER("LinkName", m_LinkName)->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    ADD_NAMED_REF_MEMBER("QI", m_QI, C_QI)->SetNotag();
    ADD_NAMED_STD_MEMBER("ERROR", m_ERROR)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eDTD);
}
END_CLASS_INFO

// constructor
CLinkSetDbHistory_Base::CLinkSetDbHistory_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetQI();
    }
}

// destructor
CLinkSetDbHistory_Base::~CLinkSetDbHistory_Base(void)
{
}



END_elink_SCOPE // namespace elink::

