/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'elink.dtd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/elink/ObjUrl.hpp>
#include <objtools/eutils/elink/IconUrl.hpp>
#include <objtools/eutils/elink/Provider.hpp>
#include <objtools/eutils/elink/Url.hpp>
BEGIN_elink_SCOPE // namespace elink::


// generated classes

void CObjUrl_Base::ResetUrl(void)
{
    if ( !m_Url ) {
        m_Url.Reset(new TUrl());
        return;
    }
    (*m_Url).Reset();
}

void CObjUrl_Base::SetUrl(CObjUrl_Base::TUrl& value)
{
    m_Url.Reset(&value);
}

void CObjUrl_Base::SetUrl(const NCBI_NS_STD::string& value)
{
    SetUrl() = value;
}

void CObjUrl_Base::ResetIconUrl(void)
{
    m_IconUrl.Reset();
}

void CObjUrl_Base::SetIconUrl(CObjUrl_Base::TIconUrl& value)
{
    m_IconUrl.Reset(&value);
}

CObjUrl_Base::TIconUrl& CObjUrl_Base::SetIconUrl(void)
{
    if ( !m_IconUrl )
        m_IconUrl.Reset(new TIconUrl());
    return (*m_IconUrl);
}

void CObjUrl_Base::SetIconUrl(const NCBI_NS_STD::string& value)
{
    SetIconUrl() = value;
}

void CObjUrl_Base::ResetLinkName(void)
{
    m_LinkName.erase();
    m_set_State[0] &= ~0x30;
}

void CObjUrl_Base::ResetSubjectType(void)
{
    m_SubjectType.clear();
    m_set_State[0] &= ~0xc0;
}

void CObjUrl_Base::ResetCategory(void)
{
    m_Category.clear();
    m_set_State[0] &= ~0x300;
}

void CObjUrl_Base::ResetAttribute(void)
{
    m_Attribute.clear();
    m_set_State[0] &= ~0xc00;
}

void CObjUrl_Base::ResetProvider(void)
{
    if ( !m_Provider ) {
        m_Provider.Reset(new TProvider());
        return;
    }
    (*m_Provider).Reset();
}

void CObjUrl_Base::SetProvider(CObjUrl_Base::TProvider& value)
{
    m_Provider.Reset(&value);
}

void CObjUrl_Base::ResetSubProvider(void)
{
    m_SubProvider.erase();
    m_set_State[0] &= ~0xc000;
}

void CObjUrl_Base::Reset(void)
{
    ResetUrl();
    ResetIconUrl();
    ResetLinkName();
    ResetSubjectType();
    ResetCategory();
    ResetAttribute();
    ResetProvider();
    ResetSubProvider();
}

BEGIN_NAMED_BASE_CLASS_INFO("ObjUrl", CObjUrl)
{
    SET_CLASS_MODULE("elink");
    ADD_NAMED_REF_MEMBER("Url", m_Url, CUrl)->SetNsQualified(true);
    ADD_NAMED_REF_MEMBER("IconUrl", m_IconUrl, CIconUrl)->SetOptional()->SetNsQualified(true);
    ADD_NAMED_STD_MEMBER("LinkName", m_LinkName)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("SubjectType", m_SubjectType, STL_list, (STD, (NCBI_NS_STD::string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("Category", m_Category, STL_list, (STD, (NCBI_NS_STD::string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("Attribute", m_Attribute, STL_list, (STD, (NCBI_NS_STD::string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_REF_MEMBER("Provider", m_Provider, CProvider)->SetNsQualified(true);
    ADD_NAMED_STD_MEMBER("SubProvider", m_SubProvider)->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eDTD);
}
END_CLASS_INFO

// constructor
CObjUrl_Base::CObjUrl_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
    if ( !IsAllocatedInPool() ) {
        ResetUrl();
        ResetProvider();
    }
}

// destructor
CObjUrl_Base::~CObjUrl_Base(void)
{
}



END_elink_SCOPE // namespace elink::

