/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'esearch.dtd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/esearch/WarningList.hpp>
BEGIN_esearch_SCOPE // namespace esearch::


// generated classes

void CWarningList_Base::ResetPhraseIgnored(void)
{
    m_PhraseIgnored.clear();
    m_set_State[0] &= ~0x3;
}

void CWarningList_Base::ResetQuotedPhraseNotFound(void)
{
    m_QuotedPhraseNotFound.clear();
    m_set_State[0] &= ~0xc;
}

void CWarningList_Base::ResetOutputMessage(void)
{
    m_OutputMessage.clear();
    m_set_State[0] &= ~0x30;
}

void CWarningList_Base::Reset(void)
{
    ResetPhraseIgnored();
    ResetQuotedPhraseNotFound();
    ResetOutputMessage();
}

BEGIN_NAMED_BASE_CLASS_INFO("WarningList", CWarningList)
{
    SET_CLASS_MODULE("esearch");
    ADD_NAMED_MEMBER("PhraseIgnored", m_PhraseIgnored, STL_list, (STD, (NCBI_NS_STD::string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("QuotedPhraseNotFound", m_QuotedPhraseNotFound, STL_list, (STD, (NCBI_NS_STD::string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    ADD_NAMED_MEMBER("OutputMessage", m_OutputMessage, STL_list, (STD, (NCBI_NS_STD::string)))->SetSetFlag(MEMBER_PTR(m_set_State[0]))->SetOptional();
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eDTD);
}
END_CLASS_INFO

// constructor
CWarningList_Base::CWarningList_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CWarningList_Base::~CWarningList_Base(void)
{
}



END_esearch_SCOPE // namespace esearch::

