/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'espell.dtd'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objtools/eutils/espell/SpelledQuery.hpp>
BEGIN_espell_SCOPE // namespace espell::


// generated classes

void CSpelledQuery_Base::C_Data::Reset(void)
{
    if ( m_choice != e_not_set )
        ResetSelection();
}

void CSpelledQuery_Base::C_Data::ResetSelection(void)
{
    switch ( m_choice ) {
    case e_Replaced:
    case e_Original:
        m_string.Destruct();
        break;
    default:
        break;
    }
    m_choice = e_not_set;
}

void CSpelledQuery_Base::C_Data::DoSelect(E_Choice index, NCBI_NS_NCBI::CObjectMemoryPool* )
{
    switch ( index ) {
    case e_Replaced:
    case e_Original:
        m_string.Construct();
        break;
    default:
        break;
    }
    m_choice = index;
}

const char* const CSpelledQuery_Base::C_Data::sm_SelectionNames[] = {
    "not set",
    "Replaced",
    "Original"
};

NCBI_NS_STD::string CSpelledQuery_Base::C_Data::SelectionName(E_Choice index)
{
    return NCBI_NS_NCBI::CInvalidChoiceSelection::GetName(index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CSpelledQuery_Base::C_Data::ThrowInvalidSelection(E_Choice index) const
{
    throw NCBI_NS_NCBI::CInvalidChoiceSelection(DIAG_COMPILE_INFO, this, m_choice, index, sm_SelectionNames, sizeof(sm_SelectionNames)/sizeof(sm_SelectionNames[0]));
}

void CSpelledQuery_Base::C_Data::SetReplaced(const CSpelledQuery_Base::C_Data::TReplaced& value)
{
    Select(e_Replaced, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

void CSpelledQuery_Base::C_Data::SetOriginal(const CSpelledQuery_Base::C_Data::TOriginal& value)
{
    Select(e_Original, NCBI_NS_NCBI::eDoNotResetVariant);
    *m_string = value;
}

// helper methods

// type info
BEGIN_NAMED_CHOICE_INFO("", CSpelledQuery_Base::C_Data)
{
    SET_INTERNAL_NAME("SpelledQuery", "E");
    SET_CHOICE_MODULE("espell");
    ADD_NAMED_BUF_CHOICE_VARIANT("Replaced", m_string, STD, (NCBI_NS_STD::string));
    ADD_NAMED_BUF_CHOICE_VARIANT("Original", m_string, STD, (NCBI_NS_STD::string));
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eDTD);
}
END_CHOICE_INFO

// constructor
CSpelledQuery_Base::C_Data::C_Data(void)
    : m_choice(e_not_set)
{
}

// destructor
CSpelledQuery_Base::C_Data::~C_Data(void)
{
    Reset();
}


void CSpelledQuery_Base::Reset(void)
{
    m_data.clear();
    m_set_State[0] &= ~0x3;
}

BEGIN_NAMED_BASE_IMPLICIT_CLASS_INFO("SpelledQuery", CSpelledQuery)
{
    SET_CLASS_MODULE("espell");
    ADD_NAMED_MEMBER("", m_data, STL_list, (STL_CRef, (CLASS, (C_Data))))->SetSetFlag(MEMBER_PTR(m_set_State[0]));
    info->RandomOrder();
    info->CodeVersion(22300);
    info->DataSpec(ncbi::EDataSpec::eDTD);
}
END_CLASS_INFO

// constructor
CSpelledQuery_Base::CSpelledQuery_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CSpelledQuery_Base::~CSpelledQuery_Base(void)
{
}



END_espell_SCOPE // namespace espell::

